--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 11.8
-- Dumped by pg_dump version 11.21

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE uatcommongrp1;
--
-- Name: uatcommongrp1; Type: DATABASE; Schema: -; Owner: uatcommongrp1
--

CREATE DATABASE uatcommongrp1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


ALTER DATABASE uatcommongrp1 OWNER TO uatcommongrp1;

\connect uatcommongrp1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: sec; Type: SCHEMA; Schema: -; Owner: uatcommongrp1
--

CREATE SCHEMA sec;


ALTER SCHEMA sec OWNER TO uatcommongrp1;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: access_token; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.access_token (
    ac_id text NOT NULL,
    token_id text NOT NULL,
    token text NOT NULL,
    authentication_id text NOT NULL,
    username character varying(256) NOT NULL,
    client_id character varying(256) NOT NULL,
    authentication text NOT NULL,
    refresh_token text NOT NULL,
    token_duration integer
);


ALTER TABLE sec.access_token OWNER TO grp;

--
-- Name: component; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.component (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    url character varying(256),
    subfeature_oid character varying(128),
    CONSTRAINT ck_status_component CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.component OWNER TO grp;

--
-- Name: component_resource; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.component_resource (
    oid character varying(128) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    resource_oid character varying(128) NOT NULL,
    component_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_component_resource CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.component_resource OWNER TO grp;

--
-- Name: doddle; Type: TABLE; Schema: sec; Owner: postgres
--

CREATE TABLE sec.doddle (
    oid character varying(128),
    file_oid character varying(128)
);


ALTER TABLE sec.doddle OWNER TO postgres;

--
-- Name: grp_feature; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_feature (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    sub_module_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_grp_feature CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.grp_feature OWNER TO grp;

--
-- Name: grp_module; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_module (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    module_type character varying(32) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    CONSTRAINT ck_module_type_grp_module CHECK ((((module_type)::text = 'General'::text) OR ((module_type)::text = 'Business'::text))),
    CONSTRAINT ck_status_grp_module CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.grp_module OWNER TO grp;

--
-- Name: grp_role; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_role (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(128) NOT NULL,
    role_type character varying(64) DEFAULT 'Business'::character varying,
    grp_module_oid character varying(128),
    description_en text,
    description_bn text,
    menu_json text DEFAULT '{}'::text NOT NULL,
    CONSTRAINT ck_role_type_grp_role CHECK ((((role_type)::text = 'System'::text) OR ((role_type)::text = 'Service'::text) OR ((role_type)::text = 'Business'::text)))
);


ALTER TABLE sec.grp_role OWNER TO grp;

--
-- Name: grp_role_permission; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_role_permission (
    oid character varying(128) NOT NULL,
    component_oid character varying(128) NOT NULL,
    grp_role_oid character varying(128) NOT NULL
);


ALTER TABLE sec.grp_role_permission OWNER TO grp;

--
-- Name: grp_subfeature; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_subfeature (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    sort_order numeric(5,0),
    feature_oid character varying(128),
    CONSTRAINT ck_status_grp_subfeature CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.grp_subfeature OWNER TO grp;

--
-- Name: grp_submodule; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_submodule (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    module_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_grp_submodule CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.grp_submodule OWNER TO grp;

--
-- Name: grp_user; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_user (
    oid character varying(128) NOT NULL,
    username character varying(256) NOT NULL,
    email character varying(256) NOT NULL,
    password character varying(128) NOT NULL,
    employee_oid character varying(128),
    status character varying(32) NOT NULL,
    account_expired character varying(32) DEFAULT 'No'::character varying,
    credentials_expired character varying(32) DEFAULT 'No'::character varying,
    account_locked character varying(32) DEFAULT 'No'::character varying,
    total_login_attempt numeric(5,0),
    login_attempt_count numeric(5,0),
    phone character varying(32),
    enothi_id character varying(128),
    CONSTRAINT ck_account_expired_grp_user CHECK ((((account_expired)::text = 'Yes'::text) OR ((account_expired)::text = 'No'::text))),
    CONSTRAINT ck_account_locked_grp_user CHECK ((((account_locked)::text = 'Yes'::text) OR ((account_locked)::text = 'No'::text))),
    CONSTRAINT ck_credentials_expired_grp_user CHECK ((((credentials_expired)::text = 'Yes'::text) OR ((credentials_expired)::text = 'No'::text))),
    CONSTRAINT ck_status_grp_user CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.grp_user OWNER TO grp;

--
-- Name: grp_user_role; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.grp_user_role (
    oid character varying(128) NOT NULL,
    menu_json text,
    default_status character varying(128) NOT NULL,
    grp_role_oid character varying(128) NOT NULL,
    grp_user_oid character varying(128) NOT NULL,
    grp_module_oid character varying(128),
    office_oid character varying(128),
    active_status character varying(128),
    created_by character varying(128),
    created_on date,
    updated_by character varying(128),
    updated_on date
);


ALTER TABLE sec.grp_user_role OWNER TO grp;

--
-- Name: login_history; Type: TABLE; Schema: sec; Owner: sec
--

CREATE TABLE sec.login_history (
    oid character varying(255) NOT NULL,
    browser character varying(255),
    created_by character varying(255),
    device character varying(255),
    email character varying(255),
    employee_oid character varying(255),
    ip_address character varying(255),
    is_deleted character varying(255),
    login_method character varying(255),
    login_on timestamp without time zone,
    logout boolean,
    office_oid character varying(255),
    phone_no character varying(255),
    token_duration integer,
    token_timeout_on timestamp without time zone,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    username character varying(255),
    access_token text,
    user_agent text,
    logout_on timestamp without time zone,
    office_name character varying(255),
    office_unit_name character varying(255),
    office_unit_oid character varying(255)
);


ALTER TABLE sec.login_history OWNER TO sec;

--
-- Name: office_module; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.office_module (
    oid character varying(128) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying,
    module_oid character varying(128) NOT NULL,
    stakeholder_oid character varying(128) NOT NULL,
    dashboard_url character varying(256),
    service_url character varying(256),
    zuul_url character varying(256),
    CONSTRAINT ck_status_office_module CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.office_module OWNER TO grp;

--
-- Name: resource; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.resource (
    oid character varying(128) NOT NULL,
    end_point character varying(128) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    service_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_resource CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.resource OWNER TO grp;

--
-- Name: service; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.service (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256),
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    CONSTRAINT ck_status_service CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE sec.service OWNER TO grp;

--
-- Name: user_code; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.user_code (
    oid character varying(128),
    user_oid character varying(128),
    code character varying(32),
    type character varying(32),
    expiration numeric(32,0),
    email character varying(128),
    phone character varying(32)
);


ALTER TABLE sec.user_code OWNER TO grp;

--
-- Name: user_generatedtoken; Type: TABLE; Schema: sec; Owner: grp
--

CREATE TABLE sec.user_generatedtoken (
    oid character varying(128),
    user_oid character varying(128),
    generated_string character varying(128)
);


ALTER TABLE sec.user_generatedtoken OWNER TO grp;

--
-- Data for Name: access_token; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.access_token (ac_id, token_id, token, authentication_id, username, client_id, authentication, refresh_token, token_duration) FROM stdin;
\.
COPY sec.access_token (ac_id, token_id, token, authentication_id, username, client_id, authentication, refresh_token, token_duration) FROM '$$PATH$$/5350.dat';

--
-- Data for Name: component; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.component (oid, name_en, name_bn, status, url, subfeature_oid) FROM stdin;
\.
COPY sec.component (oid, name_en, name_bn, status, url, subfeature_oid) FROM '$$PATH$$/5351.dat';

--
-- Data for Name: component_resource; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.component_resource (oid, status, resource_oid, component_oid) FROM stdin;
\.
COPY sec.component_resource (oid, status, resource_oid, component_oid) FROM '$$PATH$$/5352.dat';

--
-- Data for Name: doddle; Type: TABLE DATA; Schema: sec; Owner: postgres
--

COPY sec.doddle (oid, file_oid) FROM stdin;
\.
COPY sec.doddle (oid, file_oid) FROM '$$PATH$$/5353.dat';

--
-- Data for Name: grp_feature; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_feature (oid, name_en, name_bn, status, sort_order, sub_module_oid) FROM stdin;
\.
COPY sec.grp_feature (oid, name_en, name_bn, status, sort_order, sub_module_oid) FROM '$$PATH$$/5354.dat';

--
-- Data for Name: grp_module; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_module (oid, name_en, name_bn, status, module_type, sort_order) FROM stdin;
\.
COPY sec.grp_module (oid, name_en, name_bn, status, module_type, sort_order) FROM '$$PATH$$/5355.dat';

--
-- Data for Name: grp_role; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_role (oid, name_en, name_bn, role_type, grp_module_oid, description_en, description_bn, menu_json) FROM stdin;
\.
COPY sec.grp_role (oid, name_en, name_bn, role_type, grp_module_oid, description_en, description_bn, menu_json) FROM '$$PATH$$/5356.dat';

--
-- Data for Name: grp_role_permission; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_role_permission (oid, component_oid, grp_role_oid) FROM stdin;
\.
COPY sec.grp_role_permission (oid, component_oid, grp_role_oid) FROM '$$PATH$$/5357.dat';

--
-- Data for Name: grp_subfeature; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_subfeature (oid, name_en, name_bn, status, sort_order, feature_oid) FROM stdin;
\.
COPY sec.grp_subfeature (oid, name_en, name_bn, status, sort_order, feature_oid) FROM '$$PATH$$/5358.dat';

--
-- Data for Name: grp_submodule; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_submodule (oid, name_en, name_bn, status, sort_order, module_oid) FROM stdin;
\.
COPY sec.grp_submodule (oid, name_en, name_bn, status, sort_order, module_oid) FROM '$$PATH$$/5359.dat';

--
-- Data for Name: grp_user; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_user (oid, username, email, password, employee_oid, status, account_expired, credentials_expired, account_locked, total_login_attempt, login_attempt_count, phone, enothi_id) FROM stdin;
\.
COPY sec.grp_user (oid, username, email, password, employee_oid, status, account_expired, credentials_expired, account_locked, total_login_attempt, login_attempt_count, phone, enothi_id) FROM '$$PATH$$/5360.dat';

--
-- Data for Name: grp_user_role; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.grp_user_role (oid, menu_json, default_status, grp_role_oid, grp_user_oid, grp_module_oid, office_oid, active_status, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY sec.grp_user_role (oid, menu_json, default_status, grp_role_oid, grp_user_oid, grp_module_oid, office_oid, active_status, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5361.dat';

--
-- Data for Name: login_history; Type: TABLE DATA; Schema: sec; Owner: sec
--

COPY sec.login_history (oid, browser, created_by, device, email, employee_oid, ip_address, is_deleted, login_method, login_on, logout, office_oid, phone_no, token_duration, token_timeout_on, updated_by, updated_on, username, access_token, user_agent, logout_on, office_name, office_unit_name, office_unit_oid) FROM stdin;
\.
COPY sec.login_history (oid, browser, created_by, device, email, employee_oid, ip_address, is_deleted, login_method, login_on, logout, office_oid, phone_no, token_duration, token_timeout_on, updated_by, updated_on, username, access_token, user_agent, logout_on, office_name, office_unit_name, office_unit_oid) FROM '$$PATH$$/5367.dat';

--
-- Data for Name: office_module; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.office_module (oid, status, module_oid, stakeholder_oid, dashboard_url, service_url, zuul_url) FROM stdin;
\.
COPY sec.office_module (oid, status, module_oid, stakeholder_oid, dashboard_url, service_url, zuul_url) FROM '$$PATH$$/5362.dat';

--
-- Data for Name: resource; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.resource (oid, end_point, status, service_oid) FROM stdin;
\.
COPY sec.resource (oid, end_point, status, service_oid) FROM '$$PATH$$/5363.dat';

--
-- Data for Name: service; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.service (oid, name_en, name_bn, status) FROM stdin;
\.
COPY sec.service (oid, name_en, name_bn, status) FROM '$$PATH$$/5364.dat';

--
-- Data for Name: user_code; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.user_code (oid, user_oid, code, type, expiration, email, phone) FROM stdin;
\.
COPY sec.user_code (oid, user_oid, code, type, expiration, email, phone) FROM '$$PATH$$/5365.dat';

--
-- Data for Name: user_generatedtoken; Type: TABLE DATA; Schema: sec; Owner: grp
--

COPY sec.user_generatedtoken (oid, user_oid, generated_string) FROM stdin;
\.
COPY sec.user_generatedtoken (oid, user_oid, generated_string) FROM '$$PATH$$/5366.dat';

--
-- Name: login_history login_history_pkey; Type: CONSTRAINT; Schema: sec; Owner: sec
--

ALTER TABLE ONLY sec.login_history
    ADD CONSTRAINT login_history_pkey PRIMARY KEY (oid);


--
-- Name: access_token pk_access_token; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.access_token
    ADD CONSTRAINT pk_access_token PRIMARY KEY (ac_id);


--
-- Name: component pk_component; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.component
    ADD CONSTRAINT pk_component PRIMARY KEY (oid);


--
-- Name: component_resource pk_component_resource; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.component_resource
    ADD CONSTRAINT pk_component_resource PRIMARY KEY (oid);


--
-- Name: grp_feature pk_grp_feature; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_feature
    ADD CONSTRAINT pk_grp_feature PRIMARY KEY (oid);


--
-- Name: grp_module pk_grp_module; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_module
    ADD CONSTRAINT pk_grp_module PRIMARY KEY (oid);


--
-- Name: grp_role pk_grp_role; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_role
    ADD CONSTRAINT pk_grp_role PRIMARY KEY (oid);


--
-- Name: grp_role_permission pk_grp_role_permission; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_role_permission
    ADD CONSTRAINT pk_grp_role_permission PRIMARY KEY (oid);


--
-- Name: grp_subfeature pk_grp_subfeature; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_subfeature
    ADD CONSTRAINT pk_grp_subfeature PRIMARY KEY (oid);


--
-- Name: grp_submodule pk_grp_submodule; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_submodule
    ADD CONSTRAINT pk_grp_submodule PRIMARY KEY (oid);


--
-- Name: grp_user pk_grp_user; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_user
    ADD CONSTRAINT pk_grp_user PRIMARY KEY (oid);


--
-- Name: grp_user_role pk_grp_user_role; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_user_role
    ADD CONSTRAINT pk_grp_user_role PRIMARY KEY (oid);


--
-- Name: office_module pk_office_module; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.office_module
    ADD CONSTRAINT pk_office_module PRIMARY KEY (oid);


--
-- Name: resource pk_resource; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.resource
    ADD CONSTRAINT pk_resource PRIMARY KEY (oid);


--
-- Name: service pk_service; Type: CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.service
    ADD CONSTRAINT pk_service PRIMARY KEY (oid);


--
-- Name: component_resource fk_component_oid_component_resource; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.component_resource
    ADD CONSTRAINT fk_component_oid_component_resource FOREIGN KEY (component_oid) REFERENCES sec.component(oid);


--
-- Name: grp_role_permission fk_component_oid_grp_role_permission; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_role_permission
    ADD CONSTRAINT fk_component_oid_grp_role_permission FOREIGN KEY (component_oid) REFERENCES sec.component(oid);


--
-- Name: grp_subfeature fk_feature_oid_grp_subfeature; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_subfeature
    ADD CONSTRAINT fk_feature_oid_grp_subfeature FOREIGN KEY (feature_oid) REFERENCES sec.grp_feature(oid);


--
-- Name: grp_role fk_grp_module_oid_grp_role; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_role
    ADD CONSTRAINT fk_grp_module_oid_grp_role FOREIGN KEY (grp_module_oid) REFERENCES sec.grp_module(oid);


--
-- Name: grp_user_role fk_grp_module_oid_grp_user_role; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_user_role
    ADD CONSTRAINT fk_grp_module_oid_grp_user_role FOREIGN KEY (grp_module_oid) REFERENCES sec.grp_module(oid);


--
-- Name: grp_role_permission fk_grp_role_oid_grp_role_permission; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_role_permission
    ADD CONSTRAINT fk_grp_role_oid_grp_role_permission FOREIGN KEY (grp_role_oid) REFERENCES sec.grp_role(oid);


--
-- Name: grp_user_role fk_grp_role_oid_grp_user_role; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_user_role
    ADD CONSTRAINT fk_grp_role_oid_grp_user_role FOREIGN KEY (grp_role_oid) REFERENCES sec.grp_role(oid);


--
-- Name: grp_submodule fk_module_oid_grp_submodule; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_submodule
    ADD CONSTRAINT fk_module_oid_grp_submodule FOREIGN KEY (module_oid) REFERENCES sec.grp_module(oid);


--
-- Name: office_module fk_module_oid_office_module; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.office_module
    ADD CONSTRAINT fk_module_oid_office_module FOREIGN KEY (module_oid) REFERENCES sec.grp_module(oid);


--
-- Name: component_resource fk_resource_oid_component_resource; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.component_resource
    ADD CONSTRAINT fk_resource_oid_component_resource FOREIGN KEY (resource_oid) REFERENCES sec.resource(oid);


--
-- Name: resource fk_service_oid_resource; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.resource
    ADD CONSTRAINT fk_service_oid_resource FOREIGN KEY (service_oid) REFERENCES sec.service(oid);


--
-- Name: grp_feature fk_sub_module_oid_grp_feature; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.grp_feature
    ADD CONSTRAINT fk_sub_module_oid_grp_feature FOREIGN KEY (sub_module_oid) REFERENCES sec.grp_submodule(oid);


--
-- Name: component fk_subfeature_oid_component; Type: FK CONSTRAINT; Schema: sec; Owner: grp
--

ALTER TABLE ONLY sec.component
    ADD CONSTRAINT fk_subfeature_oid_component FOREIGN KEY (subfeature_oid) REFERENCES sec.grp_subfeature(oid);


--
-- Name: SCHEMA sec; Type: ACL; Schema: -; Owner: uatcommongrp1
--

GRANT ALL ON SCHEMA sec TO sec;
GRANT USAGE ON SCHEMA sec TO ast;
GRANT USAGE ON SCHEMA sec TO prc;
GRANT USAGE ON SCHEMA sec TO meeting;
GRANT USAGE ON SCHEMA sec TO cmn;
GRANT USAGE ON SCHEMA sec TO inv;
GRANT USAGE ON SCHEMA sec TO hrm;
GRANT USAGE ON SCHEMA sec TO aud;
GRANT USAGE ON SCHEMA sec TO bud;
GRANT USAGE ON SCHEMA sec TO acc;


--
-- Name: TABLE access_token; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.access_token TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.access_token TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.access_token TO prc;
GRANT SELECT ON TABLE sec.access_token TO meeting;
GRANT SELECT ON TABLE sec.access_token TO cmn;
GRANT SELECT ON TABLE sec.access_token TO inv;
GRANT SELECT ON TABLE sec.access_token TO hrm;
GRANT SELECT ON TABLE sec.access_token TO aud;
GRANT SELECT ON TABLE sec.access_token TO bud;
GRANT SELECT ON TABLE sec.access_token TO acc;


--
-- Name: TABLE component; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.component TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.component TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.component TO prc;
GRANT SELECT ON TABLE sec.component TO meeting;
GRANT SELECT ON TABLE sec.component TO cmn;
GRANT SELECT ON TABLE sec.component TO inv;
GRANT SELECT ON TABLE sec.component TO hrm;
GRANT SELECT ON TABLE sec.component TO aud;
GRANT SELECT ON TABLE sec.component TO bud;
GRANT SELECT ON TABLE sec.component TO acc;


--
-- Name: TABLE component_resource; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.component_resource TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.component_resource TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.component_resource TO prc;
GRANT SELECT ON TABLE sec.component_resource TO meeting;
GRANT SELECT ON TABLE sec.component_resource TO cmn;
GRANT SELECT ON TABLE sec.component_resource TO inv;
GRANT SELECT ON TABLE sec.component_resource TO hrm;
GRANT SELECT ON TABLE sec.component_resource TO aud;
GRANT SELECT ON TABLE sec.component_resource TO bud;
GRANT SELECT ON TABLE sec.component_resource TO acc;


--
-- Name: TABLE doddle; Type: ACL; Schema: sec; Owner: postgres
--

GRANT ALL ON TABLE sec.doddle TO sec;


--
-- Name: TABLE grp_feature; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_feature TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_feature TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_feature TO prc;
GRANT SELECT ON TABLE sec.grp_feature TO meeting;
GRANT SELECT ON TABLE sec.grp_feature TO cmn;
GRANT SELECT ON TABLE sec.grp_feature TO inv;
GRANT SELECT ON TABLE sec.grp_feature TO hrm;
GRANT SELECT ON TABLE sec.grp_feature TO aud;
GRANT SELECT ON TABLE sec.grp_feature TO bud;
GRANT SELECT ON TABLE sec.grp_feature TO acc;


--
-- Name: TABLE grp_module; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_module TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_module TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_module TO prc;
GRANT SELECT ON TABLE sec.grp_module TO meeting;
GRANT SELECT ON TABLE sec.grp_module TO cmn;
GRANT SELECT ON TABLE sec.grp_module TO inv;
GRANT SELECT ON TABLE sec.grp_module TO hrm;
GRANT SELECT ON TABLE sec.grp_module TO aud;
GRANT SELECT ON TABLE sec.grp_module TO bud;
GRANT SELECT ON TABLE sec.grp_module TO acc;


--
-- Name: TABLE grp_role; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_role TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_role TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_role TO prc;
GRANT SELECT ON TABLE sec.grp_role TO meeting;
GRANT SELECT ON TABLE sec.grp_role TO cmn;
GRANT SELECT ON TABLE sec.grp_role TO inv;
GRANT SELECT ON TABLE sec.grp_role TO hrm;
GRANT SELECT ON TABLE sec.grp_role TO aud;
GRANT SELECT ON TABLE sec.grp_role TO bud;
GRANT SELECT ON TABLE sec.grp_role TO acc;


--
-- Name: TABLE grp_role_permission; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_role_permission TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_role_permission TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_role_permission TO prc;
GRANT SELECT ON TABLE sec.grp_role_permission TO meeting;
GRANT SELECT ON TABLE sec.grp_role_permission TO cmn;
GRANT SELECT ON TABLE sec.grp_role_permission TO inv;
GRANT SELECT ON TABLE sec.grp_role_permission TO hrm;
GRANT SELECT ON TABLE sec.grp_role_permission TO aud;
GRANT SELECT ON TABLE sec.grp_role_permission TO bud;
GRANT SELECT ON TABLE sec.grp_role_permission TO acc;


--
-- Name: TABLE grp_subfeature; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_subfeature TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_subfeature TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_subfeature TO prc;
GRANT SELECT ON TABLE sec.grp_subfeature TO meeting;
GRANT SELECT ON TABLE sec.grp_subfeature TO cmn;
GRANT SELECT ON TABLE sec.grp_subfeature TO inv;
GRANT SELECT ON TABLE sec.grp_subfeature TO hrm;
GRANT SELECT ON TABLE sec.grp_subfeature TO aud;
GRANT SELECT ON TABLE sec.grp_subfeature TO bud;
GRANT SELECT ON TABLE sec.grp_subfeature TO acc;


--
-- Name: TABLE grp_submodule; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_submodule TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_submodule TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_submodule TO prc;
GRANT SELECT ON TABLE sec.grp_submodule TO meeting;
GRANT SELECT ON TABLE sec.grp_submodule TO cmn;
GRANT SELECT ON TABLE sec.grp_submodule TO inv;
GRANT SELECT ON TABLE sec.grp_submodule TO hrm;
GRANT SELECT ON TABLE sec.grp_submodule TO aud;
GRANT SELECT ON TABLE sec.grp_submodule TO bud;
GRANT SELECT ON TABLE sec.grp_submodule TO acc;


--
-- Name: TABLE grp_user; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_user TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_user TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_user TO prc;
GRANT SELECT ON TABLE sec.grp_user TO meeting;
GRANT SELECT ON TABLE sec.grp_user TO cmn;
GRANT SELECT ON TABLE sec.grp_user TO inv;
GRANT SELECT ON TABLE sec.grp_user TO hrm;
GRANT SELECT ON TABLE sec.grp_user TO aud;
GRANT SELECT ON TABLE sec.grp_user TO bud;
GRANT SELECT ON TABLE sec.grp_user TO acc;


--
-- Name: TABLE grp_user_role; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.grp_user_role TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_user_role TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.grp_user_role TO prc;
GRANT SELECT ON TABLE sec.grp_user_role TO meeting;
GRANT SELECT ON TABLE sec.grp_user_role TO cmn;
GRANT SELECT ON TABLE sec.grp_user_role TO inv;
GRANT SELECT ON TABLE sec.grp_user_role TO hrm;
GRANT SELECT ON TABLE sec.grp_user_role TO aud;
GRANT SELECT ON TABLE sec.grp_user_role TO bud;
GRANT SELECT ON TABLE sec.grp_user_role TO acc;


--
-- Name: TABLE office_module; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.office_module TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.office_module TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.office_module TO prc;
GRANT SELECT ON TABLE sec.office_module TO meeting;
GRANT SELECT ON TABLE sec.office_module TO cmn;
GRANT SELECT ON TABLE sec.office_module TO inv;
GRANT SELECT ON TABLE sec.office_module TO hrm;
GRANT SELECT ON TABLE sec.office_module TO aud;
GRANT SELECT ON TABLE sec.office_module TO bud;
GRANT SELECT ON TABLE sec.office_module TO acc;


--
-- Name: TABLE resource; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.resource TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.resource TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.resource TO prc;
GRANT SELECT ON TABLE sec.resource TO meeting;
GRANT SELECT ON TABLE sec.resource TO cmn;
GRANT SELECT ON TABLE sec.resource TO inv;
GRANT SELECT ON TABLE sec.resource TO hrm;
GRANT SELECT ON TABLE sec.resource TO aud;
GRANT SELECT ON TABLE sec.resource TO bud;
GRANT SELECT ON TABLE sec.resource TO acc;


--
-- Name: TABLE service; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.service TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.service TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.service TO prc;
GRANT SELECT ON TABLE sec.service TO meeting;
GRANT SELECT ON TABLE sec.service TO cmn;
GRANT SELECT ON TABLE sec.service TO inv;
GRANT SELECT ON TABLE sec.service TO hrm;
GRANT SELECT ON TABLE sec.service TO aud;
GRANT SELECT ON TABLE sec.service TO bud;
GRANT SELECT ON TABLE sec.service TO acc;


--
-- Name: TABLE user_code; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.user_code TO sec;


--
-- Name: TABLE user_generatedtoken; Type: ACL; Schema: sec; Owner: grp
--

GRANT ALL ON TABLE sec.user_generatedtoken TO sec;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.user_generatedtoken TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE sec.user_generatedtoken TO prc;
GRANT SELECT ON TABLE sec.user_generatedtoken TO meeting;
GRANT SELECT ON TABLE sec.user_generatedtoken TO cmn;
GRANT SELECT ON TABLE sec.user_generatedtoken TO inv;
GRANT SELECT ON TABLE sec.user_generatedtoken TO hrm;
GRANT SELECT ON TABLE sec.user_generatedtoken TO aud;
GRANT SELECT ON TABLE sec.user_generatedtoken TO bud;
GRANT SELECT ON TABLE sec.user_generatedtoken TO acc;


--
-- PostgreSQL database dump complete
--

