--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 11.8
-- Dumped by pg_dump version 11.21

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE uatcommongrp1;
--
-- Name: uatcommongrp1; Type: DATABASE; Schema: -; Owner: uatcommongrp1
--

CREATE DATABASE uatcommongrp1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


ALTER DATABASE uatcommongrp1 OWNER TO uatcommongrp1;

\connect uatcommongrp1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: ast; Type: SCHEMA; Schema: -; Owner: uatcommongrp1
--

CREATE SCHEMA ast;


ALTER SCHEMA ast OWNER TO uatcommongrp1;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: asset_allocation; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.asset_allocation (
    oid character varying(128) NOT NULL,
    code character varying(256) NOT NULL,
    status character varying(128) NOT NULL,
    allocation_date timestamp without time zone NOT NULL,
    description text,
    allocation_report_path character varying(128),
    allocator_oid character varying(128) NOT NULL,
    end_user_oid character varying(128) NOT NULL,
    allocation_type_oid character varying(256),
    office_unit_oid character varying(128),
    office_unit_post_oid character varying(128),
    store_oid character varying(128),
    asset_requisition_oid character varying(128),
    office_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_status_asset_allocation CHECK ((((status)::text = 'Waiting for feedback'::text) OR ((status)::text = 'Fully received'::text) OR ((status)::text = 'Partially returned'::text) OR ((status)::text = 'Fully returned'::text)))
);


ALTER TABLE ast.asset_allocation OWNER TO uatcommongrp1;

--
-- Name: asset_allocation_details; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.asset_allocation_details (
    oid character varying(128) NOT NULL,
    is_received character varying(256) DEFAULT 'No'::character varying,
    received_date timestamp without time zone,
    return_status character varying(256) DEFAULT 'No'::character varying,
    remarks character varying(512),
    asset_oid character varying(256),
    asset_allocation_oid character varying(128),
    CONSTRAINT ck_is_received_asset_allocation_details CHECK ((((is_received)::text = 'Yes'::text) OR ((is_received)::text = 'No'::text))),
    CONSTRAINT ck_return_status_asset_allocation_details CHECK ((((return_status)::text = 'Yes'::text) OR ((return_status)::text = 'No'::text) OR ((return_status)::text = 'Requested'::text)))
);


ALTER TABLE ast.asset_allocation_details OWNER TO uatcommongrp1;

--
-- Name: asset_information; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.asset_information (
    oid character varying(128) NOT NULL,
    code character varying(256) NOT NULL,
    description text,
    status character varying(32) NOT NULL,
    in_type character varying(32),
    tagged_by character varying(128),
    tagged_on timestamp without time zone,
    temporary_item_oid character varying(128),
    item_oid character varying(128) NOT NULL,
    office_oid character varying(128),
    store_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_in_type_asset_information CHECK ((((in_type)::text = 'QC Passed'::text) OR ((in_type)::text = 'Direct In'::text))),
    CONSTRAINT ck_status_asset_information CHECK ((((status)::text = 'In-use'::text) OR ((status)::text = 'Available'::text) OR ((status)::text = 'Under maintenance'::text) OR ((status)::text = 'Disposed'::text) OR ((status)::text = 'Draft'::text) OR ((status)::text = 'Ready for tagging'::text) OR ((status)::text = 'Abandoned'::text) OR ((status)::text = 'Maintanable'::text) OR ((status)::text = 'Disposable'::text) OR ((status)::text = 'Disposed'::text) OR ((status)::text = 'Out of service'::text) OR ((status)::text = 'QC needed'::text) OR ((status)::text = 'Decision Pending'::text) OR ((status)::text = 'Direct Out Pending'::text)))
);


ALTER TABLE ast.asset_information OWNER TO uatcommongrp1;

--
-- Name: asset_information_details; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.asset_information_details (
    oid character varying(128) NOT NULL,
    previous_tag character varying(128),
    serial_no character varying(128),
    expiry_duration numeric(20,8),
    asset_information_oid character varying(128),
    remarks text
);


ALTER TABLE ast.asset_information_details OWNER TO uatcommongrp1;

--
-- Name: asset_return; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.asset_return (
    oid character varying(128) NOT NULL,
    code character varying(256) NOT NULL,
    requester_oid character varying(128) NOT NULL,
    filepath character varying(128),
    requested_date date NOT NULL,
    decided_by character varying(128),
    decision_date date,
    status character varying(32) NOT NULL,
    qc_by character varying(128),
    qc_on date,
    store_oid character varying(128),
    office_oid character varying(128) NOT NULL,
    asset_allocation_oid character varying(128) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_status_asset_return CHECK ((((status)::text = 'Waiting'::text) OR ((status)::text = 'Approved'::text) OR ((status)::text = 'Rejected'::text) OR ((status)::text = 'QC done'::text)))
);


ALTER TABLE ast.asset_return OWNER TO uatcommongrp1;

--
-- Name: asset_return_line; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.asset_return_line (
    oid character varying(128) NOT NULL,
    asset_return_oid character varying(128) NOT NULL,
    qc_pass character varying(128),
    asset_oid character varying(128) NOT NULL,
    asset_allocation_line_oid character varying(128) NOT NULL,
    CONSTRAINT ck_qc_pass_asset_return_line CHECK ((((qc_pass)::text = 'Yes'::text) OR ((qc_pass)::text = 'No'::text)))
);


ALTER TABLE ast.asset_return_line OWNER TO uatcommongrp1;

--
-- Name: ast_role; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.ast_role (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(128) NOT NULL,
    role_type character varying(64) DEFAULT 'Business'::character varying,
    grp_module_oid character varying(128),
    description_en text,
    description_bn text,
    menu_json text DEFAULT '{}'::text NOT NULL,
    CONSTRAINT ck_role_type_ast_role CHECK ((((role_type)::text = 'System'::text) OR ((role_type)::text = 'Service'::text) OR ((role_type)::text = 'Business'::text)))
);


ALTER TABLE ast.ast_role OWNER TO uatcommongrp1;

--
-- Name: ast_user_role; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.ast_user_role (
    oid character varying(128) NOT NULL,
    menu_json text,
    default_status character varying(128) NOT NULL,
    grp_role_oid character varying(128) NOT NULL,
    grp_user_oid character varying(128) NOT NULL,
    grp_module_oid character varying(128) NOT NULL,
    office_oid character varying(128) NOT NULL,
    active_status character varying(128),
    created_by character varying(128),
    created_on date,
    updated_by character varying(128),
    updated_on date
);


ALTER TABLE ast.ast_user_role OWNER TO uatcommongrp1;

--
-- Name: direct_in; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.direct_in (
    oid character varying(128) NOT NULL,
    code character varying(256),
    remarks character varying(512),
    status character varying(32) NOT NULL,
    requested_by character varying(128),
    requested_on date,
    direct_in_type character varying(32) NOT NULL,
    user_oid character varying(128),
    office_unit_oid character varying(128),
    office_unit_post_oid character varying(128),
    purpose_oid character varying(256),
    decision_by character varying(128),
    decision_on date,
    store_oid character varying(128),
    office_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_direct_in_type_direct_in CHECK ((((direct_in_type)::text = 'In'::text) OR ((direct_in_type)::text = 'Out'::text))),
    CONSTRAINT ck_status_direct_in CHECK ((((status)::text = 'Pending'::text) OR ((status)::text = 'Approved'::text) OR ((status)::text = 'Rejected'::text)))
);


ALTER TABLE ast.direct_in OWNER TO uatcommongrp1;

--
-- Name: direct_in_line; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.direct_in_line (
    oid character varying(128) NOT NULL,
    item_oid character varying(128) NOT NULL,
    direct_in_oid character varying(128) NOT NULL,
    user_oid character varying(128),
    office_unit_oid character varying(128),
    serial_no character varying(128),
    previous_tag character varying(128),
    expiry_duration numeric(20,8),
    remarks text,
    asset_oid character varying(128),
    asset_alloc_oid character varying(128),
    allocation_date date,
    purpose_oid character varying(256)
);


ALTER TABLE ast.direct_in_line OWNER TO uatcommongrp1;

--
-- Name: direct_out; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.direct_out (
    oid character varying(128) NOT NULL,
    code character varying(256),
    remarks character varying(512),
    status character varying(32) NOT NULL,
    requested_by character varying(128),
    requested_on date,
    decision_by character varying(128),
    decision_on date,
    store_oid character varying(128),
    office_oid character varying(128),
    user_oid character varying(128),
    office_unit_oid character varying(128),
    office_unit_post_oid character varying(128),
    purpose_oid character varying(256),
    asset_alloc_oid character varying(128),
    allocation_date date,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_status_direct_out CHECK ((((status)::text = 'Pending'::text) OR ((status)::text = 'Approved'::text) OR ((status)::text = 'Rejected'::text)))
);


ALTER TABLE ast.direct_out OWNER TO uatcommongrp1;

--
-- Name: direct_out_line; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.direct_out_line (
    oid character varying(128) NOT NULL,
    direct_out_oid character varying(128) NOT NULL,
    remarks text,
    asset_oid character varying(128)
);


ALTER TABLE ast.direct_out_line OWNER TO uatcommongrp1;

--
-- Name: disposal_detail; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.disposal_detail (
    oid character varying(128) NOT NULL,
    code character varying(256) NOT NULL,
    expert_decision_oid character varying(256) NOT NULL,
    disposal_date date NOT NULL,
    filepath character varying(128),
    remarks text,
    office_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE ast.disposal_detail OWNER TO uatcommongrp1;

--
-- Name: expert_decision; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.expert_decision (
    oid character varying(128) NOT NULL,
    code character varying(128) NOT NULL,
    maintenance_cost character varying(128),
    maintenance_vendor_name character varying(128),
    maintenance_date date,
    maintenance_remarks character varying(128),
    disposal_cost character varying(128),
    disposal_vendor_name character varying(128),
    disposal_process character varying(128),
    asset_oid character varying(128),
    decision_by character varying(128),
    decision_on date,
    disposal_remarks character varying(128),
    status character varying(128),
    store_oid character varying(128),
    office_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on date DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on date,
    CONSTRAINT ck_status_expert_decision CHECK ((((status)::text = 'Waiting'::text) OR ((status)::text = 'Denied'::text) OR ((status)::text = 'Maintenance approved'::text) OR ((status)::text = 'Disposal approved'::text) OR ((status)::text = 'Maintenance done'::text) OR ((status)::text = 'Disposal done'::text)))
);


ALTER TABLE ast.expert_decision OWNER TO uatcommongrp1;

--
-- Name: item_requisition; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.item_requisition (
    oid character varying(128) NOT NULL,
    requisition_ref_no character varying(256),
    requisition_date timestamp without time zone,
    tentative_issue_date timestamp without time zone,
    approval_date timestamp without time zone,
    approval_comments text,
    remarks text,
    requisition_purpose_oid character varying(128),
    status character varying(256),
    is_complete character varying(32),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    approved_by character varying(128),
    store_oid character varying(128) NOT NULL,
    requisition_for character varying(128) NOT NULL,
    requisition_by character varying(128) NOT NULL,
    office_unit_post_oid character varying(128),
    requisition_type_oid character varying(128),
    office_unit_oid character varying(128),
    CONSTRAINT ck_is_complete_item_requisition CHECK ((((is_complete)::text = 'Yes'::text) OR ((is_complete)::text = 'No'::text))),
    CONSTRAINT ck_is_deleted_item_requisition CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text))),
    CONSTRAINT ck_status_item_requisition CHECK ((((status)::text = 'Issued'::text) OR ((status)::text = 'Pending'::text) OR ((status)::text = 'Pending-Issue'::text) OR ((status)::text = 'New'::text) OR ((status)::text = 'Approved'::text) OR ((status)::text = 'Rejected'::text) OR ((status)::text = 'Returned'::text) OR ((status)::text = 'Partially Issued'::text)))
);


ALTER TABLE ast.item_requisition OWNER TO uatcommongrp1;

--
-- Name: item_requisition_detail; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.item_requisition_detail (
    oid character varying(128) NOT NULL,
    requested_quantity numeric(20,0) DEFAULT 0,
    approved_quantity numeric(20,0) DEFAULT 0,
    revised_quantity numeric(20,0) DEFAULT 0,
    given_quantity numeric(20,0) DEFAULT 0,
    item_approval character varying(32),
    comments text,
    is_deleted character varying(32),
    requisition_oid character varying(128),
    item_group_oid character varying(128) NOT NULL,
    uom_oid character varying(128) NOT NULL,
    entitlement_oid character varying(128),
    CONSTRAINT ck_is_deleted_item_requisition_detail CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text))),
    CONSTRAINT ck_item_approval_item_requisition_detail CHECK ((((item_approval)::text = 'Yes'::text) OR ((item_approval)::text = 'No'::text)))
);


ALTER TABLE ast.item_requisition_detail OWNER TO uatcommongrp1;

--
-- Name: maitenance_detail; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.maitenance_detail (
    oid character varying(128) NOT NULL,
    code character varying(256) NOT NULL,
    expert_decision_oid character varying(256) NOT NULL,
    received_date date NOT NULL,
    remarks text,
    filepath character varying(128),
    office_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE ast.maitenance_detail OWNER TO uatcommongrp1;

--
-- Name: purchase_requisition; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.purchase_requisition (
    oid character varying(128) NOT NULL,
    reference_no character varying(256),
    requisition_date date,
    requisition_by_oid character varying(128),
    store_oid character varying(128),
    approval_date date,
    approved_by_oid character varying(128),
    approval_comments character varying(512),
    reason character varying(512),
    committee_oid character varying(512),
    status character varying(32) NOT NULL,
    from_requisition character varying(32) NOT NULL,
    purpose_oid character varying(256),
    office_oid character varying(128),
    is_deleted character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_from_requisition_purchase_requisition CHECK ((((from_requisition)::text = 'Yes'::text) OR ((from_requisition)::text = 'No'::text))),
    CONSTRAINT ck_status_purchase_requisition CHECK ((((status)::text = 'Pending'::text) OR ((status)::text = 'Approved'::text) OR ((status)::text = 'Rejected'::text)))
);


ALTER TABLE ast.purchase_requisition OWNER TO uatcommongrp1;

--
-- Name: purchase_requisition_detail; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.purchase_requisition_detail (
    oid character varying(128) NOT NULL,
    item_user_defined_oid character varying(128) NOT NULL,
    uom_oid character varying(128),
    required_qty numeric(20,8) DEFAULT 0,
    revised_qty numeric(20,8),
    is_approved character varying(32),
    approved_qty numeric(20,8) DEFAULT 0,
    approved_item_user_defined_oid character varying(128),
    remarks character varying(512),
    requisition_oid character varying(128),
    created_by character varying(512),
    created_on character varying(512),
    updated_by character varying(512),
    updated_on character varying(512),
    office_oid character varying(128),
    purchase_requisition_oid character varying(128),
    is_deleted character varying(128),
    CONSTRAINT ck_is_approved_purchase_requisition_detail CHECK ((((is_approved)::text = 'Yes'::text) OR ((is_approved)::text = 'No'::text)))
);


ALTER TABLE ast.purchase_requisition_detail OWNER TO uatcommongrp1;

--
-- Name: requisition_purpose; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.requisition_purpose (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    description text,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE ast.requisition_purpose OWNER TO uatcommongrp1;

--
-- Name: requisition_type; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.requisition_type (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    description text,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE ast.requisition_type OWNER TO uatcommongrp1;

--
-- Name: temporary_item; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.temporary_item (
    oid character varying(128) NOT NULL,
    code character varying(256),
    received_at date,
    received_by character varying(128),
    chalan_no character varying(128),
    chalan_date date,
    workorder_no character varying(128),
    workorder_date date,
    work_order_oid character varying(128),
    status character varying(32) NOT NULL,
    description text,
    qc_by character varying(128),
    qc_on timestamp without time zone,
    decision_on_qc_note character varying,
    decision_on_qc_by character varying,
    decision_on_qc_date timestamp without time zone,
    procurement_method character varying,
    contract_no character varying,
    contract_signing_date timestamp without time zone,
    asset_added_by character varying(128),
    asset_added_on timestamp without time zone,
    vendor_oid character varying(128),
    office_oid character varying(128),
    store_oid character varying(128),
    qc_report_path character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_procurement_method_temporary_item CHECK ((((procurement_method)::text = 'DPM'::text) OR ((procurement_method)::text = 'OTM'::text) OR ((procurement_method)::text = 'DPM_OUTSIDE_GRP'::text))),
    CONSTRAINT ck_status_temporary_item CHECK ((((status)::text = 'Processing'::text) OR ((status)::text = 'Ready for QC'::text) OR ((status)::text = 'QC done'::text) OR ((status)::text = 'Rejected'::text) OR ((status)::text = 'Asset added'::text) OR ((status)::text = 'Draft'::text) OR ((status)::text = 'QC ongoing'::text) OR ((status)::text = 'Asset tagged'::text) OR ((status)::text = 'Re-QC'::text) OR ((status)::text = 'QC approved'::text)))
);


ALTER TABLE ast.temporary_item OWNER TO uatcommongrp1;

--
-- Name: temporary_item_detail; Type: TABLE; Schema: ast; Owner: uatcommongrp1
--

CREATE TABLE ast.temporary_item_detail (
    oid character varying(128) NOT NULL,
    received_quantity numeric(20,8) DEFAULT 0,
    qualified_quantity numeric(20,8) DEFAULT 0,
    disqualified_quantity numeric(20,8) DEFAULT 0,
    extra_quantity numeric(20,8) DEFAULT 0,
    remarks character varying(512),
    item_oid character varying(128) NOT NULL,
    work_order_detail_oid character varying(128),
    temporary_item_oid character varying(128) NOT NULL
);


ALTER TABLE ast.temporary_item_detail OWNER TO uatcommongrp1;

--
-- Data for Name: asset_allocation; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.asset_allocation (oid, code, status, allocation_date, description, allocation_report_path, allocator_oid, end_user_oid, allocation_type_oid, office_unit_oid, office_unit_post_oid, store_oid, asset_requisition_oid, office_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.asset_allocation (oid, code, status, allocation_date, description, allocation_report_path, allocator_oid, end_user_oid, allocation_type_oid, office_unit_oid, office_unit_post_oid, store_oid, asset_requisition_oid, office_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5448.dat';

--
-- Data for Name: asset_allocation_details; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.asset_allocation_details (oid, is_received, received_date, return_status, remarks, asset_oid, asset_allocation_oid) FROM stdin;
\.
COPY ast.asset_allocation_details (oid, is_received, received_date, return_status, remarks, asset_oid, asset_allocation_oid) FROM '$$PATH$$/5449.dat';

--
-- Data for Name: asset_information; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.asset_information (oid, code, description, status, in_type, tagged_by, tagged_on, temporary_item_oid, item_oid, office_oid, store_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.asset_information (oid, code, description, status, in_type, tagged_by, tagged_on, temporary_item_oid, item_oid, office_oid, store_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5450.dat';

--
-- Data for Name: asset_information_details; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.asset_information_details (oid, previous_tag, serial_no, expiry_duration, asset_information_oid, remarks) FROM stdin;
\.
COPY ast.asset_information_details (oid, previous_tag, serial_no, expiry_duration, asset_information_oid, remarks) FROM '$$PATH$$/5451.dat';

--
-- Data for Name: asset_return; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.asset_return (oid, code, requester_oid, filepath, requested_date, decided_by, decision_date, status, qc_by, qc_on, store_oid, office_oid, asset_allocation_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.asset_return (oid, code, requester_oid, filepath, requested_date, decided_by, decision_date, status, qc_by, qc_on, store_oid, office_oid, asset_allocation_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5452.dat';

--
-- Data for Name: asset_return_line; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.asset_return_line (oid, asset_return_oid, qc_pass, asset_oid, asset_allocation_line_oid) FROM stdin;
\.
COPY ast.asset_return_line (oid, asset_return_oid, qc_pass, asset_oid, asset_allocation_line_oid) FROM '$$PATH$$/5453.dat';

--
-- Data for Name: ast_role; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.ast_role (oid, name_en, name_bn, role_type, grp_module_oid, description_en, description_bn, menu_json) FROM stdin;
\.
COPY ast.ast_role (oid, name_en, name_bn, role_type, grp_module_oid, description_en, description_bn, menu_json) FROM '$$PATH$$/5454.dat';

--
-- Data for Name: ast_user_role; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.ast_user_role (oid, menu_json, default_status, grp_role_oid, grp_user_oid, grp_module_oid, office_oid, active_status, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.ast_user_role (oid, menu_json, default_status, grp_role_oid, grp_user_oid, grp_module_oid, office_oid, active_status, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5455.dat';

--
-- Data for Name: direct_in; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.direct_in (oid, code, remarks, status, requested_by, requested_on, direct_in_type, user_oid, office_unit_oid, office_unit_post_oid, purpose_oid, decision_by, decision_on, store_oid, office_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.direct_in (oid, code, remarks, status, requested_by, requested_on, direct_in_type, user_oid, office_unit_oid, office_unit_post_oid, purpose_oid, decision_by, decision_on, store_oid, office_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5456.dat';

--
-- Data for Name: direct_in_line; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.direct_in_line (oid, item_oid, direct_in_oid, user_oid, office_unit_oid, serial_no, previous_tag, expiry_duration, remarks, asset_oid, asset_alloc_oid, allocation_date, purpose_oid) FROM stdin;
\.
COPY ast.direct_in_line (oid, item_oid, direct_in_oid, user_oid, office_unit_oid, serial_no, previous_tag, expiry_duration, remarks, asset_oid, asset_alloc_oid, allocation_date, purpose_oid) FROM '$$PATH$$/5457.dat';

--
-- Data for Name: direct_out; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.direct_out (oid, code, remarks, status, requested_by, requested_on, decision_by, decision_on, store_oid, office_oid, user_oid, office_unit_oid, office_unit_post_oid, purpose_oid, asset_alloc_oid, allocation_date, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.direct_out (oid, code, remarks, status, requested_by, requested_on, decision_by, decision_on, store_oid, office_oid, user_oid, office_unit_oid, office_unit_post_oid, purpose_oid, asset_alloc_oid, allocation_date, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5458.dat';

--
-- Data for Name: direct_out_line; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.direct_out_line (oid, direct_out_oid, remarks, asset_oid) FROM stdin;
\.
COPY ast.direct_out_line (oid, direct_out_oid, remarks, asset_oid) FROM '$$PATH$$/5459.dat';

--
-- Data for Name: disposal_detail; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.disposal_detail (oid, code, expert_decision_oid, disposal_date, filepath, remarks, office_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.disposal_detail (oid, code, expert_decision_oid, disposal_date, filepath, remarks, office_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5460.dat';

--
-- Data for Name: expert_decision; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.expert_decision (oid, code, maintenance_cost, maintenance_vendor_name, maintenance_date, maintenance_remarks, disposal_cost, disposal_vendor_name, disposal_process, asset_oid, decision_by, decision_on, disposal_remarks, status, store_oid, office_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.expert_decision (oid, code, maintenance_cost, maintenance_vendor_name, maintenance_date, maintenance_remarks, disposal_cost, disposal_vendor_name, disposal_process, asset_oid, decision_by, decision_on, disposal_remarks, status, store_oid, office_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5461.dat';

--
-- Data for Name: item_requisition; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.item_requisition (oid, requisition_ref_no, requisition_date, tentative_issue_date, approval_date, approval_comments, remarks, requisition_purpose_oid, status, is_complete, is_deleted, created_by, created_on, updated_by, updated_on, approved_by, store_oid, requisition_for, requisition_by, office_unit_post_oid, requisition_type_oid, office_unit_oid) FROM stdin;
\.
COPY ast.item_requisition (oid, requisition_ref_no, requisition_date, tentative_issue_date, approval_date, approval_comments, remarks, requisition_purpose_oid, status, is_complete, is_deleted, created_by, created_on, updated_by, updated_on, approved_by, store_oid, requisition_for, requisition_by, office_unit_post_oid, requisition_type_oid, office_unit_oid) FROM '$$PATH$$/5462.dat';

--
-- Data for Name: item_requisition_detail; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.item_requisition_detail (oid, requested_quantity, approved_quantity, revised_quantity, given_quantity, item_approval, comments, is_deleted, requisition_oid, item_group_oid, uom_oid, entitlement_oid) FROM stdin;
\.
COPY ast.item_requisition_detail (oid, requested_quantity, approved_quantity, revised_quantity, given_quantity, item_approval, comments, is_deleted, requisition_oid, item_group_oid, uom_oid, entitlement_oid) FROM '$$PATH$$/5463.dat';

--
-- Data for Name: maitenance_detail; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.maitenance_detail (oid, code, expert_decision_oid, received_date, remarks, filepath, office_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.maitenance_detail (oid, code, expert_decision_oid, received_date, remarks, filepath, office_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5464.dat';

--
-- Data for Name: purchase_requisition; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.purchase_requisition (oid, reference_no, requisition_date, requisition_by_oid, store_oid, approval_date, approved_by_oid, approval_comments, reason, committee_oid, status, from_requisition, purpose_oid, office_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.purchase_requisition (oid, reference_no, requisition_date, requisition_by_oid, store_oid, approval_date, approved_by_oid, approval_comments, reason, committee_oid, status, from_requisition, purpose_oid, office_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5465.dat';

--
-- Data for Name: purchase_requisition_detail; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.purchase_requisition_detail (oid, item_user_defined_oid, uom_oid, required_qty, revised_qty, is_approved, approved_qty, approved_item_user_defined_oid, remarks, requisition_oid, created_by, created_on, updated_by, updated_on, office_oid, purchase_requisition_oid, is_deleted) FROM stdin;
\.
COPY ast.purchase_requisition_detail (oid, item_user_defined_oid, uom_oid, required_qty, revised_qty, is_approved, approved_qty, approved_item_user_defined_oid, remarks, requisition_oid, created_by, created_on, updated_by, updated_on, office_oid, purchase_requisition_oid, is_deleted) FROM '$$PATH$$/5466.dat';

--
-- Data for Name: requisition_purpose; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.requisition_purpose (oid, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.requisition_purpose (oid, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5467.dat';

--
-- Data for Name: requisition_type; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.requisition_type (oid, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.requisition_type (oid, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5468.dat';

--
-- Data for Name: temporary_item; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.temporary_item (oid, code, received_at, received_by, chalan_no, chalan_date, workorder_no, workorder_date, work_order_oid, status, description, qc_by, qc_on, decision_on_qc_note, decision_on_qc_by, decision_on_qc_date, procurement_method, contract_no, contract_signing_date, asset_added_by, asset_added_on, vendor_oid, office_oid, store_oid, qc_report_path, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY ast.temporary_item (oid, code, received_at, received_by, chalan_no, chalan_date, workorder_no, workorder_date, work_order_oid, status, description, qc_by, qc_on, decision_on_qc_note, decision_on_qc_by, decision_on_qc_date, procurement_method, contract_no, contract_signing_date, asset_added_by, asset_added_on, vendor_oid, office_oid, store_oid, qc_report_path, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5469.dat';

--
-- Data for Name: temporary_item_detail; Type: TABLE DATA; Schema: ast; Owner: uatcommongrp1
--

COPY ast.temporary_item_detail (oid, received_quantity, qualified_quantity, disqualified_quantity, extra_quantity, remarks, item_oid, work_order_detail_oid, temporary_item_oid) FROM stdin;
\.
COPY ast.temporary_item_detail (oid, received_quantity, qualified_quantity, disqualified_quantity, extra_quantity, remarks, item_oid, work_order_detail_oid, temporary_item_oid) FROM '$$PATH$$/5470.dat';

--
-- Name: asset_allocation pk_asset_allocation; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_allocation
    ADD CONSTRAINT pk_asset_allocation PRIMARY KEY (oid);


--
-- Name: asset_allocation_details pk_asset_allocation_details; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_allocation_details
    ADD CONSTRAINT pk_asset_allocation_details PRIMARY KEY (oid);


--
-- Name: asset_information pk_asset_information; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_information
    ADD CONSTRAINT pk_asset_information PRIMARY KEY (oid);


--
-- Name: asset_information_details pk_asset_information_details; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_information_details
    ADD CONSTRAINT pk_asset_information_details PRIMARY KEY (oid);


--
-- Name: asset_return pk_asset_return; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_return
    ADD CONSTRAINT pk_asset_return PRIMARY KEY (oid);


--
-- Name: asset_return_line pk_asset_return_line; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_return_line
    ADD CONSTRAINT pk_asset_return_line PRIMARY KEY (oid);


--
-- Name: ast_role pk_ast_role; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.ast_role
    ADD CONSTRAINT pk_ast_role PRIMARY KEY (oid);


--
-- Name: ast_user_role pk_ast_user_role; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.ast_user_role
    ADD CONSTRAINT pk_ast_user_role PRIMARY KEY (oid);


--
-- Name: direct_in pk_direct_in; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_in
    ADD CONSTRAINT pk_direct_in PRIMARY KEY (oid);


--
-- Name: direct_in_line pk_direct_in_line; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_in_line
    ADD CONSTRAINT pk_direct_in_line PRIMARY KEY (oid);


--
-- Name: direct_out pk_direct_out; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_out
    ADD CONSTRAINT pk_direct_out PRIMARY KEY (oid);


--
-- Name: direct_out_line pk_direct_out_line; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_out_line
    ADD CONSTRAINT pk_direct_out_line PRIMARY KEY (oid);


--
-- Name: disposal_detail pk_disposal_detail; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.disposal_detail
    ADD CONSTRAINT pk_disposal_detail PRIMARY KEY (oid);


--
-- Name: expert_decision pk_expert_decision; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.expert_decision
    ADD CONSTRAINT pk_expert_decision PRIMARY KEY (oid);


--
-- Name: item_requisition pk_item_requisition; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.item_requisition
    ADD CONSTRAINT pk_item_requisition PRIMARY KEY (oid);


--
-- Name: item_requisition_detail pk_item_requisition_detail; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.item_requisition_detail
    ADD CONSTRAINT pk_item_requisition_detail PRIMARY KEY (oid);


--
-- Name: maitenance_detail pk_maitenance_detail; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.maitenance_detail
    ADD CONSTRAINT pk_maitenance_detail PRIMARY KEY (oid);


--
-- Name: purchase_requisition pk_purchase_requisition; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.purchase_requisition
    ADD CONSTRAINT pk_purchase_requisition PRIMARY KEY (oid);


--
-- Name: purchase_requisition_detail pk_purchase_requisition_detail; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.purchase_requisition_detail
    ADD CONSTRAINT pk_purchase_requisition_detail PRIMARY KEY (oid);


--
-- Name: requisition_purpose pk_requisition_purpose; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.requisition_purpose
    ADD CONSTRAINT pk_requisition_purpose PRIMARY KEY (oid);


--
-- Name: requisition_type pk_requisition_type; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.requisition_type
    ADD CONSTRAINT pk_requisition_type PRIMARY KEY (oid);


--
-- Name: temporary_item pk_temporary_item; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.temporary_item
    ADD CONSTRAINT pk_temporary_item PRIMARY KEY (oid);


--
-- Name: temporary_item_detail pk_temporary_item_detail; Type: CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.temporary_item_detail
    ADD CONSTRAINT pk_temporary_item_detail PRIMARY KEY (oid);


--
-- Name: index_code_asset_allocation; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_asset_allocation ON ast.asset_allocation USING btree (code);


--
-- Name: index_code_asset_information; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_asset_information ON ast.asset_information USING btree (code);


--
-- Name: index_code_asset_return; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_asset_return ON ast.asset_return USING btree (code);


--
-- Name: index_code_direct_in; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_direct_in ON ast.direct_in USING btree (code);


--
-- Name: index_code_direct_out; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_direct_out ON ast.direct_out USING btree (code);


--
-- Name: index_code_disposal_detail; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_disposal_detail ON ast.disposal_detail USING btree (code);


--
-- Name: index_code_expert_decision; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_expert_decision ON ast.expert_decision USING btree (code);


--
-- Name: index_code_maitenance_detail; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_maitenance_detail ON ast.maitenance_detail USING btree (code);


--
-- Name: index_code_temporary_item; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_temporary_item ON ast.temporary_item USING btree (code);


--
-- Name: index_oid_asset_allocation; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_asset_allocation ON ast.asset_allocation USING btree (oid);


--
-- Name: index_oid_asset_allocation_details; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_asset_allocation_details ON ast.asset_allocation_details USING btree (oid);


--
-- Name: index_oid_asset_information; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_asset_information ON ast.asset_information USING btree (oid);


--
-- Name: index_oid_asset_information_details; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_asset_information_details ON ast.asset_information_details USING btree (oid);


--
-- Name: index_oid_asset_return; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_asset_return ON ast.asset_return USING btree (oid);


--
-- Name: index_oid_asset_return_line; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_asset_return_line ON ast.asset_return_line USING btree (oid);


--
-- Name: index_oid_direct_in; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_direct_in ON ast.direct_in USING btree (oid);


--
-- Name: index_oid_direct_in_line; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_direct_in_line ON ast.direct_in_line USING btree (oid);


--
-- Name: index_oid_direct_out; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_direct_out ON ast.direct_out USING btree (oid);


--
-- Name: index_oid_direct_out_line; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_direct_out_line ON ast.direct_out_line USING btree (oid);


--
-- Name: index_oid_disposal_detail; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_disposal_detail ON ast.disposal_detail USING btree (oid);


--
-- Name: index_oid_expert_decision; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_expert_decision ON ast.expert_decision USING btree (oid);


--
-- Name: index_oid_item_requisition; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_item_requisition ON ast.item_requisition USING btree (oid);


--
-- Name: index_oid_item_requisition_detail; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_item_requisition_detail ON ast.item_requisition_detail USING btree (oid);


--
-- Name: index_oid_maitenance_detail; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_maitenance_detail ON ast.maitenance_detail USING btree (oid);


--
-- Name: index_oid_purchase_requisition; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_purchase_requisition ON ast.purchase_requisition USING btree (oid);


--
-- Name: index_oid_purchase_requisition_detail; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_purchase_requisition_detail ON ast.purchase_requisition_detail USING btree (oid);


--
-- Name: index_oid_requisition_purpose; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_requisition_purpose ON ast.requisition_purpose USING btree (oid);


--
-- Name: index_oid_requisition_type; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_requisition_type ON ast.requisition_type USING btree (oid);


--
-- Name: index_oid_temporary_item; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_temporary_item ON ast.temporary_item USING btree (oid);


--
-- Name: index_oid_temporary_item_detail; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_temporary_item_detail ON ast.temporary_item_detail USING btree (oid);


--
-- Name: index_reference_no_purchase_requisition; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_reference_no_purchase_requisition ON ast.purchase_requisition USING btree (reference_no);


--
-- Name: index_requisition_ref_no_item_requisition; Type: INDEX; Schema: ast; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_requisition_ref_no_item_requisition ON ast.item_requisition USING btree (requisition_ref_no);


--
-- Name: asset_allocation fk_allocation_type_oid_asset_allocation; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_allocation
    ADD CONSTRAINT fk_allocation_type_oid_asset_allocation FOREIGN KEY (allocation_type_oid) REFERENCES ast.requisition_type(oid);


--
-- Name: direct_in_line fk_asset_alloc_oid_direct_in_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_in_line
    ADD CONSTRAINT fk_asset_alloc_oid_direct_in_line FOREIGN KEY (asset_alloc_oid) REFERENCES ast.asset_allocation(oid);


--
-- Name: direct_out fk_asset_alloc_oid_direct_out; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_out
    ADD CONSTRAINT fk_asset_alloc_oid_direct_out FOREIGN KEY (asset_alloc_oid) REFERENCES ast.asset_allocation(oid);


--
-- Name: asset_return_line fk_asset_allocation_line_oid_asset_return_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_return_line
    ADD CONSTRAINT fk_asset_allocation_line_oid_asset_return_line FOREIGN KEY (asset_allocation_line_oid) REFERENCES ast.asset_allocation_details(oid);


--
-- Name: asset_allocation_details fk_asset_allocation_oid_asset_allocation_details; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_allocation_details
    ADD CONSTRAINT fk_asset_allocation_oid_asset_allocation_details FOREIGN KEY (asset_allocation_oid) REFERENCES ast.asset_allocation(oid);


--
-- Name: asset_return fk_asset_allocation_oid_asset_return; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_return
    ADD CONSTRAINT fk_asset_allocation_oid_asset_return FOREIGN KEY (asset_allocation_oid) REFERENCES ast.asset_allocation(oid);


--
-- Name: asset_information_details fk_asset_information_oid_asset_information_details; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_information_details
    ADD CONSTRAINT fk_asset_information_oid_asset_information_details FOREIGN KEY (asset_information_oid) REFERENCES ast.asset_information(oid);


--
-- Name: asset_allocation_details fk_asset_oid_asset_allocation_details; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_allocation_details
    ADD CONSTRAINT fk_asset_oid_asset_allocation_details FOREIGN KEY (asset_oid) REFERENCES ast.asset_information(oid);


--
-- Name: asset_return_line fk_asset_oid_asset_return_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_return_line
    ADD CONSTRAINT fk_asset_oid_asset_return_line FOREIGN KEY (asset_oid) REFERENCES ast.asset_information(oid);


--
-- Name: direct_in_line fk_asset_oid_direct_in_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_in_line
    ADD CONSTRAINT fk_asset_oid_direct_in_line FOREIGN KEY (asset_oid) REFERENCES ast.asset_information(oid);


--
-- Name: direct_out_line fk_asset_oid_direct_out_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_out_line
    ADD CONSTRAINT fk_asset_oid_direct_out_line FOREIGN KEY (asset_oid) REFERENCES ast.asset_information(oid);


--
-- Name: expert_decision fk_asset_oid_expert_decision; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.expert_decision
    ADD CONSTRAINT fk_asset_oid_expert_decision FOREIGN KEY (asset_oid) REFERENCES ast.asset_information(oid);


--
-- Name: asset_allocation fk_asset_requisition_oid_asset_allocation; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_allocation
    ADD CONSTRAINT fk_asset_requisition_oid_asset_allocation FOREIGN KEY (asset_requisition_oid) REFERENCES ast.item_requisition(oid);


--
-- Name: asset_return_line fk_asset_return_oid_asset_return_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_return_line
    ADD CONSTRAINT fk_asset_return_oid_asset_return_line FOREIGN KEY (asset_return_oid) REFERENCES ast.asset_return(oid);


--
-- Name: direct_in_line fk_direct_in_oid_direct_in_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_in_line
    ADD CONSTRAINT fk_direct_in_oid_direct_in_line FOREIGN KEY (direct_in_oid) REFERENCES ast.direct_in(oid);


--
-- Name: direct_out_line fk_direct_out_oid_direct_out_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_out_line
    ADD CONSTRAINT fk_direct_out_oid_direct_out_line FOREIGN KEY (direct_out_oid) REFERENCES ast.direct_out(oid);


--
-- Name: disposal_detail fk_expert_decision_oid_disposal_detail; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.disposal_detail
    ADD CONSTRAINT fk_expert_decision_oid_disposal_detail FOREIGN KEY (expert_decision_oid) REFERENCES ast.expert_decision(oid);


--
-- Name: maitenance_detail fk_expert_decision_oid_maitenance_detail; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.maitenance_detail
    ADD CONSTRAINT fk_expert_decision_oid_maitenance_detail FOREIGN KEY (expert_decision_oid) REFERENCES ast.expert_decision(oid);


--
-- Name: purchase_requisition_detail fk_purchase_requisition_oid_purchase_requisition_detail; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.purchase_requisition_detail
    ADD CONSTRAINT fk_purchase_requisition_oid_purchase_requisition_detail FOREIGN KEY (purchase_requisition_oid) REFERENCES ast.purchase_requisition(oid);


--
-- Name: direct_in fk_purpose_oid_direct_in; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_in
    ADD CONSTRAINT fk_purpose_oid_direct_in FOREIGN KEY (purpose_oid) REFERENCES ast.requisition_type(oid);


--
-- Name: direct_in_line fk_purpose_oid_direct_in_line; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_in_line
    ADD CONSTRAINT fk_purpose_oid_direct_in_line FOREIGN KEY (purpose_oid) REFERENCES ast.requisition_type(oid);


--
-- Name: direct_out fk_purpose_oid_direct_out; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.direct_out
    ADD CONSTRAINT fk_purpose_oid_direct_out FOREIGN KEY (purpose_oid) REFERENCES ast.requisition_type(oid);


--
-- Name: purchase_requisition fk_purpose_oid_purchase_requisition; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.purchase_requisition
    ADD CONSTRAINT fk_purpose_oid_purchase_requisition FOREIGN KEY (purpose_oid) REFERENCES ast.requisition_type(oid);


--
-- Name: item_requisition_detail fk_requisition_oid_item_requisition_detail; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.item_requisition_detail
    ADD CONSTRAINT fk_requisition_oid_item_requisition_detail FOREIGN KEY (requisition_oid) REFERENCES ast.item_requisition(oid);


--
-- Name: purchase_requisition_detail fk_requisition_oid_purchase_requisition_detail; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.purchase_requisition_detail
    ADD CONSTRAINT fk_requisition_oid_purchase_requisition_detail FOREIGN KEY (requisition_oid) REFERENCES ast.item_requisition(oid);


--
-- Name: item_requisition fk_requisition_purpose_oid_item_requisition; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.item_requisition
    ADD CONSTRAINT fk_requisition_purpose_oid_item_requisition FOREIGN KEY (requisition_purpose_oid) REFERENCES ast.requisition_purpose(oid);


--
-- Name: item_requisition fk_requisition_type_oid_item_requisition; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.item_requisition
    ADD CONSTRAINT fk_requisition_type_oid_item_requisition FOREIGN KEY (requisition_type_oid) REFERENCES ast.requisition_type(oid);


--
-- Name: asset_information fk_temporary_item_oid_asset_information; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.asset_information
    ADD CONSTRAINT fk_temporary_item_oid_asset_information FOREIGN KEY (temporary_item_oid) REFERENCES ast.temporary_item(oid);


--
-- Name: temporary_item_detail fk_temporary_item_oid_temporary_item_detail; Type: FK CONSTRAINT; Schema: ast; Owner: uatcommongrp1
--

ALTER TABLE ONLY ast.temporary_item_detail
    ADD CONSTRAINT fk_temporary_item_oid_temporary_item_detail FOREIGN KEY (temporary_item_oid) REFERENCES ast.temporary_item(oid);


--
-- Name: SCHEMA ast; Type: ACL; Schema: -; Owner: uatcommongrp1
--

GRANT ALL ON SCHEMA ast TO ast;
GRANT USAGE ON SCHEMA ast TO prc;
GRANT USAGE ON SCHEMA ast TO meeting;
GRANT USAGE ON SCHEMA ast TO cmn;
GRANT USAGE ON SCHEMA ast TO inv;
GRANT USAGE ON SCHEMA ast TO hrm;
GRANT USAGE ON SCHEMA ast TO aud;
GRANT USAGE ON SCHEMA ast TO bud;
GRANT USAGE ON SCHEMA ast TO acc;
GRANT USAGE ON SCHEMA ast TO sec;


--
-- Name: TABLE asset_allocation; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.asset_allocation TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.asset_allocation TO prc;
GRANT SELECT ON TABLE ast.asset_allocation TO meeting;
GRANT SELECT ON TABLE ast.asset_allocation TO cmn;
GRANT SELECT ON TABLE ast.asset_allocation TO inv;
GRANT SELECT ON TABLE ast.asset_allocation TO hrm;
GRANT SELECT ON TABLE ast.asset_allocation TO aud;
GRANT SELECT ON TABLE ast.asset_allocation TO bud;
GRANT SELECT ON TABLE ast.asset_allocation TO acc;
GRANT SELECT ON TABLE ast.asset_allocation TO sec;


--
-- Name: TABLE asset_allocation_details; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.asset_allocation_details TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.asset_allocation_details TO prc;
GRANT SELECT ON TABLE ast.asset_allocation_details TO meeting;
GRANT SELECT ON TABLE ast.asset_allocation_details TO cmn;
GRANT SELECT ON TABLE ast.asset_allocation_details TO inv;
GRANT SELECT ON TABLE ast.asset_allocation_details TO hrm;
GRANT SELECT ON TABLE ast.asset_allocation_details TO aud;
GRANT SELECT ON TABLE ast.asset_allocation_details TO bud;
GRANT SELECT ON TABLE ast.asset_allocation_details TO acc;
GRANT SELECT ON TABLE ast.asset_allocation_details TO sec;


--
-- Name: TABLE asset_information; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.asset_information TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.asset_information TO prc;
GRANT SELECT ON TABLE ast.asset_information TO meeting;
GRANT SELECT ON TABLE ast.asset_information TO cmn;
GRANT SELECT ON TABLE ast.asset_information TO inv;
GRANT SELECT ON TABLE ast.asset_information TO hrm;
GRANT SELECT ON TABLE ast.asset_information TO aud;
GRANT SELECT ON TABLE ast.asset_information TO bud;
GRANT SELECT ON TABLE ast.asset_information TO acc;
GRANT SELECT ON TABLE ast.asset_information TO sec;


--
-- Name: TABLE asset_information_details; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.asset_information_details TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.asset_information_details TO prc;
GRANT SELECT ON TABLE ast.asset_information_details TO meeting;
GRANT SELECT ON TABLE ast.asset_information_details TO cmn;
GRANT SELECT ON TABLE ast.asset_information_details TO inv;
GRANT SELECT ON TABLE ast.asset_information_details TO hrm;
GRANT SELECT ON TABLE ast.asset_information_details TO aud;
GRANT SELECT ON TABLE ast.asset_information_details TO bud;
GRANT SELECT ON TABLE ast.asset_information_details TO acc;
GRANT SELECT ON TABLE ast.asset_information_details TO sec;


--
-- Name: TABLE asset_return; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.asset_return TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.asset_return TO prc;
GRANT SELECT ON TABLE ast.asset_return TO meeting;
GRANT SELECT ON TABLE ast.asset_return TO cmn;
GRANT SELECT ON TABLE ast.asset_return TO inv;
GRANT SELECT ON TABLE ast.asset_return TO hrm;
GRANT SELECT ON TABLE ast.asset_return TO aud;
GRANT SELECT ON TABLE ast.asset_return TO bud;
GRANT SELECT ON TABLE ast.asset_return TO acc;
GRANT SELECT ON TABLE ast.asset_return TO sec;


--
-- Name: TABLE asset_return_line; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.asset_return_line TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.asset_return_line TO prc;
GRANT SELECT ON TABLE ast.asset_return_line TO meeting;
GRANT SELECT ON TABLE ast.asset_return_line TO cmn;
GRANT SELECT ON TABLE ast.asset_return_line TO inv;
GRANT SELECT ON TABLE ast.asset_return_line TO hrm;
GRANT SELECT ON TABLE ast.asset_return_line TO aud;
GRANT SELECT ON TABLE ast.asset_return_line TO bud;
GRANT SELECT ON TABLE ast.asset_return_line TO acc;
GRANT SELECT ON TABLE ast.asset_return_line TO sec;


--
-- Name: TABLE ast_role; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.ast_role TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.ast_role TO prc;
GRANT SELECT ON TABLE ast.ast_role TO meeting;
GRANT SELECT ON TABLE ast.ast_role TO cmn;
GRANT SELECT ON TABLE ast.ast_role TO inv;
GRANT SELECT ON TABLE ast.ast_role TO hrm;
GRANT SELECT ON TABLE ast.ast_role TO aud;
GRANT SELECT ON TABLE ast.ast_role TO bud;
GRANT SELECT ON TABLE ast.ast_role TO acc;
GRANT SELECT ON TABLE ast.ast_role TO sec;


--
-- Name: TABLE ast_user_role; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.ast_user_role TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.ast_user_role TO prc;
GRANT SELECT ON TABLE ast.ast_user_role TO meeting;
GRANT SELECT ON TABLE ast.ast_user_role TO cmn;
GRANT SELECT ON TABLE ast.ast_user_role TO inv;
GRANT SELECT ON TABLE ast.ast_user_role TO hrm;
GRANT SELECT ON TABLE ast.ast_user_role TO aud;
GRANT SELECT ON TABLE ast.ast_user_role TO bud;
GRANT SELECT ON TABLE ast.ast_user_role TO acc;
GRANT SELECT ON TABLE ast.ast_user_role TO sec;


--
-- Name: TABLE direct_in; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.direct_in TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.direct_in TO prc;
GRANT SELECT ON TABLE ast.direct_in TO meeting;
GRANT SELECT ON TABLE ast.direct_in TO cmn;
GRANT SELECT ON TABLE ast.direct_in TO inv;
GRANT SELECT ON TABLE ast.direct_in TO hrm;
GRANT SELECT ON TABLE ast.direct_in TO aud;
GRANT SELECT ON TABLE ast.direct_in TO bud;
GRANT SELECT ON TABLE ast.direct_in TO acc;
GRANT SELECT ON TABLE ast.direct_in TO sec;


--
-- Name: TABLE direct_in_line; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.direct_in_line TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.direct_in_line TO prc;
GRANT SELECT ON TABLE ast.direct_in_line TO meeting;
GRANT SELECT ON TABLE ast.direct_in_line TO cmn;
GRANT SELECT ON TABLE ast.direct_in_line TO inv;
GRANT SELECT ON TABLE ast.direct_in_line TO hrm;
GRANT SELECT ON TABLE ast.direct_in_line TO aud;
GRANT SELECT ON TABLE ast.direct_in_line TO bud;
GRANT SELECT ON TABLE ast.direct_in_line TO acc;
GRANT SELECT ON TABLE ast.direct_in_line TO sec;


--
-- Name: TABLE direct_out; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.direct_out TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.direct_out TO prc;
GRANT SELECT ON TABLE ast.direct_out TO meeting;
GRANT SELECT ON TABLE ast.direct_out TO cmn;
GRANT SELECT ON TABLE ast.direct_out TO inv;
GRANT SELECT ON TABLE ast.direct_out TO hrm;
GRANT SELECT ON TABLE ast.direct_out TO aud;
GRANT SELECT ON TABLE ast.direct_out TO bud;
GRANT SELECT ON TABLE ast.direct_out TO acc;
GRANT SELECT ON TABLE ast.direct_out TO sec;


--
-- Name: TABLE direct_out_line; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.direct_out_line TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.direct_out_line TO prc;
GRANT SELECT ON TABLE ast.direct_out_line TO meeting;
GRANT SELECT ON TABLE ast.direct_out_line TO cmn;
GRANT SELECT ON TABLE ast.direct_out_line TO inv;
GRANT SELECT ON TABLE ast.direct_out_line TO hrm;
GRANT SELECT ON TABLE ast.direct_out_line TO aud;
GRANT SELECT ON TABLE ast.direct_out_line TO bud;
GRANT SELECT ON TABLE ast.direct_out_line TO acc;
GRANT SELECT ON TABLE ast.direct_out_line TO sec;


--
-- Name: TABLE disposal_detail; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.disposal_detail TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.disposal_detail TO prc;
GRANT SELECT ON TABLE ast.disposal_detail TO meeting;
GRANT SELECT ON TABLE ast.disposal_detail TO cmn;
GRANT SELECT ON TABLE ast.disposal_detail TO inv;
GRANT SELECT ON TABLE ast.disposal_detail TO hrm;
GRANT SELECT ON TABLE ast.disposal_detail TO aud;
GRANT SELECT ON TABLE ast.disposal_detail TO bud;
GRANT SELECT ON TABLE ast.disposal_detail TO acc;
GRANT SELECT ON TABLE ast.disposal_detail TO sec;


--
-- Name: TABLE expert_decision; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.expert_decision TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.expert_decision TO prc;
GRANT SELECT ON TABLE ast.expert_decision TO meeting;
GRANT SELECT ON TABLE ast.expert_decision TO cmn;
GRANT SELECT ON TABLE ast.expert_decision TO inv;
GRANT SELECT ON TABLE ast.expert_decision TO hrm;
GRANT SELECT ON TABLE ast.expert_decision TO aud;
GRANT SELECT ON TABLE ast.expert_decision TO bud;
GRANT SELECT ON TABLE ast.expert_decision TO acc;
GRANT SELECT ON TABLE ast.expert_decision TO sec;


--
-- Name: TABLE item_requisition; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.item_requisition TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.item_requisition TO prc;
GRANT SELECT ON TABLE ast.item_requisition TO meeting;
GRANT SELECT ON TABLE ast.item_requisition TO cmn;
GRANT SELECT ON TABLE ast.item_requisition TO inv;
GRANT SELECT ON TABLE ast.item_requisition TO hrm;
GRANT SELECT ON TABLE ast.item_requisition TO aud;
GRANT SELECT ON TABLE ast.item_requisition TO bud;
GRANT SELECT ON TABLE ast.item_requisition TO acc;
GRANT SELECT ON TABLE ast.item_requisition TO sec;


--
-- Name: TABLE item_requisition_detail; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.item_requisition_detail TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.item_requisition_detail TO prc;
GRANT SELECT ON TABLE ast.item_requisition_detail TO meeting;
GRANT SELECT ON TABLE ast.item_requisition_detail TO cmn;
GRANT SELECT ON TABLE ast.item_requisition_detail TO inv;
GRANT SELECT ON TABLE ast.item_requisition_detail TO hrm;
GRANT SELECT ON TABLE ast.item_requisition_detail TO aud;
GRANT SELECT ON TABLE ast.item_requisition_detail TO bud;
GRANT SELECT ON TABLE ast.item_requisition_detail TO acc;
GRANT SELECT ON TABLE ast.item_requisition_detail TO sec;


--
-- Name: TABLE maitenance_detail; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.maitenance_detail TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.maitenance_detail TO prc;
GRANT SELECT ON TABLE ast.maitenance_detail TO meeting;
GRANT SELECT ON TABLE ast.maitenance_detail TO cmn;
GRANT SELECT ON TABLE ast.maitenance_detail TO inv;
GRANT SELECT ON TABLE ast.maitenance_detail TO hrm;
GRANT SELECT ON TABLE ast.maitenance_detail TO aud;
GRANT SELECT ON TABLE ast.maitenance_detail TO bud;
GRANT SELECT ON TABLE ast.maitenance_detail TO acc;
GRANT SELECT ON TABLE ast.maitenance_detail TO sec;


--
-- Name: TABLE purchase_requisition; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.purchase_requisition TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.purchase_requisition TO prc;
GRANT SELECT ON TABLE ast.purchase_requisition TO meeting;
GRANT SELECT ON TABLE ast.purchase_requisition TO cmn;
GRANT SELECT ON TABLE ast.purchase_requisition TO inv;
GRANT SELECT ON TABLE ast.purchase_requisition TO hrm;
GRANT SELECT ON TABLE ast.purchase_requisition TO aud;
GRANT SELECT ON TABLE ast.purchase_requisition TO bud;
GRANT SELECT ON TABLE ast.purchase_requisition TO acc;
GRANT SELECT ON TABLE ast.purchase_requisition TO sec;


--
-- Name: TABLE purchase_requisition_detail; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.purchase_requisition_detail TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.purchase_requisition_detail TO prc;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO meeting;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO cmn;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO inv;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO hrm;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO aud;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO bud;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO acc;
GRANT SELECT ON TABLE ast.purchase_requisition_detail TO sec;


--
-- Name: TABLE requisition_purpose; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.requisition_purpose TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.requisition_purpose TO prc;
GRANT SELECT ON TABLE ast.requisition_purpose TO meeting;
GRANT SELECT ON TABLE ast.requisition_purpose TO cmn;
GRANT SELECT ON TABLE ast.requisition_purpose TO inv;
GRANT SELECT ON TABLE ast.requisition_purpose TO hrm;
GRANT SELECT ON TABLE ast.requisition_purpose TO aud;
GRANT SELECT ON TABLE ast.requisition_purpose TO bud;
GRANT SELECT ON TABLE ast.requisition_purpose TO acc;
GRANT SELECT ON TABLE ast.requisition_purpose TO sec;


--
-- Name: TABLE requisition_type; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.requisition_type TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.requisition_type TO prc;
GRANT SELECT ON TABLE ast.requisition_type TO meeting;
GRANT SELECT ON TABLE ast.requisition_type TO cmn;
GRANT SELECT ON TABLE ast.requisition_type TO inv;
GRANT SELECT ON TABLE ast.requisition_type TO hrm;
GRANT SELECT ON TABLE ast.requisition_type TO aud;
GRANT SELECT ON TABLE ast.requisition_type TO bud;
GRANT SELECT ON TABLE ast.requisition_type TO acc;
GRANT SELECT ON TABLE ast.requisition_type TO sec;


--
-- Name: TABLE temporary_item; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.temporary_item TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.temporary_item TO prc;
GRANT SELECT ON TABLE ast.temporary_item TO meeting;
GRANT SELECT ON TABLE ast.temporary_item TO cmn;
GRANT SELECT ON TABLE ast.temporary_item TO inv;
GRANT SELECT ON TABLE ast.temporary_item TO hrm;
GRANT SELECT ON TABLE ast.temporary_item TO aud;
GRANT SELECT ON TABLE ast.temporary_item TO bud;
GRANT SELECT ON TABLE ast.temporary_item TO acc;
GRANT SELECT ON TABLE ast.temporary_item TO sec;


--
-- Name: TABLE temporary_item_detail; Type: ACL; Schema: ast; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ast.temporary_item_detail TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE ast.temporary_item_detail TO prc;
GRANT SELECT ON TABLE ast.temporary_item_detail TO meeting;
GRANT SELECT ON TABLE ast.temporary_item_detail TO cmn;
GRANT SELECT ON TABLE ast.temporary_item_detail TO inv;
GRANT SELECT ON TABLE ast.temporary_item_detail TO hrm;
GRANT SELECT ON TABLE ast.temporary_item_detail TO aud;
GRANT SELECT ON TABLE ast.temporary_item_detail TO bud;
GRANT SELECT ON TABLE ast.temporary_item_detail TO acc;
GRANT SELECT ON TABLE ast.temporary_item_detail TO sec;


--
-- PostgreSQL database dump complete
--

