--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 11.8
-- Dumped by pg_dump version 11.21

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE uatcommongrp1;
--
-- Name: uatcommongrp1; Type: DATABASE; Schema: -; Owner: uatcommongrp1
--

CREATE DATABASE uatcommongrp1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


ALTER DATABASE uatcommongrp1 OWNER TO uatcommongrp1;

\connect uatcommongrp1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: prc; Type: SCHEMA; Schema: -; Owner: uatcommongrp1
--

CREATE SCHEMA prc;


ALTER SCHEMA prc OWNER TO uatcommongrp1;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: annual_procurement_plan; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.annual_procurement_plan (
    oid character varying(128) NOT NULL,
    app_code character varying(128),
    status character varying(128),
    app_path character varying(128),
    goods_app_path character varying(128),
    work_app_path character varying(128),
    service_app_path character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    fiscal_year_oid character varying(128) NOT NULL,
    app_for character varying(128) NOT NULL,
    budget_type_oid character varying(128),
    office_oid character varying(128) NOT NULL,
    declaration_oid character varying(128),
    CONSTRAINT ck_status_annual_procurement_plan CHECK ((((status)::text = 'Draft'::text) OR ((status)::text = 'Final'::text) OR ((status)::text = 'Not Approved'::text) OR ((status)::text = 'Approved'::text)))
);


ALTER TABLE prc.annual_procurement_plan OWNER TO uatcommongrp1;

--
-- Name: app_package; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.app_package (
    oid character varying(128) NOT NULL,
    package_no character varying(128),
    package_description character varying(512),
    noa_path character varying(256),
    contract_path character varying(256),
    remarks text,
    package_unit character varying(128),
    package_quantity character varying(128),
    source_of_fund character varying(256) DEFAULT 'GOB'::character varying,
    estimate_cost numeric(20,2) DEFAULT 0,
    tender_advertise_date date,
    tender_submission_date date,
    tender_opening_date date,
    tender_evaluation_date date,
    approval_to_award_date date,
    notification_of_award_date date,
    signing_of_contract_date date,
    contract_completion_date date,
    actual_tender_advertise_date date,
    actual_tender_submission_date date,
    actual_tender_opening_date date,
    actual_tender_evaluation_date date,
    actual_approval_to_award_date date,
    actual_notification_of_award_date date,
    actual_signing_of_contract_date date,
    actual_contract_completion_date date,
    contract_signing_day numeric(20,0) DEFAULT 0,
    actual_contract_signing_day numeric(20,0) DEFAULT 0,
    status character varying(128),
    remarks_by_hope character varying(512),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    economic_code_oid character varying(128),
    economic_code_description_oid character varying(512),
    package_type_oid character varying(128),
    procurement_nature_oid character varying(128),
    procurement_method_oid character varying(128),
    procurement_type_oid character varying(128),
    contract_approving_authority_oid character varying(128),
    item_category_oid character varying(256),
    annual_procurement_plan_oid character varying(128),
    CONSTRAINT ck_status_app_package CHECK ((((status)::text = 'Draft'::text) OR ((status)::text = 'Ready for Approval'::text) OR ((status)::text = 'Returned'::text) OR ((status)::text = 'Approved'::text) OR ((status)::text = 'Sent to eGP'::text) OR ((status)::text = 'Has Noa'::text) OR ((status)::text = 'Has Contract'::text) OR ((status)::text = 'Product Received'::text)))
);


ALTER TABLE prc.app_package OWNER TO uatcommongrp1;

--
-- Name: approving_authority; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.approving_authority (
    oid character varying(128) NOT NULL,
    code character varying(256),
    name_en character varying(256),
    name_bn character varying(256)
);


ALTER TABLE prc.approving_authority OWNER TO uatcommongrp1;

--
-- Name: budget_type; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.budget_type (
    oid character varying(128) NOT NULL,
    code character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    description text,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_name_en_budget_type CHECK ((((name_en)::text = 'Development'::text) OR ((name_en)::text = 'Revenue'::text) OR ((name_en)::text = 'Own Fund'::text)))
);


ALTER TABLE prc.budget_type OWNER TO uatcommongrp1;

--
-- Name: component_url_notification; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.component_url_notification (
    oid character varying(128) NOT NULL,
    component character varying(256),
    url character varying(256),
    notification_en character varying(256),
    notification_bn character varying(256),
    role character varying(256),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE prc.component_url_notification OWNER TO uatcommongrp1;

--
-- Name: consolidate_requisition; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.consolidate_requisition (
    oid character varying(128) NOT NULL,
    status character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128) NOT NULL,
    fiscal_year_oid character varying(128) NOT NULL,
    requisition_for character varying(128) NOT NULL,
    requisition_declaration_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_consolidate_requisition CHECK ((((status)::text = 'Draft'::text) OR ((status)::text = 'Consolidated'::text) OR ((status)::text = 'Ready For Consolidate'::text)))
);


ALTER TABLE prc.consolidate_requisition OWNER TO uatcommongrp1;

--
-- Name: consolidate_requisition_detail; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.consolidate_requisition_detail (
    oid character varying(128) NOT NULL,
    required_quantity numeric(20,0) DEFAULT 0,
    entitlement_quantity numeric(20,0) DEFAULT 0,
    total_quantity numeric(20,0) DEFAULT 0,
    approved_quantity numeric(20,0) DEFAULT 0,
    remarks text,
    unit character varying(128),
    item_category_oid character varying(128) NOT NULL,
    item_group_oid character varying(128) NOT NULL,
    consolidate_requisition_oid character varying(128) NOT NULL
);


ALTER TABLE prc.consolidate_requisition_detail OWNER TO uatcommongrp1;

--
-- Name: economic_code; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.economic_code (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    description_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE prc.economic_code OWNER TO uatcommongrp1;

--
-- Name: economic_code_description; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.economic_code_description (
    oid character varying(128) NOT NULL,
    name_en text,
    name_bn text,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE prc.economic_code_description OWNER TO uatcommongrp1;

--
-- Name: fiscal_year; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.fiscal_year (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(128) NOT NULL,
    status character varying(128) NOT NULL,
    start_date date NOT NULL,
    end_date date NOT NULL,
    CONSTRAINT ck_status_fiscal_year CHECK ((((status)::text = 'Previous'::text) OR ((status)::text = 'Current'::text) OR ((status)::text = 'Next'::text) OR ((status)::text = 'Upcoming'::text)))
);


ALTER TABLE prc.fiscal_year OWNER TO uatcommongrp1;

--
-- Name: notification_of_award; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.notification_of_award (
    oid character varying(128) NOT NULL,
    tender_code character varying(128) NOT NULL,
    package_no character varying(256) NOT NULL,
    file_path character varying(256) NOT NULL,
    status character varying(256),
    reference_description character varying(128),
    consultant_name character varying(256),
    consultant_address character varying(512),
    date_of_publication date,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128) NOT NULL,
    vendor_oid character varying(128) NOT NULL
);


ALTER TABLE prc.notification_of_award OWNER TO uatcommongrp1;

--
-- Name: package_type; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.package_type (
    oid character varying(128) NOT NULL,
    code character varying(256),
    name_en character varying(256),
    name_bn character varying(256),
    description text
);


ALTER TABLE prc.package_type OWNER TO uatcommongrp1;

--
-- Name: procurement_contract; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.procurement_contract (
    oid character varying(128) NOT NULL,
    contract_no character varying(128) NOT NULL,
    app_package_no character varying(128),
    contract_signing_date date,
    description character varying(128),
    contract_path character varying(128) NOT NULL,
    status character varying(128),
    created_by character varying(128) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    vendor_oid character varying(128) NOT NULL,
    office_oid character varying(128) NOT NULL
);


ALTER TABLE prc.procurement_contract OWNER TO uatcommongrp1;

--
-- Name: procurement_method; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.procurement_method (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    description text,
    CONSTRAINT ck_name_en_procurement_method CHECK ((((name_en)::text = 'OTM'::text) OR ((name_en)::text = 'LTM'::text) OR ((name_en)::text = 'QCBS'::text) OR ((name_en)::text = 'RFQ'::text) OR ((name_en)::text = 'OSTETM'::text) OR ((name_en)::text = 'DPM'::text) OR ((name_en)::text = 'TSTM'::text) OR ((name_en)::text = 'RFP'::text) OR ((name_en)::text = 'SBCQ'::text) OR ((name_en)::text = 'SSS'::text)))
);


ALTER TABLE prc.procurement_method OWNER TO uatcommongrp1;

--
-- Name: procurement_nature; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.procurement_nature (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    description text,
    CONSTRAINT ck_name_en_procurement_nature CHECK ((((name_en)::text = 'Goods'::text) OR ((name_en)::text = 'Works'::text) OR ((name_en)::text = 'Services'::text)))
);


ALTER TABLE prc.procurement_nature OWNER TO uatcommongrp1;

--
-- Name: procurement_project; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.procurement_project (
    oid character varying(128) NOT NULL,
    project_code character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    description character varying(256),
    start_date date NOT NULL,
    end_date date NOT NULL,
    commitment_amount numeric(20,6) DEFAULT 0 NOT NULL,
    status character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    approval_date date NOT NULL,
    CONSTRAINT ck_status_procurement_project CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Closed'::text)))
);


ALTER TABLE prc.procurement_project OWNER TO uatcommongrp1;

--
-- Name: procurement_type; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.procurement_type (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    description text,
    CONSTRAINT ck_name_en_procurement_type CHECK ((((name_en)::text = 'NCT'::text) OR ((name_en)::text = 'ICT'::text)))
);


ALTER TABLE prc.procurement_type OWNER TO uatcommongrp1;

--
-- Name: requisition_declaration; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.requisition_declaration (
    oid character varying(128) NOT NULL,
    start_date date,
    end_date date,
    status character varying(32) NOT NULL,
    description text,
    is_extended character varying(32),
    declared_by character varying(128) DEFAULT 'System'::character varying,
    office_oid character varying(128) NOT NULL,
    fiscal_year_oid character varying(128) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_is_extended_requisition_declaration CHECK ((((is_extended)::text = 'Yes'::text) OR ((is_extended)::text = 'No'::text))),
    CONSTRAINT ck_status_requisition_declaration CHECK ((((status)::text = 'Draft'::text) OR ((status)::text = 'Published'::text) OR ((status)::text = 'Closed'::text) OR ((status)::text = 'Consolidating'::text) OR ((status)::text = 'Consolidated'::text)))
);


ALTER TABLE prc.requisition_declaration OWNER TO uatcommongrp1;

--
-- Name: requisition_detail; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.requisition_detail (
    oid character varying(128) NOT NULL,
    quantity numeric(20,0) DEFAULT 0,
    remarks text,
    unit character varying(128),
    file_oid character varying(128),
    item_oid character varying(128) NOT NULL,
    item_group_oid character varying(128) NOT NULL,
    item_category_oid character varying(128) NOT NULL,
    requisition_oid character varying(128) NOT NULL
);


ALTER TABLE prc.requisition_detail OWNER TO uatcommongrp1;

--
-- Name: requisition_information; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.requisition_information (
    oid character varying(128) NOT NULL,
    requisition_date date,
    remarks text,
    status character varying(128) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    requisition_declaration_oid character varying(128) NOT NULL,
    office_oid character varying(128) NOT NULL,
    requisition_for character varying(128) NOT NULL,
    CONSTRAINT ck_status_requisition_information CHECK ((((status)::text = 'Draft'::text) OR ((status)::text = 'Final'::text)))
);


ALTER TABLE prc.requisition_information OWNER TO uatcommongrp1;

--
-- Name: spot_purchase_detail; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.spot_purchase_detail (
    oid character varying(128) NOT NULL,
    quantity numeric(20,2) DEFAULT 0,
    unit_rate numeric(20,2) DEFAULT 0,
    remarks text,
    status character varying(128),
    receive_date date,
    discount_amount numeric(20,2) DEFAULT 0,
    gross_amount numeric(20,2) DEFAULT 0 NOT NULL,
    total_amount numeric(20,2) DEFAULT 0 NOT NULL,
    unit character varying(128),
    item_oid character varying(128),
    item_group_oid character varying(128),
    item_category_oid character varying(128),
    package_oid character varying(128),
    economic_code_oid character varying(128),
    spot_purchase_oid character varying(128),
    CONSTRAINT ck_status_spot_purchase_detail CHECK ((((status)::text = 'Item Received'::text) OR ((status)::text = 'On Process'::text) OR ((status)::text = 'Item Not Received'::text)))
);


ALTER TABLE prc.spot_purchase_detail OWNER TO uatcommongrp1;

--
-- Name: spot_purchase_info; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.spot_purchase_info (
    oid character varying(128) NOT NULL,
    spot_purchase_code character varying(128),
    invoice_reference_no character varying(128),
    purchase_date date,
    remarks text,
    description text,
    status character varying(128),
    file_path character varying(128),
    has_attachment character varying(128) DEFAULT 'No'::character varying,
    overall_discount_amount numeric(20,2) DEFAULT 0,
    others_cost numeric(20,2) DEFAULT 0,
    gross_total_amount numeric(20,2) DEFAULT 0,
    grand_total_amount numeric(20,2) DEFAULT 0,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    purchased_by character varying(128),
    fiscal_year_oid character varying(128),
    office_oid character varying(128),
    app_oid character varying(128),
    spot_purchase_for character varying(128),
    vendor_oid character varying(128),
    CONSTRAINT ck_has_attachment_spot_purchase_info CHECK ((((has_attachment)::text = 'Yes'::text) OR ((has_attachment)::text = 'No'::text))),
    CONSTRAINT ck_status_spot_purchase_info CHECK ((((status)::text = 'Draft'::text) OR ((status)::text = 'Final-Without Attachment'::text) OR ((status)::text = 'Final-With Attachment'::text)))
);


ALTER TABLE prc.spot_purchase_info OWNER TO uatcommongrp1;

--
-- Name: vendor; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.vendor (
    oid character varying(128) NOT NULL,
    code character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    contact_address character varying(512) NOT NULL,
    contact_no character varying(256) NOT NULL,
    email character varying(256) NOT NULL,
    billing_address character varying(256) NOT NULL,
    description text,
    status character varying(32) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_status_vendor CHECK ((((status)::text = 'Available'::text) OR ((status)::text = 'Not available'::text)))
);


ALTER TABLE prc.vendor OWNER TO uatcommongrp1;

--
-- Name: work_order_detail; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.work_order_detail (
    oid character varying(128) NOT NULL,
    quantity numeric(20,0) DEFAULT 0,
    previous_received_quantity numeric(20,0) DEFAULT 0,
    remarks text,
    status character varying(128),
    delivery_date date,
    unit character varying(128),
    unit_rate numeric(20,2) DEFAULT 0,
    total_amount numeric(20,2) DEFAULT 0,
    item_oid character varying(128),
    item_group_oid character varying(128),
    package_oid character varying(128),
    economic_code_oid character varying(128),
    item_category_oid character varying(128),
    work_order_oid character varying(128),
    CONSTRAINT ck_status_work_order_detail CHECK ((((status)::text = 'Delivered'::text) OR ((status)::text = 'On Process'::text) OR ((status)::text = 'Not Delivered'::text)))
);


ALTER TABLE prc.work_order_detail OWNER TO uatcommongrp1;

--
-- Name: work_order_info; Type: TABLE; Schema: prc; Owner: uatcommongrp1
--

CREATE TABLE prc.work_order_info (
    oid character varying(128) NOT NULL,
    work_order_code character varying(128),
    for_module character varying(256),
    order_issue_date date,
    expected_delivery_date date,
    remarks text,
    status character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    amount numeric(20,2) DEFAULT 0,
    terms_and_conditions_oid character varying(128),
    fiscal_year_oid character varying(128),
    office_oid character varying(128),
    app_oid character varying(128),
    work_order_for character varying(128),
    vendor_oid character varying(128),
    CONSTRAINT ck_status_work_order_info CHECK ((((status)::text = 'Draft'::text) OR ((status)::text = 'Final'::text) OR ((status)::text = 'Partially received'::text) OR ((status)::text = 'Fully received'::text)))
);


ALTER TABLE prc.work_order_info OWNER TO uatcommongrp1;

--
-- Data for Name: annual_procurement_plan; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.annual_procurement_plan (oid, app_code, status, app_path, goods_app_path, work_app_path, service_app_path, created_by, created_on, updated_by, updated_on, fiscal_year_oid, app_for, budget_type_oid, office_oid, declaration_oid) FROM stdin;
\.
COPY prc.annual_procurement_plan (oid, app_code, status, app_path, goods_app_path, work_app_path, service_app_path, created_by, created_on, updated_by, updated_on, fiscal_year_oid, app_for, budget_type_oid, office_oid, declaration_oid) FROM '$$PATH$$/5427.dat';

--
-- Data for Name: app_package; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.app_package (oid, package_no, package_description, noa_path, contract_path, remarks, package_unit, package_quantity, source_of_fund, estimate_cost, tender_advertise_date, tender_submission_date, tender_opening_date, tender_evaluation_date, approval_to_award_date, notification_of_award_date, signing_of_contract_date, contract_completion_date, actual_tender_advertise_date, actual_tender_submission_date, actual_tender_opening_date, actual_tender_evaluation_date, actual_approval_to_award_date, actual_notification_of_award_date, actual_signing_of_contract_date, actual_contract_completion_date, contract_signing_day, actual_contract_signing_day, status, remarks_by_hope, created_by, created_on, updated_by, updated_on, economic_code_oid, economic_code_description_oid, package_type_oid, procurement_nature_oid, procurement_method_oid, procurement_type_oid, contract_approving_authority_oid, item_category_oid, annual_procurement_plan_oid) FROM stdin;
\.
COPY prc.app_package (oid, package_no, package_description, noa_path, contract_path, remarks, package_unit, package_quantity, source_of_fund, estimate_cost, tender_advertise_date, tender_submission_date, tender_opening_date, tender_evaluation_date, approval_to_award_date, notification_of_award_date, signing_of_contract_date, contract_completion_date, actual_tender_advertise_date, actual_tender_submission_date, actual_tender_opening_date, actual_tender_evaluation_date, actual_approval_to_award_date, actual_notification_of_award_date, actual_signing_of_contract_date, actual_contract_completion_date, contract_signing_day, actual_contract_signing_day, status, remarks_by_hope, created_by, created_on, updated_by, updated_on, economic_code_oid, economic_code_description_oid, package_type_oid, procurement_nature_oid, procurement_method_oid, procurement_type_oid, contract_approving_authority_oid, item_category_oid, annual_procurement_plan_oid) FROM '$$PATH$$/5428.dat';

--
-- Data for Name: approving_authority; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.approving_authority (oid, code, name_en, name_bn) FROM stdin;
\.
COPY prc.approving_authority (oid, code, name_en, name_bn) FROM '$$PATH$$/5429.dat';

--
-- Data for Name: budget_type; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.budget_type (oid, code, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY prc.budget_type (oid, code, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5430.dat';

--
-- Data for Name: component_url_notification; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.component_url_notification (oid, component, url, notification_en, notification_bn, role, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY prc.component_url_notification (oid, component, url, notification_en, notification_bn, role, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5431.dat';

--
-- Data for Name: consolidate_requisition; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.consolidate_requisition (oid, status, created_by, created_on, updated_by, updated_on, office_oid, fiscal_year_oid, requisition_for, requisition_declaration_oid) FROM stdin;
\.
COPY prc.consolidate_requisition (oid, status, created_by, created_on, updated_by, updated_on, office_oid, fiscal_year_oid, requisition_for, requisition_declaration_oid) FROM '$$PATH$$/5432.dat';

--
-- Data for Name: consolidate_requisition_detail; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.consolidate_requisition_detail (oid, required_quantity, entitlement_quantity, total_quantity, approved_quantity, remarks, unit, item_category_oid, item_group_oid, consolidate_requisition_oid) FROM stdin;
\.
COPY prc.consolidate_requisition_detail (oid, required_quantity, entitlement_quantity, total_quantity, approved_quantity, remarks, unit, item_category_oid, item_group_oid, consolidate_requisition_oid) FROM '$$PATH$$/5433.dat';

--
-- Data for Name: economic_code; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.economic_code (oid, name_en, name_bn, description_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY prc.economic_code (oid, name_en, name_bn, description_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5434.dat';

--
-- Data for Name: economic_code_description; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.economic_code_description (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY prc.economic_code_description (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5435.dat';

--
-- Data for Name: fiscal_year; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.fiscal_year (oid, name_en, name_bn, status, start_date, end_date) FROM stdin;
\.
COPY prc.fiscal_year (oid, name_en, name_bn, status, start_date, end_date) FROM '$$PATH$$/5436.dat';

--
-- Data for Name: notification_of_award; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.notification_of_award (oid, tender_code, package_no, file_path, status, reference_description, consultant_name, consultant_address, date_of_publication, created_by, created_on, updated_by, updated_on, office_oid, vendor_oid) FROM stdin;
\.
COPY prc.notification_of_award (oid, tender_code, package_no, file_path, status, reference_description, consultant_name, consultant_address, date_of_publication, created_by, created_on, updated_by, updated_on, office_oid, vendor_oid) FROM '$$PATH$$/5437.dat';

--
-- Data for Name: package_type; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.package_type (oid, code, name_en, name_bn, description) FROM stdin;
\.
COPY prc.package_type (oid, code, name_en, name_bn, description) FROM '$$PATH$$/5438.dat';

--
-- Data for Name: procurement_contract; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.procurement_contract (oid, contract_no, app_package_no, contract_signing_date, description, contract_path, status, created_by, created_on, updated_by, updated_on, vendor_oid, office_oid) FROM stdin;
\.
COPY prc.procurement_contract (oid, contract_no, app_package_no, contract_signing_date, description, contract_path, status, created_by, created_on, updated_by, updated_on, vendor_oid, office_oid) FROM '$$PATH$$/5439.dat';

--
-- Data for Name: procurement_method; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.procurement_method (oid, name_en, name_bn, description) FROM stdin;
\.
COPY prc.procurement_method (oid, name_en, name_bn, description) FROM '$$PATH$$/5440.dat';

--
-- Data for Name: procurement_nature; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.procurement_nature (oid, name_en, name_bn, description) FROM stdin;
\.
COPY prc.procurement_nature (oid, name_en, name_bn, description) FROM '$$PATH$$/5441.dat';

--
-- Data for Name: procurement_project; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.procurement_project (oid, project_code, name_en, name_bn, description, start_date, end_date, commitment_amount, status, created_by, created_on, updated_by, updated_on, approval_date) FROM stdin;
\.
COPY prc.procurement_project (oid, project_code, name_en, name_bn, description, start_date, end_date, commitment_amount, status, created_by, created_on, updated_by, updated_on, approval_date) FROM '$$PATH$$/5442.dat';

--
-- Data for Name: procurement_type; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.procurement_type (oid, name_en, name_bn, description) FROM stdin;
\.
COPY prc.procurement_type (oid, name_en, name_bn, description) FROM '$$PATH$$/5443.dat';

--
-- Data for Name: requisition_declaration; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.requisition_declaration (oid, start_date, end_date, status, description, is_extended, declared_by, office_oid, fiscal_year_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY prc.requisition_declaration (oid, start_date, end_date, status, description, is_extended, declared_by, office_oid, fiscal_year_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5444.dat';

--
-- Data for Name: requisition_detail; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.requisition_detail (oid, quantity, remarks, unit, file_oid, item_oid, item_group_oid, item_category_oid, requisition_oid) FROM stdin;
\.
COPY prc.requisition_detail (oid, quantity, remarks, unit, file_oid, item_oid, item_group_oid, item_category_oid, requisition_oid) FROM '$$PATH$$/5445.dat';

--
-- Data for Name: requisition_information; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.requisition_information (oid, requisition_date, remarks, status, created_by, created_on, updated_by, updated_on, requisition_declaration_oid, office_oid, requisition_for) FROM stdin;
\.
COPY prc.requisition_information (oid, requisition_date, remarks, status, created_by, created_on, updated_by, updated_on, requisition_declaration_oid, office_oid, requisition_for) FROM '$$PATH$$/5446.dat';

--
-- Data for Name: spot_purchase_detail; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.spot_purchase_detail (oid, quantity, unit_rate, remarks, status, receive_date, discount_amount, gross_amount, total_amount, unit, item_oid, item_group_oid, item_category_oid, package_oid, economic_code_oid, spot_purchase_oid) FROM stdin;
\.
COPY prc.spot_purchase_detail (oid, quantity, unit_rate, remarks, status, receive_date, discount_amount, gross_amount, total_amount, unit, item_oid, item_group_oid, item_category_oid, package_oid, economic_code_oid, spot_purchase_oid) FROM '$$PATH$$/5447.dat';

--
-- Data for Name: spot_purchase_info; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.spot_purchase_info (oid, spot_purchase_code, invoice_reference_no, purchase_date, remarks, description, status, file_path, has_attachment, overall_discount_amount, others_cost, gross_total_amount, grand_total_amount, created_by, created_on, updated_by, updated_on, purchased_by, fiscal_year_oid, office_oid, app_oid, spot_purchase_for, vendor_oid) FROM stdin;
\.
COPY prc.spot_purchase_info (oid, spot_purchase_code, invoice_reference_no, purchase_date, remarks, description, status, file_path, has_attachment, overall_discount_amount, others_cost, gross_total_amount, grand_total_amount, created_by, created_on, updated_by, updated_on, purchased_by, fiscal_year_oid, office_oid, app_oid, spot_purchase_for, vendor_oid) FROM '$$PATH$$/5448.dat';

--
-- Data for Name: vendor; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.vendor (oid, code, name_en, name_bn, contact_address, contact_no, email, billing_address, description, status, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY prc.vendor (oid, code, name_en, name_bn, contact_address, contact_no, email, billing_address, description, status, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5449.dat';

--
-- Data for Name: work_order_detail; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.work_order_detail (oid, quantity, previous_received_quantity, remarks, status, delivery_date, unit, unit_rate, total_amount, item_oid, item_group_oid, package_oid, economic_code_oid, item_category_oid, work_order_oid) FROM stdin;
\.
COPY prc.work_order_detail (oid, quantity, previous_received_quantity, remarks, status, delivery_date, unit, unit_rate, total_amount, item_oid, item_group_oid, package_oid, economic_code_oid, item_category_oid, work_order_oid) FROM '$$PATH$$/5450.dat';

--
-- Data for Name: work_order_info; Type: TABLE DATA; Schema: prc; Owner: uatcommongrp1
--

COPY prc.work_order_info (oid, work_order_code, for_module, order_issue_date, expected_delivery_date, remarks, status, created_by, created_on, updated_by, updated_on, amount, terms_and_conditions_oid, fiscal_year_oid, office_oid, app_oid, work_order_for, vendor_oid) FROM stdin;
\.
COPY prc.work_order_info (oid, work_order_code, for_module, order_issue_date, expected_delivery_date, remarks, status, created_by, created_on, updated_by, updated_on, amount, terms_and_conditions_oid, fiscal_year_oid, office_oid, app_oid, work_order_for, vendor_oid) FROM '$$PATH$$/5451.dat';

--
-- Name: annual_procurement_plan pk_annual_procurement_plan; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.annual_procurement_plan
    ADD CONSTRAINT pk_annual_procurement_plan PRIMARY KEY (oid);


--
-- Name: app_package pk_app_package; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.app_package
    ADD CONSTRAINT pk_app_package PRIMARY KEY (oid);


--
-- Name: approving_authority pk_approving_authority; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.approving_authority
    ADD CONSTRAINT pk_approving_authority PRIMARY KEY (oid);


--
-- Name: budget_type pk_budget_type; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.budget_type
    ADD CONSTRAINT pk_budget_type PRIMARY KEY (oid);


--
-- Name: component_url_notification pk_component_url_notification; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.component_url_notification
    ADD CONSTRAINT pk_component_url_notification PRIMARY KEY (oid);


--
-- Name: consolidate_requisition pk_consolidate_requisition; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.consolidate_requisition
    ADD CONSTRAINT pk_consolidate_requisition PRIMARY KEY (oid);


--
-- Name: consolidate_requisition_detail pk_consolidate_requisition_detail; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.consolidate_requisition_detail
    ADD CONSTRAINT pk_consolidate_requisition_detail PRIMARY KEY (oid);


--
-- Name: economic_code pk_economic_code; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.economic_code
    ADD CONSTRAINT pk_economic_code PRIMARY KEY (oid);


--
-- Name: economic_code_description pk_economic_code_description; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.economic_code_description
    ADD CONSTRAINT pk_economic_code_description PRIMARY KEY (oid);


--
-- Name: fiscal_year pk_fiscal_year; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.fiscal_year
    ADD CONSTRAINT pk_fiscal_year PRIMARY KEY (oid);


--
-- Name: notification_of_award pk_notification_of_award; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.notification_of_award
    ADD CONSTRAINT pk_notification_of_award PRIMARY KEY (oid);


--
-- Name: package_type pk_package_type; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.package_type
    ADD CONSTRAINT pk_package_type PRIMARY KEY (oid);


--
-- Name: procurement_method pk_procurement_method; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.procurement_method
    ADD CONSTRAINT pk_procurement_method PRIMARY KEY (oid);


--
-- Name: procurement_nature pk_procurement_nature; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.procurement_nature
    ADD CONSTRAINT pk_procurement_nature PRIMARY KEY (oid);


--
-- Name: procurement_project pk_procurement_project; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.procurement_project
    ADD CONSTRAINT pk_procurement_project PRIMARY KEY (oid);


--
-- Name: procurement_type pk_procurement_type; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.procurement_type
    ADD CONSTRAINT pk_procurement_type PRIMARY KEY (oid);


--
-- Name: requisition_declaration pk_requisition_declaration; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.requisition_declaration
    ADD CONSTRAINT pk_requisition_declaration PRIMARY KEY (oid);


--
-- Name: requisition_detail pk_requisition_detail; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.requisition_detail
    ADD CONSTRAINT pk_requisition_detail PRIMARY KEY (oid);


--
-- Name: requisition_information pk_requisition_information; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.requisition_information
    ADD CONSTRAINT pk_requisition_information PRIMARY KEY (oid);


--
-- Name: spot_purchase_detail pk_spot_purchase_detail; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.spot_purchase_detail
    ADD CONSTRAINT pk_spot_purchase_detail PRIMARY KEY (oid);


--
-- Name: spot_purchase_info pk_spot_purchase_info; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.spot_purchase_info
    ADD CONSTRAINT pk_spot_purchase_info PRIMARY KEY (oid);


--
-- Name: vendor pk_vendor; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.vendor
    ADD CONSTRAINT pk_vendor PRIMARY KEY (oid);


--
-- Name: work_order_detail pk_work_order_detail; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.work_order_detail
    ADD CONSTRAINT pk_work_order_detail PRIMARY KEY (oid);


--
-- Name: work_order_info pk_work_order_info; Type: CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.work_order_info
    ADD CONSTRAINT pk_work_order_info PRIMARY KEY (oid);


--
-- Name: index_app_code_annual_procurement_plan; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_app_code_annual_procurement_plan ON prc.annual_procurement_plan USING btree (app_code);


--
-- Name: index_code_budget_type; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_budget_type ON prc.budget_type USING btree (code);


--
-- Name: index_code_vendor; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_code_vendor ON prc.vendor USING btree (code);


--
-- Name: index_name_bn_vendor; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_name_bn_vendor ON prc.vendor USING btree (name_bn);


--
-- Name: index_name_en_vendor; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_name_en_vendor ON prc.vendor USING btree (name_en);


--
-- Name: index_oid_procurement_type; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_oid_procurement_type ON prc.procurement_type USING btree (oid);


--
-- Name: index_spot_purchase_code_spot_purchase_info; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_spot_purchase_code_spot_purchase_info ON prc.spot_purchase_info USING btree (spot_purchase_code);


--
-- Name: index_work_order_code_work_order_info; Type: INDEX; Schema: prc; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_work_order_code_work_order_info ON prc.work_order_info USING btree (work_order_code);


--
-- Name: app_package fk_annual_procurement_plan_oid_app_package; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.app_package
    ADD CONSTRAINT fk_annual_procurement_plan_oid_app_package FOREIGN KEY (annual_procurement_plan_oid) REFERENCES prc.annual_procurement_plan(oid);


--
-- Name: annual_procurement_plan fk_budget_type_oid_annual_procurement_plan; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.annual_procurement_plan
    ADD CONSTRAINT fk_budget_type_oid_annual_procurement_plan FOREIGN KEY (budget_type_oid) REFERENCES prc.budget_type(oid);


--
-- Name: consolidate_requisition_detail fk_consolidate_requisition_oid_consolidate_requisition_detail; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.consolidate_requisition_detail
    ADD CONSTRAINT fk_consolidate_requisition_oid_consolidate_requisition_detail FOREIGN KEY (consolidate_requisition_oid) REFERENCES prc.consolidate_requisition(oid);


--
-- Name: app_package fk_contract_approving_authority_oid_app_package; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.app_package
    ADD CONSTRAINT fk_contract_approving_authority_oid_app_package FOREIGN KEY (contract_approving_authority_oid) REFERENCES prc.approving_authority(oid);


--
-- Name: annual_procurement_plan fk_declaration_oid_annual_procurement_plan; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.annual_procurement_plan
    ADD CONSTRAINT fk_declaration_oid_annual_procurement_plan FOREIGN KEY (declaration_oid) REFERENCES prc.requisition_declaration(oid);


--
-- Name: economic_code fk_description_oid_economic_code; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.economic_code
    ADD CONSTRAINT fk_description_oid_economic_code FOREIGN KEY (description_oid) REFERENCES prc.economic_code_description(oid);


--
-- Name: app_package fk_package_type_oid_app_package; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.app_package
    ADD CONSTRAINT fk_package_type_oid_app_package FOREIGN KEY (package_type_oid) REFERENCES prc.package_type(oid);


--
-- Name: app_package fk_procurement_method_oid_app_package; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.app_package
    ADD CONSTRAINT fk_procurement_method_oid_app_package FOREIGN KEY (procurement_method_oid) REFERENCES prc.procurement_method(oid);


--
-- Name: app_package fk_procurement_nature_oid_app_package; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.app_package
    ADD CONSTRAINT fk_procurement_nature_oid_app_package FOREIGN KEY (procurement_nature_oid) REFERENCES prc.procurement_nature(oid);


--
-- Name: app_package fk_procurement_type_oid_app_package; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.app_package
    ADD CONSTRAINT fk_procurement_type_oid_app_package FOREIGN KEY (procurement_type_oid) REFERENCES prc.procurement_type(oid);


--
-- Name: consolidate_requisition fk_requisition_declaration_oid_consolidate_requisition; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.consolidate_requisition
    ADD CONSTRAINT fk_requisition_declaration_oid_consolidate_requisition FOREIGN KEY (requisition_declaration_oid) REFERENCES prc.requisition_declaration(oid);


--
-- Name: requisition_information fk_requisition_declaration_oid_requisition_information; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.requisition_information
    ADD CONSTRAINT fk_requisition_declaration_oid_requisition_information FOREIGN KEY (requisition_declaration_oid) REFERENCES prc.requisition_declaration(oid);


--
-- Name: requisition_detail fk_requisition_oid_requisition_detail; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.requisition_detail
    ADD CONSTRAINT fk_requisition_oid_requisition_detail FOREIGN KEY (requisition_oid) REFERENCES prc.requisition_information(oid);


--
-- Name: work_order_detail fk_work_order_oid_work_order_detail; Type: FK CONSTRAINT; Schema: prc; Owner: uatcommongrp1
--

ALTER TABLE ONLY prc.work_order_detail
    ADD CONSTRAINT fk_work_order_oid_work_order_detail FOREIGN KEY (work_order_oid) REFERENCES prc.work_order_info(oid);


--
-- Name: SCHEMA prc; Type: ACL; Schema: -; Owner: uatcommongrp1
--

GRANT ALL ON SCHEMA prc TO prc;
GRANT USAGE ON SCHEMA prc TO ast;
GRANT USAGE ON SCHEMA prc TO meeting;
GRANT USAGE ON SCHEMA prc TO cmn;
GRANT USAGE ON SCHEMA prc TO inv;
GRANT USAGE ON SCHEMA prc TO hrm;
GRANT USAGE ON SCHEMA prc TO aud;
GRANT USAGE ON SCHEMA prc TO bud;
GRANT USAGE ON SCHEMA prc TO acc;
GRANT USAGE ON SCHEMA prc TO sec;


--
-- Name: TABLE annual_procurement_plan; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.annual_procurement_plan TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.annual_procurement_plan TO ast;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO meeting;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO cmn;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO inv;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO hrm;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO aud;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO bud;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO acc;
GRANT SELECT ON TABLE prc.annual_procurement_plan TO sec;


--
-- Name: TABLE app_package; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.app_package TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.app_package TO ast;
GRANT SELECT ON TABLE prc.app_package TO meeting;
GRANT SELECT ON TABLE prc.app_package TO cmn;
GRANT SELECT ON TABLE prc.app_package TO inv;
GRANT SELECT ON TABLE prc.app_package TO hrm;
GRANT SELECT ON TABLE prc.app_package TO aud;
GRANT SELECT ON TABLE prc.app_package TO bud;
GRANT SELECT ON TABLE prc.app_package TO acc;
GRANT SELECT ON TABLE prc.app_package TO sec;


--
-- Name: TABLE approving_authority; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.approving_authority TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.approving_authority TO ast;
GRANT SELECT ON TABLE prc.approving_authority TO meeting;
GRANT SELECT ON TABLE prc.approving_authority TO cmn;
GRANT SELECT ON TABLE prc.approving_authority TO inv;
GRANT SELECT ON TABLE prc.approving_authority TO hrm;
GRANT SELECT ON TABLE prc.approving_authority TO aud;
GRANT SELECT ON TABLE prc.approving_authority TO bud;
GRANT SELECT ON TABLE prc.approving_authority TO acc;
GRANT SELECT ON TABLE prc.approving_authority TO sec;


--
-- Name: TABLE budget_type; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.budget_type TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.budget_type TO ast;
GRANT SELECT ON TABLE prc.budget_type TO meeting;
GRANT SELECT ON TABLE prc.budget_type TO cmn;
GRANT SELECT ON TABLE prc.budget_type TO inv;
GRANT SELECT ON TABLE prc.budget_type TO hrm;
GRANT SELECT ON TABLE prc.budget_type TO aud;
GRANT SELECT ON TABLE prc.budget_type TO bud;
GRANT SELECT ON TABLE prc.budget_type TO acc;
GRANT SELECT ON TABLE prc.budget_type TO sec;


--
-- Name: TABLE component_url_notification; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.component_url_notification TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.component_url_notification TO ast;
GRANT SELECT ON TABLE prc.component_url_notification TO meeting;
GRANT SELECT ON TABLE prc.component_url_notification TO cmn;
GRANT SELECT ON TABLE prc.component_url_notification TO inv;
GRANT SELECT ON TABLE prc.component_url_notification TO hrm;
GRANT SELECT ON TABLE prc.component_url_notification TO aud;
GRANT SELECT ON TABLE prc.component_url_notification TO bud;
GRANT SELECT ON TABLE prc.component_url_notification TO acc;
GRANT SELECT ON TABLE prc.component_url_notification TO sec;


--
-- Name: TABLE consolidate_requisition; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.consolidate_requisition TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.consolidate_requisition TO ast;
GRANT SELECT ON TABLE prc.consolidate_requisition TO meeting;
GRANT SELECT ON TABLE prc.consolidate_requisition TO cmn;
GRANT SELECT ON TABLE prc.consolidate_requisition TO inv;
GRANT SELECT ON TABLE prc.consolidate_requisition TO hrm;
GRANT SELECT ON TABLE prc.consolidate_requisition TO aud;
GRANT SELECT ON TABLE prc.consolidate_requisition TO bud;
GRANT SELECT ON TABLE prc.consolidate_requisition TO acc;
GRANT SELECT ON TABLE prc.consolidate_requisition TO sec;


--
-- Name: TABLE consolidate_requisition_detail; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.consolidate_requisition_detail TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.consolidate_requisition_detail TO ast;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO meeting;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO cmn;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO inv;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO hrm;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO aud;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO bud;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO acc;
GRANT SELECT ON TABLE prc.consolidate_requisition_detail TO sec;


--
-- Name: TABLE economic_code; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.economic_code TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.economic_code TO ast;
GRANT SELECT ON TABLE prc.economic_code TO meeting;
GRANT SELECT ON TABLE prc.economic_code TO cmn;
GRANT SELECT ON TABLE prc.economic_code TO inv;
GRANT SELECT ON TABLE prc.economic_code TO hrm;
GRANT SELECT ON TABLE prc.economic_code TO aud;
GRANT SELECT ON TABLE prc.economic_code TO bud;
GRANT SELECT ON TABLE prc.economic_code TO acc;
GRANT SELECT ON TABLE prc.economic_code TO sec;


--
-- Name: TABLE economic_code_description; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.economic_code_description TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.economic_code_description TO ast;
GRANT SELECT ON TABLE prc.economic_code_description TO meeting;
GRANT SELECT ON TABLE prc.economic_code_description TO cmn;
GRANT SELECT ON TABLE prc.economic_code_description TO inv;
GRANT SELECT ON TABLE prc.economic_code_description TO hrm;
GRANT SELECT ON TABLE prc.economic_code_description TO aud;
GRANT SELECT ON TABLE prc.economic_code_description TO bud;
GRANT SELECT ON TABLE prc.economic_code_description TO acc;
GRANT SELECT ON TABLE prc.economic_code_description TO sec;


--
-- Name: TABLE fiscal_year; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.fiscal_year TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.fiscal_year TO ast;
GRANT SELECT ON TABLE prc.fiscal_year TO meeting;
GRANT SELECT ON TABLE prc.fiscal_year TO cmn;
GRANT SELECT ON TABLE prc.fiscal_year TO inv;
GRANT SELECT ON TABLE prc.fiscal_year TO hrm;
GRANT SELECT ON TABLE prc.fiscal_year TO aud;
GRANT SELECT ON TABLE prc.fiscal_year TO bud;
GRANT SELECT ON TABLE prc.fiscal_year TO acc;
GRANT SELECT ON TABLE prc.fiscal_year TO sec;


--
-- Name: TABLE notification_of_award; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.notification_of_award TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.notification_of_award TO ast;
GRANT SELECT ON TABLE prc.notification_of_award TO meeting;
GRANT SELECT ON TABLE prc.notification_of_award TO cmn;
GRANT SELECT ON TABLE prc.notification_of_award TO inv;
GRANT SELECT ON TABLE prc.notification_of_award TO hrm;
GRANT SELECT ON TABLE prc.notification_of_award TO aud;
GRANT SELECT ON TABLE prc.notification_of_award TO bud;
GRANT SELECT ON TABLE prc.notification_of_award TO acc;
GRANT SELECT ON TABLE prc.notification_of_award TO sec;


--
-- Name: TABLE package_type; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.package_type TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.package_type TO ast;
GRANT SELECT ON TABLE prc.package_type TO meeting;
GRANT SELECT ON TABLE prc.package_type TO cmn;
GRANT SELECT ON TABLE prc.package_type TO inv;
GRANT SELECT ON TABLE prc.package_type TO hrm;
GRANT SELECT ON TABLE prc.package_type TO aud;
GRANT SELECT ON TABLE prc.package_type TO bud;
GRANT SELECT ON TABLE prc.package_type TO acc;
GRANT SELECT ON TABLE prc.package_type TO sec;


--
-- Name: TABLE procurement_contract; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.procurement_contract TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.procurement_contract TO ast;
GRANT SELECT ON TABLE prc.procurement_contract TO meeting;
GRANT SELECT ON TABLE prc.procurement_contract TO cmn;
GRANT SELECT ON TABLE prc.procurement_contract TO inv;
GRANT SELECT ON TABLE prc.procurement_contract TO hrm;
GRANT SELECT ON TABLE prc.procurement_contract TO aud;
GRANT SELECT ON TABLE prc.procurement_contract TO bud;
GRANT SELECT ON TABLE prc.procurement_contract TO acc;
GRANT SELECT ON TABLE prc.procurement_contract TO sec;


--
-- Name: TABLE procurement_method; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.procurement_method TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.procurement_method TO ast;
GRANT SELECT ON TABLE prc.procurement_method TO meeting;
GRANT SELECT ON TABLE prc.procurement_method TO cmn;
GRANT SELECT ON TABLE prc.procurement_method TO inv;
GRANT SELECT ON TABLE prc.procurement_method TO hrm;
GRANT SELECT ON TABLE prc.procurement_method TO aud;
GRANT SELECT ON TABLE prc.procurement_method TO bud;
GRANT SELECT ON TABLE prc.procurement_method TO acc;
GRANT SELECT ON TABLE prc.procurement_method TO sec;


--
-- Name: TABLE procurement_nature; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.procurement_nature TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.procurement_nature TO ast;
GRANT SELECT ON TABLE prc.procurement_nature TO meeting;
GRANT SELECT ON TABLE prc.procurement_nature TO cmn;
GRANT SELECT ON TABLE prc.procurement_nature TO inv;
GRANT SELECT ON TABLE prc.procurement_nature TO hrm;
GRANT SELECT ON TABLE prc.procurement_nature TO aud;
GRANT SELECT ON TABLE prc.procurement_nature TO bud;
GRANT SELECT ON TABLE prc.procurement_nature TO acc;
GRANT SELECT ON TABLE prc.procurement_nature TO sec;


--
-- Name: TABLE procurement_project; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.procurement_project TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.procurement_project TO ast;
GRANT SELECT ON TABLE prc.procurement_project TO meeting;
GRANT SELECT ON TABLE prc.procurement_project TO cmn;
GRANT SELECT ON TABLE prc.procurement_project TO inv;
GRANT SELECT ON TABLE prc.procurement_project TO hrm;
GRANT SELECT ON TABLE prc.procurement_project TO aud;
GRANT SELECT ON TABLE prc.procurement_project TO bud;
GRANT SELECT ON TABLE prc.procurement_project TO acc;
GRANT SELECT ON TABLE prc.procurement_project TO sec;


--
-- Name: TABLE procurement_type; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.procurement_type TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.procurement_type TO ast;
GRANT SELECT ON TABLE prc.procurement_type TO meeting;
GRANT SELECT ON TABLE prc.procurement_type TO cmn;
GRANT SELECT ON TABLE prc.procurement_type TO inv;
GRANT SELECT ON TABLE prc.procurement_type TO hrm;
GRANT SELECT ON TABLE prc.procurement_type TO aud;
GRANT SELECT ON TABLE prc.procurement_type TO bud;
GRANT SELECT ON TABLE prc.procurement_type TO acc;
GRANT SELECT ON TABLE prc.procurement_type TO sec;


--
-- Name: TABLE requisition_declaration; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.requisition_declaration TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.requisition_declaration TO ast;
GRANT SELECT ON TABLE prc.requisition_declaration TO meeting;
GRANT SELECT ON TABLE prc.requisition_declaration TO cmn;
GRANT SELECT ON TABLE prc.requisition_declaration TO inv;
GRANT SELECT ON TABLE prc.requisition_declaration TO hrm;
GRANT SELECT ON TABLE prc.requisition_declaration TO aud;
GRANT SELECT ON TABLE prc.requisition_declaration TO bud;
GRANT SELECT ON TABLE prc.requisition_declaration TO acc;
GRANT SELECT ON TABLE prc.requisition_declaration TO sec;


--
-- Name: TABLE requisition_detail; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.requisition_detail TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.requisition_detail TO ast;
GRANT SELECT ON TABLE prc.requisition_detail TO meeting;
GRANT SELECT ON TABLE prc.requisition_detail TO cmn;
GRANT SELECT ON TABLE prc.requisition_detail TO inv;
GRANT SELECT ON TABLE prc.requisition_detail TO hrm;
GRANT SELECT ON TABLE prc.requisition_detail TO aud;
GRANT SELECT ON TABLE prc.requisition_detail TO bud;
GRANT SELECT ON TABLE prc.requisition_detail TO acc;
GRANT SELECT ON TABLE prc.requisition_detail TO sec;


--
-- Name: TABLE requisition_information; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.requisition_information TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.requisition_information TO ast;
GRANT SELECT ON TABLE prc.requisition_information TO meeting;
GRANT SELECT ON TABLE prc.requisition_information TO cmn;
GRANT SELECT ON TABLE prc.requisition_information TO inv;
GRANT SELECT ON TABLE prc.requisition_information TO hrm;
GRANT SELECT ON TABLE prc.requisition_information TO aud;
GRANT SELECT ON TABLE prc.requisition_information TO bud;
GRANT SELECT ON TABLE prc.requisition_information TO acc;
GRANT SELECT ON TABLE prc.requisition_information TO sec;


--
-- Name: TABLE spot_purchase_detail; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.spot_purchase_detail TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.spot_purchase_detail TO ast;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO meeting;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO cmn;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO inv;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO hrm;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO aud;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO bud;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO acc;
GRANT SELECT ON TABLE prc.spot_purchase_detail TO sec;


--
-- Name: TABLE spot_purchase_info; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.spot_purchase_info TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.spot_purchase_info TO ast;
GRANT SELECT ON TABLE prc.spot_purchase_info TO meeting;
GRANT SELECT ON TABLE prc.spot_purchase_info TO cmn;
GRANT SELECT ON TABLE prc.spot_purchase_info TO inv;
GRANT SELECT ON TABLE prc.spot_purchase_info TO hrm;
GRANT SELECT ON TABLE prc.spot_purchase_info TO aud;
GRANT SELECT ON TABLE prc.spot_purchase_info TO bud;
GRANT SELECT ON TABLE prc.spot_purchase_info TO acc;
GRANT SELECT ON TABLE prc.spot_purchase_info TO sec;


--
-- Name: TABLE vendor; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.vendor TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.vendor TO ast;
GRANT SELECT ON TABLE prc.vendor TO meeting;
GRANT SELECT ON TABLE prc.vendor TO cmn;
GRANT SELECT ON TABLE prc.vendor TO inv;
GRANT SELECT ON TABLE prc.vendor TO hrm;
GRANT SELECT ON TABLE prc.vendor TO aud;
GRANT SELECT ON TABLE prc.vendor TO bud;
GRANT SELECT ON TABLE prc.vendor TO acc;
GRANT SELECT ON TABLE prc.vendor TO sec;


--
-- Name: TABLE work_order_detail; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.work_order_detail TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.work_order_detail TO ast;
GRANT SELECT ON TABLE prc.work_order_detail TO meeting;
GRANT SELECT ON TABLE prc.work_order_detail TO cmn;
GRANT SELECT ON TABLE prc.work_order_detail TO inv;
GRANT SELECT ON TABLE prc.work_order_detail TO hrm;
GRANT SELECT ON TABLE prc.work_order_detail TO aud;
GRANT SELECT ON TABLE prc.work_order_detail TO bud;
GRANT SELECT ON TABLE prc.work_order_detail TO acc;
GRANT SELECT ON TABLE prc.work_order_detail TO sec;


--
-- Name: TABLE work_order_info; Type: ACL; Schema: prc; Owner: uatcommongrp1
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE prc.work_order_info TO prc;
GRANT SELECT,INSERT,UPDATE ON TABLE prc.work_order_info TO ast;
GRANT SELECT ON TABLE prc.work_order_info TO meeting;
GRANT SELECT ON TABLE prc.work_order_info TO cmn;
GRANT SELECT ON TABLE prc.work_order_info TO inv;
GRANT SELECT ON TABLE prc.work_order_info TO hrm;
GRANT SELECT ON TABLE prc.work_order_info TO aud;
GRANT SELECT ON TABLE prc.work_order_info TO bud;
GRANT SELECT ON TABLE prc.work_order_info TO acc;
GRANT SELECT ON TABLE prc.work_order_info TO sec;


--
-- PostgreSQL database dump complete
--

