--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 11.8
-- Dumped by pg_dump version 11.21

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE uatcommongrp1;
--
-- Name: uatcommongrp1; Type: DATABASE; Schema: -; Owner: uatcommongrp1
--

CREATE DATABASE uatcommongrp1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


ALTER DATABASE uatcommongrp1 OWNER TO uatcommongrp1;

\connect uatcommongrp1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA public;


ALTER SCHEMA public OWNER TO postgres;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: pmis_approval_status; Type: TYPE; Schema: public; Owner: uatcommongrp1
--

CREATE TYPE public.pmis_approval_status AS ENUM (
    'REQUESTED',
    'REVIEWED',
    'REJECTED',
    'APPROVED'
);


ALTER TYPE public.pmis_approval_status OWNER TO uatcommongrp1;

--
-- Name: pmis_change_type; Type: TYPE; Schema: public; Owner: uatcommongrp1
--

CREATE TYPE public.pmis_change_type AS ENUM (
    'UPDATE_NODE_IN_DOC',
    'APPEND_NODE_IN_LIST',
    'UPDATE_NODE_IN_LIST',
    'REMOVE_NODE_IN_LIST'
);


ALTER TYPE public.pmis_change_type OWNER TO uatcommongrp1;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: flyway_schema_history; Type: TABLE; Schema: public; Owner: uatcommongrp1
--

CREATE TABLE public.flyway_schema_history (
    installed_rank integer NOT NULL,
    version character varying(50),
    description character varying(200) NOT NULL,
    type character varying(20) NOT NULL,
    script character varying(1000) NOT NULL,
    checksum integer,
    installed_by character varying(100) NOT NULL,
    installed_on timestamp without time zone DEFAULT now() NOT NULL,
    execution_time integer NOT NULL,
    success boolean NOT NULL
);


ALTER TABLE public.flyway_schema_history OWNER TO uatcommongrp1;

--
-- Name: oauth_client_details; Type: TABLE; Schema: public; Owner: uatcommongrp1
--

CREATE TABLE public.oauth_client_details (
    client_id character varying(256) NOT NULL,
    resource_ids character varying(256),
    client_secret character varying(256),
    scope character varying(256),
    authorized_grant_types character varying(256),
    web_server_redirect_uri character varying(256),
    authorities character varying(256),
    access_token_validity numeric(5,0),
    refresh_token_validity numeric(5,0),
    additional_information text,
    autoapprove character varying(256)
);


ALTER TABLE public.oauth_client_details OWNER TO uatcommongrp1;

--
-- Data for Name: flyway_schema_history; Type: TABLE DATA; Schema: public; Owner: uatcommongrp1
--

COPY public.flyway_schema_history (installed_rank, version, description, type, script, checksum, installed_by, installed_on, execution_time, success) FROM stdin;
\.
COPY public.flyway_schema_history (installed_rank, version, description, type, script, checksum, installed_by, installed_on, execution_time, success) FROM '$$PATH$$/5270.dat';

--
-- Data for Name: oauth_client_details; Type: TABLE DATA; Schema: public; Owner: uatcommongrp1
--

COPY public.oauth_client_details (client_id, resource_ids, client_secret, scope, authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, refresh_token_validity, additional_information, autoapprove) FROM stdin;
\.
COPY public.oauth_client_details (client_id, resource_ids, client_secret, scope, authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, refresh_token_validity, additional_information, autoapprove) FROM '$$PATH$$/5271.dat';

--
-- Name: flyway_schema_history flyway_schema_history_pk; Type: CONSTRAINT; Schema: public; Owner: uatcommongrp1
--

ALTER TABLE ONLY public.flyway_schema_history
    ADD CONSTRAINT flyway_schema_history_pk PRIMARY KEY (installed_rank);


--
-- Name: oauth_client_details pk_oauth_client_details; Type: CONSTRAINT; Schema: public; Owner: uatcommongrp1
--

ALTER TABLE ONLY public.oauth_client_details
    ADD CONSTRAINT pk_oauth_client_details PRIMARY KEY (client_id);


--
-- Name: flyway_schema_history_s_idx; Type: INDEX; Schema: public; Owner: uatcommongrp1
--

CREATE INDEX flyway_schema_history_s_idx ON public.flyway_schema_history USING btree (success);


--
-- Name: TABLE flyway_schema_history; Type: ACL; Schema: public; Owner: uatcommongrp1
--

GRANT ALL ON TABLE public.flyway_schema_history TO sec;


--
-- Name: TABLE oauth_client_details; Type: ACL; Schema: public; Owner: uatcommongrp1
--

GRANT ALL ON TABLE public.oauth_client_details TO sec;


--
-- PostgreSQL database dump complete
--

