--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 11.8
-- Dumped by pg_dump version 11.21

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE uatcommongrp1;
--
-- Name: uatcommongrp1; Type: DATABASE; Schema: -; Owner: uatcommongrp1
--

CREATE DATABASE uatcommongrp1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


ALTER DATABASE uatcommongrp1 OWNER TO uatcommongrp1;

\connect uatcommongrp1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: cmn; Type: SCHEMA; Schema: -; Owner: uatcommongrp1
--

CREATE SCHEMA cmn;


ALTER SCHEMA cmn OWNER TO uatcommongrp1;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: allowance_setup; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.allowance_setup (
    oid character varying(128) NOT NULL,
    grade character varying(256) NOT NULL,
    house_rent_allowance numeric(20,2) NOT NULL,
    medical_allowance numeric(20,2) NOT NULL,
    mobile_allowance numeric(20,2) NOT NULL,
    other_allowance numeric(20,2) NOT NULL,
    percentage numeric(20,2) NOT NULL,
    start_date date NOT NULL,
    end_date date NOT NULL
);


ALTER TABLE cmn.allowance_setup OWNER TO grp;

--
-- Name: bank; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.bank (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    type character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone,
    activation_date timestamp without time zone,
    bank_type_oid character varying(255)
);


ALTER TABLE cmn.bank OWNER TO cmn;

--
-- Name: bank_history; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.bank_history (
    oid character varying(128) NOT NULL,
    bank_oid character varying(128),
    name_en character varying(256),
    name_bn character varying(256),
    bank_type_oid character varying(128),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone,
    from_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    attachments_oids jsonb
);


ALTER TABLE cmn.bank_history OWNER TO cmn;

--
-- Name: bank_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.bank_type (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255),
    name_en character varying(255)
);


ALTER TABLE cmn.bank_type OWNER TO cmn;

--
-- Name: blood_group; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.blood_group (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.blood_group OWNER TO cmn;

--
-- Name: calendar_year; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.calendar_year (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    year integer
);


ALTER TABLE cmn.calendar_year OWNER TO cmn;

--
-- Name: committee; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.committee (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    attachment character varying(255),
    formation_date timestamp without time zone,
    internal_rate integer DEFAULT 51,
    is_draft character varying(5) DEFAULT 'Yes'::character varying,
    min_or_max character varying(255),
    name_bn character varying(255),
    name_en character varying(255),
    no_of_member integer NOT NULL,
    no_of_quorum integer NOT NULL,
    workarea character varying(255),
    committee_module_oid character varying(255),
    office_oid character varying(255),
    committee_sub_module_oid character varying(255),
    is_active character varying(255)
);


ALTER TABLE cmn.committee OWNER TO cmn;

--
-- Name: committee_designation; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.committee_designation (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    designation_bn character varying(255),
    designation_en character varying(255),
    sort_order integer NOT NULL
);


ALTER TABLE cmn.committee_designation OWNER TO cmn;

--
-- Name: committee_employee; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.committee_employee (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    comment character varying(255),
    designation character varying(255),
    email character varying(255),
    emp_oid character varying(255),
    employee_role character varying(255),
    name character varying(255),
    organization character varying(255),
    phone character varying(255),
    committee_oid character varying(255)
);


ALTER TABLE cmn.committee_employee OWNER TO cmn;

--
-- Name: committee_member; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.committee_member (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    email character varying(255),
    emp_oid character varying(255),
    emp_oup character varying(255),
    is_external character varying(255),
    is_head_of_committee character varying(5) DEFAULT 'No'::character varying,
    is_quorum_member character varying(255),
    name_bn character varying(255),
    name_en character varying(255),
    office character varying(255),
    phone character varying(255),
    post character varying(255),
    committee_oid character varying(255),
    committee_designation_oid character varying(255),
    office_oid character varying(255),
    is_active character varying(10) DEFAULT 'Yes'::character varying,
    is_acting_member character varying(10) DEFAULT 'No'::character varying,
    employee_office_oid character varying(255)
);


ALTER TABLE cmn.committee_member OWNER TO cmn;

--
-- Name: committee_module; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.committee_module (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255),
    name_en character varying(255),
    short_name character varying(255)
);


ALTER TABLE cmn.committee_module OWNER TO cmn;

--
-- Name: committee_setup; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.committee_setup (
    oid character varying(128) NOT NULL,
    committee_code character varying(128) NOT NULL,
    committee_type_oid character varying(128) NOT NULL,
    committee_name character varying(256) NOT NULL,
    max_member character varying(3) NOT NULL,
    min_member character varying(3) NOT NULL,
    forming_date date NOT NULL,
    purpose character varying(256) NOT NULL,
    comments text NOT NULL,
    status character varying(32) NOT NULL,
    organization_info_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_committee_setup CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'In-Active'::text)))
);


ALTER TABLE cmn.committee_setup OWNER TO grp;

--
-- Name: committee_setup_line; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.committee_setup_line (
    oid character varying(128) NOT NULL,
    committee_setup_line_code character varying(128) NOT NULL,
    committee_setup_oid character varying(128) NOT NULL,
    employee_info_oid character varying(128) NOT NULL,
    member_role character varying(256) NOT NULL,
    orgaization_oid character varying(128) NOT NULL
);


ALTER TABLE cmn.committee_setup_line OWNER TO grp;

--
-- Name: committee_sub_module; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.committee_sub_module (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255),
    name_en character varying(255),
    short_name character varying(5),
    committee_module_oid character varying(255)
);


ALTER TABLE cmn.committee_sub_module OWNER TO cmn;

--
-- Name: committee_type_setup; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.committee_type_setup (
    oid character varying(128) NOT NULL,
    committee_type_code character varying(128) NOT NULL,
    committee_type character varying(256) NOT NULL,
    approved_by character varying(128) NOT NULL
);


ALTER TABLE cmn.committee_type_setup OWNER TO grp;

--
-- Name: course_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.course_type (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.course_type OWNER TO cmn;

--
-- Name: court_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.court_type (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.court_type OWNER TO cmn;

--
-- Name: deduction_setup; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.deduction_setup (
    oid character varying(128) NOT NULL,
    grade character varying(256) NOT NULL,
    house_rent_deduction numeric(20,2) NOT NULL,
    tax_deduction numeric(20,2) NOT NULL,
    gpf_deduction numeric(20,2) NOT NULL,
    other_deduction numeric(20,2) NOT NULL,
    percentage numeric(20,2) NOT NULL,
    start_date date NOT NULL,
    end_date date NOT NULL
);


ALTER TABLE cmn.deduction_setup OWNER TO grp;

--
-- Name: directory; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.directory (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32) NOT NULL,
    location character varying(255) NOT NULL,
    permission_type character varying(3),
    allocated_size numeric(15,0) NOT NULL,
    used_space numeric(15,0) NOT NULL
);


ALTER TABLE cmn.directory OWNER TO grp;

--
-- Name: document; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.document (
    oid character varying(128) NOT NULL,
    document_code character varying(256) NOT NULL,
    document_name character varying(256) NOT NULL,
    document_type_oid character varying(128) NOT NULL,
    category character varying(256) NOT NULL,
    path character varying(1028) NOT NULL,
    description text
);


ALTER TABLE cmn.document OWNER TO grp;

--
-- Name: document_type; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.document_type (
    oid character varying(128) NOT NULL,
    document_type_code character varying(256) NOT NULL,
    document_type_name character varying(256) NOT NULL
);


ALTER TABLE cmn.document_type OWNER TO grp;

--
-- Name: economic_code; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.economic_code (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    description_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.economic_code OWNER TO grp;

--
-- Name: economic_code_description; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.economic_code_description (
    oid character varying(128) NOT NULL,
    name_en text,
    name_bn text,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.economic_code_description OWNER TO grp;

--
-- Name: education_degree; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.education_degree (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    display_order numeric(5,0),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.education_degree OWNER TO cmn;

--
-- Name: email; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.email (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32) NOT NULL,
    subject character varying(256) NOT NULL,
    message_content text NOT NULL,
    tag character varying(3) NOT NULL,
    token character varying(5) NOT NULL,
    status_txt character varying(10) NOT NULL,
    request_oid character varying(128) NOT NULL,
    hasattachment character varying(5),
    scheduled_time timestamp without time zone NOT NULL,
    departure_time timestamp without time zone
);


ALTER TABLE cmn.email OWNER TO grp;

--
-- Name: email_attachment; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.email_attachment (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32) NOT NULL,
    file_name character varying(128) NOT NULL,
    location character varying(255) NOT NULL,
    file_unique_name character varying(275) NOT NULL,
    email_id character varying(128) NOT NULL
);


ALTER TABLE cmn.email_attachment OWNER TO grp;

--
-- Name: email_recipient; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.email_recipient (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32) NOT NULL,
    emp_id character varying(128) NOT NULL,
    org_id character varying(128) NOT NULL,
    email_address character varying(128) NOT NULL,
    recipient_type character varying(3) NOT NULL,
    email_id character varying(128) NOT NULL,
    field_type character varying(10) NOT NULL
);


ALTER TABLE cmn.email_recipient OWNER TO grp;

--
-- Name: employment_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.employment_type (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.employment_type OWNER TO cmn;

--
-- Name: entitlement; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.entitlement (
    oid character varying(128) NOT NULL,
    quantity numeric(20,2),
    started_from character varying(128),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    entitlement_type_oid character varying(128),
    office_oid character varying(128),
    post_oid character varying(128),
    item_group_oid character varying(128),
    uom_oid character varying(128),
    CONSTRAINT ck_is_deleted_entitlement CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text)))
);


ALTER TABLE cmn.entitlement OWNER TO grp;

--
-- Name: entitlement_type; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.entitlement_type (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    description text,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.entitlement_type OWNER TO grp;

--
-- Name: file; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.file (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32) NOT NULL,
    title character varying(128) NOT NULL,
    stored_name character varying(128) NOT NULL,
    file_size numeric(10,0) NOT NULL,
    description text,
    dir_id character varying(128) NOT NULL,
    org_name character varying(255) NOT NULL
);


ALTER TABLE cmn.file OWNER TO grp;

--
-- Name: file_request; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.file_request (
    oid character varying(128),
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32),
    file_oid character varying(128) NOT NULL,
    request_oid character varying(128) NOT NULL
);


ALTER TABLE cmn.file_request OWNER TO grp;

--
-- Name: file_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.file_type (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255),
    name_en character varying(255)
);


ALTER TABLE cmn.file_type OWNER TO cmn;

--
-- Name: fiscal_year; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.fiscal_year (
    oid character varying(128) NOT NULL,
    name_en character varying(128),
    name_bn character varying(128),
    status character varying(128),
    start_date date NOT NULL,
    end_date date NOT NULL,
    is_deleted character varying(128) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    updated_by character varying(255),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.fiscal_year OWNER TO cmn;

--
-- Name: gender; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.gender (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255),
    name_en character varying(255)
);


ALTER TABLE cmn.gender OWNER TO cmn;

--
-- Name: geo_country; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.geo_country (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32) DEFAULT 'No'::character varying,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone,
    nationality_en character varying(255),
    nationality_bn character varying(255)
);


ALTER TABLE cmn.geo_country OWNER TO cmn;

--
-- Name: geo_district; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.geo_district (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    bbs_code character varying(255),
    division_oid character varying(128),
    is_deleted character varying(32) DEFAULT 'No'::character varying,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.geo_district OWNER TO cmn;

--
-- Name: geo_division; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.geo_division (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    bbs_code character varying(255),
    country_oid character varying(128),
    is_deleted character varying(32) DEFAULT 'No'::character varying,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.geo_division OWNER TO cmn;

--
-- Name: geo_post_office; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.geo_post_office (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    post_code character varying(32),
    is_deleted character varying(32),
    thana_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.geo_post_office OWNER TO cmn;

--
-- Name: geo_thana; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.geo_thana (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    district_oid character varying(128),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.geo_thana OWNER TO cmn;

--
-- Name: geo_upazila; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.geo_upazila (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    bbs_code character varying(255),
    district_oid character varying(128),
    is_deleted character varying(32) DEFAULT 'No'::character varying,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.geo_upazila OWNER TO cmn;

--
-- Name: grade_payscale; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.grade_payscale (
    oid character varying(128) NOT NULL,
    grade_oid character varying(128),
    start_date timestamp without time zone,
    end_date timestamp without time zone,
    type character varying(255),
    payscale character varying(128),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone,
    payscale_sorting_order numeric(2,0)
);


ALTER TABLE cmn.grade_payscale OWNER TO cmn;

--
-- Name: grade_payscale_basic; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.grade_payscale_basic (
    oid character varying(128) NOT NULL,
    grade_payscale_oid character varying(128),
    basic_amount character varying(32),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.grade_payscale_basic OWNER TO cmn;

--
-- Name: guest; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.guest (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    comment character varying(255),
    designation character varying(255),
    email character varying(255),
    name character varying(255),
    organization character varying(255),
    phone character varying(255),
    committee_oid character varying(255)
);


ALTER TABLE cmn.guest OWNER TO cmn;

--
-- Name: item; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.item (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(128) NOT NULL,
    item_code character varying(32) NOT NULL,
    item_status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    item_group_oid character varying(128) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL
);


ALTER TABLE cmn.item OWNER TO grp;

--
-- Name: item_category; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.item_category (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    description character varying(256),
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    parent_category_oid character varying(128)
);


ALTER TABLE cmn.item_category OWNER TO grp;

--
-- Name: item_feature; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.item_feature (
    oid character varying(128) NOT NULL,
    value_en character varying(256),
    value_bn character varying(256),
    item_oid character varying(128),
    item_group_feature_mapping_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128),
    is_deleted character varying(32) DEFAULT 'No'::character varying
);


ALTER TABLE cmn.item_feature OWNER TO grp;

--
-- Name: item_group; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.item_group (
    oid character varying(128) NOT NULL,
    item_group_code character varying(32) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    uom_oid character varying(128),
    traditional character varying(32) DEFAULT 'No'::character varying NOT NULL,
    maintained_as character varying(32) DEFAULT 'FIFO'::character varying NOT NULL,
    status character varying(32) DEFAULT 'Active'::character varying NOT NULL,
    hs_code character varying(256),
    item_category_oid character varying(128) NOT NULL,
    is_consumable character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    CONSTRAINT ck_is_consumable_item_group CHECK ((((is_consumable)::text = 'yes'::text) OR ((is_consumable)::text = 'no'::text)))
);


ALTER TABLE cmn.item_group OWNER TO grp;

--
-- Name: item_group_feature; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.item_group_feature (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL
);


ALTER TABLE cmn.item_group_feature OWNER TO grp;

--
-- Name: item_group_feature_mapping; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.item_group_feature_mapping (
    oid character varying(128) NOT NULL,
    is_mandatory character varying(32) DEFAULT 'No'::character varying NOT NULL,
    item_group_oid character varying(128) NOT NULL,
    item_group_feature_oid character varying(128) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL
);


ALTER TABLE cmn.item_group_feature_mapping OWNER TO grp;

--
-- Name: loan_sanction; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.loan_sanction (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    last_date_of_loan date NOT NULL,
    date_of_retirement date NOT NULL,
    loan_type character varying(256) NOT NULL,
    loan_amount numeric(20,2) NOT NULL,
    no_of_installment numeric(20,2) NOT NULL,
    loan_letter_upload character varying(1024) NOT NULL,
    notes text
);


ALTER TABLE cmn.loan_sanction OWNER TO grp;

--
-- Name: marital_status; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.marital_status (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.marital_status OWNER TO cmn;

--
-- Name: message; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.message (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone NOT NULL,
    row_status character varying(32) NOT NULL,
    tag character varying(3) NOT NULL,
    token character varying(5) NOT NULL,
    request_oid character varying(128) NOT NULL,
    message_content text NOT NULL
);


ALTER TABLE cmn.message OWNER TO grp;

--
-- Name: mobile_banking_provider; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.mobile_banking_provider (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    bank_name character varying(255),
    name_bn character varying(255),
    name_en character varying(255)
);


ALTER TABLE cmn.mobile_banking_provider OWNER TO cmn;

--
-- Name: notification; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.notification (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32),
    tag character varying(3),
    token character varying(5),
    message_content text NOT NULL,
    url character varying(255),
    request_oid character varying(128) NOT NULL,
    callbackapi character varying(255)
);


ALTER TABLE cmn.notification OWNER TO grp;

--
-- Name: notification_recipient; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.notification_recipient (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    row_status character varying(32),
    emp_id character varying(128) NOT NULL,
    org_id character varying(128) NOT NULL,
    u_id character varying(128) NOT NULL,
    status character varying(15) NOT NULL,
    n_id character varying(128)
);


ALTER TABLE cmn.notification_recipient OWNER TO grp;

--
-- Name: observation_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.observation_type (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255),
    name_en character varying(255),
    tag character varying(50) NOT NULL,
    is_applicable_for_acr character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_attendance character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_award character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_disciplinary_action character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_leave character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_loan_committee character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_loan_general character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_payroll character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_posting character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_promotion character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_publication character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_recruitment character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_training character varying(4) DEFAULT 'No'::character varying,
    is_applicable_for_release character varying(4) DEFAULT 'No'::character varying
);


ALTER TABLE cmn.observation_type OWNER TO cmn;

--
-- Name: occupation; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.occupation (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.occupation OWNER TO cmn;

--
-- Name: office; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office (
    oid character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    code_en character varying(128),
    code_bn character varying(128),
    address_en text,
    address_bn text,
    email character varying(128),
    web character varying(128),
    logo_url character varying(512),
    status character varying(32) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_layer_oid character varying(128) NOT NULL,
    ministry_oid character varying(128),
    root_office_oid character varying(128),
    is_root_office character varying(32) DEFAULT 'No'::character varying NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    stakeholder_oid character varying(128),
    office_type_oid character varying(128),
    tin_no character varying(128),
    bin_no character varying(128),
    go_code character varying(128),
    activation_date timestamp without time zone,
    name_en character varying(256) NOT NULL,
    CONSTRAINT ck_status_office CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE cmn.office OWNER TO grp;

--
-- Name: office_history; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.office_history (
    oid character varying(128) NOT NULL,
    office_oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    code_en character varying(128),
    code_bn character varying(128),
    address_en text,
    address_bn text,
    email character varying(128),
    web character varying(128),
    logo_url character varying(512),
    status character varying(32) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_layer_oid character varying(128) NOT NULL,
    ministry_oid character varying(128),
    root_office_oid character varying(128),
    is_root_office character varying(32),
    is_deleted character varying(32),
    created_by character varying(128),
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    stakeholder_oid character varying(128),
    go_code character varying(64),
    office_type_oid character varying(128),
    tin_no character varying(128),
    bin_no character varying(128),
    from_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    attachments_oids jsonb,
    CONSTRAINT ck_status_office CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE cmn.office_history OWNER TO cmn;

--
-- Name: office_layer; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_layer (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.office_layer OWNER TO grp;

--
-- Name: office_origin; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_origin (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) NOT NULL,
    level_order numeric(5,0) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_layer_oid character varying(128) NOT NULL,
    ministry_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_office_origin CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE cmn.office_origin OWNER TO grp;

--
-- Name: office_origin_unit; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_origin_unit (
    oid character varying(128) NOT NULL,
    name_en character varying(128),
    name_bn character varying(256) NOT NULL,
    status character varying(32) NOT NULL,
    level_order numeric(5,0),
    sort_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_unit_category_oid character varying(128),
    office_origin_oid character varying(128) NOT NULL,
    office_layer_oid character varying(128) NOT NULL,
    ministry_oid character varying(128) NOT NULL,
    CONSTRAINT ck_status_office_origin_unit CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE cmn.office_origin_unit OWNER TO grp;

--
-- Name: office_origin_unit_post; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_origin_unit_post (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    status character varying(32) NOT NULL,
    level_order numeric(5,0) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_origin_unit_oid character varying(128),
    CONSTRAINT ck_status_office_origin_unit_post CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE cmn.office_origin_unit_post OWNER TO grp;

--
-- Name: office_post; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_post (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    office_oid character varying(128) NOT NULL,
    post_oid character varying(128) NOT NULL
);


ALTER TABLE cmn.office_post OWNER TO grp;

--
-- Name: office_subject_wise_code; Type: TABLE; Schema: cmn; Owner: postgres
--

CREATE TABLE cmn.office_subject_wise_code (
    oid character varying(128) NOT NULL,
    name_bn character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    code_bn character varying(10) NOT NULL,
    code_en character varying(10) NOT NULL,
    display_order numeric(5,0) NOT NULL,
    business_order numeric(5,0) NOT NULL,
    is_deleted character varying(32) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.office_subject_wise_code OWNER TO postgres;

--
-- Name: office_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.office_type (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    is_deleted character varying(32),
    sort_order numeric,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.office_type OWNER TO cmn;

--
-- Name: office_unit; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_unit (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    display_order numeric(5,0) NOT NULL,
    business_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_unit_category_oid character varying(128) NOT NULL,
    office_oid character varying(128) NOT NULL,
    ministry_oid character varying(128) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    activation_date timestamp without time zone,
    code_en character varying(10),
    code_bn character varying(10)
);


ALTER TABLE cmn.office_unit OWNER TO grp;

--
-- Name: office_unit_category; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_unit_category (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.office_unit_category OWNER TO grp;

--
-- Name: office_unit_history; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.office_unit_history (
    oid character varying(128) NOT NULL,
    office_unit_oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    display_order numeric(5,0) NOT NULL,
    business_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_unit_category_oid character varying(128) NOT NULL,
    office_oid character varying(128) NOT NULL,
    ministry_oid character varying(128) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    from_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    attachments_oids jsonb
);


ALTER TABLE cmn.office_unit_history OWNER TO cmn;

--
-- Name: office_unit_post; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.office_unit_post (
    oid character varying(128) NOT NULL,
    post_oid character varying(128) NOT NULL,
    display_order numeric(5,0) NOT NULL,
    business_order numeric(5,0) NOT NULL,
    parent_oid character varying(128),
    office_unit_oid character varying(128) NOT NULL,
    phone_no character varying(256),
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.office_unit_post OWNER TO grp;

--
-- Name: party; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    name_en character varying(256),
    name_bn character varying(256) NOT NULL,
    party_type character varying(128) NOT NULL,
    remark text,
    is_local character varying(32),
    description text,
    address_street character varying(255),
    address_district_state character varying(255),
    address_country character varying(255),
    address_post_code character varying(255),
    address character varying(255),
    trade_license character varying(255),
    incorporation_certificate character varying(128),
    tin character varying(128),
    bin character varying(128),
    website character varying(255),
    membership_info character varying(255),
    fund_code character varying(128),
    email character varying(128),
    phone_no character varying(128),
    fax_no character varying(128),
    short_name character varying(128),
    office_oid character varying(255)
);


ALTER TABLE cmn.party OWNER TO cmn;

--
-- Name: party_bank_account; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_bank_account (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    bank_name character varying(256) NOT NULL,
    branch_address character varying(256),
    branch_name character varying(256) NOT NULL,
    telephone character varying(128),
    swift_code character varying(128),
    account_type character varying(128),
    party_oid character varying(128),
    account_name character varying(256) NOT NULL,
    account_no character varying(256) NOT NULL,
    is_primary character varying(32)
);


ALTER TABLE cmn.party_bank_account OWNER TO cmn;

--
-- Name: party_contact; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_contact (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    designation character varying(256),
    department character varying(256),
    email character varying(256),
    phone_no character varying(14)
);


ALTER TABLE cmn.party_contact OWNER TO cmn;

--
-- Name: party_facility; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_facility (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    address_street character varying(255),
    address_district_state character varying(255),
    address_country character varying(255),
    address_post_code character varying(255),
    address character varying(255),
    is_local character varying(32),
    email character varying(256),
    phone_no character varying(128),
    fax_no character varying(128),
    is_root character varying(32),
    party_oid character varying(128)
);


ALTER TABLE cmn.party_facility OWNER TO cmn;

--
-- Name: party_party_contact; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_party_contact (
    oid character varying(128),
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    party_oid character varying(128) NOT NULL,
    party_facility_oid character varying(128),
    party_contact_oid character varying(128) NOT NULL
);


ALTER TABLE cmn.party_party_contact OWNER TO cmn;

--
-- Name: party_party_role; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_party_role (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    party_oid character varying(128) NOT NULL,
    party_role_oid character varying(128) NOT NULL
);


ALTER TABLE cmn.party_party_role OWNER TO cmn;

--
-- Name: party_party_skill; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_party_skill (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    party_oid character varying(128) NOT NULL,
    party_skill_oid character varying(128) NOT NULL
);


ALTER TABLE cmn.party_party_skill OWNER TO cmn;

--
-- Name: party_role; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_role (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    code character varying(128)
);


ALTER TABLE cmn.party_role OWNER TO cmn;

--
-- Name: party_skill; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.party_skill (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL
);


ALTER TABLE cmn.party_skill OWNER TO cmn;

--
-- Name: payroll_process; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.payroll_process (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    house_rent numeric(20,2) NOT NULL,
    total_allowance numeric(20,2) NOT NULL,
    total_deduction numeric(20,2) NOT NULL,
    final_amount numeric(20,2) NOT NULL
);


ALTER TABLE cmn.payroll_process OWNER TO grp;

--
-- Name: post; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.post (
    oid character varying(128) NOT NULL,
    name_en character varying(128) NOT NULL,
    name_bn character varying(256) NOT NULL,
    sort_order numeric(5,0) NOT NULL,
    is_deleted character varying(32) DEFAULT 'No'::character varying NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.post OWNER TO grp;

--
-- Name: posting_office_map; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.posting_office_map (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    sort_order integer,
    managed_by_office_oid character varying(255),
    office_oid character varying(255)
);


ALTER TABLE cmn.posting_office_map OWNER TO cmn;

--
-- Name: prepare_salary_bill; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.prepare_salary_bill (
    oid character varying(128) NOT NULL,
    grade character varying(256) NOT NULL,
    employee_type character varying(256) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    attachment character varying(1024) NOT NULL
);


ALTER TABLE cmn.prepare_salary_bill OWNER TO grp;

--
-- Name: promotion_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.promotion_type (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.promotion_type OWNER TO cmn;

--
-- Name: publication_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.publication_type (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.publication_type OWNER TO cmn;

--
-- Name: rank; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.rank (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    sort_order numeric(5,0),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.rank OWNER TO cmn;

--
-- Name: relationship; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.relationship (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.relationship OWNER TO cmn;

--
-- Name: release_checklist_item; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.release_checklist_item (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    description text,
    is_checked character varying(5) DEFAULT 'No'::character varying NOT NULL,
    name_bn character varying(255) NOT NULL,
    name_en character varying(255) NOT NULL
);


ALTER TABLE cmn.release_checklist_item OWNER TO cmn;

--
-- Name: release_type; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.release_type (
    oid character varying(255) NOT NULL,
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    is_deleted character varying(10) DEFAULT 'NO'::character varying,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255) NOT NULL,
    name_en character varying(255) NOT NULL,
    tag character varying(255) NOT NULL
);


ALTER TABLE cmn.release_type OWNER TO cmn;

--
-- Name: religion; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.religion (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.religion OWNER TO cmn;

--
-- Name: request; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.request (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone NOT NULL,
    row_status character varying(32) NOT NULL,
    request_oid character varying(128) NOT NULL,
    requested_by character varying(128)
);


ALTER TABLE cmn.request OWNER TO grp;

--
-- Name: review_action; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.review_action (
    oid character varying(128) NOT NULL,
    request_time timestamp without time zone,
    review_time timestamp without time zone,
    return_comment text,
    is_complete character varying(32),
    is_rejected character varying(32),
    is_disabled character varying(32),
    is_deleted character varying(32),
    source_tbl character varying(128),
    source_row_oid character varying(128),
    requested_by character varying(128),
    assigned_to character varying(128),
    review_action_type_oid character varying(128),
    forwarded_to character varying(128),
    CONSTRAINT ck_is_complete_review_action CHECK ((((is_complete)::text = 'Yes'::text) OR ((is_complete)::text = 'No'::text))),
    CONSTRAINT ck_is_deleted_review_action CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text))),
    CONSTRAINT ck_is_disabled_review_action CHECK ((((is_disabled)::text = 'Yes'::text) OR ((is_disabled)::text = 'No'::text))),
    CONSTRAINT ck_is_rejected_review_action CHECK ((((is_rejected)::text = 'Yes'::text) OR ((is_rejected)::text = 'No'::text)))
);


ALTER TABLE cmn.review_action OWNER TO grp;

--
-- Name: review_action_detail; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.review_action_detail (
    oid character varying(128) NOT NULL,
    audited_qty numeric(20,0),
    status character varying(256),
    remarks text,
    is_deleted character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    review_action_oid character varying(128),
    review_action_type_oid character varying(128),
    item_requisition_detail_oid character varying(128)
);


ALTER TABLE cmn.review_action_detail OWNER TO grp;

--
-- Name: review_action_type; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.review_action_type (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    priority numeric(6,0),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_is_deleted_review_action_type CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text)))
);


ALTER TABLE cmn.review_action_type OWNER TO grp;

--
-- Name: review_job_type; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.review_job_type (
    oid character varying(128) NOT NULL,
    job_name character varying(256),
    table_name character varying(256),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_is_deleted_review_job_type CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text)))
);


ALTER TABLE cmn.review_job_type OWNER TO grp;

--
-- Name: smstracker; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.smstracker (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone NOT NULL,
    row_status character varying(32) NOT NULL,
    emp_id character varying(128),
    org_id character varying(128),
    field_type character varying(10) NOT NULL,
    m_id character varying(128) NOT NULL,
    trial_count numeric(1,0) NOT NULL,
    status character varying(5) NOT NULL,
    status_code character varying(5),
    error_code character varying(5) NOT NULL,
    contact_no character varying(13) NOT NULL,
    message_id character varying(20),
    scheduled_time timestamp without time zone NOT NULL,
    "time" timestamp without time zone
);


ALTER TABLE cmn.smstracker OWNER TO grp;

--
-- Name: stakeholder; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.stakeholder (
    oid character varying(128) NOT NULL,
    created_by character varying(128),
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    name_en character varying(128),
    name_bn character varying(256),
    code_en character varying(128),
    code_bn character varying(128),
    logo_oid character varying(128)
);


ALTER TABLE cmn.stakeholder OWNER TO grp;

--
-- Name: store; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.store (
    oid character varying(128) NOT NULL,
    store_code character varying(128),
    name_en character varying(256),
    name_bn character varying(256),
    location text,
    contact_number character varying(256),
    description text,
    status character varying(32),
    opening_date timestamp without time zone,
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    office_oid character varying(128),
    store_in_charge_oid character varying(128),
    store_keeper_oid character varying(128),
    owned_by_oid character varying(128),
    CONSTRAINT ck_is_deleted_store CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text))),
    CONSTRAINT ck_status_store CHECK ((((status)::text = 'Yes'::text) OR ((status)::text = 'No'::text)))
);


ALTER TABLE cmn.store OWNER TO grp;

--
-- Name: store_designation; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.store_designation (
    oid character varying(128) NOT NULL,
    name_en character varying(256),
    name_bn character varying(256),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_is_deleted_store_designation CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text)))
);


ALTER TABLE cmn.store_designation OWNER TO grp;

--
-- Name: store_employee; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.store_employee (
    oid character varying(128) NOT NULL,
    active_date timestamp without time zone,
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    store_oid character varying(128),
    store_designation_oid character varying(128),
    employee_oid character varying(128),
    CONSTRAINT ck_is_deleted_store_employee CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text)))
);


ALTER TABLE cmn.store_employee OWNER TO grp;

--
-- Name: store_item_setup_mapping; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.store_item_setup_mapping (
    oid character varying(128) NOT NULL,
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    store_oid character varying(128),
    item_group_oid character varying(128),
    CONSTRAINT ck_is_deleted_store_item_setup_mapping CHECK ((((is_deleted)::text = 'Yes'::text) OR ((is_deleted)::text = 'No'::text)))
);


ALTER TABLE cmn.store_item_setup_mapping OWNER TO grp;

--
-- Name: super_admin; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.super_admin (
    oid character varying(128) NOT NULL,
    created_by character varying(128) NOT NULL,
    created_on timestamp without time zone,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32),
    stakeholder_oid character varying(128),
    employee_office_oid character varying(128),
    employee_oid character varying(128),
    status character varying(32),
    tag character varying(32) NOT NULL
);


ALTER TABLE cmn.super_admin OWNER TO cmn;

--
-- Name: travel_purpose; Type: TABLE; Schema: cmn; Owner: cmn
--

CREATE TABLE cmn.travel_purpose (
    oid character varying(128) NOT NULL,
    name_en character varying(255),
    name_bn character varying(255),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT now(),
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE cmn.travel_purpose OWNER TO cmn;

--
-- Name: uom; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.uom (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    category_oid character varying(128) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    status character varying(32) NOT NULL
);


ALTER TABLE cmn.uom OWNER TO grp;

--
-- Name: uom_category; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.uom_category (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    status character varying(32) NOT NULL
);


ALTER TABLE cmn.uom_category OWNER TO grp;

--
-- Name: uom_conversion; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.uom_conversion (
    oid character varying(128) NOT NULL,
    uom_oid_from character varying(256) NOT NULL,
    uom_oid_to character varying(256) NOT NULL,
    conversion_factor numeric(20,6) NOT NULL,
    decimal_scale numeric(20,6),
    rounding_mode character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    status character varying(32) NOT NULL
);


ALTER TABLE cmn.uom_conversion OWNER TO grp;

--
-- Name: vendor; Type: TABLE; Schema: cmn; Owner: grp
--

CREATE TABLE cmn.vendor (
    oid character varying(128) NOT NULL,
    code character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    contact_address character varying(512) NOT NULL,
    contact_no character varying(256) NOT NULL,
    email character varying(256) NOT NULL,
    billing_address character varying(256) NOT NULL,
    description text,
    status character varying(32) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying NOT NULL,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    CONSTRAINT ck_status_vendor CHECK ((((status)::text = 'Available'::text) OR ((status)::text = 'Not available'::text)))
);


ALTER TABLE cmn.vendor OWNER TO grp;

--
-- Data for Name: allowance_setup; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.allowance_setup (oid, grade, house_rent_allowance, medical_allowance, mobile_allowance, other_allowance, percentage, start_date, end_date) FROM stdin;
\.
COPY cmn.allowance_setup (oid, grade, house_rent_allowance, medical_allowance, mobile_allowance, other_allowance, percentage, start_date, end_date) FROM '$$PATH$$/5871.dat';

--
-- Data for Name: bank; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.bank (oid, name_en, name_bn, type, is_deleted, created_by, created_on, updated_by, updated_on, activation_date, bank_type_oid) FROM stdin;
\.
COPY cmn.bank (oid, name_en, name_bn, type, is_deleted, created_by, created_on, updated_by, updated_on, activation_date, bank_type_oid) FROM '$$PATH$$/5872.dat';

--
-- Data for Name: bank_history; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.bank_history (oid, bank_oid, name_en, name_bn, bank_type_oid, is_deleted, created_by, created_on, updated_by, updated_on, from_date, end_date, attachments_oids) FROM stdin;
\.
COPY cmn.bank_history (oid, bank_oid, name_en, name_bn, bank_type_oid, is_deleted, created_by, created_on, updated_by, updated_on, from_date, end_date, attachments_oids) FROM '$$PATH$$/5873.dat';

--
-- Data for Name: bank_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.bank_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en) FROM stdin;
\.
COPY cmn.bank_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en) FROM '$$PATH$$/5874.dat';

--
-- Data for Name: blood_group; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.blood_group (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.blood_group (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5875.dat';

--
-- Data for Name: calendar_year; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.calendar_year (oid, created_by, created_on, is_deleted, updated_by, updated_on, year) FROM stdin;
\.
COPY cmn.calendar_year (oid, created_by, created_on, is_deleted, updated_by, updated_on, year) FROM '$$PATH$$/5975.dat';

--
-- Data for Name: committee; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.committee (oid, created_by, created_on, is_deleted, updated_by, updated_on, attachment, formation_date, internal_rate, is_draft, min_or_max, name_bn, name_en, no_of_member, no_of_quorum, workarea, committee_module_oid, office_oid, committee_sub_module_oid, is_active) FROM stdin;
\.
COPY cmn.committee (oid, created_by, created_on, is_deleted, updated_by, updated_on, attachment, formation_date, internal_rate, is_draft, min_or_max, name_bn, name_en, no_of_member, no_of_quorum, workarea, committee_module_oid, office_oid, committee_sub_module_oid, is_active) FROM '$$PATH$$/5876.dat';

--
-- Data for Name: committee_designation; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.committee_designation (oid, created_by, created_on, is_deleted, updated_by, updated_on, designation_bn, designation_en, sort_order) FROM stdin;
\.
COPY cmn.committee_designation (oid, created_by, created_on, is_deleted, updated_by, updated_on, designation_bn, designation_en, sort_order) FROM '$$PATH$$/5877.dat';

--
-- Data for Name: committee_employee; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.committee_employee (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, designation, email, emp_oid, employee_role, name, organization, phone, committee_oid) FROM stdin;
\.
COPY cmn.committee_employee (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, designation, email, emp_oid, employee_role, name, organization, phone, committee_oid) FROM '$$PATH$$/5878.dat';

--
-- Data for Name: committee_member; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.committee_member (oid, created_by, created_on, is_deleted, updated_by, updated_on, email, emp_oid, emp_oup, is_external, is_head_of_committee, is_quorum_member, name_bn, name_en, office, phone, post, committee_oid, committee_designation_oid, office_oid, is_active, is_acting_member, employee_office_oid) FROM stdin;
\.
COPY cmn.committee_member (oid, created_by, created_on, is_deleted, updated_by, updated_on, email, emp_oid, emp_oup, is_external, is_head_of_committee, is_quorum_member, name_bn, name_en, office, phone, post, committee_oid, committee_designation_oid, office_oid, is_active, is_acting_member, employee_office_oid) FROM '$$PATH$$/5879.dat';

--
-- Data for Name: committee_module; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.committee_module (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, short_name) FROM stdin;
\.
COPY cmn.committee_module (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, short_name) FROM '$$PATH$$/5880.dat';

--
-- Data for Name: committee_setup; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.committee_setup (oid, committee_code, committee_type_oid, committee_name, max_member, min_member, forming_date, purpose, comments, status, organization_info_oid) FROM stdin;
\.
COPY cmn.committee_setup (oid, committee_code, committee_type_oid, committee_name, max_member, min_member, forming_date, purpose, comments, status, organization_info_oid) FROM '$$PATH$$/5881.dat';

--
-- Data for Name: committee_setup_line; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.committee_setup_line (oid, committee_setup_line_code, committee_setup_oid, employee_info_oid, member_role, orgaization_oid) FROM stdin;
\.
COPY cmn.committee_setup_line (oid, committee_setup_line_code, committee_setup_oid, employee_info_oid, member_role, orgaization_oid) FROM '$$PATH$$/5882.dat';

--
-- Data for Name: committee_sub_module; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.committee_sub_module (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, short_name, committee_module_oid) FROM stdin;
\.
COPY cmn.committee_sub_module (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, short_name, committee_module_oid) FROM '$$PATH$$/5883.dat';

--
-- Data for Name: committee_type_setup; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.committee_type_setup (oid, committee_type_code, committee_type, approved_by) FROM stdin;
\.
COPY cmn.committee_type_setup (oid, committee_type_code, committee_type, approved_by) FROM '$$PATH$$/5884.dat';

--
-- Data for Name: course_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.course_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.course_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5885.dat';

--
-- Data for Name: court_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.court_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.court_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5886.dat';

--
-- Data for Name: deduction_setup; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.deduction_setup (oid, grade, house_rent_deduction, tax_deduction, gpf_deduction, other_deduction, percentage, start_date, end_date) FROM stdin;
\.
COPY cmn.deduction_setup (oid, grade, house_rent_deduction, tax_deduction, gpf_deduction, other_deduction, percentage, start_date, end_date) FROM '$$PATH$$/5887.dat';

--
-- Data for Name: directory; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.directory (oid, created_by, created_on, updated_by, updated_on, row_status, location, permission_type, allocated_size, used_space) FROM stdin;
\.
COPY cmn.directory (oid, created_by, created_on, updated_by, updated_on, row_status, location, permission_type, allocated_size, used_space) FROM '$$PATH$$/5888.dat';

--
-- Data for Name: document; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.document (oid, document_code, document_name, document_type_oid, category, path, description) FROM stdin;
\.
COPY cmn.document (oid, document_code, document_name, document_type_oid, category, path, description) FROM '$$PATH$$/5889.dat';

--
-- Data for Name: document_type; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.document_type (oid, document_type_code, document_type_name) FROM stdin;
\.
COPY cmn.document_type (oid, document_type_code, document_type_name) FROM '$$PATH$$/5890.dat';

--
-- Data for Name: economic_code; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.economic_code (oid, name_en, name_bn, description_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.economic_code (oid, name_en, name_bn, description_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5891.dat';

--
-- Data for Name: economic_code_description; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.economic_code_description (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.economic_code_description (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5892.dat';

--
-- Data for Name: education_degree; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.education_degree (oid, name_en, name_bn, display_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.education_degree (oid, name_en, name_bn, display_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5893.dat';

--
-- Data for Name: email; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.email (oid, created_by, created_on, updated_by, updated_on, row_status, subject, message_content, tag, token, status_txt, request_oid, hasattachment, scheduled_time, departure_time) FROM stdin;
\.
COPY cmn.email (oid, created_by, created_on, updated_by, updated_on, row_status, subject, message_content, tag, token, status_txt, request_oid, hasattachment, scheduled_time, departure_time) FROM '$$PATH$$/5894.dat';

--
-- Data for Name: email_attachment; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.email_attachment (oid, created_by, created_on, updated_by, updated_on, row_status, file_name, location, file_unique_name, email_id) FROM stdin;
\.
COPY cmn.email_attachment (oid, created_by, created_on, updated_by, updated_on, row_status, file_name, location, file_unique_name, email_id) FROM '$$PATH$$/5895.dat';

--
-- Data for Name: email_recipient; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.email_recipient (oid, created_by, created_on, updated_by, updated_on, row_status, emp_id, org_id, email_address, recipient_type, email_id, field_type) FROM stdin;
\.
COPY cmn.email_recipient (oid, created_by, created_on, updated_by, updated_on, row_status, emp_id, org_id, email_address, recipient_type, email_id, field_type) FROM '$$PATH$$/5896.dat';

--
-- Data for Name: employment_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.employment_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.employment_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5897.dat';

--
-- Data for Name: entitlement; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.entitlement (oid, quantity, started_from, is_deleted, created_by, created_on, updated_by, updated_on, entitlement_type_oid, office_oid, post_oid, item_group_oid, uom_oid) FROM stdin;
\.
COPY cmn.entitlement (oid, quantity, started_from, is_deleted, created_by, created_on, updated_by, updated_on, entitlement_type_oid, office_oid, post_oid, item_group_oid, uom_oid) FROM '$$PATH$$/5898.dat';

--
-- Data for Name: entitlement_type; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.entitlement_type (oid, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.entitlement_type (oid, name_en, name_bn, description, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5899.dat';

--
-- Data for Name: file; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.file (oid, created_by, created_on, updated_by, updated_on, row_status, title, stored_name, file_size, description, dir_id, org_name) FROM stdin;
\.
COPY cmn.file (oid, created_by, created_on, updated_by, updated_on, row_status, title, stored_name, file_size, description, dir_id, org_name) FROM '$$PATH$$/5900.dat';

--
-- Data for Name: file_request; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.file_request (oid, created_by, created_on, updated_by, updated_on, row_status, file_oid, request_oid) FROM stdin;
\.
COPY cmn.file_request (oid, created_by, created_on, updated_by, updated_on, row_status, file_oid, request_oid) FROM '$$PATH$$/5901.dat';

--
-- Data for Name: file_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.file_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en) FROM stdin;
\.
COPY cmn.file_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en) FROM '$$PATH$$/5902.dat';

--
-- Data for Name: fiscal_year; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.fiscal_year (oid, name_en, name_bn, status, start_date, end_date, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.fiscal_year (oid, name_en, name_bn, status, start_date, end_date, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5903.dat';

--
-- Data for Name: gender; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.gender (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en) FROM stdin;
\.
COPY cmn.gender (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en) FROM '$$PATH$$/5904.dat';

--
-- Data for Name: geo_country; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.geo_country (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on, nationality_en, nationality_bn) FROM stdin;
\.
COPY cmn.geo_country (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on, nationality_en, nationality_bn) FROM '$$PATH$$/5905.dat';

--
-- Data for Name: geo_district; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.geo_district (oid, name_en, name_bn, bbs_code, division_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.geo_district (oid, name_en, name_bn, bbs_code, division_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5906.dat';

--
-- Data for Name: geo_division; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.geo_division (oid, name_en, name_bn, bbs_code, country_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.geo_division (oid, name_en, name_bn, bbs_code, country_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5907.dat';

--
-- Data for Name: geo_post_office; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.geo_post_office (oid, name_en, name_bn, post_code, is_deleted, thana_oid, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.geo_post_office (oid, name_en, name_bn, post_code, is_deleted, thana_oid, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5908.dat';

--
-- Data for Name: geo_thana; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.geo_thana (oid, name_en, name_bn, district_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.geo_thana (oid, name_en, name_bn, district_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5909.dat';

--
-- Data for Name: geo_upazila; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.geo_upazila (oid, name_en, name_bn, bbs_code, district_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.geo_upazila (oid, name_en, name_bn, bbs_code, district_oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5910.dat';

--
-- Data for Name: grade_payscale; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.grade_payscale (oid, grade_oid, start_date, end_date, type, payscale, is_deleted, created_by, created_on, updated_by, updated_on, payscale_sorting_order) FROM stdin;
\.
COPY cmn.grade_payscale (oid, grade_oid, start_date, end_date, type, payscale, is_deleted, created_by, created_on, updated_by, updated_on, payscale_sorting_order) FROM '$$PATH$$/5911.dat';

--
-- Data for Name: grade_payscale_basic; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.grade_payscale_basic (oid, grade_payscale_oid, basic_amount, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.grade_payscale_basic (oid, grade_payscale_oid, basic_amount, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5912.dat';

--
-- Data for Name: guest; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.guest (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, designation, email, name, organization, phone, committee_oid) FROM stdin;
\.
COPY cmn.guest (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, designation, email, name, organization, phone, committee_oid) FROM '$$PATH$$/5913.dat';

--
-- Data for Name: item; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.item (oid, name_en, name_bn, item_code, item_status, item_group_oid, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM stdin;
\.
COPY cmn.item (oid, name_en, name_bn, item_code, item_status, item_group_oid, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM '$$PATH$$/5914.dat';

--
-- Data for Name: item_category; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.item_category (oid, name_en, name_bn, status, description, created_by, created_on, updated_by, updated_on, office_oid, is_deleted, parent_category_oid) FROM stdin;
\.
COPY cmn.item_category (oid, name_en, name_bn, status, description, created_by, created_on, updated_by, updated_on, office_oid, is_deleted, parent_category_oid) FROM '$$PATH$$/5915.dat';

--
-- Data for Name: item_feature; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.item_feature (oid, value_en, value_bn, item_oid, item_group_feature_mapping_oid, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM stdin;
\.
COPY cmn.item_feature (oid, value_en, value_bn, item_oid, item_group_feature_mapping_oid, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM '$$PATH$$/5916.dat';

--
-- Data for Name: item_group; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.item_group (oid, item_group_code, name_en, name_bn, uom_oid, traditional, maintained_as, status, hs_code, item_category_oid, is_consumable, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM stdin;
\.
COPY cmn.item_group (oid, item_group_code, name_en, name_bn, uom_oid, traditional, maintained_as, status, hs_code, item_category_oid, is_consumable, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM '$$PATH$$/5917.dat';

--
-- Data for Name: item_group_feature; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.item_group_feature (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM stdin;
\.
COPY cmn.item_group_feature (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM '$$PATH$$/5918.dat';

--
-- Data for Name: item_group_feature_mapping; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.item_group_feature_mapping (oid, is_mandatory, item_group_oid, item_group_feature_oid, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM stdin;
\.
COPY cmn.item_group_feature_mapping (oid, is_mandatory, item_group_oid, item_group_feature_oid, created_by, created_on, updated_by, updated_on, office_oid, is_deleted) FROM '$$PATH$$/5919.dat';

--
-- Data for Name: loan_sanction; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.loan_sanction (oid, employee_oid, last_date_of_loan, date_of_retirement, loan_type, loan_amount, no_of_installment, loan_letter_upload, notes) FROM stdin;
\.
COPY cmn.loan_sanction (oid, employee_oid, last_date_of_loan, date_of_retirement, loan_type, loan_amount, no_of_installment, loan_letter_upload, notes) FROM '$$PATH$$/5920.dat';

--
-- Data for Name: marital_status; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.marital_status (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.marital_status (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5921.dat';

--
-- Data for Name: message; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.message (oid, created_by, created_on, updated_by, updated_on, row_status, tag, token, request_oid, message_content) FROM stdin;
\.
COPY cmn.message (oid, created_by, created_on, updated_by, updated_on, row_status, tag, token, request_oid, message_content) FROM '$$PATH$$/5922.dat';

--
-- Data for Name: mobile_banking_provider; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.mobile_banking_provider (oid, created_by, created_on, is_deleted, updated_by, updated_on, bank_name, name_bn, name_en) FROM stdin;
\.
COPY cmn.mobile_banking_provider (oid, created_by, created_on, is_deleted, updated_by, updated_on, bank_name, name_bn, name_en) FROM '$$PATH$$/5923.dat';

--
-- Data for Name: notification; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.notification (oid, created_by, created_on, updated_by, updated_on, row_status, tag, token, message_content, url, request_oid, callbackapi) FROM stdin;
\.
COPY cmn.notification (oid, created_by, created_on, updated_by, updated_on, row_status, tag, token, message_content, url, request_oid, callbackapi) FROM '$$PATH$$/5924.dat';

--
-- Data for Name: notification_recipient; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.notification_recipient (oid, created_by, created_on, updated_by, updated_on, row_status, emp_id, org_id, u_id, status, n_id) FROM stdin;
\.
COPY cmn.notification_recipient (oid, created_by, created_on, updated_by, updated_on, row_status, emp_id, org_id, u_id, status, n_id) FROM '$$PATH$$/5925.dat';

--
-- Data for Name: observation_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.observation_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, tag, is_applicable_for_acr, is_applicable_for_attendance, is_applicable_for_award, is_applicable_for_disciplinary_action, is_applicable_for_leave, is_applicable_for_loan_committee, is_applicable_for_loan_general, is_applicable_for_payroll, is_applicable_for_posting, is_applicable_for_promotion, is_applicable_for_publication, is_applicable_for_recruitment, is_applicable_for_training, is_applicable_for_release) FROM stdin;
\.
COPY cmn.observation_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, tag, is_applicable_for_acr, is_applicable_for_attendance, is_applicable_for_award, is_applicable_for_disciplinary_action, is_applicable_for_leave, is_applicable_for_loan_committee, is_applicable_for_loan_general, is_applicable_for_payroll, is_applicable_for_posting, is_applicable_for_promotion, is_applicable_for_publication, is_applicable_for_recruitment, is_applicable_for_training, is_applicable_for_release) FROM '$$PATH$$/5926.dat';

--
-- Data for Name: occupation; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.occupation (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.occupation (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5927.dat';

--
-- Data for Name: office; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office (oid, name_bn, code_en, code_bn, address_en, address_bn, email, web, logo_url, status, sort_order, parent_oid, office_layer_oid, ministry_oid, root_office_oid, is_root_office, is_deleted, created_by, created_on, updated_by, updated_on, stakeholder_oid, office_type_oid, tin_no, bin_no, go_code, activation_date, name_en) FROM stdin;
\.
COPY cmn.office (oid, name_bn, code_en, code_bn, address_en, address_bn, email, web, logo_url, status, sort_order, parent_oid, office_layer_oid, ministry_oid, root_office_oid, is_root_office, is_deleted, created_by, created_on, updated_by, updated_on, stakeholder_oid, office_type_oid, tin_no, bin_no, go_code, activation_date, name_en) FROM '$$PATH$$/5928.dat';

--
-- Data for Name: office_history; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.office_history (oid, office_oid, name_en, name_bn, code_en, code_bn, address_en, address_bn, email, web, logo_url, status, sort_order, parent_oid, office_layer_oid, ministry_oid, root_office_oid, is_root_office, is_deleted, created_by, created_on, updated_by, updated_on, stakeholder_oid, go_code, office_type_oid, tin_no, bin_no, from_date, end_date, attachments_oids) FROM stdin;
\.
COPY cmn.office_history (oid, office_oid, name_en, name_bn, code_en, code_bn, address_en, address_bn, email, web, logo_url, status, sort_order, parent_oid, office_layer_oid, ministry_oid, root_office_oid, is_root_office, is_deleted, created_by, created_on, updated_by, updated_on, stakeholder_oid, go_code, office_type_oid, tin_no, bin_no, from_date, end_date, attachments_oids) FROM '$$PATH$$/5929.dat';

--
-- Data for Name: office_layer; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_layer (oid, name_en, name_bn, sort_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.office_layer (oid, name_en, name_bn, sort_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5930.dat';

--
-- Data for Name: office_origin; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_origin (oid, name_en, name_bn, status, level_order, sort_order, parent_oid, office_layer_oid, ministry_oid) FROM stdin;
\.
COPY cmn.office_origin (oid, name_en, name_bn, status, level_order, sort_order, parent_oid, office_layer_oid, ministry_oid) FROM '$$PATH$$/5931.dat';

--
-- Data for Name: office_origin_unit; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_origin_unit (oid, name_en, name_bn, status, level_order, sort_order, parent_oid, office_unit_category_oid, office_origin_oid, office_layer_oid, ministry_oid) FROM stdin;
\.
COPY cmn.office_origin_unit (oid, name_en, name_bn, status, level_order, sort_order, parent_oid, office_unit_category_oid, office_origin_oid, office_layer_oid, ministry_oid) FROM '$$PATH$$/5932.dat';

--
-- Data for Name: office_origin_unit_post; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_origin_unit_post (oid, name_en, name_bn, status, level_order, sort_order, parent_oid, office_origin_unit_oid) FROM stdin;
\.
COPY cmn.office_origin_unit_post (oid, name_en, name_bn, status, level_order, sort_order, parent_oid, office_origin_unit_oid) FROM '$$PATH$$/5933.dat';

--
-- Data for Name: office_post; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_post (oid, created_by, created_on, updated_by, updated_on, is_deleted, office_oid, post_oid) FROM stdin;
\.
COPY cmn.office_post (oid, created_by, created_on, updated_by, updated_on, is_deleted, office_oid, post_oid) FROM '$$PATH$$/5934.dat';

--
-- Data for Name: office_subject_wise_code; Type: TABLE DATA; Schema: cmn; Owner: postgres
--

COPY cmn.office_subject_wise_code (oid, name_bn, name_en, code_bn, code_en, display_order, business_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.office_subject_wise_code (oid, name_bn, name_en, code_bn, code_en, display_order, business_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5978.dat';

--
-- Data for Name: office_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.office_type (oid, name_en, name_bn, is_deleted, sort_order, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.office_type (oid, name_en, name_bn, is_deleted, sort_order, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5935.dat';

--
-- Data for Name: office_unit; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_unit (oid, name_en, name_bn, display_order, business_order, parent_oid, office_unit_category_oid, office_oid, ministry_oid, is_deleted, created_by, created_on, updated_by, updated_on, activation_date, code_en, code_bn) FROM stdin;
\.
COPY cmn.office_unit (oid, name_en, name_bn, display_order, business_order, parent_oid, office_unit_category_oid, office_oid, ministry_oid, is_deleted, created_by, created_on, updated_by, updated_on, activation_date, code_en, code_bn) FROM '$$PATH$$/5936.dat';

--
-- Data for Name: office_unit_category; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_unit_category (oid, name_en, name_bn, sort_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.office_unit_category (oid, name_en, name_bn, sort_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5937.dat';

--
-- Data for Name: office_unit_history; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.office_unit_history (oid, office_unit_oid, name_en, name_bn, display_order, business_order, parent_oid, office_unit_category_oid, office_oid, ministry_oid, is_deleted, created_by, created_on, updated_by, updated_on, from_date, end_date, attachments_oids) FROM stdin;
\.
COPY cmn.office_unit_history (oid, office_unit_oid, name_en, name_bn, display_order, business_order, parent_oid, office_unit_category_oid, office_oid, ministry_oid, is_deleted, created_by, created_on, updated_by, updated_on, from_date, end_date, attachments_oids) FROM '$$PATH$$/5938.dat';

--
-- Data for Name: office_unit_post; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.office_unit_post (oid, post_oid, display_order, business_order, parent_oid, office_unit_oid, phone_no, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.office_unit_post (oid, post_oid, display_order, business_order, parent_oid, office_unit_oid, phone_no, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5939.dat';

--
-- Data for Name: party; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, party_type, remark, is_local, description, address_street, address_district_state, address_country, address_post_code, address, trade_license, incorporation_certificate, tin, bin, website, membership_info, fund_code, email, phone_no, fax_no, short_name, office_oid) FROM stdin;
\.
COPY cmn.party (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, party_type, remark, is_local, description, address_street, address_district_state, address_country, address_post_code, address, trade_license, incorporation_certificate, tin, bin, website, membership_info, fund_code, email, phone_no, fax_no, short_name, office_oid) FROM '$$PATH$$/5940.dat';

--
-- Data for Name: party_bank_account; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_bank_account (oid, created_by, created_on, updated_by, updated_on, is_deleted, bank_name, branch_address, branch_name, telephone, swift_code, account_type, party_oid, account_name, account_no, is_primary) FROM stdin;
\.
COPY cmn.party_bank_account (oid, created_by, created_on, updated_by, updated_on, is_deleted, bank_name, branch_address, branch_name, telephone, swift_code, account_type, party_oid, account_name, account_no, is_primary) FROM '$$PATH$$/5941.dat';

--
-- Data for Name: party_contact; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_contact (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, designation, department, email, phone_no) FROM stdin;
\.
COPY cmn.party_contact (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, designation, department, email, phone_no) FROM '$$PATH$$/5942.dat';

--
-- Data for Name: party_facility; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_facility (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, address_street, address_district_state, address_country, address_post_code, address, is_local, email, phone_no, fax_no, is_root, party_oid) FROM stdin;
\.
COPY cmn.party_facility (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, address_street, address_district_state, address_country, address_post_code, address, is_local, email, phone_no, fax_no, is_root, party_oid) FROM '$$PATH$$/5943.dat';

--
-- Data for Name: party_party_contact; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_party_contact (oid, created_by, created_on, updated_by, updated_on, is_deleted, party_oid, party_facility_oid, party_contact_oid) FROM stdin;
\.
COPY cmn.party_party_contact (oid, created_by, created_on, updated_by, updated_on, is_deleted, party_oid, party_facility_oid, party_contact_oid) FROM '$$PATH$$/5944.dat';

--
-- Data for Name: party_party_role; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_party_role (oid, created_by, created_on, updated_by, updated_on, is_deleted, party_oid, party_role_oid) FROM stdin;
\.
COPY cmn.party_party_role (oid, created_by, created_on, updated_by, updated_on, is_deleted, party_oid, party_role_oid) FROM '$$PATH$$/5945.dat';

--
-- Data for Name: party_party_skill; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_party_skill (oid, created_by, created_on, updated_by, updated_on, is_deleted, party_oid, party_skill_oid) FROM stdin;
\.
COPY cmn.party_party_skill (oid, created_by, created_on, updated_by, updated_on, is_deleted, party_oid, party_skill_oid) FROM '$$PATH$$/5946.dat';

--
-- Data for Name: party_role; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_role (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, code) FROM stdin;
\.
COPY cmn.party_role (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, code) FROM '$$PATH$$/5947.dat';

--
-- Data for Name: party_skill; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.party_skill (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn) FROM stdin;
\.
COPY cmn.party_skill (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn) FROM '$$PATH$$/5948.dat';

--
-- Data for Name: payroll_process; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.payroll_process (oid, employee_oid, house_rent, total_allowance, total_deduction, final_amount) FROM stdin;
\.
COPY cmn.payroll_process (oid, employee_oid, house_rent, total_allowance, total_deduction, final_amount) FROM '$$PATH$$/5949.dat';

--
-- Data for Name: post; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.post (oid, name_en, name_bn, sort_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.post (oid, name_en, name_bn, sort_order, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5950.dat';

--
-- Data for Name: posting_office_map; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.posting_office_map (oid, created_by, created_on, is_deleted, updated_by, updated_on, sort_order, managed_by_office_oid, office_oid) FROM stdin;
\.
COPY cmn.posting_office_map (oid, created_by, created_on, is_deleted, updated_by, updated_on, sort_order, managed_by_office_oid, office_oid) FROM '$$PATH$$/5974.dat';

--
-- Data for Name: prepare_salary_bill; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.prepare_salary_bill (oid, grade, employee_type, employee_oid, attachment) FROM stdin;
\.
COPY cmn.prepare_salary_bill (oid, grade, employee_type, employee_oid, attachment) FROM '$$PATH$$/5951.dat';

--
-- Data for Name: promotion_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.promotion_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.promotion_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5952.dat';

--
-- Data for Name: publication_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.publication_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.publication_type (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5953.dat';

--
-- Data for Name: rank; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.rank (oid, name_en, name_bn, is_deleted, sort_order, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.rank (oid, name_en, name_bn, is_deleted, sort_order, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5954.dat';

--
-- Data for Name: relationship; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.relationship (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.relationship (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5955.dat';

--
-- Data for Name: release_checklist_item; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.release_checklist_item (oid, created_by, created_on, is_deleted, updated_by, updated_on, description, is_checked, name_bn, name_en) FROM stdin;
\.
COPY cmn.release_checklist_item (oid, created_by, created_on, is_deleted, updated_by, updated_on, description, is_checked, name_bn, name_en) FROM '$$PATH$$/5976.dat';

--
-- Data for Name: release_type; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.release_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, tag) FROM stdin;
\.
COPY cmn.release_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, tag) FROM '$$PATH$$/5977.dat';

--
-- Data for Name: religion; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.religion (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.religion (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5956.dat';

--
-- Data for Name: request; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.request (oid, created_by, created_on, updated_by, updated_on, row_status, request_oid, requested_by) FROM stdin;
\.
COPY cmn.request (oid, created_by, created_on, updated_by, updated_on, row_status, request_oid, requested_by) FROM '$$PATH$$/5957.dat';

--
-- Data for Name: review_action; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.review_action (oid, request_time, review_time, return_comment, is_complete, is_rejected, is_disabled, is_deleted, source_tbl, source_row_oid, requested_by, assigned_to, review_action_type_oid, forwarded_to) FROM stdin;
\.
COPY cmn.review_action (oid, request_time, review_time, return_comment, is_complete, is_rejected, is_disabled, is_deleted, source_tbl, source_row_oid, requested_by, assigned_to, review_action_type_oid, forwarded_to) FROM '$$PATH$$/5958.dat';

--
-- Data for Name: review_action_detail; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.review_action_detail (oid, audited_qty, status, remarks, is_deleted, created_by, created_on, updated_by, updated_on, review_action_oid, review_action_type_oid, item_requisition_detail_oid) FROM stdin;
\.
COPY cmn.review_action_detail (oid, audited_qty, status, remarks, is_deleted, created_by, created_on, updated_by, updated_on, review_action_oid, review_action_type_oid, item_requisition_detail_oid) FROM '$$PATH$$/5959.dat';

--
-- Data for Name: review_action_type; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.review_action_type (oid, name_en, name_bn, priority, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.review_action_type (oid, name_en, name_bn, priority, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5960.dat';

--
-- Data for Name: review_job_type; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.review_job_type (oid, job_name, table_name, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.review_job_type (oid, job_name, table_name, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5961.dat';

--
-- Data for Name: smstracker; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.smstracker (oid, created_by, created_on, updated_by, updated_on, row_status, emp_id, org_id, field_type, m_id, trial_count, status, status_code, error_code, contact_no, message_id, scheduled_time, "time") FROM stdin;
\.
COPY cmn.smstracker (oid, created_by, created_on, updated_by, updated_on, row_status, emp_id, org_id, field_type, m_id, trial_count, status, status_code, error_code, contact_no, message_id, scheduled_time, "time") FROM '$$PATH$$/5962.dat';

--
-- Data for Name: stakeholder; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.stakeholder (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, code_en, code_bn, logo_oid) FROM stdin;
\.
COPY cmn.stakeholder (oid, created_by, created_on, updated_by, updated_on, is_deleted, name_en, name_bn, code_en, code_bn, logo_oid) FROM '$$PATH$$/5963.dat';

--
-- Data for Name: store; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.store (oid, store_code, name_en, name_bn, location, contact_number, description, status, opening_date, is_deleted, created_by, created_on, updated_by, updated_on, office_oid, store_in_charge_oid, store_keeper_oid, owned_by_oid) FROM stdin;
\.
COPY cmn.store (oid, store_code, name_en, name_bn, location, contact_number, description, status, opening_date, is_deleted, created_by, created_on, updated_by, updated_on, office_oid, store_in_charge_oid, store_keeper_oid, owned_by_oid) FROM '$$PATH$$/5964.dat';

--
-- Data for Name: store_designation; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.store_designation (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.store_designation (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5965.dat';

--
-- Data for Name: store_employee; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.store_employee (oid, active_date, is_deleted, created_by, created_on, updated_by, updated_on, store_oid, store_designation_oid, employee_oid) FROM stdin;
\.
COPY cmn.store_employee (oid, active_date, is_deleted, created_by, created_on, updated_by, updated_on, store_oid, store_designation_oid, employee_oid) FROM '$$PATH$$/5966.dat';

--
-- Data for Name: store_item_setup_mapping; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.store_item_setup_mapping (oid, is_deleted, created_by, created_on, updated_by, updated_on, store_oid, item_group_oid) FROM stdin;
\.
COPY cmn.store_item_setup_mapping (oid, is_deleted, created_by, created_on, updated_by, updated_on, store_oid, item_group_oid) FROM '$$PATH$$/5967.dat';

--
-- Data for Name: super_admin; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.super_admin (oid, created_by, created_on, updated_by, updated_on, is_deleted, stakeholder_oid, employee_office_oid, employee_oid, status, tag) FROM stdin;
\.
COPY cmn.super_admin (oid, created_by, created_on, updated_by, updated_on, is_deleted, stakeholder_oid, employee_office_oid, employee_oid, status, tag) FROM '$$PATH$$/5968.dat';

--
-- Data for Name: travel_purpose; Type: TABLE DATA; Schema: cmn; Owner: cmn
--

COPY cmn.travel_purpose (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.travel_purpose (oid, name_en, name_bn, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5969.dat';

--
-- Data for Name: uom; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.uom (oid, name_en, name_bn, category_oid, created_by, created_on, updated_by, updated_on, status) FROM stdin;
\.
COPY cmn.uom (oid, name_en, name_bn, category_oid, created_by, created_on, updated_by, updated_on, status) FROM '$$PATH$$/5970.dat';

--
-- Data for Name: uom_category; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.uom_category (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, status) FROM stdin;
\.
COPY cmn.uom_category (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, status) FROM '$$PATH$$/5971.dat';

--
-- Data for Name: uom_conversion; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.uom_conversion (oid, uom_oid_from, uom_oid_to, conversion_factor, decimal_scale, rounding_mode, created_by, created_on, updated_by, updated_on, status) FROM stdin;
\.
COPY cmn.uom_conversion (oid, uom_oid_from, uom_oid_to, conversion_factor, decimal_scale, rounding_mode, created_by, created_on, updated_by, updated_on, status) FROM '$$PATH$$/5972.dat';

--
-- Data for Name: vendor; Type: TABLE DATA; Schema: cmn; Owner: grp
--

COPY cmn.vendor (oid, code, name_en, name_bn, contact_address, contact_no, email, billing_address, description, status, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY cmn.vendor (oid, code, name_en, name_bn, contact_address, contact_no, email, billing_address, description, status, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5973.dat';

--
-- Name: bank_history bank_history_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.bank_history
    ADD CONSTRAINT bank_history_pkey PRIMARY KEY (oid);


--
-- Name: bank bank_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (oid);


--
-- Name: bank_type bank_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.bank_type
    ADD CONSTRAINT bank_type_pkey PRIMARY KEY (oid);


--
-- Name: blood_group blood_group_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.blood_group
    ADD CONSTRAINT blood_group_pkey PRIMARY KEY (oid);


--
-- Name: calendar_year calendar_year_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.calendar_year
    ADD CONSTRAINT calendar_year_pkey PRIMARY KEY (oid);


--
-- Name: committee_designation committee_designation_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_designation
    ADD CONSTRAINT committee_designation_pkey PRIMARY KEY (oid);


--
-- Name: committee_employee committee_employee_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_employee
    ADD CONSTRAINT committee_employee_pkey PRIMARY KEY (oid);


--
-- Name: committee_member committee_member_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_member
    ADD CONSTRAINT committee_member_pkey PRIMARY KEY (oid);


--
-- Name: committee_module committee_module_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_module
    ADD CONSTRAINT committee_module_pkey PRIMARY KEY (oid);


--
-- Name: committee committee_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee
    ADD CONSTRAINT committee_pkey PRIMARY KEY (oid);


--
-- Name: committee_sub_module committee_sub_module_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_sub_module
    ADD CONSTRAINT committee_sub_module_pkey PRIMARY KEY (oid);


--
-- Name: course_type course_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.course_type
    ADD CONSTRAINT course_type_pkey PRIMARY KEY (oid);


--
-- Name: court_type court_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.court_type
    ADD CONSTRAINT court_type_pkey PRIMARY KEY (oid);


--
-- Name: education_degree education_degree_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.education_degree
    ADD CONSTRAINT education_degree_pkey PRIMARY KEY (oid);


--
-- Name: employment_type employment_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.employment_type
    ADD CONSTRAINT employment_type_pkey PRIMARY KEY (oid);


--
-- Name: file_type file_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.file_type
    ADD CONSTRAINT file_type_pkey PRIMARY KEY (oid);


--
-- Name: gender gender_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.gender
    ADD CONSTRAINT gender_pkey PRIMARY KEY (oid);


--
-- Name: geo_country geo_country_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_country
    ADD CONSTRAINT geo_country_pkey PRIMARY KEY (oid);


--
-- Name: geo_district geo_district_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_district
    ADD CONSTRAINT geo_district_pkey PRIMARY KEY (oid);


--
-- Name: geo_division geo_division_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_division
    ADD CONSTRAINT geo_division_pkey PRIMARY KEY (oid);


--
-- Name: geo_post_office geo_post_office_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_post_office
    ADD CONSTRAINT geo_post_office_pkey PRIMARY KEY (oid);


--
-- Name: geo_thana geo_thana_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_thana
    ADD CONSTRAINT geo_thana_pkey PRIMARY KEY (oid);


--
-- Name: geo_upazila geo_upazila_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_upazila
    ADD CONSTRAINT geo_upazila_pkey PRIMARY KEY (oid);


--
-- Name: grade_payscale_basic grade_payscale_basic_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.grade_payscale_basic
    ADD CONSTRAINT grade_payscale_basic_pkey PRIMARY KEY (oid);


--
-- Name: grade_payscale grade_payscale_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.grade_payscale
    ADD CONSTRAINT grade_payscale_pkey PRIMARY KEY (oid);


--
-- Name: guest guest_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.guest
    ADD CONSTRAINT guest_pkey PRIMARY KEY (oid);


--
-- Name: marital_status marital_status_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.marital_status
    ADD CONSTRAINT marital_status_pkey PRIMARY KEY (oid);


--
-- Name: mobile_banking_provider mobile_banking_provider_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.mobile_banking_provider
    ADD CONSTRAINT mobile_banking_provider_pkey PRIMARY KEY (oid);


--
-- Name: observation_type observation_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.observation_type
    ADD CONSTRAINT observation_type_pkey PRIMARY KEY (oid);


--
-- Name: occupation occupation_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.occupation
    ADD CONSTRAINT occupation_pkey PRIMARY KEY (oid);


--
-- Name: office_type office_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_type
    ADD CONSTRAINT office_type_pkey PRIMARY KEY (oid);


--
-- Name: party_bank_account party_bank_account_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_bank_account
    ADD CONSTRAINT party_bank_account_pkey PRIMARY KEY (oid);


--
-- Name: party_contact party_contact_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_contact
    ADD CONSTRAINT party_contact_pkey PRIMARY KEY (oid);


--
-- Name: party_facility party_facility_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_facility
    ADD CONSTRAINT party_facility_pkey PRIMARY KEY (oid);


--
-- Name: party_party_role party_party_role_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_role
    ADD CONSTRAINT party_party_role_pkey PRIMARY KEY (oid);


--
-- Name: party_party_skill party_party_skill_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_skill
    ADD CONSTRAINT party_party_skill_pkey PRIMARY KEY (oid);


--
-- Name: party party_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party
    ADD CONSTRAINT party_pkey PRIMARY KEY (oid);


--
-- Name: party_role party_role_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_role
    ADD CONSTRAINT party_role_pkey PRIMARY KEY (oid);


--
-- Name: party_skill party_skill_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_skill
    ADD CONSTRAINT party_skill_pkey PRIMARY KEY (oid);


--
-- Name: allowance_setup pk_allowance_setup; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.allowance_setup
    ADD CONSTRAINT pk_allowance_setup PRIMARY KEY (oid);


--
-- Name: committee_setup pk_committee_setup; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.committee_setup
    ADD CONSTRAINT pk_committee_setup PRIMARY KEY (oid);


--
-- Name: committee_setup_line pk_committee_setup_line; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.committee_setup_line
    ADD CONSTRAINT pk_committee_setup_line PRIMARY KEY (oid);


--
-- Name: committee_type_setup pk_committee_type_setup; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.committee_type_setup
    ADD CONSTRAINT pk_committee_type_setup PRIMARY KEY (oid);


--
-- Name: deduction_setup pk_deduction_setup; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.deduction_setup
    ADD CONSTRAINT pk_deduction_setup PRIMARY KEY (oid);


--
-- Name: directory pk_directory; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.directory
    ADD CONSTRAINT pk_directory PRIMARY KEY (oid);


--
-- Name: document pk_document; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.document
    ADD CONSTRAINT pk_document PRIMARY KEY (oid);


--
-- Name: document_type pk_document_type; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.document_type
    ADD CONSTRAINT pk_document_type PRIMARY KEY (oid);


--
-- Name: economic_code pk_economic_code; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.economic_code
    ADD CONSTRAINT pk_economic_code PRIMARY KEY (oid);


--
-- Name: economic_code_description pk_economic_code_description; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.economic_code_description
    ADD CONSTRAINT pk_economic_code_description PRIMARY KEY (oid);


--
-- Name: email pk_email; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.email
    ADD CONSTRAINT pk_email PRIMARY KEY (oid);


--
-- Name: email_attachment pk_email_attachment; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.email_attachment
    ADD CONSTRAINT pk_email_attachment PRIMARY KEY (oid);


--
-- Name: email_recipient pk_email_recipient; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.email_recipient
    ADD CONSTRAINT pk_email_recipient PRIMARY KEY (oid);


--
-- Name: entitlement pk_entitlement; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.entitlement
    ADD CONSTRAINT pk_entitlement PRIMARY KEY (oid);


--
-- Name: entitlement_type pk_entitlement_type; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.entitlement_type
    ADD CONSTRAINT pk_entitlement_type PRIMARY KEY (oid);


--
-- Name: file pk_file; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.file
    ADD CONSTRAINT pk_file PRIMARY KEY (oid);


--
-- Name: item pk_item; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item
    ADD CONSTRAINT pk_item PRIMARY KEY (oid);


--
-- Name: item_category pk_item_category; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item_category
    ADD CONSTRAINT pk_item_category PRIMARY KEY (oid);


--
-- Name: item_feature pk_item_feature; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item_feature
    ADD CONSTRAINT pk_item_feature PRIMARY KEY (oid);


--
-- Name: item_group pk_item_group; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item_group
    ADD CONSTRAINT pk_item_group PRIMARY KEY (oid);


--
-- Name: item_group_feature pk_item_group_feature; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item_group_feature
    ADD CONSTRAINT pk_item_group_feature PRIMARY KEY (oid);


--
-- Name: item_group_feature_mapping pk_item_group_feature_mapping; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item_group_feature_mapping
    ADD CONSTRAINT pk_item_group_feature_mapping PRIMARY KEY (oid);


--
-- Name: loan_sanction pk_loan_sanction; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.loan_sanction
    ADD CONSTRAINT pk_loan_sanction PRIMARY KEY (oid);


--
-- Name: message pk_message; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.message
    ADD CONSTRAINT pk_message PRIMARY KEY (oid);


--
-- Name: notification pk_notification; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.notification
    ADD CONSTRAINT pk_notification PRIMARY KEY (oid);


--
-- Name: notification_recipient pk_notification_recipient; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.notification_recipient
    ADD CONSTRAINT pk_notification_recipient PRIMARY KEY (oid);


--
-- Name: office pk_office; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office
    ADD CONSTRAINT pk_office PRIMARY KEY (oid);


--
-- Name: office_history pk_office_history; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_history
    ADD CONSTRAINT pk_office_history PRIMARY KEY (oid);


--
-- Name: office_layer pk_office_layer; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_layer
    ADD CONSTRAINT pk_office_layer PRIMARY KEY (oid);


--
-- Name: office_origin pk_office_origin; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin
    ADD CONSTRAINT pk_office_origin PRIMARY KEY (oid);


--
-- Name: office_origin_unit pk_office_origin_unit; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin_unit
    ADD CONSTRAINT pk_office_origin_unit PRIMARY KEY (oid);


--
-- Name: office_origin_unit_post pk_office_origin_unit_post; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin_unit_post
    ADD CONSTRAINT pk_office_origin_unit_post PRIMARY KEY (oid);


--
-- Name: office_post pk_office_post; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_post
    ADD CONSTRAINT pk_office_post PRIMARY KEY (oid);


--
-- Name: office_subject_wise_code pk_office_subject_wise_code; Type: CONSTRAINT; Schema: cmn; Owner: postgres
--

ALTER TABLE ONLY cmn.office_subject_wise_code
    ADD CONSTRAINT pk_office_subject_wise_code PRIMARY KEY (oid);


--
-- Name: office_unit pk_office_unit; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit
    ADD CONSTRAINT pk_office_unit PRIMARY KEY (oid);


--
-- Name: office_unit_category pk_office_unit_category; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit_category
    ADD CONSTRAINT pk_office_unit_category PRIMARY KEY (oid);


--
-- Name: office_unit_history pk_office_unit_history; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_unit_history
    ADD CONSTRAINT pk_office_unit_history PRIMARY KEY (oid);


--
-- Name: office_unit_post pk_office_unit_post; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit_post
    ADD CONSTRAINT pk_office_unit_post PRIMARY KEY (oid);


--
-- Name: payroll_process pk_payroll_process; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.payroll_process
    ADD CONSTRAINT pk_payroll_process PRIMARY KEY (oid);


--
-- Name: post pk_post; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.post
    ADD CONSTRAINT pk_post PRIMARY KEY (oid);


--
-- Name: prepare_salary_bill pk_prepare_salary_bill; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.prepare_salary_bill
    ADD CONSTRAINT pk_prepare_salary_bill PRIMARY KEY (oid);


--
-- Name: request pk_request; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.request
    ADD CONSTRAINT pk_request PRIMARY KEY (oid);


--
-- Name: review_action pk_review_action; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.review_action
    ADD CONSTRAINT pk_review_action PRIMARY KEY (oid);


--
-- Name: review_action_detail pk_review_action_detail; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.review_action_detail
    ADD CONSTRAINT pk_review_action_detail PRIMARY KEY (oid);


--
-- Name: review_action_type pk_review_action_type; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.review_action_type
    ADD CONSTRAINT pk_review_action_type PRIMARY KEY (oid);


--
-- Name: review_job_type pk_review_job_type; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.review_job_type
    ADD CONSTRAINT pk_review_job_type PRIMARY KEY (oid);


--
-- Name: smstracker pk_smstracker; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.smstracker
    ADD CONSTRAINT pk_smstracker PRIMARY KEY (oid);


--
-- Name: stakeholder pk_stakeholder; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.stakeholder
    ADD CONSTRAINT pk_stakeholder PRIMARY KEY (oid);


--
-- Name: store pk_store; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store
    ADD CONSTRAINT pk_store PRIMARY KEY (oid);


--
-- Name: store_designation pk_store_designation; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store_designation
    ADD CONSTRAINT pk_store_designation PRIMARY KEY (oid);


--
-- Name: store_employee pk_store_employee; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store_employee
    ADD CONSTRAINT pk_store_employee PRIMARY KEY (oid);


--
-- Name: store_item_setup_mapping pk_store_item_setup_mapping; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store_item_setup_mapping
    ADD CONSTRAINT pk_store_item_setup_mapping PRIMARY KEY (oid);


--
-- Name: uom pk_uom; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.uom
    ADD CONSTRAINT pk_uom PRIMARY KEY (oid);


--
-- Name: uom_category pk_uom_category; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.uom_category
    ADD CONSTRAINT pk_uom_category PRIMARY KEY (oid);


--
-- Name: uom_conversion pk_uom_conversion; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.uom_conversion
    ADD CONSTRAINT pk_uom_conversion PRIMARY KEY (oid);


--
-- Name: vendor pk_vendor; Type: CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.vendor
    ADD CONSTRAINT pk_vendor PRIMARY KEY (oid);


--
-- Name: posting_office_map posting_office_map_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.posting_office_map
    ADD CONSTRAINT posting_office_map_pkey PRIMARY KEY (oid);


--
-- Name: promotion_type promotion_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.promotion_type
    ADD CONSTRAINT promotion_type_pkey PRIMARY KEY (oid);


--
-- Name: publication_type publication_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.publication_type
    ADD CONSTRAINT publication_type_pkey PRIMARY KEY (oid);


--
-- Name: rank rank_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.rank
    ADD CONSTRAINT rank_pkey PRIMARY KEY (oid);


--
-- Name: relationship relationship_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.relationship
    ADD CONSTRAINT relationship_pkey PRIMARY KEY (oid);


--
-- Name: release_checklist_item release_checklist_item_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.release_checklist_item
    ADD CONSTRAINT release_checklist_item_pkey PRIMARY KEY (oid);


--
-- Name: release_type release_type_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.release_type
    ADD CONSTRAINT release_type_pkey PRIMARY KEY (oid);


--
-- Name: religion religion_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.religion
    ADD CONSTRAINT religion_pkey PRIMARY KEY (oid);


--
-- Name: super_admin super_admin_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.super_admin
    ADD CONSTRAINT super_admin_pkey PRIMARY KEY (oid);


--
-- Name: travel_purpose travel_purpose_pkey; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.travel_purpose
    ADD CONSTRAINT travel_purpose_pkey PRIMARY KEY (oid);


--
-- Name: release_type uk_qki5a56lwqlgtwdy4gvr5frje; Type: CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.release_type
    ADD CONSTRAINT uk_qki5a56lwqlgtwdy4gvr5frje UNIQUE (tag);


--
-- Name: index_code_vendor; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_code_vendor ON cmn.vendor USING btree (code);


--
-- Name: index_committee_code_committee_setup; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_committee_code_committee_setup ON cmn.committee_setup USING btree (committee_code);


--
-- Name: index_committee_setup_line_code_committee_setup_line; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_committee_setup_line_code_committee_setup_line ON cmn.committee_setup_line USING btree (committee_setup_line_code);


--
-- Name: index_committee_type_code_committee_type_setup; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_committee_type_code_committee_type_setup ON cmn.committee_type_setup USING btree (committee_type_code);


--
-- Name: index_document_code_document; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_document_code_document ON cmn.document USING btree (document_code);


--
-- Name: index_document_type_code_document_type; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_document_type_code_document_type ON cmn.document_type USING btree (document_type_code);


--
-- Name: index_document_type_name_document_type; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_document_type_name_document_type ON cmn.document_type USING btree (document_type_name);


--
-- Name: index_item_code_item; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_item_code_item ON cmn.item USING btree (item_code);


--
-- Name: index_item_group_code_item_group; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_item_group_code_item_group ON cmn.item_group USING btree (item_group_code);


--
-- Name: index_name_bn_item_group_feature; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_name_bn_item_group_feature ON cmn.item_group_feature USING btree (name_bn);


--
-- Name: index_name_bn_office_unit_category; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_name_bn_office_unit_category ON cmn.office_unit_category USING btree (name_bn);


--
-- Name: index_name_bn_vendor; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_name_bn_vendor ON cmn.vendor USING btree (name_bn);


--
-- Name: index_name_en_item_group_feature; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_name_en_item_group_feature ON cmn.item_group_feature USING btree (name_en);


--
-- Name: index_name_en_office_unit_category; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_name_en_office_unit_category ON cmn.office_unit_category USING btree (name_en);


--
-- Name: index_name_en_vendor; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_name_en_vendor ON cmn.vendor USING btree (name_en);


--
-- Name: index_oid_document; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_document ON cmn.document USING btree (oid);


--
-- Name: index_oid_document_type; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_document_type ON cmn.document_type USING btree (oid);


--
-- Name: index_oid_item; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_item ON cmn.item USING btree (oid);


--
-- Name: index_oid_item_category; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_item_category ON cmn.item_category USING btree (oid);


--
-- Name: index_oid_item_feature; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_item_feature ON cmn.item_feature USING btree (oid);


--
-- Name: index_oid_item_group_feature; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_item_group_feature ON cmn.item_group_feature USING btree (oid);


--
-- Name: index_oid_item_group_feature_mapping; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_item_group_feature_mapping ON cmn.item_group_feature_mapping USING btree (oid);


--
-- Name: index_oid_uom; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_uom ON cmn.uom USING btree (oid);


--
-- Name: index_oid_uom_category; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_uom_category ON cmn.uom_category USING btree (oid);


--
-- Name: index_oid_uom_conversion; Type: INDEX; Schema: cmn; Owner: grp
--

CREATE UNIQUE INDEX index_oid_uom_conversion ON cmn.uom_conversion USING btree (oid);


--
-- Name: bank_history bank_history_bank_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.bank_history
    ADD CONSTRAINT bank_history_bank_oid_fkey FOREIGN KEY (bank_oid) REFERENCES cmn.bank(oid);


--
-- Name: committee_member fk2n1n821xptqusjnfsv4pg33ef; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_member
    ADD CONSTRAINT fk2n1n821xptqusjnfsv4pg33ef FOREIGN KEY (committee_designation_oid) REFERENCES cmn.committee_designation(oid);


--
-- Name: committee fk34444l7ryukma8qwly5m72rdc; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee
    ADD CONSTRAINT fk34444l7ryukma8qwly5m72rdc FOREIGN KEY (committee_module_oid) REFERENCES cmn.committee_module(oid);


--
-- Name: posting_office_map fk3ihhpx1ndbfw6nth2b5b13n0c; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.posting_office_map
    ADD CONSTRAINT fk3ihhpx1ndbfw6nth2b5b13n0c FOREIGN KEY (office_oid) REFERENCES cmn.office(oid);


--
-- Name: committee_sub_module fk3qpo01kn4g4sd09kewbkclv6u; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_sub_module
    ADD CONSTRAINT fk3qpo01kn4g4sd09kewbkclv6u FOREIGN KEY (committee_module_oid) REFERENCES cmn.committee_module(oid);


--
-- Name: bank fk868idyq5oo9fjhpcvkk6a1xjb; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.bank
    ADD CONSTRAINT fk868idyq5oo9fjhpcvkk6a1xjb FOREIGN KEY (bank_type_oid) REFERENCES cmn.bank_type(oid);


--
-- Name: posting_office_map fk985qjwssej9rh4e2uq8j4x0tp; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.posting_office_map
    ADD CONSTRAINT fk985qjwssej9rh4e2uq8j4x0tp FOREIGN KEY (managed_by_office_oid) REFERENCES cmn.office(oid);


--
-- Name: uom fk_category_oid_uom; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.uom
    ADD CONSTRAINT fk_category_oid_uom FOREIGN KEY (category_oid) REFERENCES cmn.uom_category(oid);


--
-- Name: committee_setup_line fk_committee_setup_oid_committee_setup_line; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.committee_setup_line
    ADD CONSTRAINT fk_committee_setup_oid_committee_setup_line FOREIGN KEY (committee_setup_oid) REFERENCES cmn.committee_setup(oid);


--
-- Name: committee_setup fk_committee_type_oid_committee_setup; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.committee_setup
    ADD CONSTRAINT fk_committee_type_oid_committee_setup FOREIGN KEY (committee_type_oid) REFERENCES cmn.committee_type_setup(oid);


--
-- Name: economic_code fk_description_oid_economic_code; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.economic_code
    ADD CONSTRAINT fk_description_oid_economic_code FOREIGN KEY (description_oid) REFERENCES cmn.economic_code_description(oid);


--
-- Name: file fk_dir_id_file; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.file
    ADD CONSTRAINT fk_dir_id_file FOREIGN KEY (dir_id) REFERENCES cmn.directory(oid);


--
-- Name: document fk_document_type_oid_document; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.document
    ADD CONSTRAINT fk_document_type_oid_document FOREIGN KEY (document_type_oid) REFERENCES cmn.document_type(oid);


--
-- Name: email_attachment fk_email_id_email_attachment; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.email_attachment
    ADD CONSTRAINT fk_email_id_email_attachment FOREIGN KEY (email_id) REFERENCES cmn.email(oid);


--
-- Name: email_recipient fk_email_id_email_recipient; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.email_recipient
    ADD CONSTRAINT fk_email_id_email_recipient FOREIGN KEY (email_id) REFERENCES cmn.email(oid);


--
-- Name: entitlement fk_entitlement_type_oid_entitlement; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.entitlement
    ADD CONSTRAINT fk_entitlement_type_oid_entitlement FOREIGN KEY (entitlement_type_oid) REFERENCES cmn.entitlement_type(oid);


--
-- Name: file_request fk_file_oid_file_request; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.file_request
    ADD CONSTRAINT fk_file_oid_file_request FOREIGN KEY (file_oid) REFERENCES cmn.file(oid);


--
-- Name: item_group fk_item_category_oid_item_group; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item_group
    ADD CONSTRAINT fk_item_category_oid_item_group FOREIGN KEY (item_category_oid) REFERENCES cmn.item_category(oid);


--
-- Name: entitlement fk_item_group_oid_entitlement; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.entitlement
    ADD CONSTRAINT fk_item_group_oid_entitlement FOREIGN KEY (item_group_oid) REFERENCES cmn.item_group(oid);


--
-- Name: store_item_setup_mapping fk_item_group_oid_store_item_setup_mapping; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store_item_setup_mapping
    ADD CONSTRAINT fk_item_group_oid_store_item_setup_mapping FOREIGN KEY (item_group_oid) REFERENCES cmn.item_group(oid);


--
-- Name: smstracker fk_m_id_smstracker; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.smstracker
    ADD CONSTRAINT fk_m_id_smstracker FOREIGN KEY (m_id) REFERENCES cmn.message(oid);


--
-- Name: office fk_ministry_oid_office; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office
    ADD CONSTRAINT fk_ministry_oid_office FOREIGN KEY (ministry_oid) REFERENCES cmn.office(oid);


--
-- Name: office_history fk_ministry_oid_office_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_history
    ADD CONSTRAINT fk_ministry_oid_office_history FOREIGN KEY (ministry_oid) REFERENCES cmn.office(oid);


--
-- Name: office_origin fk_ministry_oid_office_origin; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin
    ADD CONSTRAINT fk_ministry_oid_office_origin FOREIGN KEY (ministry_oid) REFERENCES cmn.office(oid);


--
-- Name: office_origin_unit fk_ministry_oid_office_origin_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin_unit
    ADD CONSTRAINT fk_ministry_oid_office_origin_unit FOREIGN KEY (ministry_oid) REFERENCES cmn.office(oid);


--
-- Name: office_unit fk_ministry_oid_office_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit
    ADD CONSTRAINT fk_ministry_oid_office_unit FOREIGN KEY (ministry_oid) REFERENCES cmn.office(oid);


--
-- Name: office_unit_history fk_ministry_oid_office_unit_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_unit_history
    ADD CONSTRAINT fk_ministry_oid_office_unit_history FOREIGN KEY (ministry_oid) REFERENCES cmn.office(oid);


--
-- Name: notification_recipient fk_n_id_notification_recipient; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.notification_recipient
    ADD CONSTRAINT fk_n_id_notification_recipient FOREIGN KEY (n_id) REFERENCES cmn.notification(oid);


--
-- Name: office fk_office_layer_oid_office; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office
    ADD CONSTRAINT fk_office_layer_oid_office FOREIGN KEY (office_layer_oid) REFERENCES cmn.office_layer(oid);


--
-- Name: office_history fk_office_layer_oid_office_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_history
    ADD CONSTRAINT fk_office_layer_oid_office_history FOREIGN KEY (office_layer_oid) REFERENCES cmn.office_layer(oid);


--
-- Name: office_origin fk_office_layer_oid_office_origin; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin
    ADD CONSTRAINT fk_office_layer_oid_office_origin FOREIGN KEY (office_layer_oid) REFERENCES cmn.office_layer(oid);


--
-- Name: office_origin_unit fk_office_layer_oid_office_origin_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin_unit
    ADD CONSTRAINT fk_office_layer_oid_office_origin_unit FOREIGN KEY (office_layer_oid) REFERENCES cmn.office_layer(oid);


--
-- Name: entitlement fk_office_oid_entitlement; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.entitlement
    ADD CONSTRAINT fk_office_oid_entitlement FOREIGN KEY (office_oid) REFERENCES cmn.office(oid);


--
-- Name: office_post fk_office_oid_office_post; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_post
    ADD CONSTRAINT fk_office_oid_office_post FOREIGN KEY (office_oid) REFERENCES cmn.office(oid);


--
-- Name: office_unit fk_office_oid_office_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit
    ADD CONSTRAINT fk_office_oid_office_unit FOREIGN KEY (office_oid) REFERENCES cmn.office(oid);


--
-- Name: office_unit_history fk_office_oid_office_unit_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_unit_history
    ADD CONSTRAINT fk_office_oid_office_unit_history FOREIGN KEY (office_oid) REFERENCES cmn.office(oid);


--
-- Name: store fk_office_oid_store; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store
    ADD CONSTRAINT fk_office_oid_store FOREIGN KEY (office_oid) REFERENCES cmn.office(oid);


--
-- Name: office_origin_unit fk_office_origin_oid_office_origin_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin_unit
    ADD CONSTRAINT fk_office_origin_oid_office_origin_unit FOREIGN KEY (office_origin_oid) REFERENCES cmn.office_origin(oid);


--
-- Name: office_origin_unit_post fk_office_origin_unit_oid_office_origin_unit_post; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin_unit_post
    ADD CONSTRAINT fk_office_origin_unit_oid_office_origin_unit_post FOREIGN KEY (office_origin_unit_oid) REFERENCES cmn.office_origin_unit(oid);


--
-- Name: office fk_office_type; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office
    ADD CONSTRAINT fk_office_type FOREIGN KEY (office_type_oid) REFERENCES cmn.office_type(oid);


--
-- Name: office_history fk_office_type_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_history
    ADD CONSTRAINT fk_office_type_history FOREIGN KEY (office_type_oid) REFERENCES cmn.office_type(oid);


--
-- Name: office_origin_unit fk_office_unit_category_oid_office_origin_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_origin_unit
    ADD CONSTRAINT fk_office_unit_category_oid_office_origin_unit FOREIGN KEY (office_unit_category_oid) REFERENCES cmn.office_unit_category(oid);


--
-- Name: office_unit fk_office_unit_category_oid_office_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit
    ADD CONSTRAINT fk_office_unit_category_oid_office_unit FOREIGN KEY (office_unit_category_oid) REFERENCES cmn.office_unit_category(oid);


--
-- Name: office_unit_history fk_office_unit_category_oid_office_unit_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_unit_history
    ADD CONSTRAINT fk_office_unit_category_oid_office_unit_history FOREIGN KEY (office_unit_category_oid) REFERENCES cmn.office_unit_category(oid);


--
-- Name: office_unit_post fk_office_unit_oid_office_unit_post; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit_post
    ADD CONSTRAINT fk_office_unit_oid_office_unit_post FOREIGN KEY (office_unit_oid) REFERENCES cmn.office_unit(oid);


--
-- Name: item_category fk_parent_category_oid_item_category; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.item_category
    ADD CONSTRAINT fk_parent_category_oid_item_category FOREIGN KEY (parent_category_oid) REFERENCES cmn.item_category(oid);


--
-- Name: office fk_parent_oid_office; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office
    ADD CONSTRAINT fk_parent_oid_office FOREIGN KEY (parent_oid) REFERENCES cmn.office(oid);


--
-- Name: office_history fk_parent_oid_office_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_history
    ADD CONSTRAINT fk_parent_oid_office_history FOREIGN KEY (parent_oid) REFERENCES cmn.office(oid);


--
-- Name: office_unit fk_parent_oid_office_unit; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit
    ADD CONSTRAINT fk_parent_oid_office_unit FOREIGN KEY (parent_oid) REFERENCES cmn.office_unit(oid);


--
-- Name: office_unit_history fk_parent_oid_office_unit_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_unit_history
    ADD CONSTRAINT fk_parent_oid_office_unit_history FOREIGN KEY (parent_oid) REFERENCES cmn.office_unit(oid);


--
-- Name: office_unit_post fk_parent_oid_office_unit_post; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit_post
    ADD CONSTRAINT fk_parent_oid_office_unit_post FOREIGN KEY (parent_oid) REFERENCES cmn.office_unit_post(oid);


--
-- Name: entitlement fk_post_oid_entitlement; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.entitlement
    ADD CONSTRAINT fk_post_oid_entitlement FOREIGN KEY (post_oid) REFERENCES cmn.post(oid);


--
-- Name: office_post fk_post_oid_office_post; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_post
    ADD CONSTRAINT fk_post_oid_office_post FOREIGN KEY (post_oid) REFERENCES cmn.post(oid);


--
-- Name: office_unit_post fk_post_oid_office_unit_post; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office_unit_post
    ADD CONSTRAINT fk_post_oid_office_unit_post FOREIGN KEY (post_oid) REFERENCES cmn.post(oid);


--
-- Name: file_request fk_request_oid_file_request; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.file_request
    ADD CONSTRAINT fk_request_oid_file_request FOREIGN KEY (request_oid) REFERENCES cmn.request(oid);


--
-- Name: review_action_detail fk_review_action_oid_review_action_detail; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.review_action_detail
    ADD CONSTRAINT fk_review_action_oid_review_action_detail FOREIGN KEY (review_action_oid) REFERENCES cmn.review_action(oid);


--
-- Name: review_action fk_review_action_type_oid_review_action; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.review_action
    ADD CONSTRAINT fk_review_action_type_oid_review_action FOREIGN KEY (review_action_type_oid) REFERENCES cmn.review_action_type(oid);


--
-- Name: review_action_detail fk_review_action_type_oid_review_action_detail; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.review_action_detail
    ADD CONSTRAINT fk_review_action_type_oid_review_action_detail FOREIGN KEY (review_action_type_oid) REFERENCES cmn.review_action_type(oid);


--
-- Name: office fk_root_office_oid_office; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office
    ADD CONSTRAINT fk_root_office_oid_office FOREIGN KEY (root_office_oid) REFERENCES cmn.office(oid);


--
-- Name: office_history fk_root_office_oid_office_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_history
    ADD CONSTRAINT fk_root_office_oid_office_history FOREIGN KEY (root_office_oid) REFERENCES cmn.office(oid);


--
-- Name: store_employee fk_store_designation_oid_store_employee; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store_employee
    ADD CONSTRAINT fk_store_designation_oid_store_employee FOREIGN KEY (store_designation_oid) REFERENCES cmn.store_designation(oid);


--
-- Name: store_employee fk_store_oid_store_employee; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store_employee
    ADD CONSTRAINT fk_store_oid_store_employee FOREIGN KEY (store_oid) REFERENCES cmn.store(oid);


--
-- Name: store_item_setup_mapping fk_store_oid_store_item_setup_mapping; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.store_item_setup_mapping
    ADD CONSTRAINT fk_store_oid_store_item_setup_mapping FOREIGN KEY (store_oid) REFERENCES cmn.store(oid);


--
-- Name: entitlement fk_uom_oid_entitlement; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.entitlement
    ADD CONSTRAINT fk_uom_oid_entitlement FOREIGN KEY (uom_oid) REFERENCES cmn.uom(oid);


--
-- Name: uom_conversion fk_uom_oid_from_uom_conversion; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.uom_conversion
    ADD CONSTRAINT fk_uom_oid_from_uom_conversion FOREIGN KEY (uom_oid_from) REFERENCES cmn.uom(oid);


--
-- Name: uom_conversion fk_uom_oid_to_uom_conversion; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.uom_conversion
    ADD CONSTRAINT fk_uom_oid_to_uom_conversion FOREIGN KEY (uom_oid_to) REFERENCES cmn.uom(oid);


--
-- Name: bank_history fkaxdamskkelmy2pxpk3m71dmem; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.bank_history
    ADD CONSTRAINT fkaxdamskkelmy2pxpk3m71dmem FOREIGN KEY (bank_type_oid) REFERENCES cmn.bank_type(oid);


--
-- Name: committee_member fkkxa683f5b17y3j6471ohxoynw; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.committee_member
    ADD CONSTRAINT fkkxa683f5b17y3j6471ohxoynw FOREIGN KEY (committee_oid) REFERENCES cmn.committee(oid);


--
-- Name: geo_district geo_district_division_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_district
    ADD CONSTRAINT geo_district_division_oid_fkey FOREIGN KEY (division_oid) REFERENCES cmn.geo_division(oid);


--
-- Name: geo_division geo_division_country_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_division
    ADD CONSTRAINT geo_division_country_oid_fkey FOREIGN KEY (country_oid) REFERENCES cmn.geo_country(oid);


--
-- Name: geo_post_office geo_post_office_thana_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_post_office
    ADD CONSTRAINT geo_post_office_thana_oid_fkey FOREIGN KEY (thana_oid) REFERENCES cmn.geo_thana(oid);


--
-- Name: geo_thana geo_thana_district_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_thana
    ADD CONSTRAINT geo_thana_district_oid_fkey FOREIGN KEY (district_oid) REFERENCES cmn.geo_district(oid);


--
-- Name: geo_upazila geo_upazila_district_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.geo_upazila
    ADD CONSTRAINT geo_upazila_district_oid_fkey FOREIGN KEY (district_oid) REFERENCES cmn.geo_district(oid);


--
-- Name: grade_payscale_basic grade_payscale_basic_grade_payscale_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.grade_payscale_basic
    ADD CONSTRAINT grade_payscale_basic_grade_payscale_oid_fkey FOREIGN KEY (grade_payscale_oid) REFERENCES cmn.grade_payscale(oid);


--
-- Name: party_bank_account party_bank_account_party_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_bank_account
    ADD CONSTRAINT party_bank_account_party_oid_fkey FOREIGN KEY (party_oid) REFERENCES cmn.party(oid);


--
-- Name: party_facility party_facility_party_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_facility
    ADD CONSTRAINT party_facility_party_oid_fkey FOREIGN KEY (party_oid) REFERENCES cmn.party(oid);


--
-- Name: party_party_contact party_party_contact_party_contact_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_contact
    ADD CONSTRAINT party_party_contact_party_contact_oid_fkey FOREIGN KEY (party_contact_oid) REFERENCES cmn.party_contact(oid);


--
-- Name: party_party_contact party_party_contact_party_facility_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_contact
    ADD CONSTRAINT party_party_contact_party_facility_oid_fkey FOREIGN KEY (party_facility_oid) REFERENCES cmn.party_facility(oid);


--
-- Name: party_party_contact party_party_contact_party_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_contact
    ADD CONSTRAINT party_party_contact_party_oid_fkey FOREIGN KEY (party_oid) REFERENCES cmn.party(oid);


--
-- Name: party_party_role party_party_role_party_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_role
    ADD CONSTRAINT party_party_role_party_oid_fkey FOREIGN KEY (party_oid) REFERENCES cmn.party(oid);


--
-- Name: party_party_role party_party_role_party_role_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_role
    ADD CONSTRAINT party_party_role_party_role_oid_fkey FOREIGN KEY (party_role_oid) REFERENCES cmn.party_role(oid);


--
-- Name: party_party_skill party_party_skill_party_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_skill
    ADD CONSTRAINT party_party_skill_party_oid_fkey FOREIGN KEY (party_oid) REFERENCES cmn.party(oid);


--
-- Name: party_party_skill party_party_skill_party_skill_oid_fkey; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.party_party_skill
    ADD CONSTRAINT party_party_skill_party_skill_oid_fkey FOREIGN KEY (party_skill_oid) REFERENCES cmn.party_skill(oid);


--
-- Name: office stakeholderfk; Type: FK CONSTRAINT; Schema: cmn; Owner: grp
--

ALTER TABLE ONLY cmn.office
    ADD CONSTRAINT stakeholderfk FOREIGN KEY (stakeholder_oid) REFERENCES cmn.stakeholder(oid) MATCH FULL;


--
-- Name: office_history stakeholderfk_history; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.office_history
    ADD CONSTRAINT stakeholderfk_history FOREIGN KEY (stakeholder_oid) REFERENCES cmn.stakeholder(oid) MATCH FULL;


--
-- Name: super_admin super_admin_fk; Type: FK CONSTRAINT; Schema: cmn; Owner: cmn
--

ALTER TABLE ONLY cmn.super_admin
    ADD CONSTRAINT super_admin_fk FOREIGN KEY (stakeholder_oid) REFERENCES cmn.stakeholder(oid);


--
-- Name: SCHEMA cmn; Type: ACL; Schema: -; Owner: uatcommongrp1
--

GRANT USAGE ON SCHEMA cmn TO hrm;
GRANT USAGE ON SCHEMA cmn TO ast;
GRANT USAGE ON SCHEMA cmn TO prc;
GRANT USAGE ON SCHEMA cmn TO meeting;
GRANT USAGE ON SCHEMA cmn TO inv;
GRANT USAGE ON SCHEMA cmn TO aud;
GRANT USAGE ON SCHEMA cmn TO bud;
GRANT USAGE ON SCHEMA cmn TO acc;
GRANT USAGE ON SCHEMA cmn TO sec;
GRANT ALL ON SCHEMA cmn TO cmn;
GRANT USAGE ON SCHEMA cmn TO grp;


--
-- Name: TABLE allowance_setup; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.allowance_setup TO hrm;
GRANT ALL ON TABLE cmn.allowance_setup TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.allowance_setup TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.allowance_setup TO prc;
GRANT SELECT ON TABLE cmn.allowance_setup TO meeting;
GRANT SELECT ON TABLE cmn.allowance_setup TO inv;
GRANT SELECT ON TABLE cmn.allowance_setup TO aud;
GRANT SELECT ON TABLE cmn.allowance_setup TO bud;
GRANT SELECT ON TABLE cmn.allowance_setup TO acc;
GRANT SELECT ON TABLE cmn.allowance_setup TO sec;


--
-- Name: TABLE bank; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.bank TO grp;


--
-- Name: TABLE bank_history; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.bank_history TO grp;


--
-- Name: TABLE bank_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.bank_type TO grp;


--
-- Name: TABLE blood_group; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.blood_group TO grp;


--
-- Name: TABLE calendar_year; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.calendar_year TO grp;


--
-- Name: TABLE committee; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.committee TO grp;


--
-- Name: TABLE committee_designation; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.committee_designation TO grp;


--
-- Name: TABLE committee_employee; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.committee_employee TO grp;


--
-- Name: TABLE committee_member; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.committee_member TO grp;


--
-- Name: TABLE committee_module; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.committee_module TO grp;


--
-- Name: TABLE committee_setup; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.committee_setup TO hrm;
GRANT ALL ON TABLE cmn.committee_setup TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.committee_setup TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.committee_setup TO prc;
GRANT SELECT ON TABLE cmn.committee_setup TO meeting;
GRANT SELECT ON TABLE cmn.committee_setup TO inv;
GRANT SELECT ON TABLE cmn.committee_setup TO aud;
GRANT SELECT ON TABLE cmn.committee_setup TO bud;
GRANT SELECT ON TABLE cmn.committee_setup TO acc;
GRANT SELECT ON TABLE cmn.committee_setup TO sec;


--
-- Name: TABLE committee_setup_line; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.committee_setup_line TO hrm;
GRANT ALL ON TABLE cmn.committee_setup_line TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.committee_setup_line TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.committee_setup_line TO prc;
GRANT SELECT ON TABLE cmn.committee_setup_line TO meeting;
GRANT SELECT ON TABLE cmn.committee_setup_line TO inv;
GRANT SELECT ON TABLE cmn.committee_setup_line TO aud;
GRANT SELECT ON TABLE cmn.committee_setup_line TO bud;
GRANT SELECT ON TABLE cmn.committee_setup_line TO acc;
GRANT SELECT ON TABLE cmn.committee_setup_line TO sec;


--
-- Name: TABLE committee_sub_module; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.committee_sub_module TO grp;


--
-- Name: TABLE committee_type_setup; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.committee_type_setup TO hrm;
GRANT ALL ON TABLE cmn.committee_type_setup TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.committee_type_setup TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.committee_type_setup TO prc;
GRANT SELECT ON TABLE cmn.committee_type_setup TO meeting;
GRANT SELECT ON TABLE cmn.committee_type_setup TO inv;
GRANT SELECT ON TABLE cmn.committee_type_setup TO aud;
GRANT SELECT ON TABLE cmn.committee_type_setup TO bud;
GRANT SELECT ON TABLE cmn.committee_type_setup TO acc;
GRANT SELECT ON TABLE cmn.committee_type_setup TO sec;


--
-- Name: TABLE course_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.course_type TO grp;


--
-- Name: TABLE court_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.court_type TO grp;


--
-- Name: TABLE deduction_setup; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.deduction_setup TO hrm;
GRANT ALL ON TABLE cmn.deduction_setup TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.deduction_setup TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.deduction_setup TO prc;
GRANT SELECT ON TABLE cmn.deduction_setup TO meeting;
GRANT SELECT ON TABLE cmn.deduction_setup TO inv;
GRANT SELECT ON TABLE cmn.deduction_setup TO aud;
GRANT SELECT ON TABLE cmn.deduction_setup TO bud;
GRANT SELECT ON TABLE cmn.deduction_setup TO acc;
GRANT SELECT ON TABLE cmn.deduction_setup TO sec;


--
-- Name: TABLE directory; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.directory TO hrm;
GRANT ALL ON TABLE cmn.directory TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.directory TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.directory TO prc;
GRANT SELECT ON TABLE cmn.directory TO meeting;
GRANT SELECT ON TABLE cmn.directory TO inv;
GRANT SELECT ON TABLE cmn.directory TO aud;
GRANT SELECT ON TABLE cmn.directory TO bud;
GRANT SELECT ON TABLE cmn.directory TO acc;
GRANT SELECT ON TABLE cmn.directory TO sec;


--
-- Name: TABLE document; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.document TO hrm;
GRANT ALL ON TABLE cmn.document TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.document TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.document TO prc;
GRANT SELECT ON TABLE cmn.document TO meeting;
GRANT SELECT ON TABLE cmn.document TO inv;
GRANT SELECT ON TABLE cmn.document TO aud;
GRANT SELECT ON TABLE cmn.document TO bud;
GRANT SELECT ON TABLE cmn.document TO acc;
GRANT SELECT ON TABLE cmn.document TO sec;


--
-- Name: TABLE document_type; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.document_type TO hrm;
GRANT ALL ON TABLE cmn.document_type TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.document_type TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.document_type TO prc;
GRANT SELECT ON TABLE cmn.document_type TO meeting;
GRANT SELECT ON TABLE cmn.document_type TO inv;
GRANT SELECT ON TABLE cmn.document_type TO aud;
GRANT SELECT ON TABLE cmn.document_type TO bud;
GRANT SELECT ON TABLE cmn.document_type TO acc;
GRANT SELECT ON TABLE cmn.document_type TO sec;


--
-- Name: TABLE economic_code; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.economic_code TO hrm;
GRANT ALL ON TABLE cmn.economic_code TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.economic_code TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.economic_code TO prc;
GRANT SELECT ON TABLE cmn.economic_code TO meeting;
GRANT SELECT ON TABLE cmn.economic_code TO inv;
GRANT SELECT ON TABLE cmn.economic_code TO aud;
GRANT SELECT ON TABLE cmn.economic_code TO bud;
GRANT SELECT ON TABLE cmn.economic_code TO acc;
GRANT SELECT ON TABLE cmn.economic_code TO sec;


--
-- Name: TABLE economic_code_description; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.economic_code_description TO hrm;
GRANT ALL ON TABLE cmn.economic_code_description TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.economic_code_description TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.economic_code_description TO prc;
GRANT SELECT ON TABLE cmn.economic_code_description TO meeting;
GRANT SELECT ON TABLE cmn.economic_code_description TO inv;
GRANT SELECT ON TABLE cmn.economic_code_description TO aud;
GRANT SELECT ON TABLE cmn.economic_code_description TO bud;
GRANT SELECT ON TABLE cmn.economic_code_description TO acc;
GRANT SELECT ON TABLE cmn.economic_code_description TO sec;


--
-- Name: TABLE education_degree; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.education_degree TO grp;


--
-- Name: TABLE email; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.email TO hrm;
GRANT ALL ON TABLE cmn.email TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.email TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.email TO prc;
GRANT SELECT ON TABLE cmn.email TO meeting;
GRANT SELECT ON TABLE cmn.email TO inv;
GRANT SELECT ON TABLE cmn.email TO aud;
GRANT SELECT ON TABLE cmn.email TO bud;
GRANT SELECT ON TABLE cmn.email TO acc;
GRANT SELECT ON TABLE cmn.email TO sec;


--
-- Name: TABLE email_attachment; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.email_attachment TO hrm;
GRANT ALL ON TABLE cmn.email_attachment TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.email_attachment TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.email_attachment TO prc;
GRANT SELECT ON TABLE cmn.email_attachment TO meeting;
GRANT SELECT ON TABLE cmn.email_attachment TO inv;
GRANT SELECT ON TABLE cmn.email_attachment TO aud;
GRANT SELECT ON TABLE cmn.email_attachment TO bud;
GRANT SELECT ON TABLE cmn.email_attachment TO acc;
GRANT SELECT ON TABLE cmn.email_attachment TO sec;


--
-- Name: TABLE email_recipient; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.email_recipient TO hrm;
GRANT ALL ON TABLE cmn.email_recipient TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.email_recipient TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.email_recipient TO prc;
GRANT SELECT ON TABLE cmn.email_recipient TO meeting;
GRANT SELECT ON TABLE cmn.email_recipient TO inv;
GRANT SELECT ON TABLE cmn.email_recipient TO aud;
GRANT SELECT ON TABLE cmn.email_recipient TO bud;
GRANT SELECT ON TABLE cmn.email_recipient TO acc;
GRANT SELECT ON TABLE cmn.email_recipient TO sec;


--
-- Name: TABLE employment_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.employment_type TO grp;


--
-- Name: TABLE entitlement; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.entitlement TO hrm;
GRANT ALL ON TABLE cmn.entitlement TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.entitlement TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.entitlement TO prc;
GRANT SELECT ON TABLE cmn.entitlement TO meeting;
GRANT SELECT ON TABLE cmn.entitlement TO inv;
GRANT SELECT ON TABLE cmn.entitlement TO aud;
GRANT SELECT ON TABLE cmn.entitlement TO bud;
GRANT SELECT ON TABLE cmn.entitlement TO acc;
GRANT SELECT ON TABLE cmn.entitlement TO sec;


--
-- Name: TABLE entitlement_type; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.entitlement_type TO hrm;
GRANT ALL ON TABLE cmn.entitlement_type TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.entitlement_type TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.entitlement_type TO prc;
GRANT SELECT ON TABLE cmn.entitlement_type TO meeting;
GRANT SELECT ON TABLE cmn.entitlement_type TO inv;
GRANT SELECT ON TABLE cmn.entitlement_type TO aud;
GRANT SELECT ON TABLE cmn.entitlement_type TO bud;
GRANT SELECT ON TABLE cmn.entitlement_type TO acc;
GRANT SELECT ON TABLE cmn.entitlement_type TO sec;


--
-- Name: TABLE file; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.file TO hrm;
GRANT ALL ON TABLE cmn.file TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.file TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.file TO prc;
GRANT SELECT ON TABLE cmn.file TO meeting;
GRANT SELECT ON TABLE cmn.file TO inv;
GRANT SELECT ON TABLE cmn.file TO aud;
GRANT SELECT ON TABLE cmn.file TO bud;
GRANT SELECT ON TABLE cmn.file TO acc;
GRANT SELECT ON TABLE cmn.file TO sec;


--
-- Name: TABLE file_request; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.file_request TO hrm;
GRANT ALL ON TABLE cmn.file_request TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.file_request TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.file_request TO prc;
GRANT SELECT ON TABLE cmn.file_request TO meeting;
GRANT SELECT ON TABLE cmn.file_request TO inv;
GRANT SELECT ON TABLE cmn.file_request TO aud;
GRANT SELECT ON TABLE cmn.file_request TO bud;
GRANT SELECT ON TABLE cmn.file_request TO acc;
GRANT SELECT ON TABLE cmn.file_request TO sec;


--
-- Name: TABLE file_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.file_type TO grp;


--
-- Name: TABLE fiscal_year; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.fiscal_year TO grp;


--
-- Name: TABLE gender; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.gender TO grp;


--
-- Name: TABLE geo_country; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.geo_country TO grp;


--
-- Name: TABLE geo_district; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.geo_district TO grp;


--
-- Name: TABLE geo_division; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.geo_division TO grp;


--
-- Name: TABLE geo_post_office; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.geo_post_office TO grp;


--
-- Name: TABLE geo_thana; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.geo_thana TO grp;


--
-- Name: TABLE geo_upazila; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.geo_upazila TO grp;


--
-- Name: TABLE grade_payscale; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.grade_payscale TO grp;


--
-- Name: TABLE grade_payscale_basic; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.grade_payscale_basic TO grp;


--
-- Name: TABLE guest; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.guest TO grp;


--
-- Name: TABLE item; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.item TO hrm;
GRANT ALL ON TABLE cmn.item TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item TO prc;
GRANT SELECT ON TABLE cmn.item TO meeting;
GRANT SELECT ON TABLE cmn.item TO inv;
GRANT SELECT ON TABLE cmn.item TO aud;
GRANT SELECT ON TABLE cmn.item TO bud;
GRANT SELECT ON TABLE cmn.item TO acc;
GRANT SELECT ON TABLE cmn.item TO sec;


--
-- Name: TABLE item_category; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.item_category TO hrm;
GRANT ALL ON TABLE cmn.item_category TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_category TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_category TO prc;
GRANT SELECT ON TABLE cmn.item_category TO meeting;
GRANT SELECT ON TABLE cmn.item_category TO inv;
GRANT SELECT ON TABLE cmn.item_category TO aud;
GRANT SELECT ON TABLE cmn.item_category TO bud;
GRANT SELECT ON TABLE cmn.item_category TO acc;
GRANT SELECT ON TABLE cmn.item_category TO sec;


--
-- Name: TABLE item_feature; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.item_feature TO hrm;
GRANT ALL ON TABLE cmn.item_feature TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_feature TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_feature TO prc;
GRANT SELECT ON TABLE cmn.item_feature TO meeting;
GRANT SELECT ON TABLE cmn.item_feature TO inv;
GRANT SELECT ON TABLE cmn.item_feature TO aud;
GRANT SELECT ON TABLE cmn.item_feature TO bud;
GRANT SELECT ON TABLE cmn.item_feature TO acc;
GRANT SELECT ON TABLE cmn.item_feature TO sec;


--
-- Name: TABLE item_group; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.item_group TO hrm;
GRANT ALL ON TABLE cmn.item_group TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_group TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_group TO prc;
GRANT SELECT ON TABLE cmn.item_group TO meeting;
GRANT SELECT ON TABLE cmn.item_group TO inv;
GRANT SELECT ON TABLE cmn.item_group TO aud;
GRANT SELECT ON TABLE cmn.item_group TO bud;
GRANT SELECT ON TABLE cmn.item_group TO acc;
GRANT SELECT ON TABLE cmn.item_group TO sec;


--
-- Name: TABLE item_group_feature; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.item_group_feature TO hrm;
GRANT ALL ON TABLE cmn.item_group_feature TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_group_feature TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_group_feature TO prc;
GRANT SELECT ON TABLE cmn.item_group_feature TO meeting;
GRANT SELECT ON TABLE cmn.item_group_feature TO inv;
GRANT SELECT ON TABLE cmn.item_group_feature TO aud;
GRANT SELECT ON TABLE cmn.item_group_feature TO bud;
GRANT SELECT ON TABLE cmn.item_group_feature TO acc;
GRANT SELECT ON TABLE cmn.item_group_feature TO sec;


--
-- Name: TABLE item_group_feature_mapping; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.item_group_feature_mapping TO hrm;
GRANT ALL ON TABLE cmn.item_group_feature_mapping TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_group_feature_mapping TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.item_group_feature_mapping TO prc;
GRANT SELECT ON TABLE cmn.item_group_feature_mapping TO meeting;
GRANT SELECT ON TABLE cmn.item_group_feature_mapping TO inv;
GRANT SELECT ON TABLE cmn.item_group_feature_mapping TO aud;
GRANT SELECT ON TABLE cmn.item_group_feature_mapping TO bud;
GRANT SELECT ON TABLE cmn.item_group_feature_mapping TO acc;
GRANT SELECT ON TABLE cmn.item_group_feature_mapping TO sec;


--
-- Name: TABLE loan_sanction; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.loan_sanction TO hrm;
GRANT ALL ON TABLE cmn.loan_sanction TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.loan_sanction TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.loan_sanction TO prc;
GRANT SELECT ON TABLE cmn.loan_sanction TO meeting;
GRANT SELECT ON TABLE cmn.loan_sanction TO inv;
GRANT SELECT ON TABLE cmn.loan_sanction TO aud;
GRANT SELECT ON TABLE cmn.loan_sanction TO bud;
GRANT SELECT ON TABLE cmn.loan_sanction TO acc;
GRANT SELECT ON TABLE cmn.loan_sanction TO sec;


--
-- Name: TABLE marital_status; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.marital_status TO grp;


--
-- Name: TABLE message; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.message TO hrm;
GRANT ALL ON TABLE cmn.message TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.message TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.message TO prc;
GRANT SELECT ON TABLE cmn.message TO meeting;
GRANT SELECT ON TABLE cmn.message TO inv;
GRANT SELECT ON TABLE cmn.message TO aud;
GRANT SELECT ON TABLE cmn.message TO bud;
GRANT SELECT ON TABLE cmn.message TO acc;
GRANT SELECT ON TABLE cmn.message TO sec;


--
-- Name: TABLE mobile_banking_provider; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.mobile_banking_provider TO grp;


--
-- Name: TABLE notification; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.notification TO hrm;
GRANT ALL ON TABLE cmn.notification TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.notification TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.notification TO prc;
GRANT SELECT ON TABLE cmn.notification TO meeting;
GRANT SELECT ON TABLE cmn.notification TO inv;
GRANT SELECT ON TABLE cmn.notification TO aud;
GRANT SELECT ON TABLE cmn.notification TO bud;
GRANT SELECT ON TABLE cmn.notification TO acc;
GRANT SELECT ON TABLE cmn.notification TO sec;


--
-- Name: TABLE notification_recipient; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.notification_recipient TO hrm;
GRANT ALL ON TABLE cmn.notification_recipient TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.notification_recipient TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.notification_recipient TO prc;
GRANT SELECT ON TABLE cmn.notification_recipient TO meeting;
GRANT SELECT ON TABLE cmn.notification_recipient TO inv;
GRANT SELECT ON TABLE cmn.notification_recipient TO aud;
GRANT SELECT ON TABLE cmn.notification_recipient TO bud;
GRANT SELECT ON TABLE cmn.notification_recipient TO acc;
GRANT SELECT ON TABLE cmn.notification_recipient TO sec;


--
-- Name: TABLE observation_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.observation_type TO grp;


--
-- Name: TABLE occupation; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.occupation TO grp;


--
-- Name: TABLE office; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office TO hrm;
GRANT ALL ON TABLE cmn.office TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office TO prc;
GRANT SELECT ON TABLE cmn.office TO meeting;
GRANT SELECT ON TABLE cmn.office TO inv;
GRANT SELECT ON TABLE cmn.office TO aud;
GRANT SELECT ON TABLE cmn.office TO bud;
GRANT SELECT ON TABLE cmn.office TO acc;
GRANT SELECT ON TABLE cmn.office TO sec;


--
-- Name: TABLE office_history; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.office_history TO grp;


--
-- Name: TABLE office_layer; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_layer TO hrm;
GRANT ALL ON TABLE cmn.office_layer TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_layer TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_layer TO prc;
GRANT SELECT ON TABLE cmn.office_layer TO meeting;
GRANT SELECT ON TABLE cmn.office_layer TO inv;
GRANT SELECT ON TABLE cmn.office_layer TO aud;
GRANT SELECT ON TABLE cmn.office_layer TO bud;
GRANT SELECT ON TABLE cmn.office_layer TO acc;
GRANT SELECT ON TABLE cmn.office_layer TO sec;


--
-- Name: TABLE office_origin; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_origin TO hrm;
GRANT ALL ON TABLE cmn.office_origin TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_origin TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_origin TO prc;
GRANT SELECT ON TABLE cmn.office_origin TO meeting;
GRANT SELECT ON TABLE cmn.office_origin TO inv;
GRANT SELECT ON TABLE cmn.office_origin TO aud;
GRANT SELECT ON TABLE cmn.office_origin TO bud;
GRANT SELECT ON TABLE cmn.office_origin TO acc;
GRANT SELECT ON TABLE cmn.office_origin TO sec;


--
-- Name: TABLE office_origin_unit; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_origin_unit TO hrm;
GRANT ALL ON TABLE cmn.office_origin_unit TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_origin_unit TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_origin_unit TO prc;
GRANT SELECT ON TABLE cmn.office_origin_unit TO meeting;
GRANT SELECT ON TABLE cmn.office_origin_unit TO inv;
GRANT SELECT ON TABLE cmn.office_origin_unit TO aud;
GRANT SELECT ON TABLE cmn.office_origin_unit TO bud;
GRANT SELECT ON TABLE cmn.office_origin_unit TO acc;
GRANT SELECT ON TABLE cmn.office_origin_unit TO sec;


--
-- Name: TABLE office_origin_unit_post; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_origin_unit_post TO hrm;
GRANT ALL ON TABLE cmn.office_origin_unit_post TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_origin_unit_post TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_origin_unit_post TO prc;
GRANT SELECT ON TABLE cmn.office_origin_unit_post TO meeting;
GRANT SELECT ON TABLE cmn.office_origin_unit_post TO inv;
GRANT SELECT ON TABLE cmn.office_origin_unit_post TO aud;
GRANT SELECT ON TABLE cmn.office_origin_unit_post TO bud;
GRANT SELECT ON TABLE cmn.office_origin_unit_post TO acc;
GRANT SELECT ON TABLE cmn.office_origin_unit_post TO sec;


--
-- Name: TABLE office_post; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_post TO hrm;
GRANT ALL ON TABLE cmn.office_post TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_post TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_post TO prc;
GRANT SELECT ON TABLE cmn.office_post TO meeting;
GRANT SELECT ON TABLE cmn.office_post TO inv;
GRANT SELECT ON TABLE cmn.office_post TO aud;
GRANT SELECT ON TABLE cmn.office_post TO bud;
GRANT SELECT ON TABLE cmn.office_post TO acc;
GRANT SELECT ON TABLE cmn.office_post TO sec;


--
-- Name: TABLE office_subject_wise_code; Type: ACL; Schema: cmn; Owner: postgres
--

GRANT ALL ON TABLE cmn.office_subject_wise_code TO cmn;


--
-- Name: TABLE office_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.office_type TO grp;


--
-- Name: TABLE office_unit; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_unit TO hrm;
GRANT ALL ON TABLE cmn.office_unit TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_unit TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_unit TO prc;
GRANT SELECT ON TABLE cmn.office_unit TO meeting;
GRANT SELECT ON TABLE cmn.office_unit TO inv;
GRANT SELECT ON TABLE cmn.office_unit TO aud;
GRANT SELECT ON TABLE cmn.office_unit TO bud;
GRANT SELECT ON TABLE cmn.office_unit TO acc;
GRANT SELECT ON TABLE cmn.office_unit TO sec;


--
-- Name: TABLE office_unit_category; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_unit_category TO hrm;
GRANT ALL ON TABLE cmn.office_unit_category TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_unit_category TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_unit_category TO prc;
GRANT SELECT ON TABLE cmn.office_unit_category TO meeting;
GRANT SELECT ON TABLE cmn.office_unit_category TO inv;
GRANT SELECT ON TABLE cmn.office_unit_category TO aud;
GRANT SELECT ON TABLE cmn.office_unit_category TO bud;
GRANT SELECT ON TABLE cmn.office_unit_category TO acc;
GRANT SELECT ON TABLE cmn.office_unit_category TO sec;


--
-- Name: TABLE office_unit_history; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.office_unit_history TO grp;


--
-- Name: TABLE office_unit_post; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.office_unit_post TO hrm;
GRANT ALL ON TABLE cmn.office_unit_post TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_unit_post TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.office_unit_post TO prc;
GRANT SELECT ON TABLE cmn.office_unit_post TO meeting;
GRANT SELECT ON TABLE cmn.office_unit_post TO inv;
GRANT SELECT ON TABLE cmn.office_unit_post TO aud;
GRANT SELECT ON TABLE cmn.office_unit_post TO bud;
GRANT SELECT ON TABLE cmn.office_unit_post TO acc;
GRANT SELECT ON TABLE cmn.office_unit_post TO sec;


--
-- Name: TABLE party; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party TO grp;


--
-- Name: TABLE party_bank_account; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_bank_account TO grp;


--
-- Name: TABLE party_contact; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_contact TO grp;


--
-- Name: TABLE party_facility; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_facility TO grp;


--
-- Name: TABLE party_party_contact; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_party_contact TO grp;


--
-- Name: TABLE party_party_role; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_party_role TO grp;


--
-- Name: TABLE party_party_skill; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_party_skill TO grp;


--
-- Name: TABLE party_role; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_role TO grp;


--
-- Name: TABLE party_skill; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.party_skill TO grp;


--
-- Name: TABLE payroll_process; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.payroll_process TO hrm;
GRANT ALL ON TABLE cmn.payroll_process TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.payroll_process TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.payroll_process TO prc;
GRANT SELECT ON TABLE cmn.payroll_process TO meeting;
GRANT SELECT ON TABLE cmn.payroll_process TO inv;
GRANT SELECT ON TABLE cmn.payroll_process TO aud;
GRANT SELECT ON TABLE cmn.payroll_process TO bud;
GRANT SELECT ON TABLE cmn.payroll_process TO acc;
GRANT SELECT ON TABLE cmn.payroll_process TO sec;


--
-- Name: TABLE post; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.post TO hrm;
GRANT ALL ON TABLE cmn.post TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.post TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.post TO prc;
GRANT SELECT ON TABLE cmn.post TO meeting;
GRANT SELECT ON TABLE cmn.post TO inv;
GRANT SELECT ON TABLE cmn.post TO aud;
GRANT SELECT ON TABLE cmn.post TO bud;
GRANT SELECT ON TABLE cmn.post TO acc;
GRANT SELECT ON TABLE cmn.post TO sec;


--
-- Name: TABLE posting_office_map; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.posting_office_map TO grp;


--
-- Name: TABLE prepare_salary_bill; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.prepare_salary_bill TO hrm;
GRANT ALL ON TABLE cmn.prepare_salary_bill TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.prepare_salary_bill TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.prepare_salary_bill TO prc;
GRANT SELECT ON TABLE cmn.prepare_salary_bill TO meeting;
GRANT SELECT ON TABLE cmn.prepare_salary_bill TO inv;
GRANT SELECT ON TABLE cmn.prepare_salary_bill TO aud;
GRANT SELECT ON TABLE cmn.prepare_salary_bill TO bud;
GRANT SELECT ON TABLE cmn.prepare_salary_bill TO acc;
GRANT SELECT ON TABLE cmn.prepare_salary_bill TO sec;


--
-- Name: TABLE promotion_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.promotion_type TO grp;


--
-- Name: TABLE publication_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.publication_type TO grp;


--
-- Name: TABLE rank; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.rank TO grp;


--
-- Name: TABLE relationship; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.relationship TO grp;


--
-- Name: TABLE release_checklist_item; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.release_checklist_item TO grp;


--
-- Name: TABLE release_type; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.release_type TO grp;


--
-- Name: TABLE religion; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.religion TO grp;


--
-- Name: TABLE request; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.request TO hrm;
GRANT ALL ON TABLE cmn.request TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.request TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.request TO prc;
GRANT SELECT ON TABLE cmn.request TO meeting;
GRANT SELECT ON TABLE cmn.request TO inv;
GRANT SELECT ON TABLE cmn.request TO aud;
GRANT SELECT ON TABLE cmn.request TO bud;
GRANT SELECT ON TABLE cmn.request TO acc;
GRANT SELECT ON TABLE cmn.request TO sec;


--
-- Name: TABLE review_action; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.review_action TO hrm;
GRANT ALL ON TABLE cmn.review_action TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_action TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_action TO prc;
GRANT SELECT ON TABLE cmn.review_action TO meeting;
GRANT SELECT ON TABLE cmn.review_action TO inv;
GRANT SELECT ON TABLE cmn.review_action TO aud;
GRANT SELECT ON TABLE cmn.review_action TO bud;
GRANT SELECT ON TABLE cmn.review_action TO acc;
GRANT SELECT ON TABLE cmn.review_action TO sec;


--
-- Name: TABLE review_action_detail; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.review_action_detail TO hrm;
GRANT ALL ON TABLE cmn.review_action_detail TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_action_detail TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_action_detail TO prc;
GRANT SELECT ON TABLE cmn.review_action_detail TO meeting;
GRANT SELECT ON TABLE cmn.review_action_detail TO inv;
GRANT SELECT ON TABLE cmn.review_action_detail TO aud;
GRANT SELECT ON TABLE cmn.review_action_detail TO bud;
GRANT SELECT ON TABLE cmn.review_action_detail TO acc;
GRANT SELECT ON TABLE cmn.review_action_detail TO sec;


--
-- Name: TABLE review_action_type; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.review_action_type TO hrm;
GRANT ALL ON TABLE cmn.review_action_type TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_action_type TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_action_type TO prc;
GRANT SELECT ON TABLE cmn.review_action_type TO meeting;
GRANT SELECT ON TABLE cmn.review_action_type TO inv;
GRANT SELECT ON TABLE cmn.review_action_type TO aud;
GRANT SELECT ON TABLE cmn.review_action_type TO bud;
GRANT SELECT ON TABLE cmn.review_action_type TO acc;
GRANT SELECT ON TABLE cmn.review_action_type TO sec;


--
-- Name: TABLE review_job_type; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.review_job_type TO hrm;
GRANT ALL ON TABLE cmn.review_job_type TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_job_type TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.review_job_type TO prc;
GRANT SELECT ON TABLE cmn.review_job_type TO meeting;
GRANT SELECT ON TABLE cmn.review_job_type TO inv;
GRANT SELECT ON TABLE cmn.review_job_type TO aud;
GRANT SELECT ON TABLE cmn.review_job_type TO bud;
GRANT SELECT ON TABLE cmn.review_job_type TO acc;
GRANT SELECT ON TABLE cmn.review_job_type TO sec;


--
-- Name: TABLE smstracker; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.smstracker TO hrm;
GRANT ALL ON TABLE cmn.smstracker TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.smstracker TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.smstracker TO prc;
GRANT SELECT ON TABLE cmn.smstracker TO meeting;
GRANT SELECT ON TABLE cmn.smstracker TO inv;
GRANT SELECT ON TABLE cmn.smstracker TO aud;
GRANT SELECT ON TABLE cmn.smstracker TO bud;
GRANT SELECT ON TABLE cmn.smstracker TO acc;
GRANT SELECT ON TABLE cmn.smstracker TO sec;


--
-- Name: TABLE stakeholder; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.stakeholder TO hrm;
GRANT ALL ON TABLE cmn.stakeholder TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.stakeholder TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.stakeholder TO prc;
GRANT SELECT ON TABLE cmn.stakeholder TO meeting;
GRANT SELECT ON TABLE cmn.stakeholder TO inv;
GRANT SELECT ON TABLE cmn.stakeholder TO aud;
GRANT SELECT ON TABLE cmn.stakeholder TO bud;
GRANT SELECT ON TABLE cmn.stakeholder TO acc;
GRANT SELECT ON TABLE cmn.stakeholder TO sec;


--
-- Name: TABLE store; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.store TO hrm;
GRANT ALL ON TABLE cmn.store TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store TO prc;
GRANT SELECT ON TABLE cmn.store TO meeting;
GRANT SELECT ON TABLE cmn.store TO inv;
GRANT SELECT ON TABLE cmn.store TO aud;
GRANT SELECT ON TABLE cmn.store TO bud;
GRANT SELECT ON TABLE cmn.store TO acc;
GRANT SELECT ON TABLE cmn.store TO sec;


--
-- Name: TABLE store_designation; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.store_designation TO hrm;
GRANT ALL ON TABLE cmn.store_designation TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store_designation TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store_designation TO prc;
GRANT SELECT ON TABLE cmn.store_designation TO meeting;
GRANT SELECT ON TABLE cmn.store_designation TO inv;
GRANT SELECT ON TABLE cmn.store_designation TO aud;
GRANT SELECT ON TABLE cmn.store_designation TO bud;
GRANT SELECT ON TABLE cmn.store_designation TO acc;
GRANT SELECT ON TABLE cmn.store_designation TO sec;


--
-- Name: TABLE store_employee; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.store_employee TO hrm;
GRANT ALL ON TABLE cmn.store_employee TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store_employee TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store_employee TO prc;
GRANT SELECT ON TABLE cmn.store_employee TO meeting;
GRANT SELECT ON TABLE cmn.store_employee TO inv;
GRANT SELECT ON TABLE cmn.store_employee TO aud;
GRANT SELECT ON TABLE cmn.store_employee TO bud;
GRANT SELECT ON TABLE cmn.store_employee TO acc;
GRANT SELECT ON TABLE cmn.store_employee TO sec;


--
-- Name: TABLE store_item_setup_mapping; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.store_item_setup_mapping TO hrm;
GRANT ALL ON TABLE cmn.store_item_setup_mapping TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store_item_setup_mapping TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.store_item_setup_mapping TO prc;
GRANT SELECT ON TABLE cmn.store_item_setup_mapping TO meeting;
GRANT SELECT ON TABLE cmn.store_item_setup_mapping TO inv;
GRANT SELECT ON TABLE cmn.store_item_setup_mapping TO aud;
GRANT SELECT ON TABLE cmn.store_item_setup_mapping TO bud;
GRANT SELECT ON TABLE cmn.store_item_setup_mapping TO acc;
GRANT SELECT ON TABLE cmn.store_item_setup_mapping TO sec;


--
-- Name: TABLE super_admin; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.super_admin TO grp;


--
-- Name: TABLE travel_purpose; Type: ACL; Schema: cmn; Owner: cmn
--

GRANT ALL ON TABLE cmn.travel_purpose TO grp;


--
-- Name: TABLE uom; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.uom TO hrm;
GRANT ALL ON TABLE cmn.uom TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.uom TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.uom TO prc;
GRANT SELECT ON TABLE cmn.uom TO meeting;
GRANT SELECT ON TABLE cmn.uom TO inv;
GRANT SELECT ON TABLE cmn.uom TO aud;
GRANT SELECT ON TABLE cmn.uom TO bud;
GRANT SELECT ON TABLE cmn.uom TO acc;
GRANT SELECT ON TABLE cmn.uom TO sec;


--
-- Name: TABLE uom_category; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.uom_category TO hrm;
GRANT ALL ON TABLE cmn.uom_category TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.uom_category TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.uom_category TO prc;
GRANT SELECT ON TABLE cmn.uom_category TO meeting;
GRANT SELECT ON TABLE cmn.uom_category TO inv;
GRANT SELECT ON TABLE cmn.uom_category TO aud;
GRANT SELECT ON TABLE cmn.uom_category TO bud;
GRANT SELECT ON TABLE cmn.uom_category TO acc;
GRANT SELECT ON TABLE cmn.uom_category TO sec;


--
-- Name: TABLE uom_conversion; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.uom_conversion TO hrm;
GRANT ALL ON TABLE cmn.uom_conversion TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.uom_conversion TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.uom_conversion TO prc;
GRANT SELECT ON TABLE cmn.uom_conversion TO meeting;
GRANT SELECT ON TABLE cmn.uom_conversion TO inv;
GRANT SELECT ON TABLE cmn.uom_conversion TO aud;
GRANT SELECT ON TABLE cmn.uom_conversion TO bud;
GRANT SELECT ON TABLE cmn.uom_conversion TO acc;
GRANT SELECT ON TABLE cmn.uom_conversion TO sec;


--
-- Name: TABLE vendor; Type: ACL; Schema: cmn; Owner: grp
--

GRANT SELECT ON TABLE cmn.vendor TO hrm;
GRANT ALL ON TABLE cmn.vendor TO cmn;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.vendor TO ast;
GRANT SELECT,INSERT,UPDATE ON TABLE cmn.vendor TO prc;
GRANT SELECT ON TABLE cmn.vendor TO meeting;
GRANT SELECT ON TABLE cmn.vendor TO inv;
GRANT SELECT ON TABLE cmn.vendor TO aud;
GRANT SELECT ON TABLE cmn.vendor TO bud;
GRANT SELECT ON TABLE cmn.vendor TO acc;
GRANT SELECT ON TABLE cmn.vendor TO sec;


--
-- PostgreSQL database dump complete
--

