--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 11.8
-- Dumped by pg_dump version 11.21

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE uatcommongrp1;
--
-- Name: uatcommongrp1; Type: DATABASE; Schema: -; Owner: uatcommongrp1
--

CREATE DATABASE uatcommongrp1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


ALTER DATABASE uatcommongrp1 OWNER TO uatcommongrp1;

\connect uatcommongrp1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: hrm; Type: SCHEMA; Schema: -; Owner: uatcommongrp1
--

CREATE SCHEMA hrm;


ALTER SCHEMA hrm OWNER TO uatcommongrp1;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: acr_main_report; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.acr_main_report (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    moral numeric(20,0) NOT NULL,
    intellectual numeric(20,0) NOT NULL,
    materialistic numeric(20,0) NOT NULL,
    recommend_for_training numeric(20,0) NOT NULL,
    qualification_for_promotion numeric(20,0) NOT NULL,
    other_recommendation character varying(256) NOT NULL,
    esign character varying(256) NOT NULL,
    designation_en character varying(256) NOT NULL,
    designation_bn character varying(256) NOT NULL
);


ALTER TABLE hrm.acr_main_report OWNER TO grp;

--
-- Name: acr_medical_report; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.acr_medical_report (
    oid character varying(128) NOT NULL,
    employee_oid character varying(256) NOT NULL,
    height numeric(20,2) NOT NULL,
    weight numeric(20,2) NOT NULL,
    eye_power numeric(20,0) NOT NULL,
    blood_group character varying(256) NOT NULL,
    blood_pressure character varying(256) NOT NULL,
    medical_class_division character varying(256) NOT NULL,
    attachment character varying(1024) NOT NULL,
    date timestamp without time zone NOT NULL,
    esign character varying(256) NOT NULL
);


ALTER TABLE hrm.acr_medical_report OWNER TO grp;

--
-- Name: acr_summary; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.acr_summary (
    oid character varying(128) NOT NULL,
    employee_oid character varying(256) NOT NULL,
    date_of_submission timestamp without time zone NOT NULL,
    subject_of_evaluation character varying(256) NOT NULL,
    obtained_marks numeric(20,2) NOT NULL,
    total_obtained_marks numeric(20,2) NOT NULL,
    esign character varying(256) NOT NULL
);


ALTER TABLE hrm.acr_summary OWNER TO grp;

--
-- Name: acr_under_controlling_auth; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.acr_under_controlling_auth (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    submission_date_ca timestamp without time zone NOT NULL,
    subject_of_evaluation character varying(256) NOT NULL,
    marks_from_ca numeric(20,2) NOT NULL,
    total_marks_ca numeric(20,2) NOT NULL,
    acr_form_upload character varying(1024) NOT NULL,
    e_sign_of_authority character varying(256) NOT NULL
);


ALTER TABLE hrm.acr_under_controlling_auth OWNER TO grp;

--
-- Name: acr_under_controlling_ministry; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.acr_under_controlling_ministry (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    submission_date timestamp without time zone NOT NULL,
    submission_date_ca timestamp without time zone NOT NULL,
    total_marks_ca numeric(20,2) NOT NULL,
    submission_date_csa timestamp without time zone NOT NULL,
    total_marks_csa numeric(20,2) NOT NULL,
    date_of_filled_up_form timestamp without time zone NOT NULL,
    e_sign_of_auth character varying(256) NOT NULL
);


ALTER TABLE hrm.acr_under_controlling_ministry OWNER TO grp;

--
-- Name: acr_under_counter_signing_auth; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.acr_under_counter_signing_auth (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    submission_date_ca timestamp without time zone NOT NULL,
    total_marks_ca character varying(128) NOT NULL,
    submission_date_csa numeric(20,2) NOT NULL,
    total_marks_csa numeric(20,2) NOT NULL,
    acr_form_upload character varying(1024) NOT NULL,
    comments text,
    e_sign_of_auth character varying(256) NOT NULL
);


ALTER TABLE hrm.acr_under_counter_signing_auth OWNER TO grp;

--
-- Name: actions; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.actions (
    oid character varying(255) NOT NULL,
    config character varying(255),
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    office_oid character varying(255) NOT NULL,
    row_status character varying(255) NOT NULL,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    action_tag character varying(255) NOT NULL,
    description text,
    name_bn character varying(255) NOT NULL,
    name_en character varying(255),
    submodule_name character varying(255) NOT NULL
);


ALTER TABLE hrm.actions OWNER TO hrm;

--
-- Name: address_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.address_info (
    oid character varying(128) NOT NULL,
    village_house_no_road_no character varying(256) NOT NULL,
    police_station character varying(256),
    post_office character varying(256),
    postal_code character varying(256),
    district_oid character varying(128),
    division_oid character varying(128),
    country_oid character varying(128),
    phone_no character varying(256),
    is_deleted character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone
);


ALTER TABLE hrm.address_info OWNER TO hrm;

--
-- Name: admit_card; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.admit_card (
    oid character varying(128) NOT NULL,
    exam_oid character varying(128) NOT NULL,
    applicant_oid character varying(128) NOT NULL,
    roll_no numeric(20,2) NOT NULL,
    exam_date timestamp without time zone NOT NULL,
    exam_venue character varying(256) NOT NULL,
    exam_type character varying(256) NOT NULL
);


ALTER TABLE hrm.admit_card OWNER TO grp;

--
-- Name: allowed_leave; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.allowed_leave (
    oid character varying(128) NOT NULL,
    leave_type_oid character varying(128) NOT NULL,
    leave_type_reason_oid character varying(128),
    leave_period_amount numeric(20,2),
    leave_period_unit character varying(32),
    allowed_amount numeric(20,2),
    allowed_unit character varying(32),
    initialized_on timestamp without time zone NOT NULL,
    valid_till timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_leave_period_unit_allowed_leave CHECK ((((leave_period_unit)::text = 'Day'::text) OR ((leave_period_unit)::text = 'Week'::text) OR ((leave_period_unit)::text = 'Month'::text) OR ((leave_period_unit)::text = 'Year'::text)))
);


ALTER TABLE hrm.allowed_leave OWNER TO grp;

--
-- Name: application_form_for_recruitment; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.application_form_for_recruitment (
    oid character varying(128) NOT NULL,
    circular_oid character varying(128) NOT NULL,
    applicant_code character varying(128) NOT NULL,
    application_code character varying(128) NOT NULL,
    application_date timestamp without time zone NOT NULL,
    name character varying(256) NOT NULL,
    nid_no character varying(256) NOT NULL,
    date_of_birth timestamp without time zone NOT NULL,
    age numeric(20,2) NOT NULL,
    father_name_en character varying(256) NOT NULL,
    father_name_bn character varying(256) NOT NULL,
    mother_name_en character varying(256) NOT NULL,
    mother_name_bn character varying(256) NOT NULL,
    address character varying(512) NOT NULL,
    contact_number character varying(256) NOT NULL,
    gender character varying(32) NOT NULL,
    occupation character varying(256) NOT NULL,
    religion character varying(32) NOT NULL,
    nationality character varying(256) NOT NULL,
    board character varying(256) NOT NULL,
    educational_qualification text NOT NULL,
    experience text NOT NULL,
    quota character varying(256) NOT NULL,
    CONSTRAINT ck_gender_application_form_for_recruitment CHECK ((((gender)::text = 'Male'::text) OR ((gender)::text = 'Female'::text) OR ((gender)::text = 'Other'::text))),
    CONSTRAINT ck_quota_application_form_for_recruitment CHECK ((((quota)::text = 'Physically challenges'::text) OR ((quota)::text = 'Woman'::text) OR ((quota)::text = 'Family of freedom fighter'::text) OR ((quota)::text = 'Ethnic minorities'::text) OR ((quota)::text = 'Based on merit'::text) OR ((quota)::text = 'others'::text))),
    CONSTRAINT ck_religion_application_form_for_recruitment CHECK ((((religion)::text = 'Islam'::text) OR ((religion)::text = 'Hinduism'::text) OR ((religion)::text = 'Buddhism'::text) OR ((religion)::text = 'Christianity'::text) OR ((religion)::text = 'Other'::text)))
);


ALTER TABLE hrm.application_form_for_recruitment OWNER TO grp;

--
-- Name: apply_for_prl; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.apply_for_prl (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    duration_from timestamp without time zone NOT NULL,
    duration_to timestamp without time zone NOT NULL,
    prl_duration numeric(20,0) NOT NULL,
    file_title character varying(256) NOT NULL,
    file_code character varying(128) NOT NULL,
    file_type character varying(256) NOT NULL,
    attachment character varying(1024) NOT NULL,
    decision_status character varying(256) NOT NULL,
    application_code character varying(128) NOT NULL,
    decision_by character varying(256) NOT NULL
);


ALTER TABLE hrm.apply_for_prl OWNER TO grp;

--
-- Name: approval_chain_comment; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.approval_chain_comment (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    approval_oid character varying(255),
    approver_type character varying(255),
    commenatator_post_name_bn character varying(255),
    comment character varying(255),
    comment_time timestamp without time zone,
    commentator_employee_office_oid character varying(255),
    commentator_employee_oid character varying(255),
    commentator_name_bn character varying(255),
    status character varying(255)
);


ALTER TABLE hrm.approval_chain_comment OWNER TO hrm;

--
-- Name: approval_history_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.approval_history_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    applicant_employee_oid character varying(255),
    application_date timestamp without time zone,
    change_type character varying(255),
    new_value jsonb,
    node_name character varying(255),
    old_value jsonb,
    status character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.approval_history_info OWNER TO hrm;

--
-- Name: at_leave; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.at_leave (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    leave_status_oid character varying(128) NOT NULL
);


ALTER TABLE hrm.at_leave OWNER TO grp;

--
-- Name: at_meeting_or_events; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.at_meeting_or_events (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    meeting_or_event_venue character varying(256) NOT NULL,
    meeting_time timestamp without time zone NOT NULL,
    attendance_id character varying(256) NOT NULL
);


ALTER TABLE hrm.at_meeting_or_events OWNER TO grp;

--
-- Name: attendance_penalty_committee; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.attendance_penalty_committee (
    oid character varying(128) NOT NULL,
    committee_oid character varying(128) NOT NULL,
    committee_name character varying(256) NOT NULL,
    short_description text NOT NULL,
    member_oid character varying(128) NOT NULL,
    member_name_en character varying(256) NOT NULL,
    member_name_bn character varying(256) NOT NULL,
    designation_en character varying(256) NOT NULL,
    designation_bn character varying(256) NOT NULL,
    role character varying(256) NOT NULL
);


ALTER TABLE hrm.attendance_penalty_committee OWNER TO grp;

--
-- Name: award_application; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.award_application (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    award_title character varying(256) NOT NULL,
    attachments character varying(256) NOT NULL,
    date_of_receiving_award timestamp without time zone NOT NULL,
    notes text,
    decision_status character varying(256) NOT NULL,
    application_code character varying(128) NOT NULL,
    decision_by character varying(256) NOT NULL
);


ALTER TABLE hrm.award_application OWNER TO grp;

--
-- Name: award_setup; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.award_setup (
    oid character varying(128) NOT NULL,
    award_title character varying(256) NOT NULL,
    award_code character varying(128) NOT NULL,
    description text NOT NULL,
    department character varying(256) NOT NULL,
    notes text
);


ALTER TABLE hrm.award_setup OWNER TO grp;

--
-- Name: batch; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.batch (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    batch_year_en character varying(256) NOT NULL,
    batch_year_bn character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.batch OWNER TO grp;

--
-- Name: cadre; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.cadre (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL,
    activation_date timestamp without time zone
);


ALTER TABLE hrm.cadre OWNER TO hrm;

--
-- Name: cadre_history; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.cadre_history (
    oid character varying(128) NOT NULL,
    cadre_oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL,
    from_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    attachments_oids jsonb
);


ALTER TABLE hrm.cadre_history OWNER TO postgres;

--
-- Name: call_for_exam; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.call_for_exam (
    oid character varying(128) NOT NULL,
    circular_oid character varying(128) NOT NULL,
    exam_configuration_oid character varying(128) NOT NULL,
    exam_code character varying(128) NOT NULL,
    exam_date timestamp without time zone NOT NULL,
    exam_type character varying(256) NOT NULL,
    exam_start timestamp without time zone NOT NULL,
    exam_end timestamp without time zone NOT NULL,
    CONSTRAINT ck_exam_type_call_for_exam CHECK ((((exam_type)::text = 'Viva'::text) OR ((exam_type)::text = 'Written'::text) OR ((exam_type)::text = 'Presentation'::text) OR ((exam_type)::text = 'Interview'::text)))
);


ALTER TABLE hrm.call_for_exam OWNER TO grp;

--
-- Name: create_short_list; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.create_short_list (
    oid character varying(128) NOT NULL,
    short_list_code character varying(128) NOT NULL,
    application_code character varying(128) NOT NULL,
    application_name character varying(256) NOT NULL,
    educational_qualification text NOT NULL,
    experience text NOT NULL,
    short_list_created_by_oid character varying(128) NOT NULL,
    district character varying(256) NOT NULL
);


ALTER TABLE hrm.create_short_list OWNER TO grp;

--
-- Name: daily_attendance; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.daily_attendance (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    date timestamp without time zone NOT NULL,
    is_present character varying(256) NOT NULL,
    CONSTRAINT ck_is_present_daily_attendance CHECK ((((is_present)::text = 'Yes'::text) OR ((is_present)::text = 'No'::text)))
);


ALTER TABLE hrm.daily_attendance OWNER TO grp;

--
-- Name: deputation_info; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.deputation_info (
    oid character varying(128) NOT NULL,
    type_ingoing character varying(256) NOT NULL,
    type_outgoing character varying(256) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    previous_ministry character varying(256) NOT NULL,
    deputed_ministry character varying(256) NOT NULL,
    previous_organization character varying(256) NOT NULL,
    deputed_organization character varying(256) NOT NULL,
    no_of_go character varying(256) NOT NULL,
    order_date timestamp without time zone NOT NULL,
    start_date timestamp without time zone NOT NULL,
    time_period numeric(20,2) NOT NULL
);


ALTER TABLE hrm.deputation_info OWNER TO grp;

--
-- Name: employee_additional_prof_qualification; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_additional_prof_qualification (
    qualification character varying,
    sort_order numeric,
    employee_oid character varying,
    oid character varying,
    is_deleted character varying,
    created_by character varying,
    created_on timestamp without time zone,
    updated_by character varying,
    updated_on timestamp without time zone
);


ALTER TABLE hrm.employee_additional_prof_qualification OWNER TO postgres;

--
-- Name: employee_attachment_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_attachment_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    attachment_id character varying(255),
    expiry_date date,
    file_description text,
    file_extension character varying(255),
    file_name character varying(255),
    file_oid character varying(255),
    file_type_oid character varying(255),
    issue_date date,
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_attachment_info OWNER TO hrm;

--
-- Name: employee_award; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_award (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    award_title character varying(256) NOT NULL,
    ground text,
    date_of_award timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_award OWNER TO postgres;

--
-- Name: employee_award_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_award_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    award_receival_place character varying(255),
    award_received_date date,
    country_oid character varying(255),
    title_of_award character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_award_info OWNER TO hrm;

--
-- Name: employee_bank_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_bank_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    account_number character varying(255),
    bank_oid character varying(255),
    bank_type_oid character varying(255),
    branch character varying(255),
    current_condition character varying(255),
    name_of_account character varying(255),
    routing_no character varying(255),
    status character varying(255),
    swift_code character varying(255),
    type_of_account character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_bank_info OWNER TO hrm;

--
-- Name: employee_birth_place_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_birth_place_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    country_oid character varying(255),
    district_oid character varying(255),
    division_oid character varying(255),
    email character varying(255),
    house_road_block_sector character varying(255),
    phone character varying(255),
    post_code character varying(255),
    post_office_oid character varying(255),
    thana_oid character varying(255),
    village_colony_ward character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_birth_place_info OWNER TO hrm;

--
-- Name: employee_children_info; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_children_info (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    birth_date timestamp without time zone,
    is_widow character varying(32),
    has_disability character varying(32),
    gender character varying(256),
    relation character varying(256),
    birth_certificate_url character varying(512),
    institution_name character varying(512),
    school_admission_url character varying(512),
    school_receipt_url character varying(512),
    result_cg character varying(128),
    level_in_school character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_gender_employee_children_info CHECK ((((gender)::text = 'Male'::text) OR ((gender)::text = 'Female'::text) OR ((gender)::text = 'Other'::text))),
    CONSTRAINT ck_has_disability_employee_children_info CHECK ((((has_disability)::text = 'Yes'::text) OR ((has_disability)::text = 'No'::text))),
    CONSTRAINT ck_is_widow_employee_children_info CHECK ((((is_widow)::text = 'Yes'::text) OR ((is_widow)::text = 'No'::text)))
);


ALTER TABLE hrm.employee_children_info OWNER TO postgres;

--
-- Name: employee_confirmation; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_confirmation (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    confirmation_date timestamp without time zone NOT NULL,
    confirmation_by character varying(256),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_confirmation OWNER TO postgres;

--
-- Name: employee_disciplinary_action; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_disciplinary_action (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    nature_of_offence character varying(256) NOT NULL,
    punishment character varying(256),
    date timestamp without time zone NOT NULL,
    remarks text,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_disciplinary_action OWNER TO postgres;

--
-- Name: employee_disciplinary_action_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_disciplinary_action_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    court_type_oid character varying(255),
    current_situation character varying(255),
    date_of_judgement date,
    decision character varying(255),
    details text,
    is_deletable character varying(255),
    observation character varying(255),
    type character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_disciplinary_action_info OWNER TO hrm;

--
-- Name: employee_education_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_education_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    achieved character varying(255),
    country_oid character varying(255),
    degree_oid character varying(255),
    ending_date date,
    institution character varying(255),
    is_foreign_institution character varying(255),
    result character varying(255),
    scale character varying(255),
    starting_date date,
    subject character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_education_info OWNER TO hrm;

--
-- Name: employee_education_qualification; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_education_qualification (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    degree_title character varying(256) NOT NULL,
    institution_name character varying(256) NOT NULL,
    principal_subject character varying(256) NOT NULL,
    gpa_or_cgpa character varying(256) NOT NULL,
    year_of_passing numeric(4,0) NOT NULL,
    distinction character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_education_qualification OWNER TO postgres;

--
-- Name: employee_emergency_contact_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_emergency_contact_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    country_oid character varying(255),
    district_oid character varying(255),
    division_oid character varying(255),
    email character varying(255),
    house_road_block_sector character varying(255),
    phone character varying(255),
    post_code character varying(255),
    post_office_oid character varying(255),
    thana_oid character varying(255),
    village_colony_ward character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_emergency_contact_info OWNER TO hrm;

--
-- Name: employee_evaluation_category_setup; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_evaluation_category_setup (
    oid character varying(128) NOT NULL,
    acr_form_part_number numeric(20,2) NOT NULL,
    acr_form_part_title character varying(256) NOT NULL,
    acr_form_evaluation_category character varying(256) NOT NULL
);


ALTER TABLE hrm.employee_evaluation_category_setup OWNER TO grp;

--
-- Name: employee_family_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_family_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    address character varying(255),
    birth_certificate character varying(255),
    date_of_birth date,
    designation character varying(255),
    gender character varying(255),
    has_disability character varying(255),
    is_govt_employee character varying(255),
    location text,
    marital_status character varying(255),
    name_bn character varying(255),
    name_en character varying(255),
    nationality character varying(255),
    nid character varying(255),
    organization character varying(255),
    passport character varying(255),
    photo character varying(255),
    profession_oid character varying(255),
    relation character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_family_info OWNER TO hrm;

--
-- Name: employee_foreign_address_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_foreign_address_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    city character varying(255),
    country_oid character varying(255),
    email character varying(255),
    house_road_block_sector text,
    phone character varying(255),
    state_province_region character varying(255),
    zip_postal_code character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_foreign_address_info OWNER TO hrm;

--
-- Name: employee_foreign_travel; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_foreign_travel (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    geo_country_oid character varying(128) NOT NULL,
    purpose text,
    travel_from timestamp without time zone,
    travel_till timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_foreign_travel OWNER TO postgres;

--
-- Name: employee_health_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_health_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    height character varying(255),
    identifying_mark character varying(255),
    specially_abled character varying(255),
    weight character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_health_info OWNER TO hrm;

--
-- Name: employee_in_queue_for_promotion_or_posting; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_in_queue_for_promotion_or_posting (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    no_of_go character varying(256) NOT NULL
);


ALTER TABLE hrm.employee_in_queue_for_promotion_or_posting OWNER TO grp;

--
-- Name: employee_injury_sickness_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_injury_sickness_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    comment text,
    description character varying(255),
    end_date date,
    phisically_impairment character varying(255),
    stability character varying(255),
    start_date date,
    type character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_injury_sickness_info OWNER TO hrm;

--
-- Name: employee_job_history_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_job_history_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    end_date date,
    office_address character varying(255),
    office_name character varying(255),
    post character varying(255),
    start_date date,
    type character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_job_history_info OWNER TO hrm;

--
-- Name: employee_language_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_language_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    is_native_language character varying(255),
    listening_skill character varying(255),
    reading_skill character varying(255),
    speaking_skill character varying(255),
    writing_skill character varying(255),
    employee_oid character varying(255),
    language_oid character varying(255)
);


ALTER TABLE hrm.employee_language_info OWNER TO hrm;

--
-- Name: employee_language_skill; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_language_skill (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    language_oid character varying(128) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_language_skill OWNER TO postgres;

--
-- Name: employee_leave_application; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_leave_application (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    allowed_leave_oid character varying(128) NOT NULL,
    is_multi_dated character varying(32) NOT NULL,
    leave_date timestamp without time zone,
    leave_from timestamp without time zone,
    leave_till timestamp without time zone,
    employee_leave_remarks character varying(256),
    statement_on_leave_reason character varying(256) NOT NULL,
    leave_application_attachment_url character varying(256),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_is_multi_dated_employee_leave_application CHECK ((((is_multi_dated)::text = 'Yes'::text) OR ((is_multi_dated)::text = 'No'::text)))
);


ALTER TABLE hrm.employee_leave_application OWNER TO grp;

--
-- Name: employee_leave_approval; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_leave_approval (
    oid character varying(128) NOT NULL,
    employee_leave_application_oid character varying(128) NOT NULL,
    approved_by character varying(128),
    is_multi_dated character varying(32) NOT NULL,
    leave_date timestamp without time zone,
    leave_from timestamp without time zone,
    leave_till timestamp without time zone,
    approval_layer_remaining numeric(20,2),
    current_layer_oid character varying(128),
    approved_on timestamp without time zone,
    approval_status character varying(32) NOT NULL,
    approval_code character varying(128),
    go_attachement_url character varying(256),
    forward_status character varying(32),
    comments_of_approver character varying(256),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_approval_status_employee_leave_approval CHECK ((((approval_status)::text = 'Approved'::text) OR ((approval_status)::text = 'Rejected'::text) OR ((approval_status)::text = 'Pending'::text))),
    CONSTRAINT ck_forward_status_employee_leave_approval CHECK ((((forward_status)::text = 'Yes'::text) OR ((forward_status)::text = 'No'::text))),
    CONSTRAINT ck_is_multi_dated_employee_leave_approval CHECK ((((is_multi_dated)::text = 'Yes'::text) OR ((is_multi_dated)::text = 'No'::text)))
);


ALTER TABLE hrm.employee_leave_approval OWNER TO grp;

--
-- Name: employee_master_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_master_info (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    grp_username character varying(128),
    govt_id character varying(32),
    enothi_id character varying(32),
    join_date timestamp without time zone NOT NULL,
    batch_oid character varying(128),
    cadre_oid character varying(128),
    grade_oid character varying(128),
    is_freedom_fighter character varying(32) NOT NULL,
    is_descendant_of_freedom_fighter character varying(32) NOT NULL,
    status character varying(32) NOT NULL,
    gazetted_date timestamp without time zone,
    photo_url character varying(512),
    signature_url character varying(512),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_is_descendant_of_freedom_fighter_employee_master_info CHECK ((((is_descendant_of_freedom_fighter)::text = 'Yes'::text) OR ((is_descendant_of_freedom_fighter)::text = 'No'::text))),
    CONSTRAINT ck_is_freedom_fighter_employee_master_info CHECK ((((is_freedom_fighter)::text = 'Yes'::text) OR ((is_freedom_fighter)::text = 'No'::text))),
    CONSTRAINT ck_status_employee_master_info CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE hrm.employee_master_info OWNER TO hrm;

--
-- Name: employee_medical_info; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_medical_info (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    illness character varying(256) NOT NULL,
    from_date timestamp without time zone,
    till_date timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_medical_info OWNER TO postgres;

--
-- Name: employee_mobile_banking_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_mobile_banking_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    account_number character varying(255),
    name_of_account character varying(255),
    provider_oid character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_mobile_banking_info OWNER TO hrm;

--
-- Name: employee_office; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_office (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    employment_type_oid character varying(128) NOT NULL,
    system_role_id character varying(128),
    office_id character varying(128) NOT NULL,
    office_unit_id character varying(128),
    office_unit_post_id character varying(128),
    responsibility_type character varying(32) NOT NULL,
    leave_parent_oid character varying(128),
    incharge_label_en character varying(256),
    leave_substitute_oid character varying(128),
    incharge_label_bn character varying(256),
    is_default_profile character varying(32),
    is_office_admin character varying(32),
    is_office_head character varying(32),
    node_level character varying(32),
    node_sequence character varying(32),
    office_email character varying(256),
    office_phone character varying(256),
    joining_date timestamp without time zone,
    last_office_date timestamp without time zone,
    status_change_date timestamp without time zone,
    status character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL,
    is_office_unit_head character varying,
    is_ao character varying(255),
    is_approver character varying(255),
    is_attendance_admin character varying(255),
    is_attendance_data_entry_operator character varying(255),
    is_award_admin character varying(255),
    is_reviewer character varying(255),
    CONSTRAINT ck_is_default_profile_employee_office CHECK ((((is_default_profile)::text = 'Yes'::text) OR ((is_default_profile)::text = 'No'::text))),
    CONSTRAINT ck_is_office_admin_employee_office CHECK ((((is_office_admin)::text = 'Yes'::text) OR ((is_office_admin)::text = 'No'::text))),
    CONSTRAINT ck_is_office_head_employee_office CHECK ((((is_office_head)::text = 'Yes'::text) OR ((is_office_head)::text = 'No'::text))),
    CONSTRAINT ck_responsibility_type_employee_office CHECK ((((responsibility_type)::text = 'Main'::text) OR ((responsibility_type)::text = 'Additional'::text) OR ((responsibility_type)::text = 'Substitute'::text) OR ((responsibility_type)::text = 'In Charge'::text) OR ((responsibility_type)::text = 'Not Assigned'::text))),
    CONSTRAINT ck_status_employee_office CHECK ((((status)::text = 'Active'::text) OR ((status)::text = 'Inactive'::text)))
);


ALTER TABLE hrm.employee_office OWNER TO hrm;

--
-- Name: employee_office_tracker; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_office_tracker (
    oid character varying(36) NOT NULL,
    old_emp_office_oid character varying(36) NOT NULL,
    new_emp_office_oid character varying(36),
    grp_user_name character varying(36),
    release_date timestamp without time zone NOT NULL,
    joining_date timestamp without time zone,
    operation_type character varying(10) NOT NULL,
    created_by character varying(128) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(255),
    employee_oid character varying(36) NOT NULL,
    old_office_oid character varying(36) NOT NULL,
    new_office_oid character varying(36),
    data jsonb,
    office_tracker_oid character varying(255),
    sync_status character varying(255),
    sync_type character varying(255)
);


ALTER TABLE hrm.employee_office_tracker OWNER TO hrm;

--
-- Name: COLUMN employee_office_tracker.operation_type; Type: COMMENT; Schema: hrm; Owner: hrm
--

COMMENT ON COLUMN hrm.employee_office_tracker.operation_type IS 'release, join';


--
-- Name: employee_office_tracker_data_sync; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_office_tracker_data_sync (
    oid character varying(36) NOT NULL,
    tracker_oid character varying(36) NOT NULL,
    sync_type character varying(36) NOT NULL,
    sync_status character varying(36),
    created_by character varying(128) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(255)
);


ALTER TABLE hrm.employee_office_tracker_data_sync OWNER TO hrm;

--
-- Name: COLUMN employee_office_tracker_data_sync.sync_type; Type: COMMENT; Schema: hrm; Owner: hrm
--

COMMENT ON COLUMN hrm.employee_office_tracker_data_sync.sync_type IS 'leave, loan, lpc, pds';


--
-- Name: COLUMN employee_office_tracker_data_sync.sync_status; Type: COMMENT; Schema: hrm; Owner: hrm
--

COMMENT ON COLUMN hrm.employee_office_tracker_data_sync.sync_status IS 'completed';


--
-- Name: employee_other_services; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_other_services (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    employer_name_en character varying(256) NOT NULL,
    employer_name_bn character varying(256) NOT NULL,
    employer_address character varying(512),
    type_of_service character varying(32) NOT NULL,
    "position" character varying(256),
    service_from timestamp without time zone,
    service_till timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_other_services OWNER TO grp;

--
-- Name: employee_perf_summary; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_perf_summary (
    oid character varying(128) NOT NULL,
    unit_weight_of_perf_metrics numeric(20,0) NOT NULL,
    performance_metrics character varying(256) NOT NULL
);


ALTER TABLE hrm.employee_perf_summary OWNER TO grp;

--
-- Name: employee_permanent_address_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_permanent_address_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    country_oid character varying(255),
    district_oid character varying(255),
    division_oid character varying(255),
    email character varying(255),
    phone character varying(255),
    post_code character varying(255),
    post_office_oid character varying(255),
    road character varying(255),
    thana_oid character varying(255),
    village character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_permanent_address_info OWNER TO hrm;

--
-- Name: employee_personal_general_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_personal_general_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    birth_certificate character varying(255),
    religion_oid character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_personal_general_info OWNER TO hrm;

--
-- Name: employee_personal_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_personal_info (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    father_name_en character varying(256) NOT NULL,
    father_name_bn character varying(256) NOT NULL,
    mother_name_en character varying(256) NOT NULL,
    mother_name_bn character varying(256) NOT NULL,
    present_address_oid character varying(128),
    permanent_address_oid character varying(128),
    email_address character varying(256) NOT NULL,
    mobile_no character varying(256) NOT NULL,
    phone_no character varying(256),
    blood_group character varying(32),
    date_of_birth timestamp without time zone NOT NULL,
    birth_place character varying(512),
    gender character varying(32),
    marital_status character varying(32) NOT NULL,
    etin character varying(32),
    nid character varying(32),
    bank_account character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL,
    nationality character varying(255),
    passport_no character varying(255)
);


ALTER TABLE hrm.employee_personal_info OWNER TO hrm;

--
-- Name: employee_posting_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_posting_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    city character varying(255),
    district_oid character varying(255),
    end_date date,
    is_deletable character varying(255),
    last_drawn_payment character varying(255),
    office_oid character varying(255),
    payscale_oid character varying(255),
    post_oid character varying(255),
    posting_location character varying(255),
    start_date date,
    employee_oid character varying(255),
    grade_oid character varying(255)
);


ALTER TABLE hrm.employee_posting_info OWNER TO hrm;

--
-- Name: employee_present_address_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_present_address_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    address_type character varying(255),
    country_oid character varying(255),
    district_oid character varying(255),
    division_oid character varying(255),
    email character varying(255),
    phone character varying(255),
    post_code character varying(255),
    post_office_oid character varying(255),
    road character varying(255),
    thana_oid character varying(255),
    village character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_present_address_info OWNER TO hrm;

--
-- Name: employee_probation; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_probation (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    probation_from timestamp without time zone NOT NULL,
    probation_till timestamp without time zone,
    extended_probation_from timestamp without time zone,
    extended_probation_till timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_probation OWNER TO grp;

--
-- Name: employee_professional_certification_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_professional_certification_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    comment character varying(255),
    country_oid character varying(255),
    duration character varying(255),
    expiry_date timestamp without time zone,
    institution character varying(255),
    receival_date timestamp without time zone,
    title character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_professional_certification_info OWNER TO hrm;

--
-- Name: employee_professional_general_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_professional_general_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    basic_salary numeric(19,2),
    cadre_date timestamp without time zone,
    confirmationgodate timestamp without time zone,
    gazetted_date timestamp without time zone,
    payscale_basic_oid character varying(255),
    payscale_oid character varying(255),
    prl_date timestamp without time zone,
    rank_oid character varying(255),
    rank_type character varying(255),
    status character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_professional_general_info OWNER TO hrm;

--
-- Name: employee_professional_qualification_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_professional_qualification_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    qualification text,
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_professional_qualification_info OWNER TO hrm;

--
-- Name: employee_promotion_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_promotion_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    date_ofgo date,
    date_of_promotion date,
    gono character varying(255),
    is_deletable character varying(255),
    nature_of_promotion character varying(255),
    pay_scale_to_which_promoted character varying(255),
    rank_oid character varying(255),
    employee_oid character varying(255),
    grade_oid character varying(255)
);


ALTER TABLE hrm.employee_promotion_info OWNER TO hrm;

--
-- Name: employee_publication; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employee_publication (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    publication_title character varying(256) NOT NULL,
    publication_type character varying(256),
    date_of_publication timestamp without time zone,
    description text DEFAULT ''::text,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employee_publication OWNER TO grp;

--
-- Name: employee_publication_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_publication_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    description character varying(255),
    publication_date date,
    publication_name text,
    publication_type character varying(255),
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_publication_info OWNER TO hrm;

--
-- Name: employee_recruitment_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_recruitment_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    description character varying(255),
    list_of_attachment_oids jsonb,
    merit_position integer,
    recruitment_authority_oid character varying(255),
    recruitment_notice_ref_date timestamp without time zone,
    recruitment_notice_ref_no character varying(255),
    employee_oid character varying(255),
    recruitment_type_oid character varying(255)
);


ALTER TABLE hrm.employee_recruitment_info OWNER TO hrm;

--
-- Name: employee_service_history; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_service_history (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    encadrement_date date,
    gazetted_date date,
    govt_service_date date,
    seniority_date date,
    employee_oid character varying(255),
    cadre_oid character varying(255)
);


ALTER TABLE hrm.employee_service_history OWNER TO hrm;

--
-- Name: employee_spouse_info; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.employee_spouse_info (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    designation_en character varying(256),
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    designation_bn character varying(256),
    occupation_en character varying(256),
    occupation_bn character varying(256),
    nid character varying(32),
    etin character varying(32),
    is_govt_employee character varying(32),
    govt_id character varying(32),
    mobile_no character varying(256),
    phone_no character varying(256),
    home_district character varying(256),
    organization character varying(256),
    organization_location character varying(256),
    permanent_address character varying(512),
    present_address character varying(512),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_is_govt_employee_employee_spouse_info CHECK ((((is_govt_employee)::text = 'Yes'::text) OR ((is_govt_employee)::text = 'No'::text)))
);


ALTER TABLE hrm.employee_spouse_info OWNER TO postgres;

--
-- Name: employee_training_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_training_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    country_oid character varying(255),
    ended_on date,
    funding_source character varying(255),
    grade character varying(255),
    institution character varying(255),
    is_deletable character varying(255),
    "position" character varying(255),
    started_from date,
    subject_name character varying(255),
    subject_type jsonb,
    employee_oid character varying(255),
    course_title character varying(256) NOT NULL,
    geo_country_oid character varying(256),
    training_from timestamp without time zone,
    training_institution_name character varying(256),
    training_till timestamp without time zone,
    training_type character varying(256)
);


ALTER TABLE hrm.employee_training_info OWNER TO hrm;

--
-- Name: employee_travel_info; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employee_travel_info (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    country_oid character varying(255),
    end_date date,
    govt_order_date date,
    govt_order_no character varying(255),
    purpose character varying(255),
    start_date date,
    employee_oid character varying(255)
);


ALTER TABLE hrm.employee_travel_info OWNER TO hrm;

--
-- Name: employeel_leave_details; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.employeel_leave_details (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    leave_type_oid character varying(128) NOT NULL,
    total_working_days numeric(20,2),
    total_leave_days numeric(20,2) NOT NULL,
    remaining_leave_amount numeric(20,2) NOT NULL,
    remaining_leave_unit character varying(32),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_remaining_leave_unit_employeel_leave_details CHECK ((((remaining_leave_unit)::text = 'Day'::text) OR ((remaining_leave_unit)::text = 'Week'::text) OR ((remaining_leave_unit)::text = 'Month'::text) OR ((remaining_leave_unit)::text = 'Year'::text)))
);


ALTER TABLE hrm.employeel_leave_details OWNER TO grp;

--
-- Name: employment_type; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.employment_type (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.employment_type OWNER TO hrm;

--
-- Name: exam_configuration; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.exam_configuration (
    oid character varying(128) NOT NULL,
    exam_type character varying(256) NOT NULL,
    total_marks numeric(20,2) NOT NULL,
    pass_marks numeric(20,2) NOT NULL,
    assigned_by character varying(256) NOT NULL
);


ALTER TABLE hrm.exam_configuration OWNER TO grp;

--
-- Name: exam_venue; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.exam_venue (
    oid character varying(128) NOT NULL,
    applicant_oid character varying(128) NOT NULL,
    shortlist_oid character varying(128) NOT NULL,
    district character varying(256) NOT NULL,
    venue character varying(512) NOT NULL,
    exam_oid character varying(128) NOT NULL
);


ALTER TABLE hrm.exam_venue OWNER TO grp;

--
-- Name: final_selection; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.final_selection (
    oid character varying(128) NOT NULL,
    candidate_oid character varying(128) NOT NULL,
    police_verification_attachment_url character varying(1024) NOT NULL,
    medical_verification_url character varying(1024) NOT NULL,
    remarks character varying(1024) NOT NULL
);


ALTER TABLE hrm.final_selection OWNER TO grp;

--
-- Name: forbidden_pair; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.forbidden_pair (
    oid character varying(128) NOT NULL,
    first_leave_type_oid character varying(128) NOT NULL,
    second_leave_type_oid character varying(128) NOT NULL,
    initialized_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    valid_till timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.forbidden_pair OWNER TO grp;

--
-- Name: foreign_training; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.foreign_training (
    oid character varying(128) NOT NULL,
    training_type_oid character varying(128) NOT NULL,
    training_title character varying(256) NOT NULL,
    institution character varying(256) NOT NULL,
    country character varying(256) NOT NULL,
    starting_from timestamp without time zone NOT NULL,
    end_to timestamp without time zone NOT NULL,
    sponsoring_agency character varying(256) NOT NULL
);


ALTER TABLE hrm.foreign_training OWNER TO grp;

--
-- Name: grade; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.grade (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    sort_order numeric(5,0),
    cadre_oid character varying(128),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.grade OWNER TO hrm;

--
-- Name: holiday; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.holiday (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    holiday_date timestamp without time zone NOT NULL,
    depends_on_moon character varying(32) NOT NULL,
    is_multi_dated character varying(32) NOT NULL,
    from_date timestamp without time zone,
    to_date timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.holiday OWNER TO grp;

--
-- Name: in_service_training; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.in_service_training (
    oid character varying(128) NOT NULL,
    training_type_oid character varying(128) NOT NULL,
    training_title character varying(256) NOT NULL,
    institution character varying(256) NOT NULL,
    location character varying(256) NOT NULL,
    starting_from timestamp without time zone NOT NULL,
    end_to timestamp without time zone NOT NULL,
    sponsoring_agency character varying(256)
);


ALTER TABLE hrm.in_service_training OWNER TO grp;

--
-- Name: investigation_team_feedback; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.investigation_team_feedback (
    oid character varying(128) NOT NULL,
    employee_oid character varying(256) NOT NULL,
    date_of_submission timestamp without time zone NOT NULL,
    evaluation_by_investigation_team numeric(20,0) NOT NULL,
    notes text,
    esign character varying(256) NOT NULL
);


ALTER TABLE hrm.investigation_team_feedback OWNER TO grp;

--
-- Name: investigation_team_setup; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.investigation_team_setup (
    oid character varying(128) NOT NULL,
    committee_oid character varying(128) NOT NULL,
    employee_oid character varying(256) NOT NULL,
    controlling_authority character varying(256) NOT NULL,
    appointing_authority character varying(256) NOT NULL,
    assign_investigator character varying(256) NOT NULL,
    esign character varying(256) NOT NULL
);


ALTER TABLE hrm.investigation_team_setup OWNER TO grp;

--
-- Name: investigation_under_appointing_auth; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.investigation_under_appointing_auth (
    oid character varying(128) NOT NULL,
    employee_oid character varying(256) NOT NULL,
    date_of_submission timestamp without time zone NOT NULL,
    evaluation_by_aa numeric(20,0) NOT NULL,
    decision_status character varying(256) NOT NULL,
    application_code character varying(128) NOT NULL,
    decision_by character varying(256) NOT NULL,
    notes text,
    esign character varying(256) NOT NULL
);


ALTER TABLE hrm.investigation_under_appointing_auth OWNER TO grp;

--
-- Name: investigation_under_controlling_auth; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.investigation_under_controlling_auth (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    date_of_submission timestamp without time zone NOT NULL,
    evaluation_by_ca numeric(20,0) NOT NULL,
    decision_status character varying(256) NOT NULL,
    application_code character varying(128) NOT NULL,
    decision_by character varying(256) NOT NULL,
    notes text,
    esign character varying(256) NOT NULL
);


ALTER TABLE hrm.investigation_under_controlling_auth OWNER TO grp;

--
-- Name: job_circular; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.job_circular (
    oid character varying(128) NOT NULL,
    post_oid character varying(128) NOT NULL,
    position_name character varying(256) NOT NULL,
    project character varying(256),
    number_of_position character varying(32) NOT NULL,
    job_type character varying(256) NOT NULL,
    educational_qualification character varying(256) NOT NULL,
    age_duration character varying(256) NOT NULL,
    application_fee character varying(256) NOT NULL,
    other_qualification character varying(256) NOT NULL,
    least_experience character varying(256) NOT NULL,
    preferable_district_to_attend_exam character varying(256) NOT NULL,
    date_of_exam timestamp without time zone NOT NULL
);


ALTER TABLE hrm.job_circular OWNER TO grp;

--
-- Name: job_circular_approval; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.job_circular_approval (
    oid character varying(128) NOT NULL,
    circular_oid character varying(128) NOT NULL,
    approved_by_oid character varying(128) NOT NULL,
    approved_by_post_oid character varying(256) NOT NULL,
    approval_code character varying(128) NOT NULL,
    approval_status character varying(32) NOT NULL,
    comments text,
    CONSTRAINT ck_approval_status_job_circular_approval CHECK ((((approval_status)::text = 'Yes'::text) OR ((approval_status)::text = 'No'::text)))
);


ALTER TABLE hrm.job_circular_approval OWNER TO grp;

--
-- Name: justify_against_penalty; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.justify_against_penalty (
    oid character varying(128) NOT NULL,
    penalty_oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    justification text NOT NULL,
    attachment_url character varying(1024) NOT NULL
);


ALTER TABLE hrm.justify_against_penalty OWNER TO grp;

--
-- Name: language; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.language (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.language OWNER TO hrm;

--
-- Name: leave_condition; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.leave_condition (
    oid character varying(128) NOT NULL,
    table_name character varying(256) NOT NULL,
    column_name character varying(256) NOT NULL,
    arithmatic_relation character varying(128) NOT NULL,
    value_leave character varying(256) NOT NULL,
    leave_type_oid character varying(128) NOT NULL,
    initialized_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    valid_till timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.leave_condition OWNER TO grp;

--
-- Name: leave_type; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.leave_type (
    oid character varying(128) NOT NULL,
    name_en character varying(256) NOT NULL,
    name_bn character varying(256) NOT NULL,
    need_rejoining character varying(32),
    waiting_amount_for_activation numeric(20,2),
    waiting_unit_for_activation character varying(32),
    initialized_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    valid_till timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    rule_no character varying(256),
    rule_detail character varying(1024),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL,
    CONSTRAINT ck_need_rejoining_leave_type CHECK ((((need_rejoining)::text = 'Yes'::text) OR ((need_rejoining)::text = 'No'::text))),
    CONSTRAINT ck_waiting_unit_for_activation_leave_type CHECK ((((waiting_unit_for_activation)::text = 'Day'::text) OR ((waiting_unit_for_activation)::text = 'Week'::text) OR ((waiting_unit_for_activation)::text = 'Month'::text) OR ((waiting_unit_for_activation)::text = 'Year'::text)))
);


ALTER TABLE hrm.leave_type OWNER TO grp;

--
-- Name: leave_type_reason; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.leave_type_reason (
    oid character varying(128) NOT NULL,
    leave_type_oid character varying(128) NOT NULL,
    reason_en character varying(256) NOT NULL,
    reason_bn character varying(256) NOT NULL,
    initialized_on timestamp without time zone NOT NULL,
    valid_till timestamp without time zone,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.leave_type_reason OWNER TO grp;

--
-- Name: offense_setup; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.offense_setup (
    oid character varying(128) NOT NULL,
    offense_title character varying(256) NOT NULL,
    offense_code numeric(20,0) NOT NULL,
    description text NOT NULL,
    start_date_of_offense timestamp without time zone NOT NULL,
    end_date_of_offense timestamp without time zone NOT NULL,
    go_number numeric(20,0) NOT NULL,
    esign character varying(256) NOT NULL
);


ALTER TABLE hrm.offense_setup OWNER TO grp;

--
-- Name: organisational_training; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.organisational_training (
    oid character varying(128) NOT NULL,
    is_mandatory character varying(32) NOT NULL,
    duration numeric(20,2) NOT NULL,
    training_type_oid character varying(128) NOT NULL,
    objective text,
    descriptions text NOT NULL,
    training_name character varying(256) NOT NULL,
    start_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    start_time timestamp without time zone NOT NULL,
    end_time timestamp without time zone NOT NULL,
    organization character varying(256) NOT NULL,
    designation_required text NOT NULL,
    education_required text NOT NULL,
    CONSTRAINT ck_is_mandatory_organisational_training CHECK ((((is_mandatory)::text = 'Yes'::text) OR ((is_mandatory)::text = 'No'::text)))
);


ALTER TABLE hrm.organisational_training OWNER TO grp;

--
-- Name: penalty_committee_list; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.penalty_committee_list (
    oid character varying(128) NOT NULL,
    attendance_committee_oid character varying(128) NOT NULL,
    committee_name character varying(256) NOT NULL
);


ALTER TABLE hrm.penalty_committee_list OWNER TO grp;

--
-- Name: penalty_for_attendance; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.penalty_for_attendance (
    oid character varying(128) NOT NULL,
    date timestamp without time zone NOT NULL,
    employee_oid character varying(128) NOT NULL,
    cause text NOT NULL,
    action text NOT NULL,
    remarks text,
    penalty_code character varying(128) NOT NULL
);


ALTER TABLE hrm.penalty_for_attendance OWNER TO grp;

--
-- Name: pending_participation_confirmation; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.pending_participation_confirmation (
    oid character varying(128) NOT NULL,
    training_oid character varying(128) NOT NULL,
    trainee_oid character varying(128) NOT NULL,
    is_attendant character varying(32) NOT NULL,
    reason character varying(1024),
    CONSTRAINT ck_is_attendant_pending_participation_confirmation CHECK ((((is_attendant)::text = 'Yes'::text) OR ((is_attendant)::text = 'No'::text)))
);


ALTER TABLE hrm.pending_participation_confirmation OWNER TO grp;

--
-- Name: pension_procedure_for_employee; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.pension_procedure_for_employee (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    employee_post_oid character varying(256) NOT NULL,
    noc_upload character varying(1024) NOT NULL,
    ipc_upload character varying(1024) NOT NULL,
    date_of_retirement timestamp without time zone NOT NULL,
    employed_from timestamp without time zone NOT NULL,
    employed_upto timestamp without time zone NOT NULL,
    bank_account_no numeric(20,0) NOT NULL,
    bank_name character varying(256) NOT NULL,
    bank_branch character varying(256) NOT NULL,
    application_code character varying(128) NOT NULL,
    decision_by character varying(256) NOT NULL,
    current_post_joining_date timestamp without time zone NOT NULL,
    current_post_retirement_date timestamp without time zone NOT NULL,
    prl_status character varying(256) NOT NULL,
    rate_of_retirement_allowance numeric(20,2) NOT NULL,
    total_amount_of_retirement_allowance numeric(20,2) NOT NULL,
    monthly_amount_of_retirement_allowance numeric(20,2) NOT NULL,
    total_gratuity numeric(20,2) NOT NULL,
    loan_history character varying(256) NOT NULL,
    notes character varying(256),
    pension_code character varying(128) NOT NULL,
    decision_status character varying(256) NOT NULL
);


ALTER TABLE hrm.pension_procedure_for_employee OWNER TO grp;

--
-- Name: permissions; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.permissions (
    oid character varying(255) NOT NULL,
    config character varying(255),
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    office_oid character varying(255) NOT NULL,
    row_status character varying(255) NOT NULL,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    is_permitted integer NOT NULL,
    action_oid character varying(255) NOT NULL,
    role_oid character varying(255) NOT NULL,
    CONSTRAINT permissions_is_permitted_check CHECK (((is_permitted >= 0) AND (is_permitted <= 1)))
);


ALTER TABLE hrm.permissions OWNER TO hrm;

--
-- Name: posting_and_promotion_committee_setup; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.posting_and_promotion_committee_setup (
    oid character varying(128) NOT NULL,
    committee_name character varying(256) NOT NULL,
    short_description text NOT NULL,
    member_oid character varying(128) NOT NULL,
    role character varying(256) NOT NULL
);


ALTER TABLE hrm.posting_and_promotion_committee_setup OWNER TO grp;

--
-- Name: posting_info; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.posting_info (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    division character varying(200) NOT NULL,
    district character varying(200) NOT NULL,
    starting_from timestamp without time zone NOT NULL,
    end_to timestamp without time zone NOT NULL,
    last_posting timestamp without time zone NOT NULL,
    pay_scale numeric(20,2) NOT NULL,
    no_of_go character varying(128) NOT NULL
);


ALTER TABLE hrm.posting_info OWNER TO grp;

--
-- Name: promotion_detail; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.promotion_detail (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    date_of_promotion timestamp without time zone NOT NULL,
    rank_en character varying(256) NOT NULL,
    rank_bn character varying(256) NOT NULL,
    nature_of_promotion character varying(256) NOT NULL,
    pay_scale character varying(256) NOT NULL,
    no_of_go character varying(256) NOT NULL
);


ALTER TABLE hrm.promotion_detail OWNER TO grp;

--
-- Name: publication_application; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.publication_application (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    publication_title character varying(256) NOT NULL,
    attachments character varying(1024) NOT NULL,
    date_of_publication timestamp without time zone NOT NULL,
    notes text,
    decision_status character varying(256) NOT NULL,
    application_code character varying(128) NOT NULL,
    decision_by character varying(256) NOT NULL
);


ALTER TABLE hrm.publication_application OWNER TO grp;

--
-- Name: publication_setup; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.publication_setup (
    oid character varying(128) NOT NULL,
    publication_title character varying(256) NOT NULL,
    publication_code text NOT NULL,
    description character varying(256) NOT NULL,
    department character varying(256) NOT NULL,
    notes text
);


ALTER TABLE hrm.publication_setup OWNER TO grp;

--
-- Name: recruitment_approval_application; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.recruitment_approval_application (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    applicant_employee_office_oid character varying(255),
    applicant_employee_oid character varying(255),
    application jsonb,
    approval_status character varying(255),
    submodule_tag character varying(255)
);


ALTER TABLE hrm.recruitment_approval_application OWNER TO hrm;

--
-- Name: recruitment_approval_log; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.recruitment_approval_log (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    action_status character varying(255),
    history_trace jsonb,
    receiver_employee_office_oid character varying(255),
    receiver_employee_oid character varying(255),
    request_type character varying(255),
    approval_oid character varying(255)
);


ALTER TABLE hrm.recruitment_approval_log OWNER TO hrm;

--
-- Name: recruitment_committee; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.recruitment_committee (
    oid character varying(128) NOT NULL,
    committee_oid character varying(128) NOT NULL,
    committee_name character varying(256) NOT NULL,
    short_description text NOT NULL,
    member_oid character varying(128) NOT NULL,
    member_name_en character varying(256) NOT NULL,
    member_name_bn character varying(256) NOT NULL,
    designation_en character varying(256) NOT NULL,
    designation_bn character varying(256) NOT NULL,
    role character varying(256) NOT NULL
);


ALTER TABLE hrm.recruitment_committee OWNER TO grp;

--
-- Name: recruitment_result; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.recruitment_result (
    oid character varying(128) NOT NULL,
    attachment_url character varying(1024) NOT NULL,
    circular_oid character varying(128) NOT NULL,
    written_marks numeric(20,2) NOT NULL,
    viva_marks numeric(20,2) NOT NULL,
    applicant_oid character varying(128) NOT NULL
);


ALTER TABLE hrm.recruitment_result OWNER TO grp;

--
-- Name: recruitment_type; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.recruitment_type (
    oid character varying(255) NOT NULL,
    created_by character varying(255),
    created_on timestamp without time zone,
    is_deleted character varying(255),
    updated_by character varying(255),
    updated_on timestamp without time zone,
    name_bn character varying(255),
    name_en character varying(255),
    status character varying(255)
);


ALTER TABLE hrm.recruitment_type OWNER TO hrm;

--
-- Name: rejoining_application; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rejoining_application (
    oid character varying(128) NOT NULL,
    employee_leave_application_oid character varying(128) NOT NULL,
    rejoining_date timestamp without time zone NOT NULL,
    attachment_url character varying(256),
    approver_oid character varying(128),
    approval_date timestamp without time zone,
    approver_attachment_url character varying(256),
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128) DEFAULT 'System'::character varying,
    updated_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.rejoining_application OWNER TO grp;

--
-- Name: roles; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.roles (
    oid character varying(255) NOT NULL,
    config character varying(255),
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    office_oid character varying(255) NOT NULL,
    row_status character varying(255) NOT NULL,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    description text,
    name_bn character varying(255),
    name_en character varying(255),
    role_tag character varying(255) NOT NULL
);


ALTER TABLE hrm.roles OWNER TO hrm;

--
-- Name: rules_of_award_publication; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_of_award_publication (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_of_award_publication OWNER TO grp;

--
-- Name: rules_of_vesting_magisterial_power; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_of_vesting_magisterial_power (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_of_vesting_magisterial_power OWNER TO grp;

--
-- Name: rules_regarding_acr_apa; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_regarding_acr_apa (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_regarding_acr_apa OWNER TO grp;

--
-- Name: rules_regarding_attendance; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_regarding_attendance (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_regarding_attendance OWNER TO grp;

--
-- Name: rules_regarding_discipline; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_regarding_discipline (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_regarding_discipline OWNER TO grp;

--
-- Name: rules_regarding_posting; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_regarding_posting (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_regarding_posting OWNER TO grp;

--
-- Name: rules_regarding_promotion; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_regarding_promotion (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_regarding_promotion OWNER TO grp;

--
-- Name: rules_regarding_recruitment; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_regarding_recruitment (
    oid character varying(128) NOT NULL,
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_regarding_recruitment OWNER TO grp;

--
-- Name: rules_regarding_training; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.rules_regarding_training (
    oid character varying(128) NOT NULL,
    training_type character varying(256),
    rules_and_regulations text,
    assigned_by character varying(128),
    assigned_on timestamp without time zone
);


ALTER TABLE hrm.rules_regarding_training OWNER TO grp;

--
-- Name: select_candidate; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.select_candidate (
    oid character varying(128) NOT NULL,
    applicant_oid character varying(128) NOT NULL,
    circular_oid character varying(128) NOT NULL,
    is_selected character varying(200) NOT NULL,
    CONSTRAINT ck_is_selected_select_candidate CHECK ((((is_selected)::text = 'Yes'::text) OR ((is_selected)::text = 'No'::text)))
);


ALTER TABLE hrm.select_candidate OWNER TO grp;

--
-- Name: survey_for_trainee; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.survey_for_trainee (
    oid character varying(128) NOT NULL,
    training_type_oid character varying(128) NOT NULL,
    trainer_detail_oid character varying(128) NOT NULL,
    trainee_id character varying(128) NOT NULL,
    survey_question_code character varying(128) NOT NULL,
    answer character varying(1000) NOT NULL
);


ALTER TABLE hrm.survey_for_trainee OWNER TO grp;

--
-- Name: survey_for_trainer; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.survey_for_trainer (
    oid character varying(128) NOT NULL,
    training_type_oid character varying(128) NOT NULL,
    trainer_detail_oid character varying(128) NOT NULL,
    trainer_code character varying(128) NOT NULL,
    survey_question_code character varying(128) NOT NULL,
    answer character varying(1024) NOT NULL
);


ALTER TABLE hrm.survey_for_trainer OWNER TO grp;

--
-- Name: survey_questionnaire_for_trainee; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.survey_questionnaire_for_trainee (
    oid character varying(128) NOT NULL,
    training_oid character varying(128) NOT NULL,
    question character varying(1000) NOT NULL
);


ALTER TABLE hrm.survey_questionnaire_for_trainee OWNER TO grp;

--
-- Name: survey_questionnaire_for_trainer; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.survey_questionnaire_for_trainer (
    oid character varying(128) NOT NULL,
    training_type_oid character varying(128) NOT NULL,
    trainer_detail_oid character varying(128) NOT NULL,
    question character varying(1024) NOT NULL
);


ALTER TABLE hrm.survey_questionnaire_for_trainer OWNER TO grp;

--
-- Name: syncable_data; Type: TABLE; Schema: hrm; Owner: postgres
--

CREATE TABLE hrm.syncable_data (
    oid character varying(36) NOT NULL,
    office_tracker_oid character varying(36) NOT NULL,
    sync_type character varying(128),
    data jsonb,
    sync_status character varying(32) NOT NULL,
    created_by character varying(128) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(255)
);


ALTER TABLE hrm.syncable_data OWNER TO postgres;

--
-- Name: termination; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.termination (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    employee_post_oid character varying(256) NOT NULL,
    date_of_termination timestamp without time zone NOT NULL,
    reason character varying(256) NOT NULL,
    remarks text,
    go_code character varying(128) NOT NULL,
    goverment_order character varying(1024) NOT NULL,
    decision_status character varying(256) NOT NULL,
    application_code character varying(128) NOT NULL,
    decision_by character varying(256) NOT NULL
);


ALTER TABLE hrm.termination OWNER TO grp;

--
-- Name: trainee_result; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.trainee_result (
    oid character varying(128) NOT NULL,
    trainer character varying(128) NOT NULL,
    trainee character varying(128) NOT NULL,
    training character varying(128) NOT NULL,
    result character varying(100) NOT NULL
);


ALTER TABLE hrm.trainee_result OWNER TO grp;

--
-- Name: trainer_detail; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.trainer_detail (
    oid character varying(128) NOT NULL,
    trainer_oid character varying(256) NOT NULL,
    training_history character varying NOT NULL
);


ALTER TABLE hrm.trainer_detail OWNER TO grp;

--
-- Name: training_type; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.training_type (
    oid character varying(128) NOT NULL,
    type_name character varying(256) NOT NULL,
    type_code character varying(256) NOT NULL,
    type_description text NOT NULL,
    principal_department character varying(256) NOT NULL
);


ALTER TABLE hrm.training_type OWNER TO grp;

--
-- Name: user_roles; Type: TABLE; Schema: hrm; Owner: hrm
--

CREATE TABLE hrm.user_roles (
    oid character varying(255) NOT NULL,
    config character varying(255),
    created_by character varying(255) NOT NULL,
    created_on timestamp without time zone NOT NULL,
    office_oid character varying(255) NOT NULL,
    row_status character varying(255) NOT NULL,
    updated_by character varying(255),
    updated_on timestamp without time zone,
    employee_office_oid character varying(255) NOT NULL,
    office_unit_oid character varying(255) NOT NULL,
    role_oid character varying(255) NOT NULL
);


ALTER TABLE hrm.user_roles OWNER TO hrm;

--
-- Name: vesting_of_magisterial_power; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.vesting_of_magisterial_power (
    oid character varying(128) NOT NULL,
    employee_oid character varying(128) NOT NULL,
    area_of_work character varying(256) NOT NULL,
    work_description text NOT NULL,
    reason_of_vesting character varying(256) NOT NULL,
    substitute_department character varying(256) NOT NULL,
    substitute_code character varying(128) NOT NULL,
    duration numeric(20,0) NOT NULL,
    start_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    go_code character varying(128) NOT NULL,
    government_order character varying(1024) NOT NULL,
    notes text
);


ALTER TABLE hrm.vesting_of_magisterial_power OWNER TO grp;

--
-- Name: weekend; Type: TABLE; Schema: hrm; Owner: grp
--

CREATE TABLE hrm.weekend (
    oid character varying(128) NOT NULL,
    announce_date timestamp without time zone NOT NULL,
    week_day character varying(256) NOT NULL,
    created_by character varying(128) DEFAULT 'System'::character varying,
    created_on timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_by character varying(128),
    updated_on timestamp without time zone,
    is_deleted character varying(32) NOT NULL
);


ALTER TABLE hrm.weekend OWNER TO grp;

--
-- Data for Name: acr_main_report; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.acr_main_report (oid, employee_oid, moral, intellectual, materialistic, recommend_for_training, qualification_for_promotion, other_recommendation, esign, designation_en, designation_bn) FROM stdin;
\.
COPY hrm.acr_main_report (oid, employee_oid, moral, intellectual, materialistic, recommend_for_training, qualification_for_promotion, other_recommendation, esign, designation_en, designation_bn) FROM '$$PATH$$/5933.dat';

--
-- Data for Name: acr_medical_report; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.acr_medical_report (oid, employee_oid, height, weight, eye_power, blood_group, blood_pressure, medical_class_division, attachment, date, esign) FROM stdin;
\.
COPY hrm.acr_medical_report (oid, employee_oid, height, weight, eye_power, blood_group, blood_pressure, medical_class_division, attachment, date, esign) FROM '$$PATH$$/5934.dat';

--
-- Data for Name: acr_summary; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.acr_summary (oid, employee_oid, date_of_submission, subject_of_evaluation, obtained_marks, total_obtained_marks, esign) FROM stdin;
\.
COPY hrm.acr_summary (oid, employee_oid, date_of_submission, subject_of_evaluation, obtained_marks, total_obtained_marks, esign) FROM '$$PATH$$/5935.dat';

--
-- Data for Name: acr_under_controlling_auth; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.acr_under_controlling_auth (oid, employee_oid, submission_date_ca, subject_of_evaluation, marks_from_ca, total_marks_ca, acr_form_upload, e_sign_of_authority) FROM stdin;
\.
COPY hrm.acr_under_controlling_auth (oid, employee_oid, submission_date_ca, subject_of_evaluation, marks_from_ca, total_marks_ca, acr_form_upload, e_sign_of_authority) FROM '$$PATH$$/5936.dat';

--
-- Data for Name: acr_under_controlling_ministry; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.acr_under_controlling_ministry (oid, employee_oid, submission_date, submission_date_ca, total_marks_ca, submission_date_csa, total_marks_csa, date_of_filled_up_form, e_sign_of_auth) FROM stdin;
\.
COPY hrm.acr_under_controlling_ministry (oid, employee_oid, submission_date, submission_date_ca, total_marks_ca, submission_date_csa, total_marks_csa, date_of_filled_up_form, e_sign_of_auth) FROM '$$PATH$$/5937.dat';

--
-- Data for Name: acr_under_counter_signing_auth; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.acr_under_counter_signing_auth (oid, employee_oid, submission_date_ca, total_marks_ca, submission_date_csa, total_marks_csa, acr_form_upload, comments, e_sign_of_auth) FROM stdin;
\.
COPY hrm.acr_under_counter_signing_auth (oid, employee_oid, submission_date_ca, total_marks_ca, submission_date_csa, total_marks_csa, acr_form_upload, comments, e_sign_of_auth) FROM '$$PATH$$/5938.dat';

--
-- Data for Name: actions; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.actions (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, action_tag, description, name_bn, name_en, submodule_name) FROM stdin;
\.
COPY hrm.actions (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, action_tag, description, name_bn, name_en, submodule_name) FROM '$$PATH$$/6054.dat';

--
-- Data for Name: address_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.address_info (oid, village_house_no_road_no, police_station, post_office, postal_code, district_oid, division_oid, country_oid, phone_no, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY hrm.address_info (oid, village_house_no_road_no, police_station, post_office, postal_code, district_oid, division_oid, country_oid, phone_no, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/5939.dat';

--
-- Data for Name: admit_card; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.admit_card (oid, exam_oid, applicant_oid, roll_no, exam_date, exam_venue, exam_type) FROM stdin;
\.
COPY hrm.admit_card (oid, exam_oid, applicant_oid, roll_no, exam_date, exam_venue, exam_type) FROM '$$PATH$$/5940.dat';

--
-- Data for Name: allowed_leave; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.allowed_leave (oid, leave_type_oid, leave_type_reason_oid, leave_period_amount, leave_period_unit, allowed_amount, allowed_unit, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.allowed_leave (oid, leave_type_oid, leave_type_reason_oid, leave_period_amount, leave_period_unit, allowed_amount, allowed_unit, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5941.dat';

--
-- Data for Name: application_form_for_recruitment; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.application_form_for_recruitment (oid, circular_oid, applicant_code, application_code, application_date, name, nid_no, date_of_birth, age, father_name_en, father_name_bn, mother_name_en, mother_name_bn, address, contact_number, gender, occupation, religion, nationality, board, educational_qualification, experience, quota) FROM stdin;
\.
COPY hrm.application_form_for_recruitment (oid, circular_oid, applicant_code, application_code, application_date, name, nid_no, date_of_birth, age, father_name_en, father_name_bn, mother_name_en, mother_name_bn, address, contact_number, gender, occupation, religion, nationality, board, educational_qualification, experience, quota) FROM '$$PATH$$/5942.dat';

--
-- Data for Name: apply_for_prl; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.apply_for_prl (oid, employee_oid, duration_from, duration_to, prl_duration, file_title, file_code, file_type, attachment, decision_status, application_code, decision_by) FROM stdin;
\.
COPY hrm.apply_for_prl (oid, employee_oid, duration_from, duration_to, prl_duration, file_title, file_code, file_type, attachment, decision_status, application_code, decision_by) FROM '$$PATH$$/5943.dat';

--
-- Data for Name: approval_chain_comment; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.approval_chain_comment (oid, created_by, created_on, is_deleted, updated_by, updated_on, approval_oid, approver_type, commenatator_post_name_bn, comment, comment_time, commentator_employee_office_oid, commentator_employee_oid, commentator_name_bn, status) FROM stdin;
\.
COPY hrm.approval_chain_comment (oid, created_by, created_on, is_deleted, updated_by, updated_on, approval_oid, approver_type, commenatator_post_name_bn, comment, comment_time, commentator_employee_office_oid, commentator_employee_oid, commentator_name_bn, status) FROM '$$PATH$$/6022.dat';

--
-- Data for Name: approval_history_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.approval_history_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, applicant_employee_oid, application_date, change_type, new_value, node_name, old_value, status, employee_oid) FROM stdin;
\.
COPY hrm.approval_history_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, applicant_employee_oid, application_date, change_type, new_value, node_name, old_value, status, employee_oid) FROM '$$PATH$$/6023.dat';

--
-- Data for Name: at_leave; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.at_leave (oid, employee_oid, leave_status_oid) FROM stdin;
\.
COPY hrm.at_leave (oid, employee_oid, leave_status_oid) FROM '$$PATH$$/5944.dat';

--
-- Data for Name: at_meeting_or_events; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.at_meeting_or_events (oid, employee_oid, meeting_or_event_venue, meeting_time, attendance_id) FROM stdin;
\.
COPY hrm.at_meeting_or_events (oid, employee_oid, meeting_or_event_venue, meeting_time, attendance_id) FROM '$$PATH$$/5945.dat';

--
-- Data for Name: attendance_penalty_committee; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.attendance_penalty_committee (oid, committee_oid, committee_name, short_description, member_oid, member_name_en, member_name_bn, designation_en, designation_bn, role) FROM stdin;
\.
COPY hrm.attendance_penalty_committee (oid, committee_oid, committee_name, short_description, member_oid, member_name_en, member_name_bn, designation_en, designation_bn, role) FROM '$$PATH$$/5946.dat';

--
-- Data for Name: award_application; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.award_application (oid, employee_oid, award_title, attachments, date_of_receiving_award, notes, decision_status, application_code, decision_by) FROM stdin;
\.
COPY hrm.award_application (oid, employee_oid, award_title, attachments, date_of_receiving_award, notes, decision_status, application_code, decision_by) FROM '$$PATH$$/5947.dat';

--
-- Data for Name: award_setup; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.award_setup (oid, award_title, award_code, description, department, notes) FROM stdin;
\.
COPY hrm.award_setup (oid, award_title, award_code, description, department, notes) FROM '$$PATH$$/5948.dat';

--
-- Data for Name: batch; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.batch (oid, name_en, name_bn, batch_year_en, batch_year_bn, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.batch (oid, name_en, name_bn, batch_year_en, batch_year_bn, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5949.dat';

--
-- Data for Name: cadre; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.cadre (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted, activation_date) FROM stdin;
\.
COPY hrm.cadre (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted, activation_date) FROM '$$PATH$$/5950.dat';

--
-- Data for Name: cadre_history; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.cadre_history (oid, cadre_oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted, from_date, end_date, attachments_oids) FROM stdin;
\.
COPY hrm.cadre_history (oid, cadre_oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted, from_date, end_date, attachments_oids) FROM '$$PATH$$/5951.dat';

--
-- Data for Name: call_for_exam; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.call_for_exam (oid, circular_oid, exam_configuration_oid, exam_code, exam_date, exam_type, exam_start, exam_end) FROM stdin;
\.
COPY hrm.call_for_exam (oid, circular_oid, exam_configuration_oid, exam_code, exam_date, exam_type, exam_start, exam_end) FROM '$$PATH$$/5952.dat';

--
-- Data for Name: create_short_list; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.create_short_list (oid, short_list_code, application_code, application_name, educational_qualification, experience, short_list_created_by_oid, district) FROM stdin;
\.
COPY hrm.create_short_list (oid, short_list_code, application_code, application_name, educational_qualification, experience, short_list_created_by_oid, district) FROM '$$PATH$$/5953.dat';

--
-- Data for Name: daily_attendance; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.daily_attendance (oid, employee_oid, date, is_present) FROM stdin;
\.
COPY hrm.daily_attendance (oid, employee_oid, date, is_present) FROM '$$PATH$$/5954.dat';

--
-- Data for Name: deputation_info; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.deputation_info (oid, type_ingoing, type_outgoing, employee_oid, previous_ministry, deputed_ministry, previous_organization, deputed_organization, no_of_go, order_date, start_date, time_period) FROM stdin;
\.
COPY hrm.deputation_info (oid, type_ingoing, type_outgoing, employee_oid, previous_ministry, deputed_ministry, previous_organization, deputed_organization, no_of_go, order_date, start_date, time_period) FROM '$$PATH$$/5955.dat';

--
-- Data for Name: employee_additional_prof_qualification; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_additional_prof_qualification (qualification, sort_order, employee_oid, oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM stdin;
\.
COPY hrm.employee_additional_prof_qualification (qualification, sort_order, employee_oid, oid, is_deleted, created_by, created_on, updated_by, updated_on) FROM '$$PATH$$/6061.dat';

--
-- Data for Name: employee_attachment_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_attachment_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, attachment_id, expiry_date, file_description, file_extension, file_name, file_oid, file_type_oid, issue_date, employee_oid) FROM stdin;
\.
COPY hrm.employee_attachment_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, attachment_id, expiry_date, file_description, file_extension, file_name, file_oid, file_type_oid, issue_date, employee_oid) FROM '$$PATH$$/6024.dat';

--
-- Data for Name: employee_award; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_award (oid, employee_oid, award_title, ground, date_of_award, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_award (oid, employee_oid, award_title, ground, date_of_award, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6062.dat';

--
-- Data for Name: employee_award_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_award_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, award_receival_place, award_received_date, country_oid, title_of_award, employee_oid) FROM stdin;
\.
COPY hrm.employee_award_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, award_receival_place, award_received_date, country_oid, title_of_award, employee_oid) FROM '$$PATH$$/6025.dat';

--
-- Data for Name: employee_bank_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_bank_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, account_number, bank_oid, bank_type_oid, branch, current_condition, name_of_account, routing_no, status, swift_code, type_of_account, employee_oid) FROM stdin;
\.
COPY hrm.employee_bank_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, account_number, bank_oid, bank_type_oid, branch, current_condition, name_of_account, routing_no, status, swift_code, type_of_account, employee_oid) FROM '$$PATH$$/6026.dat';

--
-- Data for Name: employee_birth_place_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_birth_place_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, district_oid, division_oid, email, house_road_block_sector, phone, post_code, post_office_oid, thana_oid, village_colony_ward, employee_oid) FROM stdin;
\.
COPY hrm.employee_birth_place_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, district_oid, division_oid, email, house_road_block_sector, phone, post_code, post_office_oid, thana_oid, village_colony_ward, employee_oid) FROM '$$PATH$$/6027.dat';

--
-- Data for Name: employee_children_info; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_children_info (oid, employee_oid, name_en, name_bn, birth_date, is_widow, has_disability, gender, relation, birth_certificate_url, institution_name, school_admission_url, school_receipt_url, result_cg, level_in_school, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_children_info (oid, employee_oid, name_en, name_bn, birth_date, is_widow, has_disability, gender, relation, birth_certificate_url, institution_name, school_admission_url, school_receipt_url, result_cg, level_in_school, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6063.dat';

--
-- Data for Name: employee_confirmation; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_confirmation (oid, employee_oid, confirmation_date, confirmation_by, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_confirmation (oid, employee_oid, confirmation_date, confirmation_by, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6064.dat';

--
-- Data for Name: employee_disciplinary_action; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_disciplinary_action (oid, employee_oid, nature_of_offence, punishment, date, remarks, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_disciplinary_action (oid, employee_oid, nature_of_offence, punishment, date, remarks, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6065.dat';

--
-- Data for Name: employee_disciplinary_action_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_disciplinary_action_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, court_type_oid, current_situation, date_of_judgement, decision, details, is_deletable, observation, type, employee_oid) FROM stdin;
\.
COPY hrm.employee_disciplinary_action_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, court_type_oid, current_situation, date_of_judgement, decision, details, is_deletable, observation, type, employee_oid) FROM '$$PATH$$/6028.dat';

--
-- Data for Name: employee_education_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_education_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, achieved, country_oid, degree_oid, ending_date, institution, is_foreign_institution, result, scale, starting_date, subject, employee_oid) FROM stdin;
\.
COPY hrm.employee_education_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, achieved, country_oid, degree_oid, ending_date, institution, is_foreign_institution, result, scale, starting_date, subject, employee_oid) FROM '$$PATH$$/6029.dat';

--
-- Data for Name: employee_education_qualification; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_education_qualification (oid, employee_oid, degree_title, institution_name, principal_subject, gpa_or_cgpa, year_of_passing, distinction, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_education_qualification (oid, employee_oid, degree_title, institution_name, principal_subject, gpa_or_cgpa, year_of_passing, distinction, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6066.dat';

--
-- Data for Name: employee_emergency_contact_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_emergency_contact_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, district_oid, division_oid, email, house_road_block_sector, phone, post_code, post_office_oid, thana_oid, village_colony_ward, employee_oid) FROM stdin;
\.
COPY hrm.employee_emergency_contact_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, district_oid, division_oid, email, house_road_block_sector, phone, post_code, post_office_oid, thana_oid, village_colony_ward, employee_oid) FROM '$$PATH$$/6030.dat';

--
-- Data for Name: employee_evaluation_category_setup; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_evaluation_category_setup (oid, acr_form_part_number, acr_form_part_title, acr_form_evaluation_category) FROM stdin;
\.
COPY hrm.employee_evaluation_category_setup (oid, acr_form_part_number, acr_form_part_title, acr_form_evaluation_category) FROM '$$PATH$$/5956.dat';

--
-- Data for Name: employee_family_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_family_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, address, birth_certificate, date_of_birth, designation, gender, has_disability, is_govt_employee, location, marital_status, name_bn, name_en, nationality, nid, organization, passport, photo, profession_oid, relation, employee_oid) FROM stdin;
\.
COPY hrm.employee_family_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, address, birth_certificate, date_of_birth, designation, gender, has_disability, is_govt_employee, location, marital_status, name_bn, name_en, nationality, nid, organization, passport, photo, profession_oid, relation, employee_oid) FROM '$$PATH$$/6031.dat';

--
-- Data for Name: employee_foreign_address_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_foreign_address_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, city, country_oid, email, house_road_block_sector, phone, state_province_region, zip_postal_code, employee_oid) FROM stdin;
\.
COPY hrm.employee_foreign_address_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, city, country_oid, email, house_road_block_sector, phone, state_province_region, zip_postal_code, employee_oid) FROM '$$PATH$$/6032.dat';

--
-- Data for Name: employee_foreign_travel; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_foreign_travel (oid, employee_oid, geo_country_oid, purpose, travel_from, travel_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_foreign_travel (oid, employee_oid, geo_country_oid, purpose, travel_from, travel_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6067.dat';

--
-- Data for Name: employee_health_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_health_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, height, identifying_mark, specially_abled, weight, employee_oid) FROM stdin;
\.
COPY hrm.employee_health_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, height, identifying_mark, specially_abled, weight, employee_oid) FROM '$$PATH$$/6033.dat';

--
-- Data for Name: employee_in_queue_for_promotion_or_posting; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_in_queue_for_promotion_or_posting (oid, employee_oid, no_of_go) FROM stdin;
\.
COPY hrm.employee_in_queue_for_promotion_or_posting (oid, employee_oid, no_of_go) FROM '$$PATH$$/5957.dat';

--
-- Data for Name: employee_injury_sickness_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_injury_sickness_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, description, end_date, phisically_impairment, stability, start_date, type, employee_oid) FROM stdin;
\.
COPY hrm.employee_injury_sickness_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, description, end_date, phisically_impairment, stability, start_date, type, employee_oid) FROM '$$PATH$$/6034.dat';

--
-- Data for Name: employee_job_history_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_job_history_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, end_date, office_address, office_name, post, start_date, type, employee_oid) FROM stdin;
\.
COPY hrm.employee_job_history_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, end_date, office_address, office_name, post, start_date, type, employee_oid) FROM '$$PATH$$/6035.dat';

--
-- Data for Name: employee_language_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_language_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, is_native_language, listening_skill, reading_skill, speaking_skill, writing_skill, employee_oid, language_oid) FROM stdin;
\.
COPY hrm.employee_language_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, is_native_language, listening_skill, reading_skill, speaking_skill, writing_skill, employee_oid, language_oid) FROM '$$PATH$$/6036.dat';

--
-- Data for Name: employee_language_skill; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_language_skill (oid, employee_oid, language_oid, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_language_skill (oid, employee_oid, language_oid, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6068.dat';

--
-- Data for Name: employee_leave_application; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_leave_application (oid, employee_oid, allowed_leave_oid, is_multi_dated, leave_date, leave_from, leave_till, employee_leave_remarks, statement_on_leave_reason, leave_application_attachment_url, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_leave_application (oid, employee_oid, allowed_leave_oid, is_multi_dated, leave_date, leave_from, leave_till, employee_leave_remarks, statement_on_leave_reason, leave_application_attachment_url, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5958.dat';

--
-- Data for Name: employee_leave_approval; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_leave_approval (oid, employee_leave_application_oid, approved_by, is_multi_dated, leave_date, leave_from, leave_till, approval_layer_remaining, current_layer_oid, approved_on, approval_status, approval_code, go_attachement_url, forward_status, comments_of_approver, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_leave_approval (oid, employee_leave_application_oid, approved_by, is_multi_dated, leave_date, leave_from, leave_till, approval_layer_remaining, current_layer_oid, approved_on, approval_status, approval_code, go_attachement_url, forward_status, comments_of_approver, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5959.dat';

--
-- Data for Name: employee_master_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_master_info (oid, name_en, name_bn, grp_username, govt_id, enothi_id, join_date, batch_oid, cadre_oid, grade_oid, is_freedom_fighter, is_descendant_of_freedom_fighter, status, gazetted_date, photo_url, signature_url, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_master_info (oid, name_en, name_bn, grp_username, govt_id, enothi_id, join_date, batch_oid, cadre_oid, grade_oid, is_freedom_fighter, is_descendant_of_freedom_fighter, status, gazetted_date, photo_url, signature_url, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5960.dat';

--
-- Data for Name: employee_medical_info; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_medical_info (oid, employee_oid, illness, from_date, till_date, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_medical_info (oid, employee_oid, illness, from_date, till_date, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6069.dat';

--
-- Data for Name: employee_mobile_banking_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_mobile_banking_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, account_number, name_of_account, provider_oid, employee_oid) FROM stdin;
\.
COPY hrm.employee_mobile_banking_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, account_number, name_of_account, provider_oid, employee_oid) FROM '$$PATH$$/6037.dat';

--
-- Data for Name: employee_office; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_office (oid, employee_oid, employment_type_oid, system_role_id, office_id, office_unit_id, office_unit_post_id, responsibility_type, leave_parent_oid, incharge_label_en, leave_substitute_oid, incharge_label_bn, is_default_profile, is_office_admin, is_office_head, node_level, node_sequence, office_email, office_phone, joining_date, last_office_date, status_change_date, status, created_by, created_on, updated_by, updated_on, is_deleted, is_office_unit_head, is_ao, is_approver, is_attendance_admin, is_attendance_data_entry_operator, is_award_admin, is_reviewer) FROM stdin;
\.
COPY hrm.employee_office (oid, employee_oid, employment_type_oid, system_role_id, office_id, office_unit_id, office_unit_post_id, responsibility_type, leave_parent_oid, incharge_label_en, leave_substitute_oid, incharge_label_bn, is_default_profile, is_office_admin, is_office_head, node_level, node_sequence, office_email, office_phone, joining_date, last_office_date, status_change_date, status, created_by, created_on, updated_by, updated_on, is_deleted, is_office_unit_head, is_ao, is_approver, is_attendance_admin, is_attendance_data_entry_operator, is_award_admin, is_reviewer) FROM '$$PATH$$/5961.dat';

--
-- Data for Name: employee_office_tracker; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_office_tracker (oid, old_emp_office_oid, new_emp_office_oid, grp_user_name, release_date, joining_date, operation_type, created_by, created_on, updated_by, updated_on, is_deleted, employee_oid, old_office_oid, new_office_oid, data, office_tracker_oid, sync_status, sync_type) FROM stdin;
\.
COPY hrm.employee_office_tracker (oid, old_emp_office_oid, new_emp_office_oid, grp_user_name, release_date, joining_date, operation_type, created_by, created_on, updated_by, updated_on, is_deleted, employee_oid, old_office_oid, new_office_oid, data, office_tracker_oid, sync_status, sync_type) FROM '$$PATH$$/6058.dat';

--
-- Data for Name: employee_office_tracker_data_sync; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_office_tracker_data_sync (oid, tracker_oid, sync_type, sync_status, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_office_tracker_data_sync (oid, tracker_oid, sync_type, sync_status, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6059.dat';

--
-- Data for Name: employee_other_services; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_other_services (oid, employee_oid, employer_name_en, employer_name_bn, employer_address, type_of_service, "position", service_from, service_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_other_services (oid, employee_oid, employer_name_en, employer_name_bn, employer_address, type_of_service, "position", service_from, service_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5962.dat';

--
-- Data for Name: employee_perf_summary; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_perf_summary (oid, unit_weight_of_perf_metrics, performance_metrics) FROM stdin;
\.
COPY hrm.employee_perf_summary (oid, unit_weight_of_perf_metrics, performance_metrics) FROM '$$PATH$$/5963.dat';

--
-- Data for Name: employee_permanent_address_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_permanent_address_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, district_oid, division_oid, email, phone, post_code, post_office_oid, road, thana_oid, village, employee_oid) FROM stdin;
\.
COPY hrm.employee_permanent_address_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, district_oid, division_oid, email, phone, post_code, post_office_oid, road, thana_oid, village, employee_oid) FROM '$$PATH$$/6038.dat';

--
-- Data for Name: employee_personal_general_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_personal_general_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, birth_certificate, religion_oid, employee_oid) FROM stdin;
\.
COPY hrm.employee_personal_general_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, birth_certificate, religion_oid, employee_oid) FROM '$$PATH$$/6039.dat';

--
-- Data for Name: employee_personal_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_personal_info (oid, employee_oid, father_name_en, father_name_bn, mother_name_en, mother_name_bn, present_address_oid, permanent_address_oid, email_address, mobile_no, phone_no, blood_group, date_of_birth, birth_place, gender, marital_status, etin, nid, bank_account, created_by, created_on, updated_by, updated_on, is_deleted, nationality, passport_no) FROM stdin;
\.
COPY hrm.employee_personal_info (oid, employee_oid, father_name_en, father_name_bn, mother_name_en, mother_name_bn, present_address_oid, permanent_address_oid, email_address, mobile_no, phone_no, blood_group, date_of_birth, birth_place, gender, marital_status, etin, nid, bank_account, created_by, created_on, updated_by, updated_on, is_deleted, nationality, passport_no) FROM '$$PATH$$/5964.dat';

--
-- Data for Name: employee_posting_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_posting_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, city, district_oid, end_date, is_deletable, last_drawn_payment, office_oid, payscale_oid, post_oid, posting_location, start_date, employee_oid, grade_oid) FROM stdin;
\.
COPY hrm.employee_posting_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, city, district_oid, end_date, is_deletable, last_drawn_payment, office_oid, payscale_oid, post_oid, posting_location, start_date, employee_oid, grade_oid) FROM '$$PATH$$/6040.dat';

--
-- Data for Name: employee_present_address_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_present_address_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, address_type, country_oid, district_oid, division_oid, email, phone, post_code, post_office_oid, road, thana_oid, village, employee_oid) FROM stdin;
\.
COPY hrm.employee_present_address_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, address_type, country_oid, district_oid, division_oid, email, phone, post_code, post_office_oid, road, thana_oid, village, employee_oid) FROM '$$PATH$$/6041.dat';

--
-- Data for Name: employee_probation; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_probation (oid, employee_oid, probation_from, probation_till, extended_probation_from, extended_probation_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_probation (oid, employee_oid, probation_from, probation_till, extended_probation_from, extended_probation_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5965.dat';

--
-- Data for Name: employee_professional_certification_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_professional_certification_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, country_oid, duration, expiry_date, institution, receival_date, title, employee_oid) FROM stdin;
\.
COPY hrm.employee_professional_certification_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, comment, country_oid, duration, expiry_date, institution, receival_date, title, employee_oid) FROM '$$PATH$$/6042.dat';

--
-- Data for Name: employee_professional_general_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_professional_general_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, basic_salary, cadre_date, confirmationgodate, gazetted_date, payscale_basic_oid, payscale_oid, prl_date, rank_oid, rank_type, status, employee_oid) FROM stdin;
\.
COPY hrm.employee_professional_general_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, basic_salary, cadre_date, confirmationgodate, gazetted_date, payscale_basic_oid, payscale_oid, prl_date, rank_oid, rank_type, status, employee_oid) FROM '$$PATH$$/6043.dat';

--
-- Data for Name: employee_professional_qualification_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_professional_qualification_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, qualification, employee_oid) FROM stdin;
\.
COPY hrm.employee_professional_qualification_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, qualification, employee_oid) FROM '$$PATH$$/6044.dat';

--
-- Data for Name: employee_promotion_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_promotion_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, date_ofgo, date_of_promotion, gono, is_deletable, nature_of_promotion, pay_scale_to_which_promoted, rank_oid, employee_oid, grade_oid) FROM stdin;
\.
COPY hrm.employee_promotion_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, date_ofgo, date_of_promotion, gono, is_deletable, nature_of_promotion, pay_scale_to_which_promoted, rank_oid, employee_oid, grade_oid) FROM '$$PATH$$/6045.dat';

--
-- Data for Name: employee_publication; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employee_publication (oid, employee_oid, publication_title, publication_type, date_of_publication, description, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_publication (oid, employee_oid, publication_title, publication_type, date_of_publication, description, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5966.dat';

--
-- Data for Name: employee_publication_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_publication_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, description, publication_date, publication_name, publication_type, employee_oid) FROM stdin;
\.
COPY hrm.employee_publication_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, description, publication_date, publication_name, publication_type, employee_oid) FROM '$$PATH$$/6046.dat';

--
-- Data for Name: employee_recruitment_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_recruitment_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, description, list_of_attachment_oids, merit_position, recruitment_authority_oid, recruitment_notice_ref_date, recruitment_notice_ref_no, employee_oid, recruitment_type_oid) FROM stdin;
\.
COPY hrm.employee_recruitment_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, description, list_of_attachment_oids, merit_position, recruitment_authority_oid, recruitment_notice_ref_date, recruitment_notice_ref_no, employee_oid, recruitment_type_oid) FROM '$$PATH$$/6047.dat';

--
-- Data for Name: employee_service_history; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_service_history (oid, created_by, created_on, is_deleted, updated_by, updated_on, encadrement_date, gazetted_date, govt_service_date, seniority_date, employee_oid, cadre_oid) FROM stdin;
\.
COPY hrm.employee_service_history (oid, created_by, created_on, is_deleted, updated_by, updated_on, encadrement_date, gazetted_date, govt_service_date, seniority_date, employee_oid, cadre_oid) FROM '$$PATH$$/6048.dat';

--
-- Data for Name: employee_spouse_info; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.employee_spouse_info (oid, employee_oid, designation_en, name_en, name_bn, designation_bn, occupation_en, occupation_bn, nid, etin, is_govt_employee, govt_id, mobile_no, phone_no, home_district, organization, organization_location, permanent_address, present_address, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employee_spouse_info (oid, employee_oid, designation_en, name_en, name_bn, designation_bn, occupation_en, occupation_bn, nid, etin, is_govt_employee, govt_id, mobile_no, phone_no, home_district, organization, organization_location, permanent_address, present_address, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6070.dat';

--
-- Data for Name: employee_training_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_training_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, ended_on, funding_source, grade, institution, is_deletable, "position", started_from, subject_name, subject_type, employee_oid, course_title, geo_country_oid, training_from, training_institution_name, training_till, training_type) FROM stdin;
\.
COPY hrm.employee_training_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, ended_on, funding_source, grade, institution, is_deletable, "position", started_from, subject_name, subject_type, employee_oid, course_title, geo_country_oid, training_from, training_institution_name, training_till, training_type) FROM '$$PATH$$/6049.dat';

--
-- Data for Name: employee_travel_info; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employee_travel_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, end_date, govt_order_date, govt_order_no, purpose, start_date, employee_oid) FROM stdin;
\.
COPY hrm.employee_travel_info (oid, created_by, created_on, is_deleted, updated_by, updated_on, country_oid, end_date, govt_order_date, govt_order_no, purpose, start_date, employee_oid) FROM '$$PATH$$/6050.dat';

--
-- Data for Name: employeel_leave_details; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.employeel_leave_details (oid, employee_oid, leave_type_oid, total_working_days, total_leave_days, remaining_leave_amount, remaining_leave_unit, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employeel_leave_details (oid, employee_oid, leave_type_oid, total_working_days, total_leave_days, remaining_leave_amount, remaining_leave_unit, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5967.dat';

--
-- Data for Name: employment_type; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.employment_type (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.employment_type (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5968.dat';

--
-- Data for Name: exam_configuration; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.exam_configuration (oid, exam_type, total_marks, pass_marks, assigned_by) FROM stdin;
\.
COPY hrm.exam_configuration (oid, exam_type, total_marks, pass_marks, assigned_by) FROM '$$PATH$$/5969.dat';

--
-- Data for Name: exam_venue; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.exam_venue (oid, applicant_oid, shortlist_oid, district, venue, exam_oid) FROM stdin;
\.
COPY hrm.exam_venue (oid, applicant_oid, shortlist_oid, district, venue, exam_oid) FROM '$$PATH$$/5970.dat';

--
-- Data for Name: final_selection; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.final_selection (oid, candidate_oid, police_verification_attachment_url, medical_verification_url, remarks) FROM stdin;
\.
COPY hrm.final_selection (oid, candidate_oid, police_verification_attachment_url, medical_verification_url, remarks) FROM '$$PATH$$/5971.dat';

--
-- Data for Name: forbidden_pair; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.forbidden_pair (oid, first_leave_type_oid, second_leave_type_oid, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.forbidden_pair (oid, first_leave_type_oid, second_leave_type_oid, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5972.dat';

--
-- Data for Name: foreign_training; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.foreign_training (oid, training_type_oid, training_title, institution, country, starting_from, end_to, sponsoring_agency) FROM stdin;
\.
COPY hrm.foreign_training (oid, training_type_oid, training_title, institution, country, starting_from, end_to, sponsoring_agency) FROM '$$PATH$$/5973.dat';

--
-- Data for Name: grade; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.grade (oid, name_en, name_bn, sort_order, cadre_oid, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.grade (oid, name_en, name_bn, sort_order, cadre_oid, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5974.dat';

--
-- Data for Name: holiday; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.holiday (oid, name_en, name_bn, holiday_date, depends_on_moon, is_multi_dated, from_date, to_date, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.holiday (oid, name_en, name_bn, holiday_date, depends_on_moon, is_multi_dated, from_date, to_date, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5975.dat';

--
-- Data for Name: in_service_training; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.in_service_training (oid, training_type_oid, training_title, institution, location, starting_from, end_to, sponsoring_agency) FROM stdin;
\.
COPY hrm.in_service_training (oid, training_type_oid, training_title, institution, location, starting_from, end_to, sponsoring_agency) FROM '$$PATH$$/5976.dat';

--
-- Data for Name: investigation_team_feedback; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.investigation_team_feedback (oid, employee_oid, date_of_submission, evaluation_by_investigation_team, notes, esign) FROM stdin;
\.
COPY hrm.investigation_team_feedback (oid, employee_oid, date_of_submission, evaluation_by_investigation_team, notes, esign) FROM '$$PATH$$/5977.dat';

--
-- Data for Name: investigation_team_setup; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.investigation_team_setup (oid, committee_oid, employee_oid, controlling_authority, appointing_authority, assign_investigator, esign) FROM stdin;
\.
COPY hrm.investigation_team_setup (oid, committee_oid, employee_oid, controlling_authority, appointing_authority, assign_investigator, esign) FROM '$$PATH$$/5978.dat';

--
-- Data for Name: investigation_under_appointing_auth; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.investigation_under_appointing_auth (oid, employee_oid, date_of_submission, evaluation_by_aa, decision_status, application_code, decision_by, notes, esign) FROM stdin;
\.
COPY hrm.investigation_under_appointing_auth (oid, employee_oid, date_of_submission, evaluation_by_aa, decision_status, application_code, decision_by, notes, esign) FROM '$$PATH$$/5979.dat';

--
-- Data for Name: investigation_under_controlling_auth; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.investigation_under_controlling_auth (oid, employee_oid, date_of_submission, evaluation_by_ca, decision_status, application_code, decision_by, notes, esign) FROM stdin;
\.
COPY hrm.investigation_under_controlling_auth (oid, employee_oid, date_of_submission, evaluation_by_ca, decision_status, application_code, decision_by, notes, esign) FROM '$$PATH$$/5980.dat';

--
-- Data for Name: job_circular; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.job_circular (oid, post_oid, position_name, project, number_of_position, job_type, educational_qualification, age_duration, application_fee, other_qualification, least_experience, preferable_district_to_attend_exam, date_of_exam) FROM stdin;
\.
COPY hrm.job_circular (oid, post_oid, position_name, project, number_of_position, job_type, educational_qualification, age_duration, application_fee, other_qualification, least_experience, preferable_district_to_attend_exam, date_of_exam) FROM '$$PATH$$/5981.dat';

--
-- Data for Name: job_circular_approval; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.job_circular_approval (oid, circular_oid, approved_by_oid, approved_by_post_oid, approval_code, approval_status, comments) FROM stdin;
\.
COPY hrm.job_circular_approval (oid, circular_oid, approved_by_oid, approved_by_post_oid, approval_code, approval_status, comments) FROM '$$PATH$$/5982.dat';

--
-- Data for Name: justify_against_penalty; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.justify_against_penalty (oid, penalty_oid, employee_oid, justification, attachment_url) FROM stdin;
\.
COPY hrm.justify_against_penalty (oid, penalty_oid, employee_oid, justification, attachment_url) FROM '$$PATH$$/5983.dat';

--
-- Data for Name: language; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.language (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.language (oid, name_en, name_bn, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5984.dat';

--
-- Data for Name: leave_condition; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.leave_condition (oid, table_name, column_name, arithmatic_relation, value_leave, leave_type_oid, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.leave_condition (oid, table_name, column_name, arithmatic_relation, value_leave, leave_type_oid, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5985.dat';

--
-- Data for Name: leave_type; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.leave_type (oid, name_en, name_bn, need_rejoining, waiting_amount_for_activation, waiting_unit_for_activation, initialized_on, valid_till, rule_no, rule_detail, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.leave_type (oid, name_en, name_bn, need_rejoining, waiting_amount_for_activation, waiting_unit_for_activation, initialized_on, valid_till, rule_no, rule_detail, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5986.dat';

--
-- Data for Name: leave_type_reason; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.leave_type_reason (oid, leave_type_oid, reason_en, reason_bn, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.leave_type_reason (oid, leave_type_oid, reason_en, reason_bn, initialized_on, valid_till, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/5987.dat';

--
-- Data for Name: offense_setup; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.offense_setup (oid, offense_title, offense_code, description, start_date_of_offense, end_date_of_offense, go_number, esign) FROM stdin;
\.
COPY hrm.offense_setup (oid, offense_title, offense_code, description, start_date_of_offense, end_date_of_offense, go_number, esign) FROM '$$PATH$$/5988.dat';

--
-- Data for Name: organisational_training; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.organisational_training (oid, is_mandatory, duration, training_type_oid, objective, descriptions, training_name, start_date, end_date, start_time, end_time, organization, designation_required, education_required) FROM stdin;
\.
COPY hrm.organisational_training (oid, is_mandatory, duration, training_type_oid, objective, descriptions, training_name, start_date, end_date, start_time, end_time, organization, designation_required, education_required) FROM '$$PATH$$/5989.dat';

--
-- Data for Name: penalty_committee_list; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.penalty_committee_list (oid, attendance_committee_oid, committee_name) FROM stdin;
\.
COPY hrm.penalty_committee_list (oid, attendance_committee_oid, committee_name) FROM '$$PATH$$/5990.dat';

--
-- Data for Name: penalty_for_attendance; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.penalty_for_attendance (oid, date, employee_oid, cause, action, remarks, penalty_code) FROM stdin;
\.
COPY hrm.penalty_for_attendance (oid, date, employee_oid, cause, action, remarks, penalty_code) FROM '$$PATH$$/5991.dat';

--
-- Data for Name: pending_participation_confirmation; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.pending_participation_confirmation (oid, training_oid, trainee_oid, is_attendant, reason) FROM stdin;
\.
COPY hrm.pending_participation_confirmation (oid, training_oid, trainee_oid, is_attendant, reason) FROM '$$PATH$$/5992.dat';

--
-- Data for Name: pension_procedure_for_employee; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.pension_procedure_for_employee (oid, employee_oid, employee_post_oid, noc_upload, ipc_upload, date_of_retirement, employed_from, employed_upto, bank_account_no, bank_name, bank_branch, application_code, decision_by, current_post_joining_date, current_post_retirement_date, prl_status, rate_of_retirement_allowance, total_amount_of_retirement_allowance, monthly_amount_of_retirement_allowance, total_gratuity, loan_history, notes, pension_code, decision_status) FROM stdin;
\.
COPY hrm.pension_procedure_for_employee (oid, employee_oid, employee_post_oid, noc_upload, ipc_upload, date_of_retirement, employed_from, employed_upto, bank_account_no, bank_name, bank_branch, application_code, decision_by, current_post_joining_date, current_post_retirement_date, prl_status, rate_of_retirement_allowance, total_amount_of_retirement_allowance, monthly_amount_of_retirement_allowance, total_gratuity, loan_history, notes, pension_code, decision_status) FROM '$$PATH$$/5993.dat';

--
-- Data for Name: permissions; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.permissions (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, is_permitted, action_oid, role_oid) FROM stdin;
\.
COPY hrm.permissions (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, is_permitted, action_oid, role_oid) FROM '$$PATH$$/6055.dat';

--
-- Data for Name: posting_and_promotion_committee_setup; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.posting_and_promotion_committee_setup (oid, committee_name, short_description, member_oid, role) FROM stdin;
\.
COPY hrm.posting_and_promotion_committee_setup (oid, committee_name, short_description, member_oid, role) FROM '$$PATH$$/5994.dat';

--
-- Data for Name: posting_info; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.posting_info (oid, employee_oid, division, district, starting_from, end_to, last_posting, pay_scale, no_of_go) FROM stdin;
\.
COPY hrm.posting_info (oid, employee_oid, division, district, starting_from, end_to, last_posting, pay_scale, no_of_go) FROM '$$PATH$$/5995.dat';

--
-- Data for Name: promotion_detail; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.promotion_detail (oid, employee_oid, date_of_promotion, rank_en, rank_bn, nature_of_promotion, pay_scale, no_of_go) FROM stdin;
\.
COPY hrm.promotion_detail (oid, employee_oid, date_of_promotion, rank_en, rank_bn, nature_of_promotion, pay_scale, no_of_go) FROM '$$PATH$$/5996.dat';

--
-- Data for Name: publication_application; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.publication_application (oid, employee_oid, publication_title, attachments, date_of_publication, notes, decision_status, application_code, decision_by) FROM stdin;
\.
COPY hrm.publication_application (oid, employee_oid, publication_title, attachments, date_of_publication, notes, decision_status, application_code, decision_by) FROM '$$PATH$$/5997.dat';

--
-- Data for Name: publication_setup; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.publication_setup (oid, publication_title, publication_code, description, department, notes) FROM stdin;
\.
COPY hrm.publication_setup (oid, publication_title, publication_code, description, department, notes) FROM '$$PATH$$/5998.dat';

--
-- Data for Name: recruitment_approval_application; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.recruitment_approval_application (oid, created_by, created_on, is_deleted, updated_by, updated_on, applicant_employee_office_oid, applicant_employee_oid, application, approval_status, submodule_tag) FROM stdin;
\.
COPY hrm.recruitment_approval_application (oid, created_by, created_on, is_deleted, updated_by, updated_on, applicant_employee_office_oid, applicant_employee_oid, application, approval_status, submodule_tag) FROM '$$PATH$$/6051.dat';

--
-- Data for Name: recruitment_approval_log; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.recruitment_approval_log (oid, created_by, created_on, is_deleted, updated_by, updated_on, action_status, history_trace, receiver_employee_office_oid, receiver_employee_oid, request_type, approval_oid) FROM stdin;
\.
COPY hrm.recruitment_approval_log (oid, created_by, created_on, is_deleted, updated_by, updated_on, action_status, history_trace, receiver_employee_office_oid, receiver_employee_oid, request_type, approval_oid) FROM '$$PATH$$/6052.dat';

--
-- Data for Name: recruitment_committee; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.recruitment_committee (oid, committee_oid, committee_name, short_description, member_oid, member_name_en, member_name_bn, designation_en, designation_bn, role) FROM stdin;
\.
COPY hrm.recruitment_committee (oid, committee_oid, committee_name, short_description, member_oid, member_name_en, member_name_bn, designation_en, designation_bn, role) FROM '$$PATH$$/5999.dat';

--
-- Data for Name: recruitment_result; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.recruitment_result (oid, attachment_url, circular_oid, written_marks, viva_marks, applicant_oid) FROM stdin;
\.
COPY hrm.recruitment_result (oid, attachment_url, circular_oid, written_marks, viva_marks, applicant_oid) FROM '$$PATH$$/6000.dat';

--
-- Data for Name: recruitment_type; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.recruitment_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, status) FROM stdin;
\.
COPY hrm.recruitment_type (oid, created_by, created_on, is_deleted, updated_by, updated_on, name_bn, name_en, status) FROM '$$PATH$$/6053.dat';

--
-- Data for Name: rejoining_application; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rejoining_application (oid, employee_leave_application_oid, rejoining_date, attachment_url, approver_oid, approval_date, approver_attachment_url, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.rejoining_application (oid, employee_leave_application_oid, rejoining_date, attachment_url, approver_oid, approval_date, approver_attachment_url, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6001.dat';

--
-- Data for Name: roles; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.roles (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, description, name_bn, name_en, role_tag) FROM stdin;
\.
COPY hrm.roles (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, description, name_bn, name_en, role_tag) FROM '$$PATH$$/6056.dat';

--
-- Data for Name: rules_of_award_publication; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_of_award_publication (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_of_award_publication (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6002.dat';

--
-- Data for Name: rules_of_vesting_magisterial_power; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_of_vesting_magisterial_power (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_of_vesting_magisterial_power (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6003.dat';

--
-- Data for Name: rules_regarding_acr_apa; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_regarding_acr_apa (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_regarding_acr_apa (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6004.dat';

--
-- Data for Name: rules_regarding_attendance; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_regarding_attendance (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_regarding_attendance (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6005.dat';

--
-- Data for Name: rules_regarding_discipline; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_regarding_discipline (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_regarding_discipline (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6006.dat';

--
-- Data for Name: rules_regarding_posting; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_regarding_posting (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_regarding_posting (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6007.dat';

--
-- Data for Name: rules_regarding_promotion; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_regarding_promotion (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_regarding_promotion (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6008.dat';

--
-- Data for Name: rules_regarding_recruitment; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_regarding_recruitment (oid, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_regarding_recruitment (oid, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6009.dat';

--
-- Data for Name: rules_regarding_training; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.rules_regarding_training (oid, training_type, rules_and_regulations, assigned_by, assigned_on) FROM stdin;
\.
COPY hrm.rules_regarding_training (oid, training_type, rules_and_regulations, assigned_by, assigned_on) FROM '$$PATH$$/6010.dat';

--
-- Data for Name: select_candidate; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.select_candidate (oid, applicant_oid, circular_oid, is_selected) FROM stdin;
\.
COPY hrm.select_candidate (oid, applicant_oid, circular_oid, is_selected) FROM '$$PATH$$/6011.dat';

--
-- Data for Name: survey_for_trainee; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.survey_for_trainee (oid, training_type_oid, trainer_detail_oid, trainee_id, survey_question_code, answer) FROM stdin;
\.
COPY hrm.survey_for_trainee (oid, training_type_oid, trainer_detail_oid, trainee_id, survey_question_code, answer) FROM '$$PATH$$/6012.dat';

--
-- Data for Name: survey_for_trainer; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.survey_for_trainer (oid, training_type_oid, trainer_detail_oid, trainer_code, survey_question_code, answer) FROM stdin;
\.
COPY hrm.survey_for_trainer (oid, training_type_oid, trainer_detail_oid, trainer_code, survey_question_code, answer) FROM '$$PATH$$/6013.dat';

--
-- Data for Name: survey_questionnaire_for_trainee; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.survey_questionnaire_for_trainee (oid, training_oid, question) FROM stdin;
\.
COPY hrm.survey_questionnaire_for_trainee (oid, training_oid, question) FROM '$$PATH$$/6014.dat';

--
-- Data for Name: survey_questionnaire_for_trainer; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.survey_questionnaire_for_trainer (oid, training_type_oid, trainer_detail_oid, question) FROM stdin;
\.
COPY hrm.survey_questionnaire_for_trainer (oid, training_type_oid, trainer_detail_oid, question) FROM '$$PATH$$/6015.dat';

--
-- Data for Name: syncable_data; Type: TABLE DATA; Schema: hrm; Owner: postgres
--

COPY hrm.syncable_data (oid, office_tracker_oid, sync_type, data, sync_status, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.syncable_data (oid, office_tracker_oid, sync_type, data, sync_status, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6060.dat';

--
-- Data for Name: termination; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.termination (oid, employee_oid, employee_post_oid, date_of_termination, reason, remarks, go_code, goverment_order, decision_status, application_code, decision_by) FROM stdin;
\.
COPY hrm.termination (oid, employee_oid, employee_post_oid, date_of_termination, reason, remarks, go_code, goverment_order, decision_status, application_code, decision_by) FROM '$$PATH$$/6016.dat';

--
-- Data for Name: trainee_result; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.trainee_result (oid, trainer, trainee, training, result) FROM stdin;
\.
COPY hrm.trainee_result (oid, trainer, trainee, training, result) FROM '$$PATH$$/6017.dat';

--
-- Data for Name: trainer_detail; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.trainer_detail (oid, trainer_oid, training_history) FROM stdin;
\.
COPY hrm.trainer_detail (oid, trainer_oid, training_history) FROM '$$PATH$$/6018.dat';

--
-- Data for Name: training_type; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.training_type (oid, type_name, type_code, type_description, principal_department) FROM stdin;
\.
COPY hrm.training_type (oid, type_name, type_code, type_description, principal_department) FROM '$$PATH$$/6019.dat';

--
-- Data for Name: user_roles; Type: TABLE DATA; Schema: hrm; Owner: hrm
--

COPY hrm.user_roles (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, employee_office_oid, office_unit_oid, role_oid) FROM stdin;
\.
COPY hrm.user_roles (oid, config, created_by, created_on, office_oid, row_status, updated_by, updated_on, employee_office_oid, office_unit_oid, role_oid) FROM '$$PATH$$/6057.dat';

--
-- Data for Name: vesting_of_magisterial_power; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.vesting_of_magisterial_power (oid, employee_oid, area_of_work, work_description, reason_of_vesting, substitute_department, substitute_code, duration, start_date, end_date, go_code, government_order, notes) FROM stdin;
\.
COPY hrm.vesting_of_magisterial_power (oid, employee_oid, area_of_work, work_description, reason_of_vesting, substitute_department, substitute_code, duration, start_date, end_date, go_code, government_order, notes) FROM '$$PATH$$/6020.dat';

--
-- Data for Name: weekend; Type: TABLE DATA; Schema: hrm; Owner: grp
--

COPY hrm.weekend (oid, announce_date, week_day, created_by, created_on, updated_by, updated_on, is_deleted) FROM stdin;
\.
COPY hrm.weekend (oid, announce_date, week_day, created_by, created_on, updated_by, updated_on, is_deleted) FROM '$$PATH$$/6021.dat';

--
-- Name: actions actions_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.actions
    ADD CONSTRAINT actions_pkey PRIMARY KEY (oid);


--
-- Name: approval_chain_comment approval_chain_comment_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.approval_chain_comment
    ADD CONSTRAINT approval_chain_comment_pkey PRIMARY KEY (oid);


--
-- Name: approval_history_info approval_history_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.approval_history_info
    ADD CONSTRAINT approval_history_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_attachment_info employee_attachment_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_attachment_info
    ADD CONSTRAINT employee_attachment_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_award_info employee_award_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_award_info
    ADD CONSTRAINT employee_award_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_bank_info employee_bank_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_bank_info
    ADD CONSTRAINT employee_bank_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_birth_place_info employee_birth_place_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_birth_place_info
    ADD CONSTRAINT employee_birth_place_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_disciplinary_action_info employee_disciplinary_action_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_disciplinary_action_info
    ADD CONSTRAINT employee_disciplinary_action_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_education_info employee_education_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_education_info
    ADD CONSTRAINT employee_education_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_emergency_contact_info employee_emergency_contact_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_emergency_contact_info
    ADD CONSTRAINT employee_emergency_contact_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_family_info employee_family_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_family_info
    ADD CONSTRAINT employee_family_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_foreign_address_info employee_foreign_address_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_foreign_address_info
    ADD CONSTRAINT employee_foreign_address_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_health_info employee_health_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_health_info
    ADD CONSTRAINT employee_health_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_injury_sickness_info employee_injury_sickness_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_injury_sickness_info
    ADD CONSTRAINT employee_injury_sickness_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_job_history_info employee_job_history_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_job_history_info
    ADD CONSTRAINT employee_job_history_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_language_info employee_language_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_language_info
    ADD CONSTRAINT employee_language_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_mobile_banking_info employee_mobile_banking_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_mobile_banking_info
    ADD CONSTRAINT employee_mobile_banking_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_office_tracker_data_sync employee_office_tracker_data_sync_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office_tracker_data_sync
    ADD CONSTRAINT employee_office_tracker_data_sync_pkey PRIMARY KEY (oid);


--
-- Name: employee_office_tracker employee_office_tracker_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office_tracker
    ADD CONSTRAINT employee_office_tracker_pkey PRIMARY KEY (oid);


--
-- Name: employee_permanent_address_info employee_permanent_address_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_permanent_address_info
    ADD CONSTRAINT employee_permanent_address_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_personal_general_info employee_personal_general_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_personal_general_info
    ADD CONSTRAINT employee_personal_general_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_posting_info employee_posting_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_posting_info
    ADD CONSTRAINT employee_posting_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_present_address_info employee_present_address_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_present_address_info
    ADD CONSTRAINT employee_present_address_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_professional_certification_info employee_professional_certification_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_professional_certification_info
    ADD CONSTRAINT employee_professional_certification_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_professional_general_info employee_professional_general_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_professional_general_info
    ADD CONSTRAINT employee_professional_general_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_professional_qualification_info employee_professional_qualification_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_professional_qualification_info
    ADD CONSTRAINT employee_professional_qualification_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_promotion_info employee_promotion_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_promotion_info
    ADD CONSTRAINT employee_promotion_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_publication_info employee_publication_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_publication_info
    ADD CONSTRAINT employee_publication_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_recruitment_info employee_recruitment_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_recruitment_info
    ADD CONSTRAINT employee_recruitment_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_service_history employee_service_history_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_service_history
    ADD CONSTRAINT employee_service_history_pkey PRIMARY KEY (oid);


--
-- Name: employee_training_info employee_training_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_training_info
    ADD CONSTRAINT employee_training_info_pkey PRIMARY KEY (oid);


--
-- Name: employee_travel_info employee_travel_info_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_travel_info
    ADD CONSTRAINT employee_travel_info_pkey PRIMARY KEY (oid);


--
-- Name: permissions permissions_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.permissions
    ADD CONSTRAINT permissions_pkey PRIMARY KEY (oid);


--
-- Name: acr_main_report pk_acr_main_report; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_main_report
    ADD CONSTRAINT pk_acr_main_report PRIMARY KEY (oid);


--
-- Name: acr_medical_report pk_acr_medical_report; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_medical_report
    ADD CONSTRAINT pk_acr_medical_report PRIMARY KEY (oid);


--
-- Name: acr_summary pk_acr_summary; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_summary
    ADD CONSTRAINT pk_acr_summary PRIMARY KEY (oid);


--
-- Name: acr_under_controlling_auth pk_acr_under_controlling_auth; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_under_controlling_auth
    ADD CONSTRAINT pk_acr_under_controlling_auth PRIMARY KEY (oid);


--
-- Name: acr_under_controlling_ministry pk_acr_under_controlling_ministry; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_under_controlling_ministry
    ADD CONSTRAINT pk_acr_under_controlling_ministry PRIMARY KEY (oid);


--
-- Name: acr_under_counter_signing_auth pk_acr_under_counter_signing_auth; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_under_counter_signing_auth
    ADD CONSTRAINT pk_acr_under_counter_signing_auth PRIMARY KEY (oid);


--
-- Name: address_info pk_address_info; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.address_info
    ADD CONSTRAINT pk_address_info PRIMARY KEY (oid);


--
-- Name: admit_card pk_admit_card; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.admit_card
    ADD CONSTRAINT pk_admit_card PRIMARY KEY (oid);


--
-- Name: allowed_leave pk_allowed_leave; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.allowed_leave
    ADD CONSTRAINT pk_allowed_leave PRIMARY KEY (oid);


--
-- Name: application_form_for_recruitment pk_application_form_for_recruitment; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.application_form_for_recruitment
    ADD CONSTRAINT pk_application_form_for_recruitment PRIMARY KEY (oid);


--
-- Name: apply_for_prl pk_apply_for_prl; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.apply_for_prl
    ADD CONSTRAINT pk_apply_for_prl PRIMARY KEY (oid);


--
-- Name: at_leave pk_at_leave; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.at_leave
    ADD CONSTRAINT pk_at_leave PRIMARY KEY (oid);


--
-- Name: at_meeting_or_events pk_at_meeting_or_events; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.at_meeting_or_events
    ADD CONSTRAINT pk_at_meeting_or_events PRIMARY KEY (oid);


--
-- Name: attendance_penalty_committee pk_attendance_penalty_committee; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.attendance_penalty_committee
    ADD CONSTRAINT pk_attendance_penalty_committee PRIMARY KEY (oid);


--
-- Name: award_application pk_award_application; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.award_application
    ADD CONSTRAINT pk_award_application PRIMARY KEY (oid);


--
-- Name: award_setup pk_award_setup; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.award_setup
    ADD CONSTRAINT pk_award_setup PRIMARY KEY (oid);


--
-- Name: batch pk_batch; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.batch
    ADD CONSTRAINT pk_batch PRIMARY KEY (oid);


--
-- Name: cadre pk_cadre; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.cadre
    ADD CONSTRAINT pk_cadre PRIMARY KEY (oid);


--
-- Name: cadre_history pk_cadre_history; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.cadre_history
    ADD CONSTRAINT pk_cadre_history PRIMARY KEY (oid);


--
-- Name: call_for_exam pk_call_for_exam; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.call_for_exam
    ADD CONSTRAINT pk_call_for_exam PRIMARY KEY (oid);


--
-- Name: create_short_list pk_create_short_list; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.create_short_list
    ADD CONSTRAINT pk_create_short_list PRIMARY KEY (oid);


--
-- Name: daily_attendance pk_daily_attendance; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.daily_attendance
    ADD CONSTRAINT pk_daily_attendance PRIMARY KEY (oid);


--
-- Name: deputation_info pk_deputation_info; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.deputation_info
    ADD CONSTRAINT pk_deputation_info PRIMARY KEY (oid);


--
-- Name: employee_award pk_employee_award; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_award
    ADD CONSTRAINT pk_employee_award PRIMARY KEY (oid);


--
-- Name: employee_children_info pk_employee_children_info; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_children_info
    ADD CONSTRAINT pk_employee_children_info PRIMARY KEY (oid);


--
-- Name: employee_confirmation pk_employee_confirmation; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_confirmation
    ADD CONSTRAINT pk_employee_confirmation PRIMARY KEY (oid);


--
-- Name: employee_disciplinary_action pk_employee_disciplinary_action; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_disciplinary_action
    ADD CONSTRAINT pk_employee_disciplinary_action PRIMARY KEY (oid);


--
-- Name: employee_education_qualification pk_employee_education_qualification; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_education_qualification
    ADD CONSTRAINT pk_employee_education_qualification PRIMARY KEY (oid);


--
-- Name: employee_evaluation_category_setup pk_employee_evaluation_category_setup; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_evaluation_category_setup
    ADD CONSTRAINT pk_employee_evaluation_category_setup PRIMARY KEY (oid);


--
-- Name: employee_foreign_travel pk_employee_foreign_travel; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_foreign_travel
    ADD CONSTRAINT pk_employee_foreign_travel PRIMARY KEY (oid);


--
-- Name: employee_in_queue_for_promotion_or_posting pk_employee_in_queue_for_promotion_or_posting; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_in_queue_for_promotion_or_posting
    ADD CONSTRAINT pk_employee_in_queue_for_promotion_or_posting PRIMARY KEY (oid);


--
-- Name: employee_language_skill pk_employee_language_skill; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_language_skill
    ADD CONSTRAINT pk_employee_language_skill PRIMARY KEY (oid);


--
-- Name: employee_leave_application pk_employee_leave_application; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_leave_application
    ADD CONSTRAINT pk_employee_leave_application PRIMARY KEY (oid);


--
-- Name: employee_master_info pk_employee_master_info; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_master_info
    ADD CONSTRAINT pk_employee_master_info PRIMARY KEY (oid);


--
-- Name: employee_medical_info pk_employee_medical_info; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.employee_medical_info
    ADD CONSTRAINT pk_employee_medical_info PRIMARY KEY (oid);


--
-- Name: employee_office pk_employee_office; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office
    ADD CONSTRAINT pk_employee_office PRIMARY KEY (oid);


--
-- Name: employee_perf_summary pk_employee_perf_summary; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_perf_summary
    ADD CONSTRAINT pk_employee_perf_summary PRIMARY KEY (oid);


--
-- Name: employee_personal_info pk_employee_personal_info; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_personal_info
    ADD CONSTRAINT pk_employee_personal_info PRIMARY KEY (oid);


--
-- Name: employee_probation pk_employee_probation; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_probation
    ADD CONSTRAINT pk_employee_probation PRIMARY KEY (oid);


--
-- Name: employee_publication pk_employee_publication; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_publication
    ADD CONSTRAINT pk_employee_publication PRIMARY KEY (oid);


--
-- Name: employment_type pk_employment_type; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employment_type
    ADD CONSTRAINT pk_employment_type PRIMARY KEY (oid);


--
-- Name: exam_configuration pk_exam_configuration; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.exam_configuration
    ADD CONSTRAINT pk_exam_configuration PRIMARY KEY (oid);


--
-- Name: exam_venue pk_exam_venue; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.exam_venue
    ADD CONSTRAINT pk_exam_venue PRIMARY KEY (oid);


--
-- Name: final_selection pk_final_selection; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.final_selection
    ADD CONSTRAINT pk_final_selection PRIMARY KEY (oid);


--
-- Name: forbidden_pair pk_forbidden_pair; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.forbidden_pair
    ADD CONSTRAINT pk_forbidden_pair PRIMARY KEY (oid);


--
-- Name: foreign_training pk_foreign_training; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.foreign_training
    ADD CONSTRAINT pk_foreign_training PRIMARY KEY (oid);


--
-- Name: grade pk_grade; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.grade
    ADD CONSTRAINT pk_grade PRIMARY KEY (oid);


--
-- Name: holiday pk_holiday; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.holiday
    ADD CONSTRAINT pk_holiday PRIMARY KEY (oid);


--
-- Name: in_service_training pk_in_service_training; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.in_service_training
    ADD CONSTRAINT pk_in_service_training PRIMARY KEY (oid);


--
-- Name: investigation_team_feedback pk_investigation_team_feedback; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_team_feedback
    ADD CONSTRAINT pk_investigation_team_feedback PRIMARY KEY (oid);


--
-- Name: investigation_team_setup pk_investigation_team_setup; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_team_setup
    ADD CONSTRAINT pk_investigation_team_setup PRIMARY KEY (oid);


--
-- Name: investigation_under_appointing_auth pk_investigation_under_appointing_auth; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_under_appointing_auth
    ADD CONSTRAINT pk_investigation_under_appointing_auth PRIMARY KEY (oid);


--
-- Name: investigation_under_controlling_auth pk_investigation_under_controlling_auth; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_under_controlling_auth
    ADD CONSTRAINT pk_investigation_under_controlling_auth PRIMARY KEY (oid);


--
-- Name: job_circular pk_job_circular; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.job_circular
    ADD CONSTRAINT pk_job_circular PRIMARY KEY (oid);


--
-- Name: job_circular_approval pk_job_circular_approval; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.job_circular_approval
    ADD CONSTRAINT pk_job_circular_approval PRIMARY KEY (oid);


--
-- Name: justify_against_penalty pk_justify_against_penalty; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.justify_against_penalty
    ADD CONSTRAINT pk_justify_against_penalty PRIMARY KEY (oid);


--
-- Name: language pk_language; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.language
    ADD CONSTRAINT pk_language PRIMARY KEY (oid);


--
-- Name: leave_condition pk_leave_condition; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.leave_condition
    ADD CONSTRAINT pk_leave_condition PRIMARY KEY (oid);


--
-- Name: leave_type pk_leave_type; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.leave_type
    ADD CONSTRAINT pk_leave_type PRIMARY KEY (oid);


--
-- Name: leave_type_reason pk_leave_type_reason; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.leave_type_reason
    ADD CONSTRAINT pk_leave_type_reason PRIMARY KEY (oid);


--
-- Name: offense_setup pk_offense_setup; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.offense_setup
    ADD CONSTRAINT pk_offense_setup PRIMARY KEY (oid);


--
-- Name: organisational_training pk_organisational_training; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.organisational_training
    ADD CONSTRAINT pk_organisational_training PRIMARY KEY (oid);


--
-- Name: penalty_committee_list pk_penalty_committee_list; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.penalty_committee_list
    ADD CONSTRAINT pk_penalty_committee_list PRIMARY KEY (oid);


--
-- Name: penalty_for_attendance pk_penalty_for_attendance; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.penalty_for_attendance
    ADD CONSTRAINT pk_penalty_for_attendance PRIMARY KEY (oid);


--
-- Name: pending_participation_confirmation pk_pending_participation_confirmation; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.pending_participation_confirmation
    ADD CONSTRAINT pk_pending_participation_confirmation PRIMARY KEY (oid);


--
-- Name: pension_procedure_for_employee pk_pension_procedure_for_employee; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.pension_procedure_for_employee
    ADD CONSTRAINT pk_pension_procedure_for_employee PRIMARY KEY (oid);


--
-- Name: posting_and_promotion_committee_setup pk_posting_and_promotion_committee_setup; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.posting_and_promotion_committee_setup
    ADD CONSTRAINT pk_posting_and_promotion_committee_setup PRIMARY KEY (oid);


--
-- Name: posting_info pk_posting_info; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.posting_info
    ADD CONSTRAINT pk_posting_info PRIMARY KEY (oid);


--
-- Name: promotion_detail pk_promotion_detail; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.promotion_detail
    ADD CONSTRAINT pk_promotion_detail PRIMARY KEY (oid);


--
-- Name: publication_application pk_publication_application; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.publication_application
    ADD CONSTRAINT pk_publication_application PRIMARY KEY (oid);


--
-- Name: publication_setup pk_publication_setup; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.publication_setup
    ADD CONSTRAINT pk_publication_setup PRIMARY KEY (oid);


--
-- Name: recruitment_committee pk_recruitment_committee; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.recruitment_committee
    ADD CONSTRAINT pk_recruitment_committee PRIMARY KEY (oid);


--
-- Name: recruitment_result pk_recruitment_result; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.recruitment_result
    ADD CONSTRAINT pk_recruitment_result PRIMARY KEY (oid);


--
-- Name: rules_of_award_publication pk_rules_of_award_publication; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_of_award_publication
    ADD CONSTRAINT pk_rules_of_award_publication PRIMARY KEY (oid);


--
-- Name: rules_of_vesting_magisterial_power pk_rules_of_vesting_magisterial_power; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_of_vesting_magisterial_power
    ADD CONSTRAINT pk_rules_of_vesting_magisterial_power PRIMARY KEY (oid);


--
-- Name: rules_regarding_acr_apa pk_rules_regarding_acr_apa; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_acr_apa
    ADD CONSTRAINT pk_rules_regarding_acr_apa PRIMARY KEY (oid);


--
-- Name: rules_regarding_attendance pk_rules_regarding_attendance; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_attendance
    ADD CONSTRAINT pk_rules_regarding_attendance PRIMARY KEY (oid);


--
-- Name: rules_regarding_discipline pk_rules_regarding_discipline; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_discipline
    ADD CONSTRAINT pk_rules_regarding_discipline PRIMARY KEY (oid);


--
-- Name: rules_regarding_posting pk_rules_regarding_posting; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_posting
    ADD CONSTRAINT pk_rules_regarding_posting PRIMARY KEY (oid);


--
-- Name: rules_regarding_promotion pk_rules_regarding_promotion; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_promotion
    ADD CONSTRAINT pk_rules_regarding_promotion PRIMARY KEY (oid);


--
-- Name: rules_regarding_recruitment pk_rules_regarding_recruitment; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_recruitment
    ADD CONSTRAINT pk_rules_regarding_recruitment PRIMARY KEY (oid);


--
-- Name: rules_regarding_training pk_rules_regarding_training; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_training
    ADD CONSTRAINT pk_rules_regarding_training PRIMARY KEY (oid);


--
-- Name: select_candidate pk_select_candidate; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.select_candidate
    ADD CONSTRAINT pk_select_candidate PRIMARY KEY (oid);


--
-- Name: survey_for_trainee pk_survey_for_trainee; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainee
    ADD CONSTRAINT pk_survey_for_trainee PRIMARY KEY (oid);


--
-- Name: survey_for_trainer pk_survey_for_trainer; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainer
    ADD CONSTRAINT pk_survey_for_trainer PRIMARY KEY (oid);


--
-- Name: survey_questionnaire_for_trainee pk_survey_questionnaire_for_trainee; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_questionnaire_for_trainee
    ADD CONSTRAINT pk_survey_questionnaire_for_trainee PRIMARY KEY (oid);


--
-- Name: survey_questionnaire_for_trainer pk_survey_questionnaire_for_trainer; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_questionnaire_for_trainer
    ADD CONSTRAINT pk_survey_questionnaire_for_trainer PRIMARY KEY (oid);


--
-- Name: termination pk_termination; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.termination
    ADD CONSTRAINT pk_termination PRIMARY KEY (oid);


--
-- Name: trainee_result pk_trainee_result; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.trainee_result
    ADD CONSTRAINT pk_trainee_result PRIMARY KEY (oid);


--
-- Name: trainer_detail pk_trainer_detail; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.trainer_detail
    ADD CONSTRAINT pk_trainer_detail PRIMARY KEY (oid);


--
-- Name: training_type pk_training_type; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.training_type
    ADD CONSTRAINT pk_training_type PRIMARY KEY (oid);


--
-- Name: vesting_of_magisterial_power pk_vesting_of_magisterial_power; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.vesting_of_magisterial_power
    ADD CONSTRAINT pk_vesting_of_magisterial_power PRIMARY KEY (oid);


--
-- Name: weekend pk_weekend; Type: CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.weekend
    ADD CONSTRAINT pk_weekend PRIMARY KEY (oid);


--
-- Name: recruitment_approval_application recruitment_approval_application_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.recruitment_approval_application
    ADD CONSTRAINT recruitment_approval_application_pkey PRIMARY KEY (oid);


--
-- Name: recruitment_approval_log recruitment_approval_log_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.recruitment_approval_log
    ADD CONSTRAINT recruitment_approval_log_pkey PRIMARY KEY (oid);


--
-- Name: recruitment_type recruitment_type_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.recruitment_type
    ADD CONSTRAINT recruitment_type_pkey PRIMARY KEY (oid);


--
-- Name: roles roles_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (oid);


--
-- Name: syncable_data syncable_data_pk; Type: CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.syncable_data
    ADD CONSTRAINT syncable_data_pk PRIMARY KEY (oid);


--
-- Name: user_roles user_roles_pkey; Type: CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.user_roles
    ADD CONSTRAINT user_roles_pkey PRIMARY KEY (oid);


--
-- Name: cadre_history cadre_history_cadre_oid_fkey; Type: FK CONSTRAINT; Schema: hrm; Owner: postgres
--

ALTER TABLE ONLY hrm.cadre_history
    ADD CONSTRAINT cadre_history_cadre_oid_fkey FOREIGN KEY (cadre_oid) REFERENCES hrm.cadre(oid);


--
-- Name: employee_publication_info fk1c1qitdenh2lb0gc6f0bgik8a; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_publication_info
    ADD CONSTRAINT fk1c1qitdenh2lb0gc6f0bgik8a FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_permanent_address_info fk1dxrkbrr7vcl6tac0enp6v5sl; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_permanent_address_info
    ADD CONSTRAINT fk1dxrkbrr7vcl6tac0enp6v5sl FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: permissions fk1kc52xomaux0l4owg0kjwnoo; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.permissions
    ADD CONSTRAINT fk1kc52xomaux0l4owg0kjwnoo FOREIGN KEY (action_oid) REFERENCES hrm.actions(oid);


--
-- Name: employee_language_info fk29rm0xvgex2upexqveqglqw4r; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_language_info
    ADD CONSTRAINT fk29rm0xvgex2upexqveqglqw4r FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_posting_info fk35ygxf6hhd4iq4u9tsp1yd3o6; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_posting_info
    ADD CONSTRAINT fk35ygxf6hhd4iq4u9tsp1yd3o6 FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_present_address_info fk3wrhc6jciq6dj451nh0f1svjk; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_present_address_info
    ADD CONSTRAINT fk3wrhc6jciq6dj451nh0f1svjk FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: permissions fk3xfith07447e84t4kikwk51k3; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.permissions
    ADD CONSTRAINT fk3xfith07447e84t4kikwk51k3 FOREIGN KEY (role_oid) REFERENCES hrm.roles(oid);


--
-- Name: employee_promotion_info fk44h0hs8da329t93ws7k5tc23s; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_promotion_info
    ADD CONSTRAINT fk44h0hs8da329t93ws7k5tc23s FOREIGN KEY (grade_oid) REFERENCES hrm.grade(oid);


--
-- Name: employee_professional_general_info fk4b7eemn2xqe6eb7r3g3sgii8l; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_professional_general_info
    ADD CONSTRAINT fk4b7eemn2xqe6eb7r3g3sgii8l FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_award_info fk4tlrbfqhlrnk6we0apohnc1fj; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_award_info
    ADD CONSTRAINT fk4tlrbfqhlrnk6we0apohnc1fj FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_professional_qualification_info fk5iw4l6yixfb1xccun52ggtri0; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_professional_qualification_info
    ADD CONSTRAINT fk5iw4l6yixfb1xccun52ggtri0 FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_bank_info fk6ob7wgsfwfex03c621ouyt86r; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_bank_info
    ADD CONSTRAINT fk6ob7wgsfwfex03c621ouyt86r FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_emergency_contact_info fk74rqrdiy22x6s9u55l6snou8d; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_emergency_contact_info
    ADD CONSTRAINT fk74rqrdiy22x6s9u55l6snou8d FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_recruitment_info fk7uxvtjq3e43yyn2efnsjotc2e; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_recruitment_info
    ADD CONSTRAINT fk7uxvtjq3e43yyn2efnsjotc2e FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_foreign_address_info fk7yrtskp38utp6rar07h8tiopq; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_foreign_address_info
    ADD CONSTRAINT fk7yrtskp38utp6rar07h8tiopq FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_recruitment_info fk8hsfa8jbgs5mmjnm6nxdmq3bb; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_recruitment_info
    ADD CONSTRAINT fk8hsfa8jbgs5mmjnm6nxdmq3bb FOREIGN KEY (recruitment_type_oid) REFERENCES hrm.recruitment_type(oid);


--
-- Name: employee_service_history fk9foigx4v327cgd4v9fkr9ve7v; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_service_history
    ADD CONSTRAINT fk9foigx4v327cgd4v9fkr9ve7v FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_leave_application fk_allowed_leave_oid_employee_leave_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_leave_application
    ADD CONSTRAINT fk_allowed_leave_oid_employee_leave_application FOREIGN KEY (allowed_leave_oid) REFERENCES hrm.allowed_leave(oid);


--
-- Name: admit_card fk_applicant_oid_admit_card; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.admit_card
    ADD CONSTRAINT fk_applicant_oid_admit_card FOREIGN KEY (applicant_oid) REFERENCES hrm.application_form_for_recruitment(oid);


--
-- Name: exam_venue fk_applicant_oid_exam_venue; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.exam_venue
    ADD CONSTRAINT fk_applicant_oid_exam_venue FOREIGN KEY (applicant_oid) REFERENCES hrm.application_form_for_recruitment(oid);


--
-- Name: recruitment_result fk_applicant_oid_recruitment_result; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.recruitment_result
    ADD CONSTRAINT fk_applicant_oid_recruitment_result FOREIGN KEY (applicant_oid) REFERENCES hrm.application_form_for_recruitment(oid);


--
-- Name: select_candidate fk_applicant_oid_select_candidate; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.select_candidate
    ADD CONSTRAINT fk_applicant_oid_select_candidate FOREIGN KEY (applicant_oid) REFERENCES hrm.application_form_for_recruitment(oid);


--
-- Name: create_short_list fk_application_code_create_short_list; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.create_short_list
    ADD CONSTRAINT fk_application_code_create_short_list FOREIGN KEY (application_code) REFERENCES hrm.application_form_for_recruitment(oid);


--
-- Name: employee_leave_approval fk_approved_by_employee_leave_approval; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_leave_approval
    ADD CONSTRAINT fk_approved_by_employee_leave_approval FOREIGN KEY (approved_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: job_circular_approval fk_approved_by_oid_job_circular_approval; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.job_circular_approval
    ADD CONSTRAINT fk_approved_by_oid_job_circular_approval FOREIGN KEY (approved_by_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rejoining_application fk_approver_oid_rejoining_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rejoining_application
    ADD CONSTRAINT fk_approver_oid_rejoining_application FOREIGN KEY (approver_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_of_award_publication fk_assigned_by_rules_of_award_publication; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_of_award_publication
    ADD CONSTRAINT fk_assigned_by_rules_of_award_publication FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_of_vesting_magisterial_power fk_assigned_by_rules_of_vesting_magisterial_power; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_of_vesting_magisterial_power
    ADD CONSTRAINT fk_assigned_by_rules_of_vesting_magisterial_power FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_regarding_acr_apa fk_assigned_by_rules_regarding_acr_apa; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_acr_apa
    ADD CONSTRAINT fk_assigned_by_rules_regarding_acr_apa FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_regarding_attendance fk_assigned_by_rules_regarding_attendance; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_attendance
    ADD CONSTRAINT fk_assigned_by_rules_regarding_attendance FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_regarding_discipline fk_assigned_by_rules_regarding_discipline; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_discipline
    ADD CONSTRAINT fk_assigned_by_rules_regarding_discipline FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_regarding_posting fk_assigned_by_rules_regarding_posting; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_posting
    ADD CONSTRAINT fk_assigned_by_rules_regarding_posting FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_regarding_promotion fk_assigned_by_rules_regarding_promotion; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_promotion
    ADD CONSTRAINT fk_assigned_by_rules_regarding_promotion FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_regarding_recruitment fk_assigned_by_rules_regarding_recruitment; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_recruitment
    ADD CONSTRAINT fk_assigned_by_rules_regarding_recruitment FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: rules_regarding_training fk_assigned_by_rules_regarding_training; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rules_regarding_training
    ADD CONSTRAINT fk_assigned_by_rules_regarding_training FOREIGN KEY (assigned_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: penalty_committee_list fk_attendance_committee_oid_penalty_committee_list; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.penalty_committee_list
    ADD CONSTRAINT fk_attendance_committee_oid_penalty_committee_list FOREIGN KEY (attendance_committee_oid) REFERENCES hrm.attendance_penalty_committee(oid);


--
-- Name: employee_master_info fk_batch_oid_employee_master_info; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_master_info
    ADD CONSTRAINT fk_batch_oid_employee_master_info FOREIGN KEY (batch_oid) REFERENCES hrm.batch(oid);


--
-- Name: employee_master_info fk_cadre_oid_employee_master_info; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_master_info
    ADD CONSTRAINT fk_cadre_oid_employee_master_info FOREIGN KEY (cadre_oid) REFERENCES hrm.cadre(oid);


--
-- Name: grade fk_cadre_oid_grade; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.grade
    ADD CONSTRAINT fk_cadre_oid_grade FOREIGN KEY (cadre_oid) REFERENCES hrm.cadre(oid);


--
-- Name: final_selection fk_candidate_oid_final_selection; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.final_selection
    ADD CONSTRAINT fk_candidate_oid_final_selection FOREIGN KEY (candidate_oid) REFERENCES hrm.select_candidate(oid);


--
-- Name: application_form_for_recruitment fk_circular_oid_application_form_for_recruitment; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.application_form_for_recruitment
    ADD CONSTRAINT fk_circular_oid_application_form_for_recruitment FOREIGN KEY (circular_oid) REFERENCES hrm.job_circular(oid);


--
-- Name: call_for_exam fk_circular_oid_call_for_exam; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.call_for_exam
    ADD CONSTRAINT fk_circular_oid_call_for_exam FOREIGN KEY (circular_oid) REFERENCES hrm.job_circular(oid);


--
-- Name: job_circular_approval fk_circular_oid_job_circular_approval; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.job_circular_approval
    ADD CONSTRAINT fk_circular_oid_job_circular_approval FOREIGN KEY (circular_oid) REFERENCES hrm.job_circular(oid);


--
-- Name: recruitment_result fk_circular_oid_recruitment_result; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.recruitment_result
    ADD CONSTRAINT fk_circular_oid_recruitment_result FOREIGN KEY (circular_oid) REFERENCES hrm.job_circular(oid);


--
-- Name: select_candidate fk_circular_oid_select_candidate; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.select_candidate
    ADD CONSTRAINT fk_circular_oid_select_candidate FOREIGN KEY (circular_oid) REFERENCES hrm.job_circular(oid);


--
-- Name: employee_leave_approval fk_current_layer_oid_employee_leave_approval; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_leave_approval
    ADD CONSTRAINT fk_current_layer_oid_employee_leave_approval FOREIGN KEY (current_layer_oid) REFERENCES hrm.employee_office(oid);


--
-- Name: apply_for_prl fk_decision_by_apply_for_prl; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.apply_for_prl
    ADD CONSTRAINT fk_decision_by_apply_for_prl FOREIGN KEY (decision_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: award_application fk_decision_by_award_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.award_application
    ADD CONSTRAINT fk_decision_by_award_application FOREIGN KEY (decision_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: pension_procedure_for_employee fk_decision_by_pension_procedure_for_employee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.pension_procedure_for_employee
    ADD CONSTRAINT fk_decision_by_pension_procedure_for_employee FOREIGN KEY (decision_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: publication_application fk_decision_by_publication_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.publication_application
    ADD CONSTRAINT fk_decision_by_publication_application FOREIGN KEY (decision_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: termination fk_decision_by_termination; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.termination
    ADD CONSTRAINT fk_decision_by_termination FOREIGN KEY (decision_by) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_leave_approval fk_employee_leave_application_oid_employee_leave_approval; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_leave_approval
    ADD CONSTRAINT fk_employee_leave_application_oid_employee_leave_approval FOREIGN KEY (employee_leave_application_oid) REFERENCES hrm.employee_leave_application(oid);


--
-- Name: rejoining_application fk_employee_leave_application_oid_rejoining_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.rejoining_application
    ADD CONSTRAINT fk_employee_leave_application_oid_rejoining_application FOREIGN KEY (employee_leave_application_oid) REFERENCES hrm.employee_leave_application(oid);


--
-- Name: acr_main_report fk_employee_oid_acr_main_report; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_main_report
    ADD CONSTRAINT fk_employee_oid_acr_main_report FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: acr_medical_report fk_employee_oid_acr_medical_report; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_medical_report
    ADD CONSTRAINT fk_employee_oid_acr_medical_report FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: acr_summary fk_employee_oid_acr_summary; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_summary
    ADD CONSTRAINT fk_employee_oid_acr_summary FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: acr_under_controlling_auth fk_employee_oid_acr_under_controlling_auth; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_under_controlling_auth
    ADD CONSTRAINT fk_employee_oid_acr_under_controlling_auth FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: acr_under_controlling_ministry fk_employee_oid_acr_under_controlling_ministry; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_under_controlling_ministry
    ADD CONSTRAINT fk_employee_oid_acr_under_controlling_ministry FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: acr_under_counter_signing_auth fk_employee_oid_acr_under_counter_signing_auth; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_under_counter_signing_auth
    ADD CONSTRAINT fk_employee_oid_acr_under_counter_signing_auth FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: apply_for_prl fk_employee_oid_apply_for_prl; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.apply_for_prl
    ADD CONSTRAINT fk_employee_oid_apply_for_prl FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: at_leave fk_employee_oid_at_leave; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.at_leave
    ADD CONSTRAINT fk_employee_oid_at_leave FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: at_meeting_or_events fk_employee_oid_at_meeting_or_events; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.at_meeting_or_events
    ADD CONSTRAINT fk_employee_oid_at_meeting_or_events FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: award_application fk_employee_oid_award_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.award_application
    ADD CONSTRAINT fk_employee_oid_award_application FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: daily_attendance fk_employee_oid_daily_attendance; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.daily_attendance
    ADD CONSTRAINT fk_employee_oid_daily_attendance FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: deputation_info fk_employee_oid_deputation_info; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.deputation_info
    ADD CONSTRAINT fk_employee_oid_deputation_info FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_in_queue_for_promotion_or_posting fk_employee_oid_employee_in_queue_for_promotion_or_posting; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_in_queue_for_promotion_or_posting
    ADD CONSTRAINT fk_employee_oid_employee_in_queue_for_promotion_or_posting FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_leave_application fk_employee_oid_employee_leave_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_leave_application
    ADD CONSTRAINT fk_employee_oid_employee_leave_application FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_office fk_employee_oid_employee_office; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office
    ADD CONSTRAINT fk_employee_oid_employee_office FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_personal_info fk_employee_oid_employee_personal_info; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_personal_info
    ADD CONSTRAINT fk_employee_oid_employee_personal_info FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_probation fk_employee_oid_employee_probation; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_probation
    ADD CONSTRAINT fk_employee_oid_employee_probation FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_publication fk_employee_oid_employee_publication; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employee_publication
    ADD CONSTRAINT fk_employee_oid_employee_publication FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employeel_leave_details fk_employee_oid_employeel_leave_details; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employeel_leave_details
    ADD CONSTRAINT fk_employee_oid_employeel_leave_details FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: investigation_team_feedback fk_employee_oid_investigation_team_feedback; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_team_feedback
    ADD CONSTRAINT fk_employee_oid_investigation_team_feedback FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: investigation_team_setup fk_employee_oid_investigation_team_setup; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_team_setup
    ADD CONSTRAINT fk_employee_oid_investigation_team_setup FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: investigation_under_appointing_auth fk_employee_oid_investigation_under_appointing_auth; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_under_appointing_auth
    ADD CONSTRAINT fk_employee_oid_investigation_under_appointing_auth FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: investigation_under_controlling_auth fk_employee_oid_investigation_under_controlling_auth; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.investigation_under_controlling_auth
    ADD CONSTRAINT fk_employee_oid_investigation_under_controlling_auth FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: justify_against_penalty fk_employee_oid_justify_against_penalty; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.justify_against_penalty
    ADD CONSTRAINT fk_employee_oid_justify_against_penalty FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: penalty_for_attendance fk_employee_oid_penalty_for_attendance; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.penalty_for_attendance
    ADD CONSTRAINT fk_employee_oid_penalty_for_attendance FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: pension_procedure_for_employee fk_employee_oid_pension_procedure_for_employee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.pension_procedure_for_employee
    ADD CONSTRAINT fk_employee_oid_pension_procedure_for_employee FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: posting_info fk_employee_oid_posting_info; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.posting_info
    ADD CONSTRAINT fk_employee_oid_posting_info FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: promotion_detail fk_employee_oid_promotion_detail; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.promotion_detail
    ADD CONSTRAINT fk_employee_oid_promotion_detail FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: publication_application fk_employee_oid_publication_application; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.publication_application
    ADD CONSTRAINT fk_employee_oid_publication_application FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: termination fk_employee_oid_termination; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.termination
    ADD CONSTRAINT fk_employee_oid_termination FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: vesting_of_magisterial_power fk_employee_oid_vesting_of_magisterial_power; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.vesting_of_magisterial_power
    ADD CONSTRAINT fk_employee_oid_vesting_of_magisterial_power FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_office fk_employment_type_oid_employee_office; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office
    ADD CONSTRAINT fk_employment_type_oid_employee_office FOREIGN KEY (employment_type_oid) REFERENCES hrm.employment_type(oid);


--
-- Name: call_for_exam fk_exam_configuration_oid_call_for_exam; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.call_for_exam
    ADD CONSTRAINT fk_exam_configuration_oid_call_for_exam FOREIGN KEY (exam_configuration_oid) REFERENCES hrm.exam_configuration(oid);


--
-- Name: admit_card fk_exam_oid_admit_card; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.admit_card
    ADD CONSTRAINT fk_exam_oid_admit_card FOREIGN KEY (exam_oid) REFERENCES hrm.call_for_exam(oid);


--
-- Name: exam_venue fk_exam_oid_exam_venue; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.exam_venue
    ADD CONSTRAINT fk_exam_oid_exam_venue FOREIGN KEY (exam_oid) REFERENCES hrm.call_for_exam(oid);


--
-- Name: forbidden_pair fk_first_leave_type_oid_forbidden_pair; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.forbidden_pair
    ADD CONSTRAINT fk_first_leave_type_oid_forbidden_pair FOREIGN KEY (first_leave_type_oid) REFERENCES hrm.leave_type(oid);


--
-- Name: employee_master_info fk_grade_oid_employee_master_info; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_master_info
    ADD CONSTRAINT fk_grade_oid_employee_master_info FOREIGN KEY (grade_oid) REFERENCES hrm.grade(oid);


--
-- Name: employee_office fk_leave_parent_oid_employee_office; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office
    ADD CONSTRAINT fk_leave_parent_oid_employee_office FOREIGN KEY (leave_parent_oid) REFERENCES hrm.employee_office(oid);


--
-- Name: at_leave fk_leave_status_oid_at_leave; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.at_leave
    ADD CONSTRAINT fk_leave_status_oid_at_leave FOREIGN KEY (leave_status_oid) REFERENCES hrm.daily_attendance(oid);


--
-- Name: employee_office fk_leave_substitute_oid_employee_office; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office
    ADD CONSTRAINT fk_leave_substitute_oid_employee_office FOREIGN KEY (leave_substitute_oid) REFERENCES hrm.employee_office(oid);


--
-- Name: allowed_leave fk_leave_type_oid_allowed_leave; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.allowed_leave
    ADD CONSTRAINT fk_leave_type_oid_allowed_leave FOREIGN KEY (leave_type_oid) REFERENCES hrm.leave_type(oid);


--
-- Name: employeel_leave_details fk_leave_type_oid_employeel_leave_details; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.employeel_leave_details
    ADD CONSTRAINT fk_leave_type_oid_employeel_leave_details FOREIGN KEY (leave_type_oid) REFERENCES hrm.leave_type(oid);


--
-- Name: leave_condition fk_leave_type_oid_leave_condition; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.leave_condition
    ADD CONSTRAINT fk_leave_type_oid_leave_condition FOREIGN KEY (leave_type_oid) REFERENCES hrm.leave_type(oid);


--
-- Name: leave_type_reason fk_leave_type_oid_leave_type_reason; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.leave_type_reason
    ADD CONSTRAINT fk_leave_type_oid_leave_type_reason FOREIGN KEY (leave_type_oid) REFERENCES hrm.leave_type(oid);


--
-- Name: allowed_leave fk_leave_type_reason_oid_allowed_leave; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.allowed_leave
    ADD CONSTRAINT fk_leave_type_reason_oid_allowed_leave FOREIGN KEY (leave_type_reason_oid) REFERENCES hrm.leave_type_reason(oid);


--
-- Name: attendance_penalty_committee fk_member_oid_attendance_penalty_committee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.attendance_penalty_committee
    ADD CONSTRAINT fk_member_oid_attendance_penalty_committee FOREIGN KEY (member_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: posting_and_promotion_committee_setup fk_member_oid_posting_and_promotion_committee_setup; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.posting_and_promotion_committee_setup
    ADD CONSTRAINT fk_member_oid_posting_and_promotion_committee_setup FOREIGN KEY (member_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: recruitment_committee fk_member_oid_recruitment_committee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.recruitment_committee
    ADD CONSTRAINT fk_member_oid_recruitment_committee FOREIGN KEY (member_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: justify_against_penalty fk_penalty_oid_justify_against_penalty; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.justify_against_penalty
    ADD CONSTRAINT fk_penalty_oid_justify_against_penalty FOREIGN KEY (penalty_oid) REFERENCES hrm.penalty_for_attendance(oid);


--
-- Name: employee_personal_info fk_permanent_address_oid_employee_personal_info; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_personal_info
    ADD CONSTRAINT fk_permanent_address_oid_employee_personal_info FOREIGN KEY (permanent_address_oid) REFERENCES hrm.address_info(oid);


--
-- Name: employee_personal_info fk_present_address_oid_employee_personal_info; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_personal_info
    ADD CONSTRAINT fk_present_address_oid_employee_personal_info FOREIGN KEY (present_address_oid) REFERENCES hrm.address_info(oid);


--
-- Name: forbidden_pair fk_second_leave_type_oid_forbidden_pair; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.forbidden_pair
    ADD CONSTRAINT fk_second_leave_type_oid_forbidden_pair FOREIGN KEY (second_leave_type_oid) REFERENCES hrm.leave_type(oid);


--
-- Name: create_short_list fk_short_list_created_by_oid_create_short_list; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.create_short_list
    ADD CONSTRAINT fk_short_list_created_by_oid_create_short_list FOREIGN KEY (short_list_created_by_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: exam_venue fk_shortlist_oid_exam_venue; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.exam_venue
    ADD CONSTRAINT fk_shortlist_oid_exam_venue FOREIGN KEY (shortlist_oid) REFERENCES hrm.create_short_list(oid);


--
-- Name: survey_for_trainee fk_survey_question_code_survey_for_trainee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainee
    ADD CONSTRAINT fk_survey_question_code_survey_for_trainee FOREIGN KEY (survey_question_code) REFERENCES hrm.survey_questionnaire_for_trainee(oid);


--
-- Name: survey_for_trainer fk_survey_question_code_survey_for_trainer; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainer
    ADD CONSTRAINT fk_survey_question_code_survey_for_trainer FOREIGN KEY (survey_question_code) REFERENCES hrm.survey_questionnaire_for_trainee(oid);


--
-- Name: acr_under_counter_signing_auth fk_total_marks_ca_acr_under_counter_signing_auth; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.acr_under_counter_signing_auth
    ADD CONSTRAINT fk_total_marks_ca_acr_under_counter_signing_auth FOREIGN KEY (total_marks_ca) REFERENCES hrm.acr_under_controlling_auth(oid);


--
-- Name: survey_for_trainee fk_trainee_id_survey_for_trainee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainee
    ADD CONSTRAINT fk_trainee_id_survey_for_trainee FOREIGN KEY (trainee_id) REFERENCES hrm.employee_master_info(oid);


--
-- Name: pending_participation_confirmation fk_trainee_oid_pending_participation_confirmation; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.pending_participation_confirmation
    ADD CONSTRAINT fk_trainee_oid_pending_participation_confirmation FOREIGN KEY (trainee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: trainee_result fk_trainee_trainee_result; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.trainee_result
    ADD CONSTRAINT fk_trainee_trainee_result FOREIGN KEY (trainee) REFERENCES hrm.employee_master_info(oid);


--
-- Name: survey_for_trainer fk_trainer_code_survey_for_trainer; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainer
    ADD CONSTRAINT fk_trainer_code_survey_for_trainer FOREIGN KEY (trainer_code) REFERENCES hrm.employee_master_info(oid);


--
-- Name: survey_for_trainee fk_trainer_detail_oid_survey_for_trainee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainee
    ADD CONSTRAINT fk_trainer_detail_oid_survey_for_trainee FOREIGN KEY (trainer_detail_oid) REFERENCES hrm.trainer_detail(oid);


--
-- Name: survey_for_trainer fk_trainer_detail_oid_survey_for_trainer; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainer
    ADD CONSTRAINT fk_trainer_detail_oid_survey_for_trainer FOREIGN KEY (trainer_detail_oid) REFERENCES hrm.trainer_detail(oid);


--
-- Name: survey_questionnaire_for_trainer fk_trainer_detail_oid_survey_questionnaire_for_trainer; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_questionnaire_for_trainer
    ADD CONSTRAINT fk_trainer_detail_oid_survey_questionnaire_for_trainer FOREIGN KEY (trainer_detail_oid) REFERENCES hrm.trainer_detail(oid);


--
-- Name: trainer_detail fk_trainer_oid_trainer_detail; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.trainer_detail
    ADD CONSTRAINT fk_trainer_oid_trainer_detail FOREIGN KEY (trainer_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: trainee_result fk_trainer_trainee_result; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.trainee_result
    ADD CONSTRAINT fk_trainer_trainee_result FOREIGN KEY (trainer) REFERENCES hrm.employee_master_info(oid);


--
-- Name: pending_participation_confirmation fk_training_oid_pending_participation_confirmation; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.pending_participation_confirmation
    ADD CONSTRAINT fk_training_oid_pending_participation_confirmation FOREIGN KEY (training_oid) REFERENCES hrm.training_type(oid);


--
-- Name: survey_questionnaire_for_trainee fk_training_oid_survey_questionnaire_for_trainee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_questionnaire_for_trainee
    ADD CONSTRAINT fk_training_oid_survey_questionnaire_for_trainee FOREIGN KEY (training_oid) REFERENCES hrm.training_type(oid);


--
-- Name: trainee_result fk_training_trainee_result; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.trainee_result
    ADD CONSTRAINT fk_training_trainee_result FOREIGN KEY (training) REFERENCES hrm.training_type(oid);


--
-- Name: foreign_training fk_training_type_oid_foreign_training; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.foreign_training
    ADD CONSTRAINT fk_training_type_oid_foreign_training FOREIGN KEY (training_type_oid) REFERENCES hrm.training_type(oid);


--
-- Name: in_service_training fk_training_type_oid_in_service_training; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.in_service_training
    ADD CONSTRAINT fk_training_type_oid_in_service_training FOREIGN KEY (training_type_oid) REFERENCES hrm.training_type(oid);


--
-- Name: organisational_training fk_training_type_oid_organisational_training; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.organisational_training
    ADD CONSTRAINT fk_training_type_oid_organisational_training FOREIGN KEY (training_type_oid) REFERENCES hrm.training_type(oid);


--
-- Name: survey_for_trainee fk_training_type_oid_survey_for_trainee; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainee
    ADD CONSTRAINT fk_training_type_oid_survey_for_trainee FOREIGN KEY (training_type_oid) REFERENCES hrm.training_type(oid);


--
-- Name: survey_for_trainer fk_training_type_oid_survey_for_trainer; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_for_trainer
    ADD CONSTRAINT fk_training_type_oid_survey_for_trainer FOREIGN KEY (training_type_oid) REFERENCES hrm.training_type(oid);


--
-- Name: survey_questionnaire_for_trainer fk_training_type_oid_survey_questionnaire_for_trainer; Type: FK CONSTRAINT; Schema: hrm; Owner: grp
--

ALTER TABLE ONLY hrm.survey_questionnaire_for_trainer
    ADD CONSTRAINT fk_training_type_oid_survey_questionnaire_for_trainer FOREIGN KEY (training_type_oid) REFERENCES hrm.training_type(oid);


--
-- Name: employee_attachment_info fkacpx6ml2t5fqen16pk7ernw3q; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_attachment_info
    ADD CONSTRAINT fkacpx6ml2t5fqen16pk7ernw3q FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_health_info fkb8i681t74k5g3b59uynkv8nm6; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_health_info
    ADD CONSTRAINT fkb8i681t74k5g3b59uynkv8nm6 FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_travel_info fkbcs6uh3upn3jlv9jqlhqjy9km; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_travel_info
    ADD CONSTRAINT fkbcs6uh3upn3jlv9jqlhqjy9km FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_posting_info fkbt0hf019r44yyxdk8yanwjtkf; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_posting_info
    ADD CONSTRAINT fkbt0hf019r44yyxdk8yanwjtkf FOREIGN KEY (grade_oid) REFERENCES hrm.grade(oid);


--
-- Name: employee_birth_place_info fkc8hd1xbicdyvemvmuqk13r1ku; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_birth_place_info
    ADD CONSTRAINT fkc8hd1xbicdyvemvmuqk13r1ku FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_personal_general_info fkdjsg0yfol9645r6nv9ja8fign; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_personal_general_info
    ADD CONSTRAINT fkdjsg0yfol9645r6nv9ja8fign FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_disciplinary_action_info fkfb4ouuvhr0g96q5n1qbkg65od; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_disciplinary_action_info
    ADD CONSTRAINT fkfb4ouuvhr0g96q5n1qbkg65od FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_promotion_info fkggbiyty6ewf0syd0x0yr1qt2q; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_promotion_info
    ADD CONSTRAINT fkggbiyty6ewf0syd0x0yr1qt2q FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: user_roles fkhp3fa3vuhxq59j6m14emdkffd; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.user_roles
    ADD CONSTRAINT fkhp3fa3vuhxq59j6m14emdkffd FOREIGN KEY (role_oid) REFERENCES hrm.roles(oid);


--
-- Name: employee_injury_sickness_info fkhu9n3peuawtopdnujy0q218ko; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_injury_sickness_info
    ADD CONSTRAINT fkhu9n3peuawtopdnujy0q218ko FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: recruitment_approval_log fkj63d89xg5d6vghk9517e403fj; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.recruitment_approval_log
    ADD CONSTRAINT fkj63d89xg5d6vghk9517e403fj FOREIGN KEY (approval_oid) REFERENCES hrm.recruitment_approval_application(oid);


--
-- Name: employee_education_info fkjcvypbg9035iuftwhbwled5ne; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_education_info
    ADD CONSTRAINT fkjcvypbg9035iuftwhbwled5ne FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_family_info fkkd73mdnd7bu6d87u0ue83qhpy; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_family_info
    ADD CONSTRAINT fkkd73mdnd7bu6d87u0ue83qhpy FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_service_history fklm6dms8ua0y7bxc73ucmx6o7b; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_service_history
    ADD CONSTRAINT fklm6dms8ua0y7bxc73ucmx6o7b FOREIGN KEY (cadre_oid) REFERENCES hrm.cadre(oid);


--
-- Name: employee_job_history_info fkm42fv8fgcrh9231382mivtfde; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_job_history_info
    ADD CONSTRAINT fkm42fv8fgcrh9231382mivtfde FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_training_info fkn3re43llvnm3qyesf15youon; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_training_info
    ADD CONSTRAINT fkn3re43llvnm3qyesf15youon FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_language_info fkr95sxtbv8anj8k0sj7w5gy4b9; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_language_info
    ADD CONSTRAINT fkr95sxtbv8anj8k0sj7w5gy4b9 FOREIGN KEY (language_oid) REFERENCES hrm.language(oid);


--
-- Name: employee_professional_certification_info fktdgjo2ga7m6ipn9wc683pjmmf; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_professional_certification_info
    ADD CONSTRAINT fktdgjo2ga7m6ipn9wc683pjmmf FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_mobile_banking_info fkv31na82wafh7sjj3qqcp2jbi; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_mobile_banking_info
    ADD CONSTRAINT fkv31na82wafh7sjj3qqcp2jbi FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: approval_history_info fkwoq4ravol6wbwgmnv8hb40o; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.approval_history_info
    ADD CONSTRAINT fkwoq4ravol6wbwgmnv8hb40o FOREIGN KEY (employee_oid) REFERENCES hrm.employee_master_info(oid);


--
-- Name: employee_office_tracker_data_sync tracker_oid_fk; Type: FK CONSTRAINT; Schema: hrm; Owner: hrm
--

ALTER TABLE ONLY hrm.employee_office_tracker_data_sync
    ADD CONSTRAINT tracker_oid_fk FOREIGN KEY (tracker_oid) REFERENCES hrm.employee_office_tracker(oid) ON DELETE CASCADE;


--
-- Name: SCHEMA hrm; Type: ACL; Schema: -; Owner: uatcommongrp1
--

GRANT ALL ON SCHEMA hrm TO hrm;
GRANT USAGE ON SCHEMA hrm TO meeting;
GRANT USAGE ON SCHEMA hrm TO cmn;
GRANT USAGE ON SCHEMA hrm TO ast;
GRANT USAGE ON SCHEMA hrm TO prc;
GRANT USAGE ON SCHEMA hrm TO inv;
GRANT USAGE ON SCHEMA hrm TO aud;
GRANT USAGE ON SCHEMA hrm TO bud;
GRANT USAGE ON SCHEMA hrm TO acc;
GRANT USAGE ON SCHEMA hrm TO sec;


--
-- Name: TABLE acr_main_report; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.acr_main_report TO hrm;
GRANT SELECT ON TABLE hrm.acr_main_report TO meeting;
GRANT SELECT ON TABLE hrm.acr_main_report TO cmn;
GRANT SELECT ON TABLE hrm.acr_main_report TO ast;
GRANT SELECT ON TABLE hrm.acr_main_report TO prc;
GRANT SELECT ON TABLE hrm.acr_main_report TO inv;
GRANT SELECT ON TABLE hrm.acr_main_report TO aud;
GRANT SELECT ON TABLE hrm.acr_main_report TO bud;
GRANT SELECT ON TABLE hrm.acr_main_report TO acc;
GRANT SELECT ON TABLE hrm.acr_main_report TO sec;


--
-- Name: TABLE acr_medical_report; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.acr_medical_report TO hrm;
GRANT SELECT ON TABLE hrm.acr_medical_report TO meeting;
GRANT SELECT ON TABLE hrm.acr_medical_report TO cmn;
GRANT SELECT ON TABLE hrm.acr_medical_report TO ast;
GRANT SELECT ON TABLE hrm.acr_medical_report TO prc;
GRANT SELECT ON TABLE hrm.acr_medical_report TO inv;
GRANT SELECT ON TABLE hrm.acr_medical_report TO aud;
GRANT SELECT ON TABLE hrm.acr_medical_report TO bud;
GRANT SELECT ON TABLE hrm.acr_medical_report TO acc;
GRANT SELECT ON TABLE hrm.acr_medical_report TO sec;


--
-- Name: TABLE acr_summary; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.acr_summary TO hrm;
GRANT SELECT ON TABLE hrm.acr_summary TO meeting;
GRANT SELECT ON TABLE hrm.acr_summary TO cmn;
GRANT SELECT ON TABLE hrm.acr_summary TO ast;
GRANT SELECT ON TABLE hrm.acr_summary TO prc;
GRANT SELECT ON TABLE hrm.acr_summary TO inv;
GRANT SELECT ON TABLE hrm.acr_summary TO aud;
GRANT SELECT ON TABLE hrm.acr_summary TO bud;
GRANT SELECT ON TABLE hrm.acr_summary TO acc;
GRANT SELECT ON TABLE hrm.acr_summary TO sec;


--
-- Name: TABLE acr_under_controlling_auth; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.acr_under_controlling_auth TO hrm;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO meeting;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO cmn;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO ast;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO prc;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO inv;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO aud;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO bud;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO acc;
GRANT SELECT ON TABLE hrm.acr_under_controlling_auth TO sec;


--
-- Name: TABLE acr_under_controlling_ministry; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.acr_under_controlling_ministry TO hrm;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO meeting;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO cmn;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO ast;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO prc;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO inv;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO aud;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO bud;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO acc;
GRANT SELECT ON TABLE hrm.acr_under_controlling_ministry TO sec;


--
-- Name: TABLE acr_under_counter_signing_auth; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.acr_under_counter_signing_auth TO hrm;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO meeting;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO cmn;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO ast;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO prc;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO inv;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO aud;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO bud;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO acc;
GRANT SELECT ON TABLE hrm.acr_under_counter_signing_auth TO sec;


--
-- Name: TABLE address_info; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.address_info TO meeting;
GRANT SELECT ON TABLE hrm.address_info TO cmn;
GRANT SELECT ON TABLE hrm.address_info TO ast;
GRANT SELECT ON TABLE hrm.address_info TO prc;
GRANT SELECT ON TABLE hrm.address_info TO inv;
GRANT SELECT ON TABLE hrm.address_info TO aud;
GRANT SELECT ON TABLE hrm.address_info TO bud;
GRANT SELECT ON TABLE hrm.address_info TO acc;
GRANT SELECT ON TABLE hrm.address_info TO sec;


--
-- Name: TABLE admit_card; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.admit_card TO hrm;
GRANT SELECT ON TABLE hrm.admit_card TO meeting;
GRANT SELECT ON TABLE hrm.admit_card TO cmn;
GRANT SELECT ON TABLE hrm.admit_card TO ast;
GRANT SELECT ON TABLE hrm.admit_card TO prc;
GRANT SELECT ON TABLE hrm.admit_card TO inv;
GRANT SELECT ON TABLE hrm.admit_card TO aud;
GRANT SELECT ON TABLE hrm.admit_card TO bud;
GRANT SELECT ON TABLE hrm.admit_card TO acc;
GRANT SELECT ON TABLE hrm.admit_card TO sec;


--
-- Name: TABLE allowed_leave; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.allowed_leave TO hrm;
GRANT SELECT ON TABLE hrm.allowed_leave TO meeting;
GRANT SELECT ON TABLE hrm.allowed_leave TO cmn;
GRANT SELECT ON TABLE hrm.allowed_leave TO ast;
GRANT SELECT ON TABLE hrm.allowed_leave TO prc;
GRANT SELECT ON TABLE hrm.allowed_leave TO inv;
GRANT SELECT ON TABLE hrm.allowed_leave TO aud;
GRANT SELECT ON TABLE hrm.allowed_leave TO bud;
GRANT SELECT ON TABLE hrm.allowed_leave TO acc;
GRANT SELECT ON TABLE hrm.allowed_leave TO sec;


--
-- Name: TABLE application_form_for_recruitment; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.application_form_for_recruitment TO hrm;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO meeting;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO cmn;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO ast;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO prc;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO inv;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO aud;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO bud;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO acc;
GRANT SELECT ON TABLE hrm.application_form_for_recruitment TO sec;


--
-- Name: TABLE apply_for_prl; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.apply_for_prl TO hrm;
GRANT SELECT ON TABLE hrm.apply_for_prl TO meeting;
GRANT SELECT ON TABLE hrm.apply_for_prl TO cmn;
GRANT SELECT ON TABLE hrm.apply_for_prl TO ast;
GRANT SELECT ON TABLE hrm.apply_for_prl TO prc;
GRANT SELECT ON TABLE hrm.apply_for_prl TO inv;
GRANT SELECT ON TABLE hrm.apply_for_prl TO aud;
GRANT SELECT ON TABLE hrm.apply_for_prl TO bud;
GRANT SELECT ON TABLE hrm.apply_for_prl TO acc;
GRANT SELECT ON TABLE hrm.apply_for_prl TO sec;


--
-- Name: TABLE at_leave; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.at_leave TO hrm;
GRANT SELECT ON TABLE hrm.at_leave TO meeting;
GRANT SELECT ON TABLE hrm.at_leave TO cmn;
GRANT SELECT ON TABLE hrm.at_leave TO ast;
GRANT SELECT ON TABLE hrm.at_leave TO prc;
GRANT SELECT ON TABLE hrm.at_leave TO inv;
GRANT SELECT ON TABLE hrm.at_leave TO aud;
GRANT SELECT ON TABLE hrm.at_leave TO bud;
GRANT SELECT ON TABLE hrm.at_leave TO acc;
GRANT SELECT ON TABLE hrm.at_leave TO sec;


--
-- Name: TABLE at_meeting_or_events; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.at_meeting_or_events TO hrm;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO meeting;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO cmn;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO ast;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO prc;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO inv;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO aud;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO bud;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO acc;
GRANT SELECT ON TABLE hrm.at_meeting_or_events TO sec;


--
-- Name: TABLE attendance_penalty_committee; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.attendance_penalty_committee TO hrm;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO meeting;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO cmn;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO ast;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO prc;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO inv;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO aud;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO bud;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO acc;
GRANT SELECT ON TABLE hrm.attendance_penalty_committee TO sec;


--
-- Name: TABLE award_application; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.award_application TO hrm;
GRANT SELECT ON TABLE hrm.award_application TO meeting;
GRANT SELECT ON TABLE hrm.award_application TO cmn;
GRANT SELECT ON TABLE hrm.award_application TO ast;
GRANT SELECT ON TABLE hrm.award_application TO prc;
GRANT SELECT ON TABLE hrm.award_application TO inv;
GRANT SELECT ON TABLE hrm.award_application TO aud;
GRANT SELECT ON TABLE hrm.award_application TO bud;
GRANT SELECT ON TABLE hrm.award_application TO acc;
GRANT SELECT ON TABLE hrm.award_application TO sec;


--
-- Name: TABLE award_setup; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.award_setup TO hrm;
GRANT SELECT ON TABLE hrm.award_setup TO meeting;
GRANT SELECT ON TABLE hrm.award_setup TO cmn;
GRANT SELECT ON TABLE hrm.award_setup TO ast;
GRANT SELECT ON TABLE hrm.award_setup TO prc;
GRANT SELECT ON TABLE hrm.award_setup TO inv;
GRANT SELECT ON TABLE hrm.award_setup TO aud;
GRANT SELECT ON TABLE hrm.award_setup TO bud;
GRANT SELECT ON TABLE hrm.award_setup TO acc;
GRANT SELECT ON TABLE hrm.award_setup TO sec;


--
-- Name: TABLE batch; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.batch TO hrm;
GRANT SELECT ON TABLE hrm.batch TO meeting;
GRANT SELECT ON TABLE hrm.batch TO cmn;
GRANT SELECT ON TABLE hrm.batch TO ast;
GRANT SELECT ON TABLE hrm.batch TO prc;
GRANT SELECT ON TABLE hrm.batch TO inv;
GRANT SELECT ON TABLE hrm.batch TO aud;
GRANT SELECT ON TABLE hrm.batch TO bud;
GRANT SELECT ON TABLE hrm.batch TO acc;
GRANT SELECT ON TABLE hrm.batch TO sec;


--
-- Name: TABLE cadre; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.cadre TO meeting;
GRANT SELECT ON TABLE hrm.cadre TO cmn;
GRANT SELECT ON TABLE hrm.cadre TO ast;
GRANT SELECT ON TABLE hrm.cadre TO prc;
GRANT SELECT ON TABLE hrm.cadre TO inv;
GRANT SELECT ON TABLE hrm.cadre TO aud;
GRANT SELECT ON TABLE hrm.cadre TO bud;
GRANT SELECT ON TABLE hrm.cadre TO acc;
GRANT SELECT ON TABLE hrm.cadre TO sec;


--
-- Name: TABLE cadre_history; Type: ACL; Schema: hrm; Owner: postgres
--

GRANT ALL ON TABLE hrm.cadre_history TO hrm;


--
-- Name: TABLE call_for_exam; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.call_for_exam TO hrm;
GRANT SELECT ON TABLE hrm.call_for_exam TO meeting;
GRANT SELECT ON TABLE hrm.call_for_exam TO cmn;
GRANT SELECT ON TABLE hrm.call_for_exam TO ast;
GRANT SELECT ON TABLE hrm.call_for_exam TO prc;
GRANT SELECT ON TABLE hrm.call_for_exam TO inv;
GRANT SELECT ON TABLE hrm.call_for_exam TO aud;
GRANT SELECT ON TABLE hrm.call_for_exam TO bud;
GRANT SELECT ON TABLE hrm.call_for_exam TO acc;
GRANT SELECT ON TABLE hrm.call_for_exam TO sec;


--
-- Name: TABLE create_short_list; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.create_short_list TO hrm;
GRANT SELECT ON TABLE hrm.create_short_list TO meeting;
GRANT SELECT ON TABLE hrm.create_short_list TO cmn;
GRANT SELECT ON TABLE hrm.create_short_list TO ast;
GRANT SELECT ON TABLE hrm.create_short_list TO prc;
GRANT SELECT ON TABLE hrm.create_short_list TO inv;
GRANT SELECT ON TABLE hrm.create_short_list TO aud;
GRANT SELECT ON TABLE hrm.create_short_list TO bud;
GRANT SELECT ON TABLE hrm.create_short_list TO acc;
GRANT SELECT ON TABLE hrm.create_short_list TO sec;


--
-- Name: TABLE daily_attendance; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.daily_attendance TO hrm;
GRANT SELECT ON TABLE hrm.daily_attendance TO meeting;
GRANT SELECT ON TABLE hrm.daily_attendance TO cmn;
GRANT SELECT ON TABLE hrm.daily_attendance TO ast;
GRANT SELECT ON TABLE hrm.daily_attendance TO prc;
GRANT SELECT ON TABLE hrm.daily_attendance TO inv;
GRANT SELECT ON TABLE hrm.daily_attendance TO aud;
GRANT SELECT ON TABLE hrm.daily_attendance TO bud;
GRANT SELECT ON TABLE hrm.daily_attendance TO acc;
GRANT SELECT ON TABLE hrm.daily_attendance TO sec;


--
-- Name: TABLE deputation_info; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.deputation_info TO hrm;
GRANT SELECT ON TABLE hrm.deputation_info TO meeting;
GRANT SELECT ON TABLE hrm.deputation_info TO cmn;
GRANT SELECT ON TABLE hrm.deputation_info TO ast;
GRANT SELECT ON TABLE hrm.deputation_info TO prc;
GRANT SELECT ON TABLE hrm.deputation_info TO inv;
GRANT SELECT ON TABLE hrm.deputation_info TO aud;
GRANT SELECT ON TABLE hrm.deputation_info TO bud;
GRANT SELECT ON TABLE hrm.deputation_info TO acc;
GRANT SELECT ON TABLE hrm.deputation_info TO sec;


--
-- Name: TABLE employee_evaluation_category_setup; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_evaluation_category_setup TO hrm;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO meeting;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO cmn;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO ast;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO prc;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO inv;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO aud;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO bud;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO acc;
GRANT SELECT ON TABLE hrm.employee_evaluation_category_setup TO sec;


--
-- Name: TABLE employee_in_queue_for_promotion_or_posting; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO hrm;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO meeting;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO cmn;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO ast;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO prc;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO inv;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO aud;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO bud;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO acc;
GRANT SELECT ON TABLE hrm.employee_in_queue_for_promotion_or_posting TO sec;


--
-- Name: TABLE employee_leave_application; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_leave_application TO hrm;
GRANT SELECT ON TABLE hrm.employee_leave_application TO meeting;
GRANT SELECT ON TABLE hrm.employee_leave_application TO cmn;
GRANT SELECT ON TABLE hrm.employee_leave_application TO ast;
GRANT SELECT ON TABLE hrm.employee_leave_application TO prc;
GRANT SELECT ON TABLE hrm.employee_leave_application TO inv;
GRANT SELECT ON TABLE hrm.employee_leave_application TO aud;
GRANT SELECT ON TABLE hrm.employee_leave_application TO bud;
GRANT SELECT ON TABLE hrm.employee_leave_application TO acc;
GRANT SELECT ON TABLE hrm.employee_leave_application TO sec;


--
-- Name: TABLE employee_leave_approval; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_leave_approval TO hrm;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO meeting;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO cmn;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO ast;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO prc;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO inv;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO aud;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO bud;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO acc;
GRANT SELECT ON TABLE hrm.employee_leave_approval TO sec;


--
-- Name: TABLE employee_master_info; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.employee_master_info TO meeting;
GRANT SELECT ON TABLE hrm.employee_master_info TO cmn;
GRANT SELECT ON TABLE hrm.employee_master_info TO ast;
GRANT SELECT ON TABLE hrm.employee_master_info TO prc;
GRANT SELECT ON TABLE hrm.employee_master_info TO inv;
GRANT SELECT ON TABLE hrm.employee_master_info TO aud;
GRANT SELECT ON TABLE hrm.employee_master_info TO bud;
GRANT SELECT ON TABLE hrm.employee_master_info TO acc;
GRANT SELECT ON TABLE hrm.employee_master_info TO sec;


--
-- Name: TABLE employee_office; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.employee_office TO meeting;
GRANT SELECT ON TABLE hrm.employee_office TO cmn;
GRANT SELECT ON TABLE hrm.employee_office TO ast;
GRANT SELECT ON TABLE hrm.employee_office TO prc;
GRANT SELECT ON TABLE hrm.employee_office TO inv;
GRANT SELECT ON TABLE hrm.employee_office TO aud;
GRANT SELECT ON TABLE hrm.employee_office TO bud;
GRANT SELECT ON TABLE hrm.employee_office TO acc;
GRANT SELECT ON TABLE hrm.employee_office TO sec;


--
-- Name: TABLE employee_other_services; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_other_services TO hrm;
GRANT SELECT ON TABLE hrm.employee_other_services TO meeting;
GRANT SELECT ON TABLE hrm.employee_other_services TO cmn;
GRANT SELECT ON TABLE hrm.employee_other_services TO ast;
GRANT SELECT ON TABLE hrm.employee_other_services TO prc;
GRANT SELECT ON TABLE hrm.employee_other_services TO inv;
GRANT SELECT ON TABLE hrm.employee_other_services TO aud;
GRANT SELECT ON TABLE hrm.employee_other_services TO bud;
GRANT SELECT ON TABLE hrm.employee_other_services TO acc;
GRANT SELECT ON TABLE hrm.employee_other_services TO sec;


--
-- Name: TABLE employee_perf_summary; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_perf_summary TO hrm;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO meeting;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO cmn;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO ast;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO prc;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO inv;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO aud;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO bud;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO acc;
GRANT SELECT ON TABLE hrm.employee_perf_summary TO sec;


--
-- Name: TABLE employee_personal_info; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.employee_personal_info TO meeting;
GRANT SELECT ON TABLE hrm.employee_personal_info TO cmn;
GRANT SELECT ON TABLE hrm.employee_personal_info TO ast;
GRANT SELECT ON TABLE hrm.employee_personal_info TO prc;
GRANT SELECT ON TABLE hrm.employee_personal_info TO inv;
GRANT SELECT ON TABLE hrm.employee_personal_info TO aud;
GRANT SELECT ON TABLE hrm.employee_personal_info TO bud;
GRANT SELECT ON TABLE hrm.employee_personal_info TO acc;
GRANT SELECT ON TABLE hrm.employee_personal_info TO sec;


--
-- Name: TABLE employee_probation; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_probation TO hrm;
GRANT SELECT ON TABLE hrm.employee_probation TO meeting;
GRANT SELECT ON TABLE hrm.employee_probation TO cmn;
GRANT SELECT ON TABLE hrm.employee_probation TO ast;
GRANT SELECT ON TABLE hrm.employee_probation TO prc;
GRANT SELECT ON TABLE hrm.employee_probation TO inv;
GRANT SELECT ON TABLE hrm.employee_probation TO aud;
GRANT SELECT ON TABLE hrm.employee_probation TO bud;
GRANT SELECT ON TABLE hrm.employee_probation TO acc;
GRANT SELECT ON TABLE hrm.employee_probation TO sec;


--
-- Name: TABLE employee_publication; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employee_publication TO hrm;
GRANT SELECT ON TABLE hrm.employee_publication TO meeting;
GRANT SELECT ON TABLE hrm.employee_publication TO cmn;
GRANT SELECT ON TABLE hrm.employee_publication TO ast;
GRANT SELECT ON TABLE hrm.employee_publication TO prc;
GRANT SELECT ON TABLE hrm.employee_publication TO inv;
GRANT SELECT ON TABLE hrm.employee_publication TO aud;
GRANT SELECT ON TABLE hrm.employee_publication TO bud;
GRANT SELECT ON TABLE hrm.employee_publication TO acc;
GRANT SELECT ON TABLE hrm.employee_publication TO sec;


--
-- Name: TABLE employeel_leave_details; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.employeel_leave_details TO hrm;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO meeting;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO cmn;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO ast;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO prc;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO inv;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO aud;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO bud;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO acc;
GRANT SELECT ON TABLE hrm.employeel_leave_details TO sec;


--
-- Name: TABLE employment_type; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.employment_type TO meeting;
GRANT SELECT ON TABLE hrm.employment_type TO cmn;
GRANT SELECT ON TABLE hrm.employment_type TO ast;
GRANT SELECT ON TABLE hrm.employment_type TO prc;
GRANT SELECT ON TABLE hrm.employment_type TO inv;
GRANT SELECT ON TABLE hrm.employment_type TO aud;
GRANT SELECT ON TABLE hrm.employment_type TO bud;
GRANT SELECT ON TABLE hrm.employment_type TO acc;
GRANT SELECT ON TABLE hrm.employment_type TO sec;


--
-- Name: TABLE exam_configuration; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.exam_configuration TO hrm;
GRANT SELECT ON TABLE hrm.exam_configuration TO meeting;
GRANT SELECT ON TABLE hrm.exam_configuration TO cmn;
GRANT SELECT ON TABLE hrm.exam_configuration TO ast;
GRANT SELECT ON TABLE hrm.exam_configuration TO prc;
GRANT SELECT ON TABLE hrm.exam_configuration TO inv;
GRANT SELECT ON TABLE hrm.exam_configuration TO aud;
GRANT SELECT ON TABLE hrm.exam_configuration TO bud;
GRANT SELECT ON TABLE hrm.exam_configuration TO acc;
GRANT SELECT ON TABLE hrm.exam_configuration TO sec;


--
-- Name: TABLE exam_venue; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.exam_venue TO hrm;
GRANT SELECT ON TABLE hrm.exam_venue TO meeting;
GRANT SELECT ON TABLE hrm.exam_venue TO cmn;
GRANT SELECT ON TABLE hrm.exam_venue TO ast;
GRANT SELECT ON TABLE hrm.exam_venue TO prc;
GRANT SELECT ON TABLE hrm.exam_venue TO inv;
GRANT SELECT ON TABLE hrm.exam_venue TO aud;
GRANT SELECT ON TABLE hrm.exam_venue TO bud;
GRANT SELECT ON TABLE hrm.exam_venue TO acc;
GRANT SELECT ON TABLE hrm.exam_venue TO sec;


--
-- Name: TABLE final_selection; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.final_selection TO hrm;
GRANT SELECT ON TABLE hrm.final_selection TO meeting;
GRANT SELECT ON TABLE hrm.final_selection TO cmn;
GRANT SELECT ON TABLE hrm.final_selection TO ast;
GRANT SELECT ON TABLE hrm.final_selection TO prc;
GRANT SELECT ON TABLE hrm.final_selection TO inv;
GRANT SELECT ON TABLE hrm.final_selection TO aud;
GRANT SELECT ON TABLE hrm.final_selection TO bud;
GRANT SELECT ON TABLE hrm.final_selection TO acc;
GRANT SELECT ON TABLE hrm.final_selection TO sec;


--
-- Name: TABLE forbidden_pair; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.forbidden_pair TO hrm;
GRANT SELECT ON TABLE hrm.forbidden_pair TO meeting;
GRANT SELECT ON TABLE hrm.forbidden_pair TO cmn;
GRANT SELECT ON TABLE hrm.forbidden_pair TO ast;
GRANT SELECT ON TABLE hrm.forbidden_pair TO prc;
GRANT SELECT ON TABLE hrm.forbidden_pair TO inv;
GRANT SELECT ON TABLE hrm.forbidden_pair TO aud;
GRANT SELECT ON TABLE hrm.forbidden_pair TO bud;
GRANT SELECT ON TABLE hrm.forbidden_pair TO acc;
GRANT SELECT ON TABLE hrm.forbidden_pair TO sec;


--
-- Name: TABLE foreign_training; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.foreign_training TO hrm;
GRANT SELECT ON TABLE hrm.foreign_training TO meeting;
GRANT SELECT ON TABLE hrm.foreign_training TO cmn;
GRANT SELECT ON TABLE hrm.foreign_training TO ast;
GRANT SELECT ON TABLE hrm.foreign_training TO prc;
GRANT SELECT ON TABLE hrm.foreign_training TO inv;
GRANT SELECT ON TABLE hrm.foreign_training TO aud;
GRANT SELECT ON TABLE hrm.foreign_training TO bud;
GRANT SELECT ON TABLE hrm.foreign_training TO acc;
GRANT SELECT ON TABLE hrm.foreign_training TO sec;


--
-- Name: TABLE grade; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.grade TO meeting;
GRANT SELECT ON TABLE hrm.grade TO cmn;
GRANT SELECT ON TABLE hrm.grade TO ast;
GRANT SELECT ON TABLE hrm.grade TO prc;
GRANT SELECT ON TABLE hrm.grade TO inv;
GRANT SELECT ON TABLE hrm.grade TO aud;
GRANT SELECT ON TABLE hrm.grade TO bud;
GRANT SELECT ON TABLE hrm.grade TO acc;
GRANT SELECT ON TABLE hrm.grade TO sec;


--
-- Name: TABLE holiday; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.holiday TO hrm;
GRANT SELECT ON TABLE hrm.holiday TO meeting;
GRANT SELECT ON TABLE hrm.holiday TO cmn;
GRANT SELECT ON TABLE hrm.holiday TO ast;
GRANT SELECT ON TABLE hrm.holiday TO prc;
GRANT SELECT ON TABLE hrm.holiday TO inv;
GRANT SELECT ON TABLE hrm.holiday TO aud;
GRANT SELECT ON TABLE hrm.holiday TO bud;
GRANT SELECT ON TABLE hrm.holiday TO acc;
GRANT SELECT ON TABLE hrm.holiday TO sec;


--
-- Name: TABLE in_service_training; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.in_service_training TO hrm;
GRANT SELECT ON TABLE hrm.in_service_training TO meeting;
GRANT SELECT ON TABLE hrm.in_service_training TO cmn;
GRANT SELECT ON TABLE hrm.in_service_training TO ast;
GRANT SELECT ON TABLE hrm.in_service_training TO prc;
GRANT SELECT ON TABLE hrm.in_service_training TO inv;
GRANT SELECT ON TABLE hrm.in_service_training TO aud;
GRANT SELECT ON TABLE hrm.in_service_training TO bud;
GRANT SELECT ON TABLE hrm.in_service_training TO acc;
GRANT SELECT ON TABLE hrm.in_service_training TO sec;


--
-- Name: TABLE investigation_team_feedback; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.investigation_team_feedback TO hrm;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO meeting;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO cmn;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO ast;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO prc;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO inv;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO aud;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO bud;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO acc;
GRANT SELECT ON TABLE hrm.investigation_team_feedback TO sec;


--
-- Name: TABLE investigation_team_setup; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.investigation_team_setup TO hrm;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO meeting;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO cmn;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO ast;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO prc;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO inv;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO aud;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO bud;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO acc;
GRANT SELECT ON TABLE hrm.investigation_team_setup TO sec;


--
-- Name: TABLE investigation_under_appointing_auth; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.investigation_under_appointing_auth TO hrm;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO meeting;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO cmn;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO ast;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO prc;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO inv;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO aud;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO bud;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO acc;
GRANT SELECT ON TABLE hrm.investigation_under_appointing_auth TO sec;


--
-- Name: TABLE investigation_under_controlling_auth; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.investigation_under_controlling_auth TO hrm;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO meeting;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO cmn;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO ast;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO prc;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO inv;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO aud;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO bud;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO acc;
GRANT SELECT ON TABLE hrm.investigation_under_controlling_auth TO sec;


--
-- Name: TABLE job_circular; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.job_circular TO hrm;
GRANT SELECT ON TABLE hrm.job_circular TO meeting;
GRANT SELECT ON TABLE hrm.job_circular TO cmn;
GRANT SELECT ON TABLE hrm.job_circular TO ast;
GRANT SELECT ON TABLE hrm.job_circular TO prc;
GRANT SELECT ON TABLE hrm.job_circular TO inv;
GRANT SELECT ON TABLE hrm.job_circular TO aud;
GRANT SELECT ON TABLE hrm.job_circular TO bud;
GRANT SELECT ON TABLE hrm.job_circular TO acc;
GRANT SELECT ON TABLE hrm.job_circular TO sec;


--
-- Name: TABLE job_circular_approval; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.job_circular_approval TO hrm;
GRANT SELECT ON TABLE hrm.job_circular_approval TO meeting;
GRANT SELECT ON TABLE hrm.job_circular_approval TO cmn;
GRANT SELECT ON TABLE hrm.job_circular_approval TO ast;
GRANT SELECT ON TABLE hrm.job_circular_approval TO prc;
GRANT SELECT ON TABLE hrm.job_circular_approval TO inv;
GRANT SELECT ON TABLE hrm.job_circular_approval TO aud;
GRANT SELECT ON TABLE hrm.job_circular_approval TO bud;
GRANT SELECT ON TABLE hrm.job_circular_approval TO acc;
GRANT SELECT ON TABLE hrm.job_circular_approval TO sec;


--
-- Name: TABLE justify_against_penalty; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.justify_against_penalty TO hrm;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO meeting;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO cmn;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO ast;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO prc;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO inv;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO aud;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO bud;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO acc;
GRANT SELECT ON TABLE hrm.justify_against_penalty TO sec;


--
-- Name: TABLE language; Type: ACL; Schema: hrm; Owner: hrm
--

GRANT SELECT ON TABLE hrm.language TO meeting;
GRANT SELECT ON TABLE hrm.language TO cmn;
GRANT SELECT ON TABLE hrm.language TO ast;
GRANT SELECT ON TABLE hrm.language TO prc;
GRANT SELECT ON TABLE hrm.language TO inv;
GRANT SELECT ON TABLE hrm.language TO aud;
GRANT SELECT ON TABLE hrm.language TO bud;
GRANT SELECT ON TABLE hrm.language TO acc;
GRANT SELECT ON TABLE hrm.language TO sec;


--
-- Name: TABLE leave_condition; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.leave_condition TO hrm;
GRANT SELECT ON TABLE hrm.leave_condition TO meeting;
GRANT SELECT ON TABLE hrm.leave_condition TO cmn;
GRANT SELECT ON TABLE hrm.leave_condition TO ast;
GRANT SELECT ON TABLE hrm.leave_condition TO prc;
GRANT SELECT ON TABLE hrm.leave_condition TO inv;
GRANT SELECT ON TABLE hrm.leave_condition TO aud;
GRANT SELECT ON TABLE hrm.leave_condition TO bud;
GRANT SELECT ON TABLE hrm.leave_condition TO acc;
GRANT SELECT ON TABLE hrm.leave_condition TO sec;


--
-- Name: TABLE leave_type; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.leave_type TO hrm;
GRANT SELECT ON TABLE hrm.leave_type TO meeting;
GRANT SELECT ON TABLE hrm.leave_type TO cmn;
GRANT SELECT ON TABLE hrm.leave_type TO ast;
GRANT SELECT ON TABLE hrm.leave_type TO prc;
GRANT SELECT ON TABLE hrm.leave_type TO inv;
GRANT SELECT ON TABLE hrm.leave_type TO aud;
GRANT SELECT ON TABLE hrm.leave_type TO bud;
GRANT SELECT ON TABLE hrm.leave_type TO acc;
GRANT SELECT ON TABLE hrm.leave_type TO sec;


--
-- Name: TABLE leave_type_reason; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.leave_type_reason TO hrm;
GRANT SELECT ON TABLE hrm.leave_type_reason TO meeting;
GRANT SELECT ON TABLE hrm.leave_type_reason TO cmn;
GRANT SELECT ON TABLE hrm.leave_type_reason TO ast;
GRANT SELECT ON TABLE hrm.leave_type_reason TO prc;
GRANT SELECT ON TABLE hrm.leave_type_reason TO inv;
GRANT SELECT ON TABLE hrm.leave_type_reason TO aud;
GRANT SELECT ON TABLE hrm.leave_type_reason TO bud;
GRANT SELECT ON TABLE hrm.leave_type_reason TO acc;
GRANT SELECT ON TABLE hrm.leave_type_reason TO sec;


--
-- Name: TABLE offense_setup; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.offense_setup TO hrm;
GRANT SELECT ON TABLE hrm.offense_setup TO meeting;
GRANT SELECT ON TABLE hrm.offense_setup TO cmn;
GRANT SELECT ON TABLE hrm.offense_setup TO ast;
GRANT SELECT ON TABLE hrm.offense_setup TO prc;
GRANT SELECT ON TABLE hrm.offense_setup TO inv;
GRANT SELECT ON TABLE hrm.offense_setup TO aud;
GRANT SELECT ON TABLE hrm.offense_setup TO bud;
GRANT SELECT ON TABLE hrm.offense_setup TO acc;
GRANT SELECT ON TABLE hrm.offense_setup TO sec;


--
-- Name: TABLE organisational_training; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.organisational_training TO hrm;
GRANT SELECT ON TABLE hrm.organisational_training TO meeting;
GRANT SELECT ON TABLE hrm.organisational_training TO cmn;
GRANT SELECT ON TABLE hrm.organisational_training TO ast;
GRANT SELECT ON TABLE hrm.organisational_training TO prc;
GRANT SELECT ON TABLE hrm.organisational_training TO inv;
GRANT SELECT ON TABLE hrm.organisational_training TO aud;
GRANT SELECT ON TABLE hrm.organisational_training TO bud;
GRANT SELECT ON TABLE hrm.organisational_training TO acc;
GRANT SELECT ON TABLE hrm.organisational_training TO sec;


--
-- Name: TABLE penalty_committee_list; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.penalty_committee_list TO hrm;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO meeting;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO cmn;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO ast;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO prc;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO inv;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO aud;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO bud;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO acc;
GRANT SELECT ON TABLE hrm.penalty_committee_list TO sec;


--
-- Name: TABLE penalty_for_attendance; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.penalty_for_attendance TO hrm;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO meeting;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO cmn;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO ast;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO prc;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO inv;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO aud;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO bud;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO acc;
GRANT SELECT ON TABLE hrm.penalty_for_attendance TO sec;


--
-- Name: TABLE pending_participation_confirmation; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.pending_participation_confirmation TO hrm;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO meeting;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO cmn;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO ast;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO prc;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO inv;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO aud;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO bud;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO acc;
GRANT SELECT ON TABLE hrm.pending_participation_confirmation TO sec;


--
-- Name: TABLE pension_procedure_for_employee; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.pension_procedure_for_employee TO hrm;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO meeting;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO cmn;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO ast;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO prc;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO inv;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO aud;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO bud;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO acc;
GRANT SELECT ON TABLE hrm.pension_procedure_for_employee TO sec;


--
-- Name: TABLE posting_and_promotion_committee_setup; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.posting_and_promotion_committee_setup TO hrm;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO meeting;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO cmn;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO ast;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO prc;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO inv;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO aud;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO bud;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO acc;
GRANT SELECT ON TABLE hrm.posting_and_promotion_committee_setup TO sec;


--
-- Name: TABLE posting_info; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.posting_info TO hrm;
GRANT SELECT ON TABLE hrm.posting_info TO meeting;
GRANT SELECT ON TABLE hrm.posting_info TO cmn;
GRANT SELECT ON TABLE hrm.posting_info TO ast;
GRANT SELECT ON TABLE hrm.posting_info TO prc;
GRANT SELECT ON TABLE hrm.posting_info TO inv;
GRANT SELECT ON TABLE hrm.posting_info TO aud;
GRANT SELECT ON TABLE hrm.posting_info TO bud;
GRANT SELECT ON TABLE hrm.posting_info TO acc;
GRANT SELECT ON TABLE hrm.posting_info TO sec;


--
-- Name: TABLE promotion_detail; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.promotion_detail TO hrm;
GRANT SELECT ON TABLE hrm.promotion_detail TO meeting;
GRANT SELECT ON TABLE hrm.promotion_detail TO cmn;
GRANT SELECT ON TABLE hrm.promotion_detail TO ast;
GRANT SELECT ON TABLE hrm.promotion_detail TO prc;
GRANT SELECT ON TABLE hrm.promotion_detail TO inv;
GRANT SELECT ON TABLE hrm.promotion_detail TO aud;
GRANT SELECT ON TABLE hrm.promotion_detail TO bud;
GRANT SELECT ON TABLE hrm.promotion_detail TO acc;
GRANT SELECT ON TABLE hrm.promotion_detail TO sec;


--
-- Name: TABLE publication_application; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.publication_application TO hrm;
GRANT SELECT ON TABLE hrm.publication_application TO meeting;
GRANT SELECT ON TABLE hrm.publication_application TO cmn;
GRANT SELECT ON TABLE hrm.publication_application TO ast;
GRANT SELECT ON TABLE hrm.publication_application TO prc;
GRANT SELECT ON TABLE hrm.publication_application TO inv;
GRANT SELECT ON TABLE hrm.publication_application TO aud;
GRANT SELECT ON TABLE hrm.publication_application TO bud;
GRANT SELECT ON TABLE hrm.publication_application TO acc;
GRANT SELECT ON TABLE hrm.publication_application TO sec;


--
-- Name: TABLE publication_setup; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.publication_setup TO hrm;
GRANT SELECT ON TABLE hrm.publication_setup TO meeting;
GRANT SELECT ON TABLE hrm.publication_setup TO cmn;
GRANT SELECT ON TABLE hrm.publication_setup TO ast;
GRANT SELECT ON TABLE hrm.publication_setup TO prc;
GRANT SELECT ON TABLE hrm.publication_setup TO inv;
GRANT SELECT ON TABLE hrm.publication_setup TO aud;
GRANT SELECT ON TABLE hrm.publication_setup TO bud;
GRANT SELECT ON TABLE hrm.publication_setup TO acc;
GRANT SELECT ON TABLE hrm.publication_setup TO sec;


--
-- Name: TABLE recruitment_committee; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.recruitment_committee TO hrm;
GRANT SELECT ON TABLE hrm.recruitment_committee TO meeting;
GRANT SELECT ON TABLE hrm.recruitment_committee TO cmn;
GRANT SELECT ON TABLE hrm.recruitment_committee TO ast;
GRANT SELECT ON TABLE hrm.recruitment_committee TO prc;
GRANT SELECT ON TABLE hrm.recruitment_committee TO inv;
GRANT SELECT ON TABLE hrm.recruitment_committee TO aud;
GRANT SELECT ON TABLE hrm.recruitment_committee TO bud;
GRANT SELECT ON TABLE hrm.recruitment_committee TO acc;
GRANT SELECT ON TABLE hrm.recruitment_committee TO sec;


--
-- Name: TABLE recruitment_result; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.recruitment_result TO hrm;
GRANT SELECT ON TABLE hrm.recruitment_result TO meeting;
GRANT SELECT ON TABLE hrm.recruitment_result TO cmn;
GRANT SELECT ON TABLE hrm.recruitment_result TO ast;
GRANT SELECT ON TABLE hrm.recruitment_result TO prc;
GRANT SELECT ON TABLE hrm.recruitment_result TO inv;
GRANT SELECT ON TABLE hrm.recruitment_result TO aud;
GRANT SELECT ON TABLE hrm.recruitment_result TO bud;
GRANT SELECT ON TABLE hrm.recruitment_result TO acc;
GRANT SELECT ON TABLE hrm.recruitment_result TO sec;


--
-- Name: TABLE rejoining_application; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rejoining_application TO hrm;
GRANT SELECT ON TABLE hrm.rejoining_application TO meeting;
GRANT SELECT ON TABLE hrm.rejoining_application TO cmn;
GRANT SELECT ON TABLE hrm.rejoining_application TO ast;
GRANT SELECT ON TABLE hrm.rejoining_application TO prc;
GRANT SELECT ON TABLE hrm.rejoining_application TO inv;
GRANT SELECT ON TABLE hrm.rejoining_application TO aud;
GRANT SELECT ON TABLE hrm.rejoining_application TO bud;
GRANT SELECT ON TABLE hrm.rejoining_application TO acc;
GRANT SELECT ON TABLE hrm.rejoining_application TO sec;


--
-- Name: TABLE rules_of_award_publication; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_of_award_publication TO hrm;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO meeting;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO cmn;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO ast;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO prc;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO inv;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO aud;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO bud;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO acc;
GRANT SELECT ON TABLE hrm.rules_of_award_publication TO sec;


--
-- Name: TABLE rules_of_vesting_magisterial_power; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_of_vesting_magisterial_power TO hrm;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO meeting;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO cmn;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO ast;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO prc;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO inv;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO aud;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO bud;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO acc;
GRANT SELECT ON TABLE hrm.rules_of_vesting_magisterial_power TO sec;


--
-- Name: TABLE rules_regarding_acr_apa; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_regarding_acr_apa TO hrm;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO meeting;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO cmn;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO ast;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO prc;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO inv;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO aud;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO bud;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO acc;
GRANT SELECT ON TABLE hrm.rules_regarding_acr_apa TO sec;


--
-- Name: TABLE rules_regarding_attendance; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_regarding_attendance TO hrm;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO meeting;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO cmn;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO ast;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO prc;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO inv;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO aud;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO bud;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO acc;
GRANT SELECT ON TABLE hrm.rules_regarding_attendance TO sec;


--
-- Name: TABLE rules_regarding_discipline; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_regarding_discipline TO hrm;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO meeting;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO cmn;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO ast;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO prc;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO inv;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO aud;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO bud;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO acc;
GRANT SELECT ON TABLE hrm.rules_regarding_discipline TO sec;


--
-- Name: TABLE rules_regarding_posting; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_regarding_posting TO hrm;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO meeting;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO cmn;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO ast;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO prc;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO inv;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO aud;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO bud;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO acc;
GRANT SELECT ON TABLE hrm.rules_regarding_posting TO sec;


--
-- Name: TABLE rules_regarding_promotion; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_regarding_promotion TO hrm;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO meeting;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO cmn;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO ast;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO prc;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO inv;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO aud;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO bud;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO acc;
GRANT SELECT ON TABLE hrm.rules_regarding_promotion TO sec;


--
-- Name: TABLE rules_regarding_recruitment; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_regarding_recruitment TO hrm;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO meeting;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO cmn;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO ast;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO prc;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO inv;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO aud;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO bud;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO acc;
GRANT SELECT ON TABLE hrm.rules_regarding_recruitment TO sec;


--
-- Name: TABLE rules_regarding_training; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.rules_regarding_training TO hrm;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO meeting;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO cmn;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO ast;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO prc;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO inv;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO aud;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO bud;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO acc;
GRANT SELECT ON TABLE hrm.rules_regarding_training TO sec;


--
-- Name: TABLE select_candidate; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.select_candidate TO hrm;
GRANT SELECT ON TABLE hrm.select_candidate TO meeting;
GRANT SELECT ON TABLE hrm.select_candidate TO cmn;
GRANT SELECT ON TABLE hrm.select_candidate TO ast;
GRANT SELECT ON TABLE hrm.select_candidate TO prc;
GRANT SELECT ON TABLE hrm.select_candidate TO inv;
GRANT SELECT ON TABLE hrm.select_candidate TO aud;
GRANT SELECT ON TABLE hrm.select_candidate TO bud;
GRANT SELECT ON TABLE hrm.select_candidate TO acc;
GRANT SELECT ON TABLE hrm.select_candidate TO sec;


--
-- Name: TABLE survey_for_trainee; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.survey_for_trainee TO hrm;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO meeting;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO cmn;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO ast;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO prc;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO inv;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO aud;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO bud;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO acc;
GRANT SELECT ON TABLE hrm.survey_for_trainee TO sec;


--
-- Name: TABLE survey_for_trainer; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.survey_for_trainer TO hrm;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO meeting;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO cmn;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO ast;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO prc;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO inv;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO aud;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO bud;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO acc;
GRANT SELECT ON TABLE hrm.survey_for_trainer TO sec;


--
-- Name: TABLE survey_questionnaire_for_trainee; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.survey_questionnaire_for_trainee TO hrm;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO meeting;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO cmn;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO ast;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO prc;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO inv;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO aud;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO bud;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO acc;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainee TO sec;


--
-- Name: TABLE survey_questionnaire_for_trainer; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.survey_questionnaire_for_trainer TO hrm;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO meeting;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO cmn;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO ast;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO prc;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO inv;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO aud;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO bud;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO acc;
GRANT SELECT ON TABLE hrm.survey_questionnaire_for_trainer TO sec;


--
-- Name: TABLE syncable_data; Type: ACL; Schema: hrm; Owner: postgres
--

GRANT ALL ON TABLE hrm.syncable_data TO hrm;


--
-- Name: TABLE termination; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.termination TO hrm;
GRANT SELECT ON TABLE hrm.termination TO meeting;
GRANT SELECT ON TABLE hrm.termination TO cmn;
GRANT SELECT ON TABLE hrm.termination TO ast;
GRANT SELECT ON TABLE hrm.termination TO prc;
GRANT SELECT ON TABLE hrm.termination TO inv;
GRANT SELECT ON TABLE hrm.termination TO aud;
GRANT SELECT ON TABLE hrm.termination TO bud;
GRANT SELECT ON TABLE hrm.termination TO acc;
GRANT SELECT ON TABLE hrm.termination TO sec;


--
-- Name: TABLE trainee_result; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.trainee_result TO hrm;
GRANT SELECT ON TABLE hrm.trainee_result TO meeting;
GRANT SELECT ON TABLE hrm.trainee_result TO cmn;
GRANT SELECT ON TABLE hrm.trainee_result TO ast;
GRANT SELECT ON TABLE hrm.trainee_result TO prc;
GRANT SELECT ON TABLE hrm.trainee_result TO inv;
GRANT SELECT ON TABLE hrm.trainee_result TO aud;
GRANT SELECT ON TABLE hrm.trainee_result TO bud;
GRANT SELECT ON TABLE hrm.trainee_result TO acc;
GRANT SELECT ON TABLE hrm.trainee_result TO sec;


--
-- Name: TABLE trainer_detail; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.trainer_detail TO hrm;
GRANT SELECT ON TABLE hrm.trainer_detail TO meeting;
GRANT SELECT ON TABLE hrm.trainer_detail TO cmn;
GRANT SELECT ON TABLE hrm.trainer_detail TO ast;
GRANT SELECT ON TABLE hrm.trainer_detail TO prc;
GRANT SELECT ON TABLE hrm.trainer_detail TO inv;
GRANT SELECT ON TABLE hrm.trainer_detail TO aud;
GRANT SELECT ON TABLE hrm.trainer_detail TO bud;
GRANT SELECT ON TABLE hrm.trainer_detail TO acc;
GRANT SELECT ON TABLE hrm.trainer_detail TO sec;


--
-- Name: TABLE training_type; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.training_type TO hrm;
GRANT SELECT ON TABLE hrm.training_type TO meeting;
GRANT SELECT ON TABLE hrm.training_type TO cmn;
GRANT SELECT ON TABLE hrm.training_type TO ast;
GRANT SELECT ON TABLE hrm.training_type TO prc;
GRANT SELECT ON TABLE hrm.training_type TO inv;
GRANT SELECT ON TABLE hrm.training_type TO aud;
GRANT SELECT ON TABLE hrm.training_type TO bud;
GRANT SELECT ON TABLE hrm.training_type TO acc;
GRANT SELECT ON TABLE hrm.training_type TO sec;


--
-- Name: TABLE vesting_of_magisterial_power; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.vesting_of_magisterial_power TO hrm;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO meeting;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO cmn;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO ast;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO prc;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO inv;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO aud;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO bud;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO acc;
GRANT SELECT ON TABLE hrm.vesting_of_magisterial_power TO sec;


--
-- Name: TABLE weekend; Type: ACL; Schema: hrm; Owner: grp
--

GRANT ALL ON TABLE hrm.weekend TO hrm;
GRANT SELECT ON TABLE hrm.weekend TO meeting;
GRANT SELECT ON TABLE hrm.weekend TO cmn;
GRANT SELECT ON TABLE hrm.weekend TO ast;
GRANT SELECT ON TABLE hrm.weekend TO prc;
GRANT SELECT ON TABLE hrm.weekend TO inv;
GRANT SELECT ON TABLE hrm.weekend TO aud;
GRANT SELECT ON TABLE hrm.weekend TO bud;
GRANT SELECT ON TABLE hrm.weekend TO acc;
GRANT SELECT ON TABLE hrm.weekend TO sec;


--
-- PostgreSQL database dump complete
--

