--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 11.8
-- Dumped by pg_dump version 11.21

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE uatcommongrp1;
--
-- Name: uatcommongrp1; Type: DATABASE; Schema: -; Owner: uatcommongrp1
--

CREATE DATABASE uatcommongrp1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


ALTER DATABASE uatcommongrp1 OWNER TO uatcommongrp1;

\connect uatcommongrp1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: inv; Type: SCHEMA; Schema: -; Owner: uatcommongrp1
--

CREATE SCHEMA inv;


ALTER SCHEMA inv OWNER TO uatcommongrp1;

--
-- Name: authorities_id_seq; Type: SEQUENCE; Schema: inv; Owner: uatcommongrp1
--

CREATE SEQUENCE inv.authorities_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE inv.authorities_id_seq OWNER TO uatcommongrp1;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: authorities; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.authorities (
    id integer DEFAULT nextval('inv.authorities_id_seq'::regclass),
    name character varying(50) NOT NULL,
    endpoint character varying(250) NOT NULL,
    method character varying(10) NOT NULL,
    service character varying(10) NOT NULL
);


ALTER TABLE inv.authorities OWNER TO uatcommongrp1;

--
-- Name: get_all_authorities(integer); Type: FUNCTION; Schema: inv; Owner: uatcommongrp1
--

CREATE FUNCTION inv.get_all_authorities(integer) RETURNS SETOF inv.authorities
    LANGUAGE sql
    AS $_$

WITH RECURSIVE authority_set  AS ( SELECT a.id, a.name, a.endpoint, a.method, a.service FROM inv.authorities a WHERE a.id = $1 UNION SELECT c.id, c.name, c.endpoint, c.method, c.service FROM inv.authorities c INNER JOIN inv.authority_authority_mappings m ON m.child_id = c.id INNER JOIN authority_set p ON p.id = m.parent_id) SELECT * FROM authority_set

$_$;


ALTER FUNCTION inv.get_all_authorities(integer) OWNER TO uatcommongrp1;

--
-- Name: get_all_conversions(character varying); Type: FUNCTION; Schema: inv; Owner: uatcommongrp1
--

CREATE FUNCTION inv.get_all_conversions(character varying) RETURNS TABLE(base character varying, conv character varying, factor double precision)
    LANGUAGE sql
    AS $_$

WITH RECURSIVE t (base, conv, factor, path, cycle) AS ( SELECT CASE WHEN c.uom_id = $1 THEN c.uom_id ELSE c.uom_id_to END AS base, CASE WHEN c.uom_id = $1 THEN c.uom_id_to ELSE c.uom_id END AS conv, CASE WHEN c.uom_id = $1 THEN c.conversion_factor ELSE (1 / c.conversion_factor) END AS factor, ARRAY[$1::varchar], false FROM inv.uom_conversion c LEFT JOIN inv.uom uf ON uf.uom_id = c.uom_id LEFT JOIN inv.uom ut ON ut.uom_id = c.uom_id_to WHERE c.uom_id = $1 OR c.uom_id_to = $1 UNION SELECT $1 AS base, u.conv, (t.factor * u.factor) AS factor, path || t.conv, t.conv = ANY(path) FROM (SELECT c.uom_id AS base, c.uom_id_to AS conv, c.conversion_factor AS factor FROM inv.uom_conversion c UNION SELECT c.uom_id_to AS base, c.uom_id AS conv, CASE WHEN c.conversion_factor = 0 THEN 0 ELSE (1 / c.conversion_factor) END AS factor FROM inv.uom_conversion c) u, t WHERE u.conv != $1 AND u.base = t.conv AND NOT cycle) SELECT base, conv, AVG(factor) AS factor FROM t GROUP BY base, conv

$_$;


ALTER FUNCTION inv.get_all_conversions(character varying) OWNER TO uatcommongrp1;

--
-- Name: get_all_supported_conversions(character varying); Type: FUNCTION; Schema: inv; Owner: uatcommongrp1
--

CREATE FUNCTION inv.get_all_supported_conversions(character varying) RETURNS TABLE(base character varying, conv character varying, factor double precision, conv_uom character varying, rnk integer)
    LANGUAGE sql
    AS $_$

SELECT f.description, t.description, x.factor, x.conv, x.rnk FROM (SELECT c.uom_id AS base,c.uom_id_to AS conv, c.conversion_factor AS factor, 1 AS rnk FROM inv.uom_conversion c WHERE c.uom_id = $1 UNION SELECT c.uom_id_to AS base, c.uom_id AS conv, (1 / c.conversion_factor) AS factor, 1 AS rnk FROM inv.uom_conversion c WHERE c.uom_id_to = $1 UNION ALL SELECT base, conv, factor, 2 AS rnk FROM inv.get_all_conversions($1)) x JOIN inv.uom f ON f.uom_id = x.base JOIN inv.uom t ON t.uom_id = x.conv

$_$;


ALTER FUNCTION inv.get_all_supported_conversions(character varying) OWNER TO uatcommongrp1;

--
-- Name: get_common_requisitions(uuid); Type: FUNCTION; Schema: inv; Owner: uatcommongrp1
--

CREATE FUNCTION inv.get_common_requisitions(uuid) RETURNS TABLE(item_id uuid, features text, amount numeric)
    LANGUAGE sql
    AS $_$

SELECT t.item_id, array_to_string(t.features, ' <,> ') features, CEILING(SUM(t.sum / array_length(t.features, 1))) amount FROM (SELECT d.item_id, f.item_requisition_details_id, array_agg((CASE WHEN f.item_setup_feature_id IS NULL THEN NULL ELSE concat(f.item_setup_feature_id, ' <> ', f.value) END) ORDER BY 1) features, SUM(CASE WHEN r.requisition_date BETWEEN date_trunc('month', current_date - interval '3' month) AND date_trunc('month', current_date) - interval '1' day THEN (d.required_qty / 2) ELSE -d.required_qty END) FROM inv.item_requisition r INNER JOIN inv.item_requisition_details d ON (d.requisition_id = r.id AND (d.is_deleted IS NULL OR d.is_deleted = false)) LEFT JOIN inv.item_requisition_detail_feature f ON (f.item_requisition_details_id = d.id AND (f.is_deleted IS NULL OR f.is_deleted = false)) WHERE r.requisition_for = $1 AND (r.is_deleted IS NULL OR r.is_deleted = false) AND r.requisition_date >= date_trunc('month', current_date - interval '3' month) GROUP BY d.item_id, f.item_requisition_details_id) t GROUP BY t.item_id, t.features HAVING SUM(t.sum) > 0

$_$;


ALTER FUNCTION inv.get_common_requisitions(uuid) OWNER TO uatcommongrp1;

--
-- Name: select_authority_id(character varying, character varying, character varying); Type: FUNCTION; Schema: inv; Owner: uatcommongrp1
--

CREATE FUNCTION inv.select_authority_id(service character varying, method character varying, url character varying) RETURNS integer
    LANGUAGE sql
    AS $_$

SELECT id FROM (SELECT id, regexp_matches($3, concat('^', regexp_replace(endpoint, '{\w+}', '[a-z0-9A-Z-]+', 'g'), '$')) FROM inv.authorities WHERE service = $1 AND method = $2) AS t

$_$;


ALTER FUNCTION inv.select_authority_id(service character varying, method character varying, url character varying) OWNER TO uatcommongrp1;

--
-- Name: authority_authority_mappings_id_seq; Type: SEQUENCE; Schema: inv; Owner: uatcommongrp1
--

CREATE SEQUENCE inv.authority_authority_mappings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE inv.authority_authority_mappings_id_seq OWNER TO uatcommongrp1;

--
-- Name: authority_authority_mappings; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.authority_authority_mappings (
    id integer DEFAULT nextval('inv.authority_authority_mappings_id_seq'::regclass) NOT NULL,
    parent_id integer NOT NULL,
    child_id integer NOT NULL
);


ALTER TABLE inv.authority_authority_mappings OWNER TO uatcommongrp1;

--
-- Name: category; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.category (
    category_id uuid NOT NULL,
    parent_category_id uuid,
    cat_name character varying(50),
    bn_cat_name character varying(50),
    cat_description character varying(250),
    status boolean NOT NULL,
    owned_by uuid NOT NULL,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean NOT NULL,
    is_trackable boolean NOT NULL,
    accounts_category character varying(20),
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    CONSTRAINT at_least_one_of_cat_name_or_bn_cat_name CHECK (((cat_name IS NOT NULL) OR (bn_cat_name IS NOT NULL)))
);


ALTER TABLE inv.category OWNER TO uatcommongrp1;

--
-- Name: committee; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.committee (
    committee_id uuid NOT NULL,
    ct_id uuid NOT NULL,
    authorised_by uuid NOT NULL,
    approved_by uuid NOT NULL,
    committee_name character varying(100) NOT NULL,
    min_no_member character varying(50) NOT NULL,
    max_no_member character varying(50) NOT NULL,
    forming_date timestamp without time zone NOT NULL,
    purpose character varying(200),
    comments character varying(200),
    status boolean NOT NULL,
    owned_by uuid NOT NULL,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid
);


ALTER TABLE inv.committee OWNER TO uatcommongrp1;

--
-- Name: committee_details; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.committee_details (
    qcd_id uuid NOT NULL,
    committee_id uuid NOT NULL,
    emp_id uuid NOT NULL,
    emp_roles character varying(200) NOT NULL,
    comments character varying(200),
    owned_by uuid,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean NOT NULL
);


ALTER TABLE inv.committee_details OWNER TO uatcommongrp1;

--
-- Name: committee_type; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.committee_type (
    ct_id uuid NOT NULL,
    ct_name character varying(100) NOT NULL,
    ct_ref_no character varying(100) NOT NULL,
    status boolean NOT NULL,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean NOT NULL,
    owned_by uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid
);


ALTER TABLE inv.committee_type OWNER TO uatcommongrp1;

--
-- Name: common_attachment; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.common_attachment (
    id uuid NOT NULL,
    file_title character varying(255),
    file_id uuid,
    source_tbl character varying(50),
    source_row_id uuid,
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.common_attachment OWNER TO uatcommongrp1;

--
-- Name: damage_requisition_items; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.damage_requisition_items (
    id uuid NOT NULL,
    item_in_out_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    quantity double precision,
    type_id uuid NOT NULL,
    requisition_id uuid NOT NULL,
    justification character varying(200) NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone,
    is_approved boolean,
    approved_quantity double precision
);


ALTER TABLE inv.damage_requisition_items OWNER TO uatcommongrp1;

--
-- Name: damage_requisitions; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.damage_requisitions (
    id uuid NOT NULL,
    store_id uuid NOT NULL,
    applicant_organisation_id uuid NOT NULL,
    applicant_employee_id uuid,
    request_date timestamp without time zone NOT NULL,
    reference_number character varying(100) NOT NULL,
    remarks character varying(200),
    review_status character varying(20),
    is_executed boolean DEFAULT false NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.damage_requisitions OWNER TO uatcommongrp1;

--
-- Name: damage_types; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.damage_types (
    id uuid NOT NULL,
    name character varying(20) NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.damage_types OWNER TO uatcommongrp1;

--
-- Name: direct_stock_in; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.direct_stock_in (
    id uuid NOT NULL,
    store_id uuid NOT NULL,
    reference_no character varying(200),
    memo_no character varying(50),
    supplier character varying(50),
    status character varying(50),
    direct_stock_in_date timestamp without time zone,
    type character varying(200),
    approved_by uuid NOT NULL,
    approval_date timestamp without time zone NOT NULL,
    comments character varying(200),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.direct_stock_in OWNER TO uatcommongrp1;

--
-- Name: direct_stock_in_detail; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.direct_stock_in_detail (
    id uuid NOT NULL,
    direct_stock_in_id uuid NOT NULL,
    item_id uuid NOT NULL,
    unit_id uuid NOT NULL,
    currency_uom_id uuid NOT NULL,
    quantity numeric(20,6) NOT NULL,
    approved_qty numeric(20,6) NOT NULL,
    item_approval boolean NOT NULL,
    item_rate numeric(20,6),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.direct_stock_in_detail OWNER TO uatcommongrp1;

--
-- Name: direct_stock_out; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.direct_stock_out (
    id uuid NOT NULL,
    store_id uuid NOT NULL,
    reference_no character varying(200),
    status character varying(50),
    direct_stock_out_date timestamp without time zone,
    approved_by uuid,
    issued_to uuid NOT NULL,
    received_by uuid NOT NULL,
    approval_date timestamp without time zone,
    comments character varying(200),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.direct_stock_out OWNER TO uatcommongrp1;

--
-- Name: direct_stock_out_detail; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.direct_stock_out_detail (
    id uuid NOT NULL,
    direct_stock_out_id uuid NOT NULL,
    item_id uuid NOT NULL,
    unit_id uuid NOT NULL,
    currency_uom_id uuid NOT NULL,
    entitlement_id uuid,
    quantity numeric(20,6) NOT NULL,
    approved_qty numeric(20,6) NOT NULL,
    item_approval boolean NOT NULL,
    item_rate numeric(20,6),
    is_deleted boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.direct_stock_out_detail OWNER TO uatcommongrp1;

--
-- Name: emails; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.emails (
    id uuid NOT NULL,
    notification_id uuid NOT NULL,
    cc text,
    bcc text,
    recipients text NOT NULL,
    subject character varying(500) NOT NULL,
    attachments character varying(2500)
);


ALTER TABLE inv.emails OWNER TO uatcommongrp1;

--
-- Name: employee_pending_action_counts; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.employee_pending_action_counts (
    id uuid NOT NULL,
    employee_id uuid NOT NULL,
    source_table character varying(100) NOT NULL,
    source_row_id uuid NOT NULL,
    status character varying(30) NOT NULL,
    count integer DEFAULT 0 NOT NULL
);


ALTER TABLE inv.employee_pending_action_counts OWNER TO uatcommongrp1;

--
-- Name: entitlement_item_features; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.entitlement_item_features (
    id uuid NOT NULL,
    entitlement_item_id uuid NOT NULL,
    item_setup_feature_id uuid NOT NULL,
    value character varying(20) NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    updated_at timestamp without time zone
);


ALTER TABLE inv.entitlement_item_features OWNER TO uatcommongrp1;

--
-- Name: entitlement_items; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.entitlement_items (
    id uuid NOT NULL,
    item_setup_id uuid NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.entitlement_items OWNER TO uatcommongrp1;

--
-- Name: entitlement_quantities; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.entitlement_quantities (
    id uuid NOT NULL,
    entitlement_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    amount double precision NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.entitlement_quantities OWNER TO uatcommongrp1;

--
-- Name: entitlement_requisitions; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.entitlement_requisitions (
    id uuid NOT NULL,
    entitlement_id uuid NOT NULL,
    requisition_detail_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    amount double precision NOT NULL,
    uom_id uuid NOT NULL,
    is_retrieved boolean DEFAULT false NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.entitlement_requisitions OWNER TO uatcommongrp1;

--
-- Name: entitlement_types; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.entitlement_types (
    id uuid NOT NULL,
    name character varying(10) NOT NULL,
    bn_name character varying(100) NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.entitlement_types OWNER TO uatcommongrp1;

--
-- Name: entitlements; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.entitlements (
    id uuid NOT NULL,
    org_id uuid NOT NULL,
    post_id uuid NOT NULL,
    entitlement_item_id uuid NOT NULL,
    type_id uuid NOT NULL,
    started_from timestamp without time zone NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.entitlements OWNER TO uatcommongrp1;

--
-- Name: facility; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.facility (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    name character varying,
    address1 text,
    address2 text,
    email character varying,
    phone character varying,
    city character varying,
    latitude character varying,
    longitude character varying,
    product_description text,
    facility_type_id uuid,
    party_id uuid,
    country_id uuid
);


ALTER TABLE inv.facility OWNER TO uatcommongrp1;

--
-- Name: facility_type; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.facility_type (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    facility_type text
);


ALTER TABLE inv.facility_type OWNER TO uatcommongrp1;

--
-- Name: gate_pass; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.gate_pass (
    gate_pass_ref character varying(100) NOT NULL,
    officer_id uuid NOT NULL,
    gate_pass_date date NOT NULL,
    store_id uuid NOT NULL,
    employee_name character varying(100),
    remarks character varying(200),
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.gate_pass OWNER TO uatcommongrp1;

--
-- Name: gate_pass_file; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.gate_pass_file (
    id uuid NOT NULL,
    file_name character varying(100) NOT NULL,
    file_id character varying(150) NOT NULL,
    upload_date date NOT NULL,
    gate_pass_id uuid NOT NULL,
    is_deleted boolean NOT NULL
);


ALTER TABLE inv.gate_pass_file OWNER TO uatcommongrp1;

--
-- Name: gate_pass_item; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.gate_pass_item (
    item_id uuid NOT NULL,
    quantity numeric(20,6) NOT NULL,
    unit_id uuid NOT NULL,
    gate_pass_id uuid NOT NULL,
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.gate_pass_item OWNER TO uatcommongrp1;

--
-- Name: inspection_results; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.inspection_results (
    id uuid NOT NULL,
    inspected_uom_id uuid NOT NULL,
    inspected_quantity numeric(20,6) NOT NULL,
    passed_quantity numeric(20,6) NOT NULL,
    certificate_file_id uuid,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.inspection_results OWNER TO uatcommongrp1;

--
-- Name: inspections; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.inspections (
    id uuid NOT NULL,
    facility_id uuid NOT NULL,
    in_out_id uuid NOT NULL,
    process_type character varying(30) NOT NULL,
    result_id uuid,
    is_deleted boolean DEFAULT false NOT NULL,
    created_by uuid NOT NULL,
    created_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    updated_at timestamp without time zone
);


ALTER TABLE inv.inspections OWNER TO uatcommongrp1;

--
-- Name: item; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item (
    id uuid NOT NULL,
    item_setup_id uuid NOT NULL,
    item_code character varying(100) NOT NULL,
    expiry_date timestamp without time zone,
    serial_no character varying(100),
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean DEFAULT false,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.item OWNER TO uatcommongrp1;

--
-- Name: item_feature; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_feature (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    item_uom_id uuid,
    value character varying(256),
    bn_value character varying(256),
    description character varying(500),
    name character varying(500),
    item_id uuid NOT NULL,
    item_setup_feature_id uuid NOT NULL,
    uom_id uuid
);


ALTER TABLE inv.item_feature OWNER TO uatcommongrp1;

--
-- Name: item_feature_category; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_feature_category (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    category_name character varying(500),
    item_feature_group_id uuid NOT NULL
);


ALTER TABLE inv.item_feature_category OWNER TO uatcommongrp1;

--
-- Name: item_feature_group; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_feature_group (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    name character varying(500)
);


ALTER TABLE inv.item_feature_group OWNER TO uatcommongrp1;

--
-- Name: item_in_out; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_in_out (
    id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid,
    in_qty numeric(20,6),
    out_qty numeric(20,6),
    unit_price numeric(10,6),
    currency_uom_id uuid,
    created_date timestamp without time zone,
    transaction_type character varying(50),
    transaction_id uuid,
    detail_id uuid,
    stock_type character varying(50),
    store_id uuid,
    fiscal_year_id uuid,
    issued_qty numeric(20,6) DEFAULT 0,
    in_ref_id uuid,
    already_issued boolean DEFAULT false,
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.item_in_out OWNER TO uatcommongrp1;

--
-- Name: item_issue_return; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_issue_return (
    store_id uuid,
    item_id uuid,
    item_requisition_issue_id uuid,
    uom_id uuid,
    returned_by uuid,
    returned_qty numeric(20,6),
    comments character varying(50),
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.item_issue_return OWNER TO uatcommongrp1;

--
-- Name: item_issue_return_details; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_issue_return_details (
    item_issue_return_details_id uuid NOT NULL,
    item_issue_return_id uuid NOT NULL,
    item_id uuid NOT NULL,
    unit_id uuid NOT NULL,
    approved_qty numeric(20,6) NOT NULL,
    issued_qty numeric(20,6) NOT NULL,
    return_qty numeric(20,6) NOT NULL,
    comments character varying(200),
    owned_by uuid NOT NULL,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean NOT NULL
);


ALTER TABLE inv.item_issue_return_details OWNER TO uatcommongrp1;

--
-- Name: item_requisition; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_requisition (
    id uuid NOT NULL,
    project_id uuid,
    meeting_id uuid,
    event_id uuid,
    requisition_ref_no character varying(256),
    requisition_date timestamp without time zone,
    approved_by uuid,
    approval_date timestamp without time zone,
    approval_comments character varying(256),
    committee_id uuid,
    committee_comments character varying(256),
    remarks character varying(256),
    purpose integer,
    tentative_issue_date timestamp without time zone,
    is_complete boolean,
    status character varying(256),
    store_id uuid,
    approved_committee uuid,
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_by uuid,
    last_modified_by uuid,
    requisition_for uuid,
    requisition_by uuid
);


ALTER TABLE inv.item_requisition OWNER TO uatcommongrp1;

--
-- Name: item_requisition_detail_feature; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_requisition_detail_feature (
    id uuid NOT NULL,
    value character varying(500),
    uom_id uuid,
    item_setup_feature_id uuid NOT NULL,
    description character varying(500),
    name character varying(50),
    item_requisition_details_id uuid NOT NULL,
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.item_requisition_detail_feature OWNER TO uatcommongrp1;

--
-- Name: item_requisition_details; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_requisition_details (
    id uuid NOT NULL,
    requisition_id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    required_qty numeric(20,6) NOT NULL,
    approved_qty numeric(20,6) NOT NULL,
    revised_qty numeric(20,6) NOT NULL,
    committee_approved_qty numeric(20,6) NOT NULL,
    item_approval boolean NOT NULL,
    comments character varying(200),
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    entitlement_id uuid,
    last_modified_by uuid,
    entitlement_item_id uuid
);


ALTER TABLE inv.item_requisition_details OWNER TO uatcommongrp1;

--
-- Name: item_requisition_issue; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_requisition_issue (
    id uuid NOT NULL,
    item_requisition_detail_id uuid NOT NULL,
    store_id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    issue_date timestamp without time zone NOT NULL,
    issued_by uuid NOT NULL,
    received_by uuid NOT NULL,
    issued_qty numeric(20,6) NOT NULL,
    comments character varying(200),
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.item_requisition_issue OWNER TO uatcommongrp1;

--
-- Name: item_requisition_receivers; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_requisition_receivers (
    id uuid NOT NULL,
    requisition_id uuid NOT NULL,
    receiver_id uuid NOT NULL
);


ALTER TABLE inv.item_requisition_receivers OWNER TO uatcommongrp1;

--
-- Name: item_setup; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_setup (
    id uuid NOT NULL,
    category_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    item_name character varying(100),
    bn_item_name character varying(100),
    item_code character varying(100) NOT NULL,
    item_setup_type integer,
    depreciation_rate double precision,
    maintanance_cost double precision,
    hscode character varying(100),
    sub_ledger_account_code integer,
    maintain_as character varying(50) NOT NULL,
    storing_temperature double precision,
    storing_temperature_unit uuid,
    life_time double precision,
    life_time_unit uuid,
    item_status boolean NOT NULL,
    traditional boolean DEFAULT false,
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid,
    CONSTRAINT at_least_one_of_item_name_or_bn_item_name CHECK (((item_name IS NOT NULL) OR (bn_item_name IS NOT NULL)))
);


ALTER TABLE inv.item_setup OWNER TO uatcommongrp1;

--
-- Name: item_setup_feature; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_setup_feature (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean DEFAULT false,
    created_by uuid,
    last_modified_by uuid,
    item_uom_id uuid,
    name character varying(50),
    bn_name character varying(50),
    item_setup_id uuid NOT NULL,
    item_feature_category_id uuid,
    uom_id uuid,
    is_mandatory boolean,
    is_unique boolean,
    CONSTRAINT at_least_one_of_name_or_bn_name CHECK (((name IS NOT NULL) OR (bn_name IS NOT NULL)))
);


ALTER TABLE inv.item_setup_feature OWNER TO uatcommongrp1;

--
-- Name: item_stock; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.item_stock (
    id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    current_qty numeric(20,6) NOT NULL,
    opening_qty numeric(20,6),
    reserved_qty numeric(20,6),
    qa_inspection_qty numeric(20,6),
    blocked_qty numeric(20,6),
    stock_date timestamp without time zone,
    store_id uuid,
    fiscal_year_id uuid,
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.item_stock OWNER TO uatcommongrp1;

--
-- Name: material_delivery; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.material_delivery (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    courier_send_date timestamp without time zone,
    courier_receive_date timestamp without time zone,
    comment text,
    courier_id uuid,
    courier_ref_no text,
    status text
);


ALTER TABLE inv.material_delivery OWNER TO uatcommongrp1;

--
-- Name: material_delivery_detail; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.material_delivery_detail (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    quantity numeric(20,6),
    status text,
    store_item_requisition_id uuid NOT NULL,
    store_item_requisition_detail_id uuid NOT NULL,
    material_delivery_id uuid NOT NULL
);


ALTER TABLE inv.material_delivery_detail OWNER TO uatcommongrp1;

--
-- Name: material_delivery_detail_track; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.material_delivery_detail_track (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    received_qty numeric(20,6),
    passed_qty numeric(20,6),
    status text,
    received_by uuid,
    inspected_by uuid,
    is_store_received boolean DEFAULT false,
    material_delivery_detail_id uuid NOT NULL
);


ALTER TABLE inv.material_delivery_detail_track OWNER TO uatcommongrp1;

--
-- Name: notifications; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.notifications (
    id uuid NOT NULL,
    content text NOT NULL,
    sender text NOT NULL,
    sent_on timestamp without time zone,
    request_id uuid NOT NULL
);


ALTER TABLE inv.notifications OWNER TO uatcommongrp1;

--
-- Name: office_type; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.office_type (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    office_type text
);


ALTER TABLE inv.office_type OWNER TO uatcommongrp1;

--
-- Name: opening_stock; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.opening_stock (
    id uuid NOT NULL,
    store_id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    opening_qty numeric(20,6) NOT NULL,
    reserved_qty numeric(20,6),
    qa_inspection_qty numeric(20,6),
    blocked_qty numeric(20,6),
    item_rate numeric(20,6),
    currency_uom_id uuid NOT NULL,
    comments character varying(200),
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    opening_stock_date timestamp without time zone,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.opening_stock OWNER TO uatcommongrp1;

--
-- Name: party; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    name text,
    remark text,
    party_type_id uuid,
    party_business_type_id uuid,
    party_bank_detail_id uuid,
    party_person_id uuid
);


ALTER TABLE inv.party OWNER TO uatcommongrp1;

--
-- Name: party_bank_detail; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_bank_detail (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    bank_name text,
    branch_name text,
    account_name text,
    account_number text
);


ALTER TABLE inv.party_bank_detail OWNER TO uatcommongrp1;

--
-- Name: party_business_type; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_business_type (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    type text
);


ALTER TABLE inv.party_business_type OWNER TO uatcommongrp1;

--
-- Name: party_contact_information; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_contact_information (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    name character varying(500),
    address1 text,
    address2 text,
    email character varying(255),
    phone character varying(255),
    attention character varying(255),
    contact_type character varying(255),
    city character varying(255),
    src_entity_type character varying(255),
    src_entity_id uuid,
    country_id uuid
);


ALTER TABLE inv.party_contact_information OWNER TO uatcommongrp1;

--
-- Name: party_organization; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_organization (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    name text,
    party_id uuid NOT NULL,
    office_type_id uuid
);


ALTER TABLE inv.party_organization OWNER TO uatcommongrp1;

--
-- Name: party_person; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_person (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    first_name text,
    last_name text,
    gender text,
    dob timestamp without time zone
);


ALTER TABLE inv.party_person OWNER TO uatcommongrp1;

--
-- Name: party_role; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_role (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    role_name text
);


ALTER TABLE inv.party_role OWNER TO uatcommongrp1;

--
-- Name: party_role_assignment; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_role_assignment (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    party_id uuid NOT NULL,
    party_role_id uuid NOT NULL
);


ALTER TABLE inv.party_role_assignment OWNER TO uatcommongrp1;

--
-- Name: party_skill; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_skill (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    name text,
    party_id uuid NOT NULL
);


ALTER TABLE inv.party_skill OWNER TO uatcommongrp1;

--
-- Name: party_type; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.party_type (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    type text
);


ALTER TABLE inv.party_type OWNER TO uatcommongrp1;

--
-- Name: physical_inventory; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.physical_inventory (
    store_id uuid NOT NULL,
    reference_no character varying(50),
    investigating_officer_id uuid,
    inspection_date timestamp without time zone,
    remarks character varying(200),
    approved_by uuid,
    approval_date timestamp without time zone,
    status character varying(50),
    fiscal_year_id uuid,
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.physical_inventory OWNER TO uatcommongrp1;

--
-- Name: physical_inventory_details; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.physical_inventory_details (
    physical_inventory_id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    physical_qty numeric(20,6) NOT NULL,
    inventory_qty numeric(20,6) NOT NULL,
    approved_qty numeric(20,6) NOT NULL,
    comments character varying(200),
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    adjustment_qty numeric(20,6)
);


ALTER TABLE inv.physical_inventory_details OWNER TO uatcommongrp1;

--
-- Name: purchase_item_delivery_location; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_item_delivery_location (
    id uuid NOT NULL,
    purchase_order_detail_id uuid,
    party_id uuid,
    store_id uuid,
    deliverable_quantity numeric(20,6),
    received_quantity numeric(20,6) DEFAULT 0,
    returned_quantity numeric(20,6) DEFAULT 0,
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    created_by uuid,
    org_id uuid NOT NULL,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_item_delivery_location OWNER TO uatcommongrp1;

--
-- Name: purchase_item_return; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_item_return (
    id uuid NOT NULL,
    purchase_item_delivery_location_id uuid,
    return_date timestamp without time zone,
    returned_quantity numeric(20,6) DEFAULT 0,
    uom_id uuid,
    return_reason character varying(50),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    created_by uuid,
    org_id uuid NOT NULL,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_item_return OWNER TO uatcommongrp1;

--
-- Name: purchase_order; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_order (
    id uuid NOT NULL,
    purchase_requisition_id uuid NOT NULL,
    vendor_id uuid,
    purchase_order_no character varying(100),
    purchase_order_date timestamp without time zone,
    is_complete boolean DEFAULT false,
    status character varying(50) DEFAULT 'pending'::character varying NOT NULL,
    store_id uuid,
    has_inspection boolean NOT NULL,
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_order OWNER TO uatcommongrp1;

--
-- Name: purchase_order_detail; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_order_detail (
    id uuid NOT NULL,
    purchase_order_id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    ordered_qty numeric(20,6) NOT NULL,
    received_qty numeric(20,6) DEFAULT 0,
    returned_quantity numeric(20,6) DEFAULT 0,
    currency_uom_id uuid NOT NULL,
    item_price numeric(20,6) DEFAULT 0,
    inspection_id uuid,
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_order_detail OWNER TO uatcommongrp1;

--
-- Name: purchase_order_detail_feature; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_order_detail_feature (
    id uuid NOT NULL,
    value character varying(500),
    uom_id uuid,
    item_setup_feature_id uuid NOT NULL,
    description character varying(50),
    name character varying(50),
    purchase_order_detail_id uuid NOT NULL,
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_order_detail_feature OWNER TO uatcommongrp1;

--
-- Name: purchase_requisition; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_requisition (
    id uuid NOT NULL,
    requisition_by uuid NOT NULL,
    requisition_ref_no character varying(50),
    requisition_date timestamp without time zone,
    approved_by uuid,
    approval_date timestamp without time zone,
    remarks character varying(100),
    is_complete boolean,
    status character varying(50),
    store_id uuid,
    purpose character varying(50),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_requisition OWNER TO uatcommongrp1;

--
-- Name: purchase_requisition_detail_feature; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_requisition_detail_feature (
    id uuid NOT NULL,
    value character varying(500),
    uom_id uuid,
    item_setup_feature_id uuid NOT NULL,
    description character varying(50),
    name character varying(50),
    purchase_requisition_details_id uuid NOT NULL,
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_requisition_detail_feature OWNER TO uatcommongrp1;

--
-- Name: purchase_requisition_details; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.purchase_requisition_details (
    id uuid NOT NULL,
    requisition_id uuid NOT NULL,
    item_id uuid NOT NULL,
    uom_id uuid NOT NULL,
    required_qty integer NOT NULL,
    approved_qty integer NOT NULL,
    revised_qty integer NOT NULL,
    committee_approved_qty integer NOT NULL,
    item_approval boolean NOT NULL,
    comments character varying(200),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.purchase_requisition_details OWNER TO uatcommongrp1;

--
-- Name: push_notifications; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.push_notifications (
    id uuid NOT NULL,
    notification_id uuid NOT NULL,
    is_viewed boolean DEFAULT false NOT NULL,
    is_clicked boolean DEFAULT false NOT NULL,
    type character varying(20) NOT NULL,
    recipient uuid NOT NULL
);


ALTER TABLE inv.push_notifications OWNER TO uatcommongrp1;

--
-- Name: reorder_level; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.reorder_level (
    reorderlevel_id uuid NOT NULL,
    store_id uuid NOT NULL,
    item_id uuid NOT NULL,
    cat_id uuid NOT NULL,
    unit_id uuid NOT NULL,
    reorder_level numeric(20,6) NOT NULL,
    low_level numeric(20,6) NOT NULL,
    high_level numeric(20,6),
    remarks character varying(200),
    owned_by uuid NOT NULL,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid
);


ALTER TABLE inv.reorder_level OWNER TO uatcommongrp1;

--
-- Name: requests; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.requests (
    id uuid NOT NULL,
    created_on timestamp without time zone DEFAULT now() NOT NULL,
    module_name character varying(10) NOT NULL,
    user_id uuid NOT NULL,
    org_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid
);


ALTER TABLE inv.requests OWNER TO uatcommongrp1;

--
-- Name: review_action; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.review_action (
    id uuid NOT NULL,
    source_tbl character varying(50),
    source_row_id uuid,
    requested_by uuid,
    request_time timestamp without time zone,
    assigned_to uuid,
    committee_id uuid,
    review_time timestamp without time zone,
    review_action_type_id uuid,
    forwarded_id uuid,
    return_comment character varying(250),
    is_complete boolean,
    is_rejected boolean DEFAULT false,
    is_disabled boolean DEFAULT false,
    json_details character varying(250),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.review_action OWNER TO uatcommongrp1;

--
-- Name: review_action_detail; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.review_action_detail (
    id uuid NOT NULL,
    review_action_id uuid NOT NULL,
    detail_id uuid,
    audited_qty numeric(20,6),
    status boolean,
    remark character varying(150),
    is_deleted boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.review_action_detail OWNER TO uatcommongrp1;

--
-- Name: review_action_type; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.review_action_type (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    action_name character varying(40),
    priority integer
);


ALTER TABLE inv.review_action_type OWNER TO uatcommongrp1;

--
-- Name: review_job_type; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.review_job_type (
    id uuid NOT NULL,
    job_name character varying(50),
    table_name character varying(50)
);


ALTER TABLE inv.review_job_type OWNER TO uatcommongrp1;

--
-- Name: role_authority_mappings; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.role_authority_mappings (
    id uuid NOT NULL,
    role_id uuid NOT NULL,
    authority_id integer NOT NULL
);


ALTER TABLE inv.role_authority_mappings OWNER TO uatcommongrp1;

--
-- Name: roles; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.roles (
    id uuid NOT NULL,
    created_on timestamp without time zone DEFAULT now() NOT NULL,
    created_by uuid,
    updated_on timestamp without time zone,
    description text,
    name character varying(50) NOT NULL,
    updated_by uuid,
    organisation_id uuid NOT NULL
);


ALTER TABLE inv.roles OWNER TO uatcommongrp1;

--
-- Name: store; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.store (
    store_id uuid NOT NULL,
    store_in_charge uuid NOT NULL,
    store_keeper uuid NOT NULL,
    store_name character varying(100),
    bn_store_name character varying(100),
    store_location character varying(100) NOT NULL,
    store_code character varying(100) NOT NULL,
    store_status boolean,
    opening_date timestamp without time zone NOT NULL,
    comment character varying(50),
    owned_by uuid NOT NULL,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    project_id uuid,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    office_id uuid,
    CONSTRAINT at_least_one_of_store_name_or_bn_store_name CHECK (((store_name IS NOT NULL) OR (bn_store_name IS NOT NULL)))
);


ALTER TABLE inv.store OWNER TO uatcommongrp1;

--
-- Name: store_designation; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.store_designation (
    id uuid NOT NULL,
    name character varying(100) NOT NULL,
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.store_designation OWNER TO uatcommongrp1;

--
-- Name: store_employee; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.store_employee (
    id uuid NOT NULL,
    store_id uuid NOT NULL,
    active_date timestamp without time zone NOT NULL,
    emp_id uuid NOT NULL,
    store_designation_id uuid NOT NULL,
    is_deleted boolean,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id uuid NOT NULL,
    employee_id uuid NOT NULL,
    proxy_user_id uuid,
    org_id uuid NOT NULL,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.store_employee OWNER TO uatcommongrp1;

--
-- Name: store_item_requisition; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.store_item_requisition (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    from_store_id uuid,
    to_party_id uuid,
    to_facility_id uuid,
    to_store_id uuid,
    requisition_ref_no character varying(50),
    requisition_date timestamp without time zone,
    courier_name character varying(100),
    courier_send_date timestamp without time zone,
    courier_receive_date timestamp without time zone,
    status character varying(100),
    item_courier_id uuid
);


ALTER TABLE inv.store_item_requisition OWNER TO uatcommongrp1;

--
-- Name: store_item_requisition_detail; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.store_item_requisition_detail (
    id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid,
    required_qty numeric(20,6),
    revised_qty numeric(20,6),
    approved_qty numeric(20,6),
    issued_qty numeric(20,6),
    store_remark text,
    approval_remark text,
    inspection_status text,
    uom_id uuid NOT NULL,
    item_id uuid NOT NULL,
    store_item_requisition_id uuid NOT NULL
);


ALTER TABLE inv.store_item_requisition_detail OWNER TO uatcommongrp1;

--
-- Name: store_item_setup_mapping; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.store_item_setup_mapping (
    id uuid NOT NULL,
    store_id uuid NOT NULL,
    item_setup_id uuid NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    is_deleted boolean,
    created_by uuid,
    last_modified_by uuid
);


ALTER TABLE inv.store_item_setup_mapping OWNER TO uatcommongrp1;

--
-- Name: tbl_file; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.tbl_file (
    file_id uuid NOT NULL,
    module_name text NOT NULL,
    file_original_name character varying(250) NOT NULL,
    file_saved_name character varying(100) NOT NULL,
    file_type character varying(100) NOT NULL,
    file_size bigint NOT NULL,
    is_deleted boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone DEFAULT now() NOT NULL,
    download_link text
);


ALTER TABLE inv.tbl_file OWNER TO uatcommongrp1;

--
-- Name: tbl_sms; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.tbl_sms (
    id uuid NOT NULL,
    notification_id uuid NOT NULL,
    recipients text NOT NULL
);


ALTER TABLE inv.tbl_sms OWNER TO uatcommongrp1;

--
-- Name: unit; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.unit (
    unit_id uuid NOT NULL,
    unit_name character varying(100) NOT NULL,
    unit_code character varying(50) NOT NULL,
    parent_unit_id uuid,
    status boolean NOT NULL,
    conversion_rate character varying(50) NOT NULL,
    owned_by uuid NOT NULL,
    created_date timestamp without time zone NOT NULL,
    is_deleted boolean NOT NULL,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid
);


ALTER TABLE inv.unit OWNER TO uatcommongrp1;

--
-- Name: uom; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.uom (
    id uuid NOT NULL,
    uom_id character varying NOT NULL,
    bn_uom_id character varying,
    uom_type_id character varying(100),
    abbreviation character varying(100),
    description character varying,
    created_date timestamp without time zone,
    is_deleted boolean DEFAULT false,
    user_id uuid,
    employee_id uuid,
    proxy_user_id uuid,
    org_id uuid,
    CONSTRAINT at_least_one_of_uom_id_or_bn_uom_id CHECK (((uom_id IS NOT NULL) OR (bn_uom_id IS NOT NULL)))
);


ALTER TABLE inv.uom OWNER TO uatcommongrp1;

--
-- Name: uom_category; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.uom_category (
    uom_type_id character varying NOT NULL
);


ALTER TABLE inv.uom_category OWNER TO uatcommongrp1;

--
-- Name: uom_conversion; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.uom_conversion (
    id uuid NOT NULL,
    uom_id character varying,
    uom_id_to character varying,
    conversion_factor double precision,
    custom_method_id character varying,
    decimal_scale double precision,
    rounding_mode character varying,
    created_date timestamp without time zone
);


ALTER TABLE inv.uom_conversion OWNER TO uatcommongrp1;

--
-- Name: user_role_mappings; Type: TABLE; Schema: inv; Owner: uatcommongrp1
--

CREATE TABLE inv.user_role_mappings (
    id uuid NOT NULL,
    user_id uuid NOT NULL,
    role_id uuid NOT NULL,
    office_unit_post_id uuid NOT NULL
);


ALTER TABLE inv.user_role_mappings OWNER TO uatcommongrp1;

--
-- Name: view_item_opening_stock; Type: VIEW; Schema: inv; Owner: uatcommongrp1
--

CREATE VIEW inv.view_item_opening_stock AS
 SELECT item_setup.id AS item_id,
    item_setup.id,
    item_setup.item_name,
    category.category_id,
    category.cat_name,
    unit.unit_id,
    unit.unit_name,
    store.store_id,
    store.store_name
   FROM ((((inv.item_setup
     JOIN inv.opening_stock ON ((opening_stock.item_id = item_setup.id)))
     JOIN inv.category ON ((category.category_id = item_setup.category_id)))
     JOIN inv.unit ON ((unit.unit_id = item_setup.uom_id)))
     JOIN inv.store ON ((store.store_id = opening_stock.store_id)));


ALTER TABLE inv.view_item_opening_stock OWNER TO uatcommongrp1;

--
-- Data for Name: authorities; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.authorities (id, name, endpoint, method, service) FROM stdin;
\.
COPY inv.authorities (id, name, endpoint, method, service) FROM '$$PATH$$/5668.dat';

--
-- Data for Name: authority_authority_mappings; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.authority_authority_mappings (id, parent_id, child_id) FROM stdin;
\.
COPY inv.authority_authority_mappings (id, parent_id, child_id) FROM '$$PATH$$/5670.dat';

--
-- Data for Name: category; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.category (category_id, parent_category_id, cat_name, bn_cat_name, cat_description, status, owned_by, created_date, is_deleted, is_trackable, accounts_category, user_id, employee_id, proxy_user_id, org_id) FROM stdin;
\.
COPY inv.category (category_id, parent_category_id, cat_name, bn_cat_name, cat_description, status, owned_by, created_date, is_deleted, is_trackable, accounts_category, user_id, employee_id, proxy_user_id, org_id) FROM '$$PATH$$/5671.dat';

--
-- Data for Name: committee; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.committee (committee_id, ct_id, authorised_by, approved_by, committee_name, min_no_member, max_no_member, forming_date, purpose, comments, status, owned_by, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM stdin;
\.
COPY inv.committee (committee_id, ct_id, authorised_by, approved_by, committee_name, min_no_member, max_no_member, forming_date, purpose, comments, status, owned_by, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM '$$PATH$$/5672.dat';

--
-- Data for Name: committee_details; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.committee_details (qcd_id, committee_id, emp_id, emp_roles, comments, owned_by, created_date, is_deleted) FROM stdin;
\.
COPY inv.committee_details (qcd_id, committee_id, emp_id, emp_roles, comments, owned_by, created_date, is_deleted) FROM '$$PATH$$/5673.dat';

--
-- Data for Name: committee_type; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.committee_type (ct_id, ct_name, ct_ref_no, status, created_date, is_deleted, owned_by, user_id, employee_id, proxy_user_id, org_id) FROM stdin;
\.
COPY inv.committee_type (ct_id, ct_name, ct_ref_no, status, created_date, is_deleted, owned_by, user_id, employee_id, proxy_user_id, org_id) FROM '$$PATH$$/5674.dat';

--
-- Data for Name: common_attachment; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.common_attachment (id, file_title, file_id, source_tbl, source_row_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.common_attachment (id, file_title, file_id, source_tbl, source_row_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5675.dat';

--
-- Data for Name: damage_requisition_items; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.damage_requisition_items (id, item_in_out_id, uom_id, quantity, type_id, requisition_id, justification, is_deleted, created_by, created_at, updated_at, is_approved, approved_quantity) FROM stdin;
\.
COPY inv.damage_requisition_items (id, item_in_out_id, uom_id, quantity, type_id, requisition_id, justification, is_deleted, created_by, created_at, updated_at, is_approved, approved_quantity) FROM '$$PATH$$/5676.dat';

--
-- Data for Name: damage_requisitions; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.damage_requisitions (id, store_id, applicant_organisation_id, applicant_employee_id, request_date, reference_number, remarks, review_status, is_executed, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.damage_requisitions (id, store_id, applicant_organisation_id, applicant_employee_id, request_date, reference_number, remarks, review_status, is_executed, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5677.dat';

--
-- Data for Name: damage_types; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.damage_types (id, name, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.damage_types (id, name, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5678.dat';

--
-- Data for Name: direct_stock_in; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.direct_stock_in (id, store_id, reference_no, memo_no, supplier, status, direct_stock_in_date, type, approved_by, approval_date, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.direct_stock_in (id, store_id, reference_no, memo_no, supplier, status, direct_stock_in_date, type, approved_by, approval_date, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5679.dat';

--
-- Data for Name: direct_stock_in_detail; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.direct_stock_in_detail (id, direct_stock_in_id, item_id, unit_id, currency_uom_id, quantity, approved_qty, item_approval, item_rate, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.direct_stock_in_detail (id, direct_stock_in_id, item_id, unit_id, currency_uom_id, quantity, approved_qty, item_approval, item_rate, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5680.dat';

--
-- Data for Name: direct_stock_out; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.direct_stock_out (id, store_id, reference_no, status, direct_stock_out_date, approved_by, issued_to, received_by, approval_date, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.direct_stock_out (id, store_id, reference_no, status, direct_stock_out_date, approved_by, issued_to, received_by, approval_date, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5681.dat';

--
-- Data for Name: direct_stock_out_detail; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.direct_stock_out_detail (id, direct_stock_out_id, item_id, unit_id, currency_uom_id, entitlement_id, quantity, approved_qty, item_approval, item_rate, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.direct_stock_out_detail (id, direct_stock_out_id, item_id, unit_id, currency_uom_id, entitlement_id, quantity, approved_qty, item_approval, item_rate, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5682.dat';

--
-- Data for Name: emails; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.emails (id, notification_id, cc, bcc, recipients, subject, attachments) FROM stdin;
\.
COPY inv.emails (id, notification_id, cc, bcc, recipients, subject, attachments) FROM '$$PATH$$/5683.dat';

--
-- Data for Name: employee_pending_action_counts; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.employee_pending_action_counts (id, employee_id, source_table, source_row_id, status, count) FROM stdin;
\.
COPY inv.employee_pending_action_counts (id, employee_id, source_table, source_row_id, status, count) FROM '$$PATH$$/5684.dat';

--
-- Data for Name: entitlement_item_features; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.entitlement_item_features (id, entitlement_item_id, item_setup_feature_id, value, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.entitlement_item_features (id, entitlement_item_id, item_setup_feature_id, value, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5685.dat';

--
-- Data for Name: entitlement_items; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.entitlement_items (id, item_setup_id, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.entitlement_items (id, item_setup_id, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5686.dat';

--
-- Data for Name: entitlement_quantities; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.entitlement_quantities (id, entitlement_id, uom_id, amount, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.entitlement_quantities (id, entitlement_id, uom_id, amount, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5687.dat';

--
-- Data for Name: entitlement_requisitions; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.entitlement_requisitions (id, entitlement_id, requisition_detail_id, employee_id, amount, uom_id, is_retrieved, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.entitlement_requisitions (id, entitlement_id, requisition_detail_id, employee_id, amount, uom_id, is_retrieved, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5688.dat';

--
-- Data for Name: entitlement_types; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.entitlement_types (id, name, bn_name, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.entitlement_types (id, name, bn_name, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5689.dat';

--
-- Data for Name: entitlements; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.entitlements (id, org_id, post_id, entitlement_item_id, type_id, started_from, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.entitlements (id, org_id, post_id, entitlement_item_id, type_id, started_from, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5690.dat';

--
-- Data for Name: facility; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.facility (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, address1, address2, email, phone, city, latitude, longitude, product_description, facility_type_id, party_id, country_id) FROM stdin;
\.
COPY inv.facility (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, address1, address2, email, phone, city, latitude, longitude, product_description, facility_type_id, party_id, country_id) FROM '$$PATH$$/5691.dat';

--
-- Data for Name: facility_type; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.facility_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, facility_type) FROM stdin;
\.
COPY inv.facility_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, facility_type) FROM '$$PATH$$/5692.dat';

--
-- Data for Name: gate_pass; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.gate_pass (gate_pass_ref, officer_id, gate_pass_date, store_id, employee_name, remarks, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM stdin;
\.
COPY inv.gate_pass (gate_pass_ref, officer_id, gate_pass_date, store_id, employee_name, remarks, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM '$$PATH$$/5693.dat';

--
-- Data for Name: gate_pass_file; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.gate_pass_file (id, file_name, file_id, upload_date, gate_pass_id, is_deleted) FROM stdin;
\.
COPY inv.gate_pass_file (id, file_name, file_id, upload_date, gate_pass_id, is_deleted) FROM '$$PATH$$/5694.dat';

--
-- Data for Name: gate_pass_item; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.gate_pass_item (item_id, quantity, unit_id, gate_pass_id, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM stdin;
\.
COPY inv.gate_pass_item (item_id, quantity, unit_id, gate_pass_id, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM '$$PATH$$/5695.dat';

--
-- Data for Name: inspection_results; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.inspection_results (id, inspected_uom_id, inspected_quantity, passed_quantity, certificate_file_id, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.inspection_results (id, inspected_uom_id, inspected_quantity, passed_quantity, certificate_file_id, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5696.dat';

--
-- Data for Name: inspections; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.inspections (id, facility_id, in_out_id, process_type, result_id, is_deleted, created_by, created_at, updated_at) FROM stdin;
\.
COPY inv.inspections (id, facility_id, in_out_id, process_type, result_id, is_deleted, created_by, created_at, updated_at) FROM '$$PATH$$/5697.dat';

--
-- Data for Name: item; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item (id, item_setup_id, item_code, expiry_date, serial_no, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM stdin;
\.
COPY inv.item (id, item_setup_id, item_code, expiry_date, serial_no, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM '$$PATH$$/5698.dat';

--
-- Data for Name: item_feature; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_feature (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, item_uom_id, value, bn_value, description, name, item_id, item_setup_feature_id, uom_id) FROM stdin;
\.
COPY inv.item_feature (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, item_uom_id, value, bn_value, description, name, item_id, item_setup_feature_id, uom_id) FROM '$$PATH$$/5699.dat';

--
-- Data for Name: item_feature_category; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_feature_category (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, category_name, item_feature_group_id) FROM stdin;
\.
COPY inv.item_feature_category (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, category_name, item_feature_group_id) FROM '$$PATH$$/5700.dat';

--
-- Data for Name: item_feature_group; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_feature_group (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name) FROM stdin;
\.
COPY inv.item_feature_group (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name) FROM '$$PATH$$/5701.dat';

--
-- Data for Name: item_in_out; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_in_out (id, item_id, uom_id, in_qty, out_qty, unit_price, currency_uom_id, created_date, transaction_type, transaction_id, detail_id, stock_type, store_id, fiscal_year_id, issued_qty, in_ref_id, already_issued, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.item_in_out (id, item_id, uom_id, in_qty, out_qty, unit_price, currency_uom_id, created_date, transaction_type, transaction_id, detail_id, stock_type, store_id, fiscal_year_id, issued_qty, in_ref_id, already_issued, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5702.dat';

--
-- Data for Name: item_issue_return; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_issue_return (store_id, item_id, item_requisition_issue_id, uom_id, returned_by, returned_qty, comments, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM stdin;
\.
COPY inv.item_issue_return (store_id, item_id, item_requisition_issue_id, uom_id, returned_by, returned_qty, comments, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM '$$PATH$$/5703.dat';

--
-- Data for Name: item_issue_return_details; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_issue_return_details (item_issue_return_details_id, item_issue_return_id, item_id, unit_id, approved_qty, issued_qty, return_qty, comments, owned_by, created_date, is_deleted) FROM stdin;
\.
COPY inv.item_issue_return_details (item_issue_return_details_id, item_issue_return_id, item_id, unit_id, approved_qty, issued_qty, return_qty, comments, owned_by, created_date, is_deleted) FROM '$$PATH$$/5704.dat';

--
-- Data for Name: item_requisition; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_requisition (id, project_id, meeting_id, event_id, requisition_ref_no, requisition_date, approved_by, approval_date, approval_comments, committee_id, committee_comments, remarks, purpose, tentative_issue_date, is_complete, status, store_id, approved_committee, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by, requisition_for, requisition_by) FROM stdin;
\.
COPY inv.item_requisition (id, project_id, meeting_id, event_id, requisition_ref_no, requisition_date, approved_by, approval_date, approval_comments, committee_id, committee_comments, remarks, purpose, tentative_issue_date, is_complete, status, store_id, approved_committee, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by, requisition_for, requisition_by) FROM '$$PATH$$/5705.dat';

--
-- Data for Name: item_requisition_detail_feature; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_requisition_detail_feature (id, value, uom_id, item_setup_feature_id, description, name, item_requisition_details_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.item_requisition_detail_feature (id, value, uom_id, item_setup_feature_id, description, name, item_requisition_details_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5706.dat';

--
-- Data for Name: item_requisition_details; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_requisition_details (id, requisition_id, item_id, uom_id, required_qty, approved_qty, revised_qty, committee_approved_qty, item_approval, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, entitlement_id, last_modified_by, entitlement_item_id) FROM stdin;
\.
COPY inv.item_requisition_details (id, requisition_id, item_id, uom_id, required_qty, approved_qty, revised_qty, committee_approved_qty, item_approval, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, entitlement_id, last_modified_by, entitlement_item_id) FROM '$$PATH$$/5707.dat';

--
-- Data for Name: item_requisition_issue; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_requisition_issue (id, item_requisition_detail_id, store_id, item_id, uom_id, issue_date, issued_by, received_by, issued_qty, comments, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM stdin;
\.
COPY inv.item_requisition_issue (id, item_requisition_detail_id, store_id, item_id, uom_id, issue_date, issued_by, received_by, issued_qty, comments, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM '$$PATH$$/5708.dat';

--
-- Data for Name: item_requisition_receivers; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_requisition_receivers (id, requisition_id, receiver_id) FROM stdin;
\.
COPY inv.item_requisition_receivers (id, requisition_id, receiver_id) FROM '$$PATH$$/5709.dat';

--
-- Data for Name: item_setup; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_setup (id, category_id, uom_id, item_name, bn_item_name, item_code, item_setup_type, depreciation_rate, maintanance_cost, hscode, sub_ledger_account_code, maintain_as, storing_temperature, storing_temperature_unit, life_time, life_time_unit, item_status, traditional, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.item_setup (id, category_id, uom_id, item_name, bn_item_name, item_code, item_setup_type, depreciation_rate, maintanance_cost, hscode, sub_ledger_account_code, maintain_as, storing_temperature, storing_temperature_unit, life_time, life_time_unit, item_status, traditional, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5710.dat';

--
-- Data for Name: item_setup_feature; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_setup_feature (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, item_uom_id, name, bn_name, item_setup_id, item_feature_category_id, uom_id, is_mandatory, is_unique) FROM stdin;
\.
COPY inv.item_setup_feature (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, item_uom_id, name, bn_name, item_setup_id, item_feature_category_id, uom_id, is_mandatory, is_unique) FROM '$$PATH$$/5711.dat';

--
-- Data for Name: item_stock; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.item_stock (id, item_id, uom_id, current_qty, opening_qty, reserved_qty, qa_inspection_qty, blocked_qty, stock_date, store_id, fiscal_year_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.item_stock (id, item_id, uom_id, current_qty, opening_qty, reserved_qty, qa_inspection_qty, blocked_qty, stock_date, store_id, fiscal_year_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5712.dat';

--
-- Data for Name: material_delivery; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.material_delivery (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, courier_send_date, courier_receive_date, comment, courier_id, courier_ref_no, status) FROM stdin;
\.
COPY inv.material_delivery (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, courier_send_date, courier_receive_date, comment, courier_id, courier_ref_no, status) FROM '$$PATH$$/5713.dat';

--
-- Data for Name: material_delivery_detail; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.material_delivery_detail (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, quantity, status, store_item_requisition_id, store_item_requisition_detail_id, material_delivery_id) FROM stdin;
\.
COPY inv.material_delivery_detail (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, quantity, status, store_item_requisition_id, store_item_requisition_detail_id, material_delivery_id) FROM '$$PATH$$/5714.dat';

--
-- Data for Name: material_delivery_detail_track; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.material_delivery_detail_track (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, received_qty, passed_qty, status, received_by, inspected_by, is_store_received, material_delivery_detail_id) FROM stdin;
\.
COPY inv.material_delivery_detail_track (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, received_qty, passed_qty, status, received_by, inspected_by, is_store_received, material_delivery_detail_id) FROM '$$PATH$$/5715.dat';

--
-- Data for Name: notifications; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.notifications (id, content, sender, sent_on, request_id) FROM stdin;
\.
COPY inv.notifications (id, content, sender, sent_on, request_id) FROM '$$PATH$$/5716.dat';

--
-- Data for Name: office_type; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.office_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, office_type) FROM stdin;
\.
COPY inv.office_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, office_type) FROM '$$PATH$$/5717.dat';

--
-- Data for Name: opening_stock; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.opening_stock (id, store_id, item_id, uom_id, opening_qty, reserved_qty, qa_inspection_qty, blocked_qty, item_rate, currency_uom_id, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, opening_stock_date, created_by, last_modified_by) FROM stdin;
\.
COPY inv.opening_stock (id, store_id, item_id, uom_id, opening_qty, reserved_qty, qa_inspection_qty, blocked_qty, item_rate, currency_uom_id, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, opening_stock_date, created_by, last_modified_by) FROM '$$PATH$$/5718.dat';

--
-- Data for Name: party; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, remark, party_type_id, party_business_type_id, party_bank_detail_id, party_person_id) FROM stdin;
\.
COPY inv.party (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, remark, party_type_id, party_business_type_id, party_bank_detail_id, party_person_id) FROM '$$PATH$$/5719.dat';

--
-- Data for Name: party_bank_detail; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_bank_detail (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, bank_name, branch_name, account_name, account_number) FROM stdin;
\.
COPY inv.party_bank_detail (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, bank_name, branch_name, account_name, account_number) FROM '$$PATH$$/5720.dat';

--
-- Data for Name: party_business_type; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_business_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, type) FROM stdin;
\.
COPY inv.party_business_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, type) FROM '$$PATH$$/5721.dat';

--
-- Data for Name: party_contact_information; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_contact_information (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, address1, address2, email, phone, attention, contact_type, city, src_entity_type, src_entity_id, country_id) FROM stdin;
\.
COPY inv.party_contact_information (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, address1, address2, email, phone, attention, contact_type, city, src_entity_type, src_entity_id, country_id) FROM '$$PATH$$/5722.dat';

--
-- Data for Name: party_organization; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_organization (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, party_id, office_type_id) FROM stdin;
\.
COPY inv.party_organization (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, party_id, office_type_id) FROM '$$PATH$$/5723.dat';

--
-- Data for Name: party_person; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_person (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, first_name, last_name, gender, dob) FROM stdin;
\.
COPY inv.party_person (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, first_name, last_name, gender, dob) FROM '$$PATH$$/5724.dat';

--
-- Data for Name: party_role; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_role (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, role_name) FROM stdin;
\.
COPY inv.party_role (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, role_name) FROM '$$PATH$$/5725.dat';

--
-- Data for Name: party_role_assignment; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_role_assignment (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, party_id, party_role_id) FROM stdin;
\.
COPY inv.party_role_assignment (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, party_id, party_role_id) FROM '$$PATH$$/5726.dat';

--
-- Data for Name: party_skill; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_skill (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, party_id) FROM stdin;
\.
COPY inv.party_skill (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, name, party_id) FROM '$$PATH$$/5727.dat';

--
-- Data for Name: party_type; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.party_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, type) FROM stdin;
\.
COPY inv.party_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, type) FROM '$$PATH$$/5728.dat';

--
-- Data for Name: physical_inventory; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.physical_inventory (store_id, reference_no, investigating_officer_id, inspection_date, remarks, approved_by, approval_date, status, fiscal_year_id, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM stdin;
\.
COPY inv.physical_inventory (store_id, reference_no, investigating_officer_id, inspection_date, remarks, approved_by, approval_date, status, fiscal_year_id, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM '$$PATH$$/5729.dat';

--
-- Data for Name: physical_inventory_details; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.physical_inventory_details (physical_inventory_id, item_id, uom_id, physical_qty, inventory_qty, approved_qty, comments, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, adjustment_qty) FROM stdin;
\.
COPY inv.physical_inventory_details (physical_inventory_id, item_id, uom_id, physical_qty, inventory_qty, approved_qty, comments, id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, adjustment_qty) FROM '$$PATH$$/5730.dat';

--
-- Data for Name: purchase_item_delivery_location; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_item_delivery_location (id, purchase_order_detail_id, party_id, store_id, deliverable_quantity, received_quantity, returned_quantity, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, created_by, org_id, last_modified_by) FROM stdin;
\.
COPY inv.purchase_item_delivery_location (id, purchase_order_detail_id, party_id, store_id, deliverable_quantity, received_quantity, returned_quantity, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, created_by, org_id, last_modified_by) FROM '$$PATH$$/5731.dat';

--
-- Data for Name: purchase_item_return; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_item_return (id, purchase_item_delivery_location_id, return_date, returned_quantity, uom_id, return_reason, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, created_by, org_id, last_modified_by) FROM stdin;
\.
COPY inv.purchase_item_return (id, purchase_item_delivery_location_id, return_date, returned_quantity, uom_id, return_reason, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, created_by, org_id, last_modified_by) FROM '$$PATH$$/5732.dat';

--
-- Data for Name: purchase_order; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_order (id, purchase_requisition_id, vendor_id, purchase_order_no, purchase_order_date, is_complete, status, store_id, has_inspection, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.purchase_order (id, purchase_requisition_id, vendor_id, purchase_order_no, purchase_order_date, is_complete, status, store_id, has_inspection, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5733.dat';

--
-- Data for Name: purchase_order_detail; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_order_detail (id, purchase_order_id, item_id, uom_id, ordered_qty, received_qty, returned_quantity, currency_uom_id, item_price, inspection_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.purchase_order_detail (id, purchase_order_id, item_id, uom_id, ordered_qty, received_qty, returned_quantity, currency_uom_id, item_price, inspection_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5734.dat';

--
-- Data for Name: purchase_order_detail_feature; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_order_detail_feature (id, value, uom_id, item_setup_feature_id, description, name, purchase_order_detail_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.purchase_order_detail_feature (id, value, uom_id, item_setup_feature_id, description, name, purchase_order_detail_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5735.dat';

--
-- Data for Name: purchase_requisition; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_requisition (id, requisition_by, requisition_ref_no, requisition_date, approved_by, approval_date, remarks, is_complete, status, store_id, purpose, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.purchase_requisition (id, requisition_by, requisition_ref_no, requisition_date, approved_by, approval_date, remarks, is_complete, status, store_id, purpose, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5736.dat';

--
-- Data for Name: purchase_requisition_detail_feature; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_requisition_detail_feature (id, value, uom_id, item_setup_feature_id, description, name, purchase_requisition_details_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.purchase_requisition_detail_feature (id, value, uom_id, item_setup_feature_id, description, name, purchase_requisition_details_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5737.dat';

--
-- Data for Name: purchase_requisition_details; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.purchase_requisition_details (id, requisition_id, item_id, uom_id, required_qty, approved_qty, revised_qty, committee_approved_qty, item_approval, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.purchase_requisition_details (id, requisition_id, item_id, uom_id, required_qty, approved_qty, revised_qty, committee_approved_qty, item_approval, comments, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5738.dat';

--
-- Data for Name: push_notifications; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.push_notifications (id, notification_id, is_viewed, is_clicked, type, recipient) FROM stdin;
\.
COPY inv.push_notifications (id, notification_id, is_viewed, is_clicked, type, recipient) FROM '$$PATH$$/5739.dat';

--
-- Data for Name: reorder_level; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.reorder_level (reorderlevel_id, store_id, item_id, cat_id, unit_id, reorder_level, low_level, high_level, remarks, owned_by, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM stdin;
\.
COPY inv.reorder_level (reorderlevel_id, store_id, item_id, cat_id, unit_id, reorder_level, low_level, high_level, remarks, owned_by, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM '$$PATH$$/5740.dat';

--
-- Data for Name: requests; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.requests (id, created_on, module_name, user_id, org_id, employee_id, proxy_user_id) FROM stdin;
\.
COPY inv.requests (id, created_on, module_name, user_id, org_id, employee_id, proxy_user_id) FROM '$$PATH$$/5741.dat';

--
-- Data for Name: review_action; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.review_action (id, source_tbl, source_row_id, requested_by, request_time, assigned_to, committee_id, review_time, review_action_type_id, forwarded_id, return_comment, is_complete, is_rejected, is_disabled, json_details, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.review_action (id, source_tbl, source_row_id, requested_by, request_time, assigned_to, committee_id, review_time, review_action_type_id, forwarded_id, return_comment, is_complete, is_rejected, is_disabled, json_details, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5742.dat';

--
-- Data for Name: review_action_detail; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.review_action_detail (id, review_action_id, detail_id, audited_qty, status, remark, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.review_action_detail (id, review_action_id, detail_id, audited_qty, status, remark, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5743.dat';

--
-- Data for Name: review_action_type; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.review_action_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, action_name, priority) FROM stdin;
\.
COPY inv.review_action_type (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, action_name, priority) FROM '$$PATH$$/5744.dat';

--
-- Data for Name: review_job_type; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.review_job_type (id, job_name, table_name) FROM stdin;
\.
COPY inv.review_job_type (id, job_name, table_name) FROM '$$PATH$$/5745.dat';

--
-- Data for Name: role_authority_mappings; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.role_authority_mappings (id, role_id, authority_id) FROM stdin;
\.
COPY inv.role_authority_mappings (id, role_id, authority_id) FROM '$$PATH$$/5746.dat';

--
-- Data for Name: roles; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.roles (id, created_on, created_by, updated_on, description, name, updated_by, organisation_id) FROM stdin;
\.
COPY inv.roles (id, created_on, created_by, updated_on, description, name, updated_by, organisation_id) FROM '$$PATH$$/5747.dat';

--
-- Data for Name: store; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.store (store_id, store_in_charge, store_keeper, store_name, bn_store_name, store_location, store_code, store_status, opening_date, comment, owned_by, created_date, is_deleted, project_id, user_id, employee_id, proxy_user_id, org_id, office_id) FROM stdin;
\.
COPY inv.store (store_id, store_in_charge, store_keeper, store_name, bn_store_name, store_location, store_code, store_status, opening_date, comment, owned_by, created_date, is_deleted, project_id, user_id, employee_id, proxy_user_id, org_id, office_id) FROM '$$PATH$$/5748.dat';

--
-- Data for Name: store_designation; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.store_designation (id, name, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.store_designation (id, name, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5749.dat';

--
-- Data for Name: store_employee; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.store_employee (id, store_id, active_date, emp_id, store_designation_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM stdin;
\.
COPY inv.store_employee (id, store_id, active_date, emp_id, store_designation_id, is_deleted, created_at, updated_at, user_id, employee_id, proxy_user_id, org_id, created_by, last_modified_by) FROM '$$PATH$$/5750.dat';

--
-- Data for Name: store_item_requisition; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.store_item_requisition (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, from_store_id, to_party_id, to_facility_id, to_store_id, requisition_ref_no, requisition_date, courier_name, courier_send_date, courier_receive_date, status, item_courier_id) FROM stdin;
\.
COPY inv.store_item_requisition (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, from_store_id, to_party_id, to_facility_id, to_store_id, requisition_ref_no, requisition_date, courier_name, courier_send_date, courier_receive_date, status, item_courier_id) FROM '$$PATH$$/5751.dat';

--
-- Data for Name: store_item_requisition_detail; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.store_item_requisition_detail (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, required_qty, revised_qty, approved_qty, issued_qty, store_remark, approval_remark, inspection_status, uom_id, item_id, store_item_requisition_id) FROM stdin;
\.
COPY inv.store_item_requisition_detail (id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by, required_qty, revised_qty, approved_qty, issued_qty, store_remark, approval_remark, inspection_status, uom_id, item_id, store_item_requisition_id) FROM '$$PATH$$/5752.dat';

--
-- Data for Name: store_item_setup_mapping; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.store_item_setup_mapping (id, store_id, item_setup_id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM stdin;
\.
COPY inv.store_item_setup_mapping (id, store_id, item_setup_id, user_id, employee_id, proxy_user_id, org_id, created_at, updated_at, is_deleted, created_by, last_modified_by) FROM '$$PATH$$/5753.dat';

--
-- Data for Name: tbl_file; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.tbl_file (file_id, module_name, file_original_name, file_saved_name, file_type, file_size, is_deleted, created_at, download_link) FROM stdin;
\.
COPY inv.tbl_file (file_id, module_name, file_original_name, file_saved_name, file_type, file_size, is_deleted, created_at, download_link) FROM '$$PATH$$/5754.dat';

--
-- Data for Name: tbl_sms; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.tbl_sms (id, notification_id, recipients) FROM stdin;
\.
COPY inv.tbl_sms (id, notification_id, recipients) FROM '$$PATH$$/5755.dat';

--
-- Data for Name: unit; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.unit (unit_id, unit_name, unit_code, parent_unit_id, status, conversion_rate, owned_by, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM stdin;
\.
COPY inv.unit (unit_id, unit_name, unit_code, parent_unit_id, status, conversion_rate, owned_by, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM '$$PATH$$/5756.dat';

--
-- Data for Name: uom; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.uom (id, uom_id, bn_uom_id, uom_type_id, abbreviation, description, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM stdin;
\.
COPY inv.uom (id, uom_id, bn_uom_id, uom_type_id, abbreviation, description, created_date, is_deleted, user_id, employee_id, proxy_user_id, org_id) FROM '$$PATH$$/5757.dat';

--
-- Data for Name: uom_category; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.uom_category (uom_type_id) FROM stdin;
\.
COPY inv.uom_category (uom_type_id) FROM '$$PATH$$/5758.dat';

--
-- Data for Name: uom_conversion; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.uom_conversion (id, uom_id, uom_id_to, conversion_factor, custom_method_id, decimal_scale, rounding_mode, created_date) FROM stdin;
\.
COPY inv.uom_conversion (id, uom_id, uom_id_to, conversion_factor, custom_method_id, decimal_scale, rounding_mode, created_date) FROM '$$PATH$$/5759.dat';

--
-- Data for Name: user_role_mappings; Type: TABLE DATA; Schema: inv; Owner: uatcommongrp1
--

COPY inv.user_role_mappings (id, user_id, role_id, office_unit_post_id) FROM stdin;
\.
COPY inv.user_role_mappings (id, user_id, role_id, office_unit_post_id) FROM '$$PATH$$/5760.dat';

--
-- Name: authorities_id_seq; Type: SEQUENCE SET; Schema: inv; Owner: uatcommongrp1
--

SELECT pg_catalog.setval('inv.authorities_id_seq', 182, false);


--
-- Name: authority_authority_mappings_id_seq; Type: SEQUENCE SET; Schema: inv; Owner: uatcommongrp1
--

SELECT pg_catalog.setval('inv.authority_authority_mappings_id_seq', 1, false);


--
-- Name: entitlement_quantities entitlement_quantities_entitlement_id_key; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_quantities
    ADD CONSTRAINT entitlement_quantities_entitlement_id_key UNIQUE (entitlement_id);


--
-- Name: entitlements entitlements_entitlement_item_id_post_id_started_from_key; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlements
    ADD CONSTRAINT entitlements_entitlement_item_id_post_id_started_from_key UNIQUE (entitlement_item_id, post_id, started_from);


--
-- Name: inspections inspections_in_out_id_key; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.inspections
    ADD CONSTRAINT inspections_in_out_id_key UNIQUE (in_out_id);


--
-- Name: item_requisition_receivers item_requisition_receivers_un; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_receivers
    ADD CONSTRAINT item_requisition_receivers_un UNIQUE (requisition_id, receiver_id);


--
-- Name: opening_stock opening_stock_store_item_unique; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.opening_stock
    ADD CONSTRAINT opening_stock_store_item_unique UNIQUE (store_id, item_id);


--
-- Name: authorities pk_authorities; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.authorities
    ADD CONSTRAINT pk_authorities PRIMARY KEY (name);


--
-- Name: authority_authority_mappings pk_authority_authority_mappings; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.authority_authority_mappings
    ADD CONSTRAINT pk_authority_authority_mappings PRIMARY KEY (id);


--
-- Name: category pk_category; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.category
    ADD CONSTRAINT pk_category PRIMARY KEY (category_id);


--
-- Name: committee pk_committee; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.committee
    ADD CONSTRAINT pk_committee PRIMARY KEY (committee_id);


--
-- Name: committee_details pk_committee_details; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.committee_details
    ADD CONSTRAINT pk_committee_details PRIMARY KEY (qcd_id);


--
-- Name: committee_type pk_committee_type; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.committee_type
    ADD CONSTRAINT pk_committee_type PRIMARY KEY (ct_id);


--
-- Name: common_attachment pk_common_attachment; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.common_attachment
    ADD CONSTRAINT pk_common_attachment PRIMARY KEY (id);


--
-- Name: damage_requisition_items pk_damage_requisition_items; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_requisition_items
    ADD CONSTRAINT pk_damage_requisition_items PRIMARY KEY (id);


--
-- Name: damage_requisitions pk_damage_requisitions; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_requisitions
    ADD CONSTRAINT pk_damage_requisitions PRIMARY KEY (id);


--
-- Name: damage_types pk_damage_types; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_types
    ADD CONSTRAINT pk_damage_types PRIMARY KEY (id);


--
-- Name: direct_stock_in pk_direct_stock_in; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.direct_stock_in
    ADD CONSTRAINT pk_direct_stock_in PRIMARY KEY (id);


--
-- Name: direct_stock_in_detail pk_direct_stock_in_detail; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.direct_stock_in_detail
    ADD CONSTRAINT pk_direct_stock_in_detail PRIMARY KEY (id);


--
-- Name: direct_stock_out pk_direct_stock_out; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.direct_stock_out
    ADD CONSTRAINT pk_direct_stock_out PRIMARY KEY (id);


--
-- Name: direct_stock_out_detail pk_direct_stock_out_detail; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.direct_stock_out_detail
    ADD CONSTRAINT pk_direct_stock_out_detail PRIMARY KEY (id);


--
-- Name: employee_pending_action_counts pk_employee_pending_action_counts; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.employee_pending_action_counts
    ADD CONSTRAINT pk_employee_pending_action_counts PRIMARY KEY (id);


--
-- Name: entitlement_item_features pk_entitlement_item_features; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_item_features
    ADD CONSTRAINT pk_entitlement_item_features PRIMARY KEY (id);


--
-- Name: entitlement_items pk_entitlement_items; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_items
    ADD CONSTRAINT pk_entitlement_items PRIMARY KEY (id);


--
-- Name: entitlement_quantities pk_entitlement_quantities; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_quantities
    ADD CONSTRAINT pk_entitlement_quantities PRIMARY KEY (id);


--
-- Name: entitlement_requisitions pk_entitlement_requisitions; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_requisitions
    ADD CONSTRAINT pk_entitlement_requisitions PRIMARY KEY (id);


--
-- Name: entitlement_types pk_entitlement_types; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_types
    ADD CONSTRAINT pk_entitlement_types PRIMARY KEY (id);


--
-- Name: entitlements pk_entitlements; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlements
    ADD CONSTRAINT pk_entitlements PRIMARY KEY (id);


--
-- Name: facility_type pk_facility_type; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.facility_type
    ADD CONSTRAINT pk_facility_type PRIMARY KEY (id);


--
-- Name: gate_pass pk_gate_pass; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.gate_pass
    ADD CONSTRAINT pk_gate_pass PRIMARY KEY (id);


--
-- Name: gate_pass_file pk_gate_pass_file; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.gate_pass_file
    ADD CONSTRAINT pk_gate_pass_file PRIMARY KEY (id);


--
-- Name: gate_pass_item pk_gate_pass_item; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.gate_pass_item
    ADD CONSTRAINT pk_gate_pass_item PRIMARY KEY (id);


--
-- Name: inspection_results pk_inspection_results; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.inspection_results
    ADD CONSTRAINT pk_inspection_results PRIMARY KEY (id);


--
-- Name: inspections pk_inspections; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.inspections
    ADD CONSTRAINT pk_inspections PRIMARY KEY (id);


--
-- Name: item pk_item; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item
    ADD CONSTRAINT pk_item PRIMARY KEY (id);


--
-- Name: item_feature pk_item_feature; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_feature
    ADD CONSTRAINT pk_item_feature PRIMARY KEY (id);


--
-- Name: item_feature_category pk_item_feature_category; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_feature_category
    ADD CONSTRAINT pk_item_feature_category PRIMARY KEY (id);


--
-- Name: item_feature_group pk_item_feature_group; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_feature_group
    ADD CONSTRAINT pk_item_feature_group PRIMARY KEY (id);


--
-- Name: item_in_out pk_item_in_out; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_in_out
    ADD CONSTRAINT pk_item_in_out PRIMARY KEY (id);


--
-- Name: item_issue_return pk_item_issue_return; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_issue_return
    ADD CONSTRAINT pk_item_issue_return PRIMARY KEY (id);


--
-- Name: item_issue_return_details pk_item_issue_return_details; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_issue_return_details
    ADD CONSTRAINT pk_item_issue_return_details PRIMARY KEY (item_issue_return_details_id);


--
-- Name: item_requisition pk_item_requisition; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition
    ADD CONSTRAINT pk_item_requisition PRIMARY KEY (id);


--
-- Name: item_requisition_detail_feature pk_item_requisition_detail_feature; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_detail_feature
    ADD CONSTRAINT pk_item_requisition_detail_feature PRIMARY KEY (id);


--
-- Name: item_requisition_details pk_item_requisition_details; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_details
    ADD CONSTRAINT pk_item_requisition_details PRIMARY KEY (id);


--
-- Name: item_requisition_issue pk_item_requisition_issue; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_issue
    ADD CONSTRAINT pk_item_requisition_issue PRIMARY KEY (id);


--
-- Name: item_requisition_receivers pk_item_requisition_receivers; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_receivers
    ADD CONSTRAINT pk_item_requisition_receivers PRIMARY KEY (id);


--
-- Name: item_setup pk_item_setup; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_setup
    ADD CONSTRAINT pk_item_setup PRIMARY KEY (id);


--
-- Name: item_setup_feature pk_item_setup_feature; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_setup_feature
    ADD CONSTRAINT pk_item_setup_feature PRIMARY KEY (id);


--
-- Name: item_stock pk_item_stock; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_stock
    ADD CONSTRAINT pk_item_stock PRIMARY KEY (id);


--
-- Name: material_delivery pk_material_delivery; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.material_delivery
    ADD CONSTRAINT pk_material_delivery PRIMARY KEY (id);


--
-- Name: material_delivery_detail pk_material_delivery_detail; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.material_delivery_detail
    ADD CONSTRAINT pk_material_delivery_detail PRIMARY KEY (id);


--
-- Name: material_delivery_detail_track pk_material_delivery_detail_track; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.material_delivery_detail_track
    ADD CONSTRAINT pk_material_delivery_detail_track PRIMARY KEY (id);


--
-- Name: notifications pk_notifications; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.notifications
    ADD CONSTRAINT pk_notifications PRIMARY KEY (id);


--
-- Name: office_type pk_office_type; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.office_type
    ADD CONSTRAINT pk_office_type PRIMARY KEY (id);


--
-- Name: opening_stock pk_opening_stock; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.opening_stock
    ADD CONSTRAINT pk_opening_stock PRIMARY KEY (id);


--
-- Name: party pk_party; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party
    ADD CONSTRAINT pk_party PRIMARY KEY (id);


--
-- Name: party_bank_detail pk_party_bank_detail; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_bank_detail
    ADD CONSTRAINT pk_party_bank_detail PRIMARY KEY (id);


--
-- Name: party_business_type pk_party_business_type; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_business_type
    ADD CONSTRAINT pk_party_business_type PRIMARY KEY (id);


--
-- Name: party_contact_information pk_party_contact_information; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_contact_information
    ADD CONSTRAINT pk_party_contact_information PRIMARY KEY (id);


--
-- Name: party_organization pk_party_organization; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_organization
    ADD CONSTRAINT pk_party_organization PRIMARY KEY (id);


--
-- Name: party_person pk_party_person; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_person
    ADD CONSTRAINT pk_party_person PRIMARY KEY (id);


--
-- Name: party_role pk_party_role; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_role
    ADD CONSTRAINT pk_party_role PRIMARY KEY (id);


--
-- Name: party_role_assignment pk_party_role_assignment; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_role_assignment
    ADD CONSTRAINT pk_party_role_assignment PRIMARY KEY (id);


--
-- Name: party_skill pk_party_skill; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_skill
    ADD CONSTRAINT pk_party_skill PRIMARY KEY (id);


--
-- Name: party_type pk_party_type; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.party_type
    ADD CONSTRAINT pk_party_type PRIMARY KEY (id);


--
-- Name: physical_inventory pk_physical_inventory; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.physical_inventory
    ADD CONSTRAINT pk_physical_inventory PRIMARY KEY (store_id);


--
-- Name: physical_inventory_details pk_physical_inventory_details; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.physical_inventory_details
    ADD CONSTRAINT pk_physical_inventory_details PRIMARY KEY (id);


--
-- Name: purchase_item_delivery_location pk_purchase_item_delivery_location; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_item_delivery_location
    ADD CONSTRAINT pk_purchase_item_delivery_location PRIMARY KEY (id);


--
-- Name: purchase_item_return pk_purchase_item_return; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_item_return
    ADD CONSTRAINT pk_purchase_item_return PRIMARY KEY (id);


--
-- Name: purchase_order pk_purchase_order; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_order
    ADD CONSTRAINT pk_purchase_order PRIMARY KEY (id);


--
-- Name: purchase_order_detail pk_purchase_order_detail; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_order_detail
    ADD CONSTRAINT pk_purchase_order_detail PRIMARY KEY (id);


--
-- Name: purchase_order_detail_feature pk_purchase_order_detail_feature; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_order_detail_feature
    ADD CONSTRAINT pk_purchase_order_detail_feature PRIMARY KEY (id);


--
-- Name: purchase_requisition pk_purchase_requisition; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_requisition
    ADD CONSTRAINT pk_purchase_requisition PRIMARY KEY (id);


--
-- Name: purchase_requisition_detail_feature pk_purchase_requisition_detail_feature; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_requisition_detail_feature
    ADD CONSTRAINT pk_purchase_requisition_detail_feature PRIMARY KEY (id);


--
-- Name: purchase_requisition_details pk_purchase_requisition_details; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_requisition_details
    ADD CONSTRAINT pk_purchase_requisition_details PRIMARY KEY (id);


--
-- Name: push_notifications pk_push_notifications; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.push_notifications
    ADD CONSTRAINT pk_push_notifications PRIMARY KEY (id);


--
-- Name: reorder_level pk_reorder_level; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.reorder_level
    ADD CONSTRAINT pk_reorder_level PRIMARY KEY (reorderlevel_id);


--
-- Name: requests pk_requests; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.requests
    ADD CONSTRAINT pk_requests PRIMARY KEY (id);


--
-- Name: review_action pk_review_action; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.review_action
    ADD CONSTRAINT pk_review_action PRIMARY KEY (id);


--
-- Name: review_action_detail pk_review_action_detail; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.review_action_detail
    ADD CONSTRAINT pk_review_action_detail PRIMARY KEY (id);


--
-- Name: review_action_type pk_review_action_type; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.review_action_type
    ADD CONSTRAINT pk_review_action_type PRIMARY KEY (id);


--
-- Name: review_job_type pk_review_job_type; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.review_job_type
    ADD CONSTRAINT pk_review_job_type PRIMARY KEY (id);


--
-- Name: role_authority_mappings pk_role_authority_mappings; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.role_authority_mappings
    ADD CONSTRAINT pk_role_authority_mappings PRIMARY KEY (id);


--
-- Name: roles pk_roles; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.roles
    ADD CONSTRAINT pk_roles PRIMARY KEY (id);


--
-- Name: store pk_store; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store
    ADD CONSTRAINT pk_store PRIMARY KEY (store_id);


--
-- Name: store_designation pk_store_designation; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_designation
    ADD CONSTRAINT pk_store_designation PRIMARY KEY (id);


--
-- Name: store_employee pk_store_employee; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_employee
    ADD CONSTRAINT pk_store_employee PRIMARY KEY (id);


--
-- Name: store_item_requisition pk_store_item_requisition; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_item_requisition
    ADD CONSTRAINT pk_store_item_requisition PRIMARY KEY (id);


--
-- Name: store_item_requisition_detail pk_store_item_requisition_detail; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_item_requisition_detail
    ADD CONSTRAINT pk_store_item_requisition_detail PRIMARY KEY (id);


--
-- Name: store_item_setup_mapping pk_store_item_setup_mapping; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_item_setup_mapping
    ADD CONSTRAINT pk_store_item_setup_mapping PRIMARY KEY (id);


--
-- Name: tbl_file pk_tbl_file; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.tbl_file
    ADD CONSTRAINT pk_tbl_file PRIMARY KEY (file_id);


--
-- Name: tbl_sms pk_tbl_sms; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.tbl_sms
    ADD CONSTRAINT pk_tbl_sms PRIMARY KEY (id);


--
-- Name: unit pk_unit; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.unit
    ADD CONSTRAINT pk_unit PRIMARY KEY (unit_id);


--
-- Name: uom pk_uom; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.uom
    ADD CONSTRAINT pk_uom PRIMARY KEY (id);


--
-- Name: uom_conversion pk_uom_conversion; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.uom_conversion
    ADD CONSTRAINT pk_uom_conversion PRIMARY KEY (id);


--
-- Name: user_role_mappings pk_user_role_mappings; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.user_role_mappings
    ADD CONSTRAINT pk_user_role_mappings PRIMARY KEY (id);


--
-- Name: role_authority_mappings role_authority_mappings_role_id_authority_id_key; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.role_authority_mappings
    ADD CONSTRAINT role_authority_mappings_role_id_authority_id_key UNIQUE (role_id, authority_id);


--
-- Name: roles roles_name_organisation_id_key; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.roles
    ADD CONSTRAINT roles_name_organisation_id_key UNIQUE (name, organisation_id);


--
-- Name: user_role_mappings user_role_mappings_user_id_role_id_key; Type: CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.user_role_mappings
    ADD CONSTRAINT user_role_mappings_user_id_role_id_key UNIQUE (user_id, office_unit_post_id, role_id);


--
-- Name: index_bn_name_entitlement_types; Type: INDEX; Schema: inv; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_bn_name_entitlement_types ON inv.entitlement_types USING btree (bn_name);


--
-- Name: index_item_code_item; Type: INDEX; Schema: inv; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_item_code_item ON inv.item USING btree (item_code);


--
-- Name: index_name_damage_types; Type: INDEX; Schema: inv; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_name_damage_types ON inv.damage_types USING btree (name);


--
-- Name: index_name_entitlement_types; Type: INDEX; Schema: inv; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_name_entitlement_types ON inv.entitlement_types USING btree (name);


--
-- Name: index_name_item_feature_group; Type: INDEX; Schema: inv; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_name_item_feature_group ON inv.item_feature_group USING btree (name);


--
-- Name: index_store_code_store; Type: INDEX; Schema: inv; Owner: uatcommongrp1
--

CREATE UNIQUE INDEX index_store_code_store ON inv.store USING btree (store_code);


--
-- Name: item_in_out fk_currency_uom_id_item_in_out; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_in_out
    ADD CONSTRAINT fk_currency_uom_id_item_in_out FOREIGN KEY (currency_uom_id) REFERENCES inv.uom(id);


--
-- Name: direct_stock_in_detail fk_direct_stock_in_id_direct_stock_in_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.direct_stock_in_detail
    ADD CONSTRAINT fk_direct_stock_in_id_direct_stock_in_detail FOREIGN KEY (direct_stock_in_id) REFERENCES inv.direct_stock_in(id);


--
-- Name: direct_stock_out_detail fk_direct_stock_out_id_direct_stock_out_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.direct_stock_out_detail
    ADD CONSTRAINT fk_direct_stock_out_id_direct_stock_out_detail FOREIGN KEY (direct_stock_out_id) REFERENCES inv.direct_stock_out(id);


--
-- Name: entitlement_quantities fk_entitlement_id_entitlement_quantities; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_quantities
    ADD CONSTRAINT fk_entitlement_id_entitlement_quantities FOREIGN KEY (entitlement_id) REFERENCES inv.entitlements(id);


--
-- Name: entitlement_item_features fk_entitlement_item_id_entitlement_item_features; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_item_features
    ADD CONSTRAINT fk_entitlement_item_id_entitlement_item_features FOREIGN KEY (entitlement_item_id) REFERENCES inv.entitlement_items(id);


--
-- Name: entitlements fk_entitlement_item_id_entitlements; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlements
    ADD CONSTRAINT fk_entitlement_item_id_entitlements FOREIGN KEY (entitlement_item_id) REFERENCES inv.entitlement_items(id);


--
-- Name: item_requisition_details fk_entitlement_item_id_item_requisition_details; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_details
    ADD CONSTRAINT fk_entitlement_item_id_item_requisition_details FOREIGN KEY (entitlement_item_id) REFERENCES inv.entitlement_items(id);


--
-- Name: inspections fk_in_out_id_inspections; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.inspections
    ADD CONSTRAINT fk_in_out_id_inspections FOREIGN KEY (in_out_id) REFERENCES inv.item_in_out(id);


--
-- Name: item_in_out fk_in_ref_id_item_in_out; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_in_out
    ADD CONSTRAINT fk_in_ref_id_item_in_out FOREIGN KEY (in_ref_id) REFERENCES inv.item_in_out(id);


--
-- Name: inspection_results fk_inspected_uom_id_inspection_results; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.inspection_results
    ADD CONSTRAINT fk_inspected_uom_id_inspection_results FOREIGN KEY (inspected_uom_id) REFERENCES inv.uom(id);


--
-- Name: purchase_order_detail fk_inspection_id_purchase_order_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.purchase_order_detail
    ADD CONSTRAINT fk_inspection_id_purchase_order_detail FOREIGN KEY (inspection_id) REFERENCES inv.inspections(id);


--
-- Name: item_feature_category fk_item_feature_group_id_item_feature_category; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_feature_category
    ADD CONSTRAINT fk_item_feature_group_id_item_feature_category FOREIGN KEY (item_feature_group_id) REFERENCES inv.item_feature_group(id);


--
-- Name: item_feature fk_item_id_item_feature; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_feature
    ADD CONSTRAINT fk_item_id_item_feature FOREIGN KEY (item_id) REFERENCES inv.item(id);


--
-- Name: item_requisition_issue fk_item_id_item_requisition_issue; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_issue
    ADD CONSTRAINT fk_item_id_item_requisition_issue FOREIGN KEY (item_id) REFERENCES inv.item(id);


--
-- Name: store_item_requisition_detail fk_item_id_store_item_requisition_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_item_requisition_detail
    ADD CONSTRAINT fk_item_id_store_item_requisition_detail FOREIGN KEY (item_id) REFERENCES inv.item(id);


--
-- Name: damage_requisition_items fk_item_in_out_id_damage_requisition_items; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_requisition_items
    ADD CONSTRAINT fk_item_in_out_id_damage_requisition_items FOREIGN KEY (item_in_out_id) REFERENCES inv.item_in_out(id);


--
-- Name: item_requisition_issue fk_item_requisition_detail_id_item_requisition_issue; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_issue
    ADD CONSTRAINT fk_item_requisition_detail_id_item_requisition_issue FOREIGN KEY (item_requisition_detail_id) REFERENCES inv.item_requisition_details(id);


--
-- Name: item_requisition_detail_feature fk_item_requisition_details_id_item_requisition_detail_feature; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_detail_feature
    ADD CONSTRAINT fk_item_requisition_details_id_item_requisition_detail_feature FOREIGN KEY (item_requisition_details_id) REFERENCES inv.item_requisition_details(id);


--
-- Name: entitlement_item_features fk_item_setup_feature_id_entitlement_item_features; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_item_features
    ADD CONSTRAINT fk_item_setup_feature_id_entitlement_item_features FOREIGN KEY (item_setup_feature_id) REFERENCES inv.item_setup_feature(id);


--
-- Name: item_feature fk_item_setup_feature_id_item_feature; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_feature
    ADD CONSTRAINT fk_item_setup_feature_id_item_feature FOREIGN KEY (item_setup_feature_id) REFERENCES inv.item_setup_feature(id);


--
-- Name: entitlement_items fk_item_setup_id_entitlement_items; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_items
    ADD CONSTRAINT fk_item_setup_id_entitlement_items FOREIGN KEY (item_setup_id) REFERENCES inv.item_setup(id);


--
-- Name: item fk_item_setup_id_item; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item
    ADD CONSTRAINT fk_item_setup_id_item FOREIGN KEY (item_setup_id) REFERENCES inv.item_setup(id);


--
-- Name: item_setup_feature fk_item_setup_id_item_setup_feature; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_setup_feature
    ADD CONSTRAINT fk_item_setup_id_item_setup_feature FOREIGN KEY (item_setup_id) REFERENCES inv.item_setup(id);


--
-- Name: material_delivery_detail_track fk_material_delivery_detail_id_material_delivery_detail_track; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.material_delivery_detail_track
    ADD CONSTRAINT fk_material_delivery_detail_id_material_delivery_detail_track FOREIGN KEY (material_delivery_detail_id) REFERENCES inv.material_delivery_detail(id);


--
-- Name: material_delivery_detail fk_material_delivery_id_material_delivery_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.material_delivery_detail
    ADD CONSTRAINT fk_material_delivery_id_material_delivery_detail FOREIGN KEY (material_delivery_id) REFERENCES inv.material_delivery(id);


--
-- Name: damage_requisition_items fk_requisition_id_damage_requisition_items; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_requisition_items
    ADD CONSTRAINT fk_requisition_id_damage_requisition_items FOREIGN KEY (requisition_id) REFERENCES inv.damage_requisitions(id);


--
-- Name: item_requisition_receivers fk_requisition_id_item_requisition_receivers; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_receivers
    ADD CONSTRAINT fk_requisition_id_item_requisition_receivers FOREIGN KEY (requisition_id) REFERENCES inv.item_requisition(id);


--
-- Name: inspections fk_result_id_inspections; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.inspections
    ADD CONSTRAINT fk_result_id_inspections FOREIGN KEY (result_id) REFERENCES inv.inspection_results(id);


--
-- Name: review_action_detail fk_review_action_id_review_action_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.review_action_detail
    ADD CONSTRAINT fk_review_action_id_review_action_detail FOREIGN KEY (review_action_id) REFERENCES inv.review_action(id);


--
-- Name: damage_requisitions fk_store_id_damage_requisitions; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_requisitions
    ADD CONSTRAINT fk_store_id_damage_requisitions FOREIGN KEY (store_id) REFERENCES inv.store(store_id);


--
-- Name: item_requisition_issue fk_store_id_item_requisition_issue; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_issue
    ADD CONSTRAINT fk_store_id_item_requisition_issue FOREIGN KEY (store_id) REFERENCES inv.store(store_id);


--
-- Name: store_item_setup_mapping fk_store_id_store_item_setup_mapping; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_item_setup_mapping
    ADD CONSTRAINT fk_store_id_store_item_setup_mapping FOREIGN KEY (store_id) REFERENCES inv.store(store_id);


--
-- Name: material_delivery_detail fk_store_item_requisition_detail_id_material_delivery_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.material_delivery_detail
    ADD CONSTRAINT fk_store_item_requisition_detail_id_material_delivery_detail FOREIGN KEY (store_item_requisition_detail_id) REFERENCES inv.store_item_requisition_detail(id);


--
-- Name: material_delivery_detail fk_store_item_requisition_id_material_delivery_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.material_delivery_detail
    ADD CONSTRAINT fk_store_item_requisition_id_material_delivery_detail FOREIGN KEY (store_item_requisition_id) REFERENCES inv.store_item_requisition(id);


--
-- Name: store_item_requisition_detail fk_store_item_requisition_id_store_item_requisition_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_item_requisition_detail
    ADD CONSTRAINT fk_store_item_requisition_id_store_item_requisition_detail FOREIGN KEY (store_item_requisition_id) REFERENCES inv.store_item_requisition(id);


--
-- Name: damage_requisition_items fk_type_id_damage_requisition_items; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_requisition_items
    ADD CONSTRAINT fk_type_id_damage_requisition_items FOREIGN KEY (type_id) REFERENCES inv.damage_types(id);


--
-- Name: entitlements fk_type_id_entitlements; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlements
    ADD CONSTRAINT fk_type_id_entitlements FOREIGN KEY (type_id) REFERENCES inv.entitlement_types(id);


--
-- Name: damage_requisition_items fk_uom_id_damage_requisition_items; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.damage_requisition_items
    ADD CONSTRAINT fk_uom_id_damage_requisition_items FOREIGN KEY (uom_id) REFERENCES inv.uom(id);


--
-- Name: entitlement_quantities fk_uom_id_entitlement_quantities; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_quantities
    ADD CONSTRAINT fk_uom_id_entitlement_quantities FOREIGN KEY (uom_id) REFERENCES inv.uom(id);


--
-- Name: entitlement_requisitions fk_uom_id_entitlement_requisitions; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.entitlement_requisitions
    ADD CONSTRAINT fk_uom_id_entitlement_requisitions FOREIGN KEY (uom_id) REFERENCES inv.uom(id);


--
-- Name: item_requisition_issue fk_uom_id_item_requisition_issue; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.item_requisition_issue
    ADD CONSTRAINT fk_uom_id_item_requisition_issue FOREIGN KEY (uom_id) REFERENCES inv.uom(id);


--
-- Name: store_item_requisition_detail fk_uom_id_store_item_requisition_detail; Type: FK CONSTRAINT; Schema: inv; Owner: uatcommongrp1
--

ALTER TABLE ONLY inv.store_item_requisition_detail
    ADD CONSTRAINT fk_uom_id_store_item_requisition_detail FOREIGN KEY (uom_id) REFERENCES inv.uom(id);


--
-- Name: SCHEMA inv; Type: ACL; Schema: -; Owner: uatcommongrp1
--

GRANT ALL ON SCHEMA inv TO inv;
GRANT USAGE ON SCHEMA inv TO meeting;
GRANT USAGE ON SCHEMA inv TO cmn;
GRANT USAGE ON SCHEMA inv TO ast;
GRANT USAGE ON SCHEMA inv TO prc;
GRANT USAGE ON SCHEMA inv TO hrm;
GRANT USAGE ON SCHEMA inv TO aud;
GRANT USAGE ON SCHEMA inv TO bud;
GRANT USAGE ON SCHEMA inv TO acc;
GRANT USAGE ON SCHEMA inv TO sec;


--
-- Name: TABLE authorities; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.authorities TO inv;
GRANT SELECT ON TABLE inv.authorities TO meeting;
GRANT SELECT ON TABLE inv.authorities TO cmn;
GRANT SELECT ON TABLE inv.authorities TO ast;
GRANT SELECT ON TABLE inv.authorities TO prc;
GRANT SELECT ON TABLE inv.authorities TO hrm;
GRANT SELECT ON TABLE inv.authorities TO aud;
GRANT SELECT ON TABLE inv.authorities TO bud;
GRANT SELECT ON TABLE inv.authorities TO acc;
GRANT SELECT ON TABLE inv.authorities TO sec;


--
-- Name: TABLE authority_authority_mappings; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.authority_authority_mappings TO inv;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO meeting;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO cmn;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO ast;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO prc;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO hrm;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO aud;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO bud;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO acc;
GRANT SELECT ON TABLE inv.authority_authority_mappings TO sec;


--
-- Name: TABLE category; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.category TO inv;
GRANT SELECT ON TABLE inv.category TO meeting;
GRANT SELECT ON TABLE inv.category TO cmn;
GRANT SELECT ON TABLE inv.category TO ast;
GRANT SELECT ON TABLE inv.category TO prc;
GRANT SELECT ON TABLE inv.category TO hrm;
GRANT SELECT ON TABLE inv.category TO aud;
GRANT SELECT ON TABLE inv.category TO bud;
GRANT SELECT ON TABLE inv.category TO acc;
GRANT SELECT ON TABLE inv.category TO sec;


--
-- Name: TABLE committee; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.committee TO inv;
GRANT SELECT ON TABLE inv.committee TO meeting;
GRANT SELECT ON TABLE inv.committee TO cmn;
GRANT SELECT ON TABLE inv.committee TO ast;
GRANT SELECT ON TABLE inv.committee TO prc;
GRANT SELECT ON TABLE inv.committee TO hrm;
GRANT SELECT ON TABLE inv.committee TO aud;
GRANT SELECT ON TABLE inv.committee TO bud;
GRANT SELECT ON TABLE inv.committee TO acc;
GRANT SELECT ON TABLE inv.committee TO sec;


--
-- Name: TABLE committee_details; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.committee_details TO inv;
GRANT SELECT ON TABLE inv.committee_details TO meeting;
GRANT SELECT ON TABLE inv.committee_details TO cmn;
GRANT SELECT ON TABLE inv.committee_details TO ast;
GRANT SELECT ON TABLE inv.committee_details TO prc;
GRANT SELECT ON TABLE inv.committee_details TO hrm;
GRANT SELECT ON TABLE inv.committee_details TO aud;
GRANT SELECT ON TABLE inv.committee_details TO bud;
GRANT SELECT ON TABLE inv.committee_details TO acc;
GRANT SELECT ON TABLE inv.committee_details TO sec;


--
-- Name: TABLE committee_type; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.committee_type TO inv;
GRANT SELECT ON TABLE inv.committee_type TO meeting;
GRANT SELECT ON TABLE inv.committee_type TO cmn;
GRANT SELECT ON TABLE inv.committee_type TO ast;
GRANT SELECT ON TABLE inv.committee_type TO prc;
GRANT SELECT ON TABLE inv.committee_type TO hrm;
GRANT SELECT ON TABLE inv.committee_type TO aud;
GRANT SELECT ON TABLE inv.committee_type TO bud;
GRANT SELECT ON TABLE inv.committee_type TO acc;
GRANT SELECT ON TABLE inv.committee_type TO sec;


--
-- Name: TABLE common_attachment; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.common_attachment TO inv;
GRANT SELECT ON TABLE inv.common_attachment TO meeting;
GRANT SELECT ON TABLE inv.common_attachment TO cmn;
GRANT SELECT ON TABLE inv.common_attachment TO ast;
GRANT SELECT ON TABLE inv.common_attachment TO prc;
GRANT SELECT ON TABLE inv.common_attachment TO hrm;
GRANT SELECT ON TABLE inv.common_attachment TO aud;
GRANT SELECT ON TABLE inv.common_attachment TO bud;
GRANT SELECT ON TABLE inv.common_attachment TO acc;
GRANT SELECT ON TABLE inv.common_attachment TO sec;


--
-- Name: TABLE damage_requisition_items; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.damage_requisition_items TO inv;
GRANT SELECT ON TABLE inv.damage_requisition_items TO meeting;
GRANT SELECT ON TABLE inv.damage_requisition_items TO cmn;
GRANT SELECT ON TABLE inv.damage_requisition_items TO ast;
GRANT SELECT ON TABLE inv.damage_requisition_items TO prc;
GRANT SELECT ON TABLE inv.damage_requisition_items TO hrm;
GRANT SELECT ON TABLE inv.damage_requisition_items TO aud;
GRANT SELECT ON TABLE inv.damage_requisition_items TO bud;
GRANT SELECT ON TABLE inv.damage_requisition_items TO acc;
GRANT SELECT ON TABLE inv.damage_requisition_items TO sec;


--
-- Name: TABLE damage_requisitions; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.damage_requisitions TO inv;
GRANT SELECT ON TABLE inv.damage_requisitions TO meeting;
GRANT SELECT ON TABLE inv.damage_requisitions TO cmn;
GRANT SELECT ON TABLE inv.damage_requisitions TO ast;
GRANT SELECT ON TABLE inv.damage_requisitions TO prc;
GRANT SELECT ON TABLE inv.damage_requisitions TO hrm;
GRANT SELECT ON TABLE inv.damage_requisitions TO aud;
GRANT SELECT ON TABLE inv.damage_requisitions TO bud;
GRANT SELECT ON TABLE inv.damage_requisitions TO acc;
GRANT SELECT ON TABLE inv.damage_requisitions TO sec;


--
-- Name: TABLE damage_types; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.damage_types TO inv;
GRANT SELECT ON TABLE inv.damage_types TO meeting;
GRANT SELECT ON TABLE inv.damage_types TO cmn;
GRANT SELECT ON TABLE inv.damage_types TO ast;
GRANT SELECT ON TABLE inv.damage_types TO prc;
GRANT SELECT ON TABLE inv.damage_types TO hrm;
GRANT SELECT ON TABLE inv.damage_types TO aud;
GRANT SELECT ON TABLE inv.damage_types TO bud;
GRANT SELECT ON TABLE inv.damage_types TO acc;
GRANT SELECT ON TABLE inv.damage_types TO sec;


--
-- Name: TABLE direct_stock_in; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.direct_stock_in TO inv;
GRANT SELECT ON TABLE inv.direct_stock_in TO meeting;
GRANT SELECT ON TABLE inv.direct_stock_in TO cmn;
GRANT SELECT ON TABLE inv.direct_stock_in TO ast;
GRANT SELECT ON TABLE inv.direct_stock_in TO prc;
GRANT SELECT ON TABLE inv.direct_stock_in TO hrm;
GRANT SELECT ON TABLE inv.direct_stock_in TO aud;
GRANT SELECT ON TABLE inv.direct_stock_in TO bud;
GRANT SELECT ON TABLE inv.direct_stock_in TO acc;
GRANT SELECT ON TABLE inv.direct_stock_in TO sec;


--
-- Name: TABLE direct_stock_in_detail; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.direct_stock_in_detail TO inv;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO meeting;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO cmn;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO ast;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO prc;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO hrm;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO aud;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO bud;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO acc;
GRANT SELECT ON TABLE inv.direct_stock_in_detail TO sec;


--
-- Name: TABLE direct_stock_out; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.direct_stock_out TO inv;
GRANT SELECT ON TABLE inv.direct_stock_out TO meeting;
GRANT SELECT ON TABLE inv.direct_stock_out TO cmn;
GRANT SELECT ON TABLE inv.direct_stock_out TO ast;
GRANT SELECT ON TABLE inv.direct_stock_out TO prc;
GRANT SELECT ON TABLE inv.direct_stock_out TO hrm;
GRANT SELECT ON TABLE inv.direct_stock_out TO aud;
GRANT SELECT ON TABLE inv.direct_stock_out TO bud;
GRANT SELECT ON TABLE inv.direct_stock_out TO acc;
GRANT SELECT ON TABLE inv.direct_stock_out TO sec;


--
-- Name: TABLE direct_stock_out_detail; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.direct_stock_out_detail TO inv;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO meeting;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO cmn;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO ast;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO prc;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO hrm;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO aud;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO bud;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO acc;
GRANT SELECT ON TABLE inv.direct_stock_out_detail TO sec;


--
-- Name: TABLE emails; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.emails TO inv;
GRANT SELECT ON TABLE inv.emails TO meeting;
GRANT SELECT ON TABLE inv.emails TO cmn;
GRANT SELECT ON TABLE inv.emails TO ast;
GRANT SELECT ON TABLE inv.emails TO prc;
GRANT SELECT ON TABLE inv.emails TO hrm;
GRANT SELECT ON TABLE inv.emails TO aud;
GRANT SELECT ON TABLE inv.emails TO bud;
GRANT SELECT ON TABLE inv.emails TO acc;
GRANT SELECT ON TABLE inv.emails TO sec;


--
-- Name: TABLE employee_pending_action_counts; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.employee_pending_action_counts TO inv;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO meeting;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO cmn;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO ast;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO prc;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO hrm;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO aud;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO bud;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO acc;
GRANT SELECT ON TABLE inv.employee_pending_action_counts TO sec;


--
-- Name: TABLE entitlement_item_features; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.entitlement_item_features TO inv;
GRANT SELECT ON TABLE inv.entitlement_item_features TO meeting;
GRANT SELECT ON TABLE inv.entitlement_item_features TO cmn;
GRANT SELECT ON TABLE inv.entitlement_item_features TO ast;
GRANT SELECT ON TABLE inv.entitlement_item_features TO prc;
GRANT SELECT ON TABLE inv.entitlement_item_features TO hrm;
GRANT SELECT ON TABLE inv.entitlement_item_features TO aud;
GRANT SELECT ON TABLE inv.entitlement_item_features TO bud;
GRANT SELECT ON TABLE inv.entitlement_item_features TO acc;
GRANT SELECT ON TABLE inv.entitlement_item_features TO sec;


--
-- Name: TABLE entitlement_items; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.entitlement_items TO inv;
GRANT SELECT ON TABLE inv.entitlement_items TO meeting;
GRANT SELECT ON TABLE inv.entitlement_items TO cmn;
GRANT SELECT ON TABLE inv.entitlement_items TO ast;
GRANT SELECT ON TABLE inv.entitlement_items TO prc;
GRANT SELECT ON TABLE inv.entitlement_items TO hrm;
GRANT SELECT ON TABLE inv.entitlement_items TO aud;
GRANT SELECT ON TABLE inv.entitlement_items TO bud;
GRANT SELECT ON TABLE inv.entitlement_items TO acc;
GRANT SELECT ON TABLE inv.entitlement_items TO sec;


--
-- Name: TABLE entitlement_quantities; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.entitlement_quantities TO inv;
GRANT SELECT ON TABLE inv.entitlement_quantities TO meeting;
GRANT SELECT ON TABLE inv.entitlement_quantities TO cmn;
GRANT SELECT ON TABLE inv.entitlement_quantities TO ast;
GRANT SELECT ON TABLE inv.entitlement_quantities TO prc;
GRANT SELECT ON TABLE inv.entitlement_quantities TO hrm;
GRANT SELECT ON TABLE inv.entitlement_quantities TO aud;
GRANT SELECT ON TABLE inv.entitlement_quantities TO bud;
GRANT SELECT ON TABLE inv.entitlement_quantities TO acc;
GRANT SELECT ON TABLE inv.entitlement_quantities TO sec;


--
-- Name: TABLE entitlement_requisitions; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.entitlement_requisitions TO inv;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO meeting;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO cmn;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO ast;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO prc;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO hrm;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO aud;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO bud;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO acc;
GRANT SELECT ON TABLE inv.entitlement_requisitions TO sec;


--
-- Name: TABLE entitlement_types; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.entitlement_types TO inv;
GRANT SELECT ON TABLE inv.entitlement_types TO meeting;
GRANT SELECT ON TABLE inv.entitlement_types TO cmn;
GRANT SELECT ON TABLE inv.entitlement_types TO ast;
GRANT SELECT ON TABLE inv.entitlement_types TO prc;
GRANT SELECT ON TABLE inv.entitlement_types TO hrm;
GRANT SELECT ON TABLE inv.entitlement_types TO aud;
GRANT SELECT ON TABLE inv.entitlement_types TO bud;
GRANT SELECT ON TABLE inv.entitlement_types TO acc;
GRANT SELECT ON TABLE inv.entitlement_types TO sec;


--
-- Name: TABLE entitlements; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.entitlements TO inv;
GRANT SELECT ON TABLE inv.entitlements TO meeting;
GRANT SELECT ON TABLE inv.entitlements TO cmn;
GRANT SELECT ON TABLE inv.entitlements TO ast;
GRANT SELECT ON TABLE inv.entitlements TO prc;
GRANT SELECT ON TABLE inv.entitlements TO hrm;
GRANT SELECT ON TABLE inv.entitlements TO aud;
GRANT SELECT ON TABLE inv.entitlements TO bud;
GRANT SELECT ON TABLE inv.entitlements TO acc;
GRANT SELECT ON TABLE inv.entitlements TO sec;


--
-- Name: TABLE facility; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.facility TO inv;
GRANT SELECT ON TABLE inv.facility TO meeting;
GRANT SELECT ON TABLE inv.facility TO cmn;
GRANT SELECT ON TABLE inv.facility TO ast;
GRANT SELECT ON TABLE inv.facility TO prc;
GRANT SELECT ON TABLE inv.facility TO hrm;
GRANT SELECT ON TABLE inv.facility TO aud;
GRANT SELECT ON TABLE inv.facility TO bud;
GRANT SELECT ON TABLE inv.facility TO acc;
GRANT SELECT ON TABLE inv.facility TO sec;


--
-- Name: TABLE facility_type; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.facility_type TO inv;
GRANT SELECT ON TABLE inv.facility_type TO meeting;
GRANT SELECT ON TABLE inv.facility_type TO cmn;
GRANT SELECT ON TABLE inv.facility_type TO ast;
GRANT SELECT ON TABLE inv.facility_type TO prc;
GRANT SELECT ON TABLE inv.facility_type TO hrm;
GRANT SELECT ON TABLE inv.facility_type TO aud;
GRANT SELECT ON TABLE inv.facility_type TO bud;
GRANT SELECT ON TABLE inv.facility_type TO acc;
GRANT SELECT ON TABLE inv.facility_type TO sec;


--
-- Name: TABLE gate_pass; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.gate_pass TO inv;
GRANT SELECT ON TABLE inv.gate_pass TO meeting;
GRANT SELECT ON TABLE inv.gate_pass TO cmn;
GRANT SELECT ON TABLE inv.gate_pass TO ast;
GRANT SELECT ON TABLE inv.gate_pass TO prc;
GRANT SELECT ON TABLE inv.gate_pass TO hrm;
GRANT SELECT ON TABLE inv.gate_pass TO aud;
GRANT SELECT ON TABLE inv.gate_pass TO bud;
GRANT SELECT ON TABLE inv.gate_pass TO acc;
GRANT SELECT ON TABLE inv.gate_pass TO sec;


--
-- Name: TABLE gate_pass_file; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.gate_pass_file TO inv;
GRANT SELECT ON TABLE inv.gate_pass_file TO meeting;
GRANT SELECT ON TABLE inv.gate_pass_file TO cmn;
GRANT SELECT ON TABLE inv.gate_pass_file TO ast;
GRANT SELECT ON TABLE inv.gate_pass_file TO prc;
GRANT SELECT ON TABLE inv.gate_pass_file TO hrm;
GRANT SELECT ON TABLE inv.gate_pass_file TO aud;
GRANT SELECT ON TABLE inv.gate_pass_file TO bud;
GRANT SELECT ON TABLE inv.gate_pass_file TO acc;
GRANT SELECT ON TABLE inv.gate_pass_file TO sec;


--
-- Name: TABLE gate_pass_item; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.gate_pass_item TO inv;
GRANT SELECT ON TABLE inv.gate_pass_item TO meeting;
GRANT SELECT ON TABLE inv.gate_pass_item TO cmn;
GRANT SELECT ON TABLE inv.gate_pass_item TO ast;
GRANT SELECT ON TABLE inv.gate_pass_item TO prc;
GRANT SELECT ON TABLE inv.gate_pass_item TO hrm;
GRANT SELECT ON TABLE inv.gate_pass_item TO aud;
GRANT SELECT ON TABLE inv.gate_pass_item TO bud;
GRANT SELECT ON TABLE inv.gate_pass_item TO acc;
GRANT SELECT ON TABLE inv.gate_pass_item TO sec;


--
-- Name: TABLE inspection_results; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.inspection_results TO inv;
GRANT SELECT ON TABLE inv.inspection_results TO meeting;
GRANT SELECT ON TABLE inv.inspection_results TO cmn;
GRANT SELECT ON TABLE inv.inspection_results TO ast;
GRANT SELECT ON TABLE inv.inspection_results TO prc;
GRANT SELECT ON TABLE inv.inspection_results TO hrm;
GRANT SELECT ON TABLE inv.inspection_results TO aud;
GRANT SELECT ON TABLE inv.inspection_results TO bud;
GRANT SELECT ON TABLE inv.inspection_results TO acc;
GRANT SELECT ON TABLE inv.inspection_results TO sec;


--
-- Name: TABLE inspections; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.inspections TO inv;
GRANT SELECT ON TABLE inv.inspections TO meeting;
GRANT SELECT ON TABLE inv.inspections TO cmn;
GRANT SELECT ON TABLE inv.inspections TO ast;
GRANT SELECT ON TABLE inv.inspections TO prc;
GRANT SELECT ON TABLE inv.inspections TO hrm;
GRANT SELECT ON TABLE inv.inspections TO aud;
GRANT SELECT ON TABLE inv.inspections TO bud;
GRANT SELECT ON TABLE inv.inspections TO acc;
GRANT SELECT ON TABLE inv.inspections TO sec;


--
-- Name: TABLE item; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item TO inv;
GRANT SELECT ON TABLE inv.item TO meeting;
GRANT SELECT ON TABLE inv.item TO cmn;
GRANT SELECT ON TABLE inv.item TO ast;
GRANT SELECT ON TABLE inv.item TO prc;
GRANT SELECT ON TABLE inv.item TO hrm;
GRANT SELECT ON TABLE inv.item TO aud;
GRANT SELECT ON TABLE inv.item TO bud;
GRANT SELECT ON TABLE inv.item TO acc;
GRANT SELECT ON TABLE inv.item TO sec;


--
-- Name: TABLE item_feature; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_feature TO inv;
GRANT SELECT ON TABLE inv.item_feature TO meeting;
GRANT SELECT ON TABLE inv.item_feature TO cmn;
GRANT SELECT ON TABLE inv.item_feature TO ast;
GRANT SELECT ON TABLE inv.item_feature TO prc;
GRANT SELECT ON TABLE inv.item_feature TO hrm;
GRANT SELECT ON TABLE inv.item_feature TO aud;
GRANT SELECT ON TABLE inv.item_feature TO bud;
GRANT SELECT ON TABLE inv.item_feature TO acc;
GRANT SELECT ON TABLE inv.item_feature TO sec;


--
-- Name: TABLE item_feature_category; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_feature_category TO inv;
GRANT SELECT ON TABLE inv.item_feature_category TO meeting;
GRANT SELECT ON TABLE inv.item_feature_category TO cmn;
GRANT SELECT ON TABLE inv.item_feature_category TO ast;
GRANT SELECT ON TABLE inv.item_feature_category TO prc;
GRANT SELECT ON TABLE inv.item_feature_category TO hrm;
GRANT SELECT ON TABLE inv.item_feature_category TO aud;
GRANT SELECT ON TABLE inv.item_feature_category TO bud;
GRANT SELECT ON TABLE inv.item_feature_category TO acc;
GRANT SELECT ON TABLE inv.item_feature_category TO sec;


--
-- Name: TABLE item_feature_group; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_feature_group TO inv;
GRANT SELECT ON TABLE inv.item_feature_group TO meeting;
GRANT SELECT ON TABLE inv.item_feature_group TO cmn;
GRANT SELECT ON TABLE inv.item_feature_group TO ast;
GRANT SELECT ON TABLE inv.item_feature_group TO prc;
GRANT SELECT ON TABLE inv.item_feature_group TO hrm;
GRANT SELECT ON TABLE inv.item_feature_group TO aud;
GRANT SELECT ON TABLE inv.item_feature_group TO bud;
GRANT SELECT ON TABLE inv.item_feature_group TO acc;
GRANT SELECT ON TABLE inv.item_feature_group TO sec;


--
-- Name: TABLE item_in_out; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_in_out TO inv;
GRANT SELECT ON TABLE inv.item_in_out TO meeting;
GRANT SELECT ON TABLE inv.item_in_out TO cmn;
GRANT SELECT ON TABLE inv.item_in_out TO ast;
GRANT SELECT ON TABLE inv.item_in_out TO prc;
GRANT SELECT ON TABLE inv.item_in_out TO hrm;
GRANT SELECT ON TABLE inv.item_in_out TO aud;
GRANT SELECT ON TABLE inv.item_in_out TO bud;
GRANT SELECT ON TABLE inv.item_in_out TO acc;
GRANT SELECT ON TABLE inv.item_in_out TO sec;


--
-- Name: TABLE item_issue_return; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_issue_return TO inv;
GRANT SELECT ON TABLE inv.item_issue_return TO meeting;
GRANT SELECT ON TABLE inv.item_issue_return TO cmn;
GRANT SELECT ON TABLE inv.item_issue_return TO ast;
GRANT SELECT ON TABLE inv.item_issue_return TO prc;
GRANT SELECT ON TABLE inv.item_issue_return TO hrm;
GRANT SELECT ON TABLE inv.item_issue_return TO aud;
GRANT SELECT ON TABLE inv.item_issue_return TO bud;
GRANT SELECT ON TABLE inv.item_issue_return TO acc;
GRANT SELECT ON TABLE inv.item_issue_return TO sec;


--
-- Name: TABLE item_issue_return_details; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_issue_return_details TO inv;
GRANT SELECT ON TABLE inv.item_issue_return_details TO meeting;
GRANT SELECT ON TABLE inv.item_issue_return_details TO cmn;
GRANT SELECT ON TABLE inv.item_issue_return_details TO ast;
GRANT SELECT ON TABLE inv.item_issue_return_details TO prc;
GRANT SELECT ON TABLE inv.item_issue_return_details TO hrm;
GRANT SELECT ON TABLE inv.item_issue_return_details TO aud;
GRANT SELECT ON TABLE inv.item_issue_return_details TO bud;
GRANT SELECT ON TABLE inv.item_issue_return_details TO acc;
GRANT SELECT ON TABLE inv.item_issue_return_details TO sec;


--
-- Name: TABLE item_requisition; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_requisition TO inv;
GRANT SELECT ON TABLE inv.item_requisition TO meeting;
GRANT SELECT ON TABLE inv.item_requisition TO cmn;
GRANT SELECT ON TABLE inv.item_requisition TO ast;
GRANT SELECT ON TABLE inv.item_requisition TO prc;
GRANT SELECT ON TABLE inv.item_requisition TO hrm;
GRANT SELECT ON TABLE inv.item_requisition TO aud;
GRANT SELECT ON TABLE inv.item_requisition TO bud;
GRANT SELECT ON TABLE inv.item_requisition TO acc;
GRANT SELECT ON TABLE inv.item_requisition TO sec;


--
-- Name: TABLE item_requisition_detail_feature; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_requisition_detail_feature TO inv;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO meeting;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO cmn;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO ast;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO prc;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO hrm;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO aud;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO bud;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO acc;
GRANT SELECT ON TABLE inv.item_requisition_detail_feature TO sec;


--
-- Name: TABLE item_requisition_details; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_requisition_details TO inv;
GRANT SELECT ON TABLE inv.item_requisition_details TO meeting;
GRANT SELECT ON TABLE inv.item_requisition_details TO cmn;
GRANT SELECT ON TABLE inv.item_requisition_details TO ast;
GRANT SELECT ON TABLE inv.item_requisition_details TO prc;
GRANT SELECT ON TABLE inv.item_requisition_details TO hrm;
GRANT SELECT ON TABLE inv.item_requisition_details TO aud;
GRANT SELECT ON TABLE inv.item_requisition_details TO bud;
GRANT SELECT ON TABLE inv.item_requisition_details TO acc;
GRANT SELECT ON TABLE inv.item_requisition_details TO sec;


--
-- Name: TABLE item_requisition_issue; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_requisition_issue TO inv;
GRANT SELECT ON TABLE inv.item_requisition_issue TO meeting;
GRANT SELECT ON TABLE inv.item_requisition_issue TO cmn;
GRANT SELECT ON TABLE inv.item_requisition_issue TO ast;
GRANT SELECT ON TABLE inv.item_requisition_issue TO prc;
GRANT SELECT ON TABLE inv.item_requisition_issue TO hrm;
GRANT SELECT ON TABLE inv.item_requisition_issue TO aud;
GRANT SELECT ON TABLE inv.item_requisition_issue TO bud;
GRANT SELECT ON TABLE inv.item_requisition_issue TO acc;
GRANT SELECT ON TABLE inv.item_requisition_issue TO sec;


--
-- Name: TABLE item_requisition_receivers; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_requisition_receivers TO inv;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO meeting;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO cmn;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO ast;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO prc;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO hrm;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO aud;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO bud;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO acc;
GRANT SELECT ON TABLE inv.item_requisition_receivers TO sec;


--
-- Name: TABLE item_setup; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_setup TO inv;
GRANT SELECT ON TABLE inv.item_setup TO meeting;
GRANT SELECT ON TABLE inv.item_setup TO cmn;
GRANT SELECT ON TABLE inv.item_setup TO ast;
GRANT SELECT ON TABLE inv.item_setup TO prc;
GRANT SELECT ON TABLE inv.item_setup TO hrm;
GRANT SELECT ON TABLE inv.item_setup TO aud;
GRANT SELECT ON TABLE inv.item_setup TO bud;
GRANT SELECT ON TABLE inv.item_setup TO acc;
GRANT SELECT ON TABLE inv.item_setup TO sec;


--
-- Name: TABLE item_setup_feature; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_setup_feature TO inv;
GRANT SELECT ON TABLE inv.item_setup_feature TO meeting;
GRANT SELECT ON TABLE inv.item_setup_feature TO cmn;
GRANT SELECT ON TABLE inv.item_setup_feature TO ast;
GRANT SELECT ON TABLE inv.item_setup_feature TO prc;
GRANT SELECT ON TABLE inv.item_setup_feature TO hrm;
GRANT SELECT ON TABLE inv.item_setup_feature TO aud;
GRANT SELECT ON TABLE inv.item_setup_feature TO bud;
GRANT SELECT ON TABLE inv.item_setup_feature TO acc;
GRANT SELECT ON TABLE inv.item_setup_feature TO sec;


--
-- Name: TABLE item_stock; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.item_stock TO inv;
GRANT SELECT ON TABLE inv.item_stock TO meeting;
GRANT SELECT ON TABLE inv.item_stock TO cmn;
GRANT SELECT ON TABLE inv.item_stock TO ast;
GRANT SELECT ON TABLE inv.item_stock TO prc;
GRANT SELECT ON TABLE inv.item_stock TO hrm;
GRANT SELECT ON TABLE inv.item_stock TO aud;
GRANT SELECT ON TABLE inv.item_stock TO bud;
GRANT SELECT ON TABLE inv.item_stock TO acc;
GRANT SELECT ON TABLE inv.item_stock TO sec;


--
-- Name: TABLE material_delivery; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.material_delivery TO inv;
GRANT SELECT ON TABLE inv.material_delivery TO meeting;
GRANT SELECT ON TABLE inv.material_delivery TO cmn;
GRANT SELECT ON TABLE inv.material_delivery TO ast;
GRANT SELECT ON TABLE inv.material_delivery TO prc;
GRANT SELECT ON TABLE inv.material_delivery TO hrm;
GRANT SELECT ON TABLE inv.material_delivery TO aud;
GRANT SELECT ON TABLE inv.material_delivery TO bud;
GRANT SELECT ON TABLE inv.material_delivery TO acc;
GRANT SELECT ON TABLE inv.material_delivery TO sec;


--
-- Name: TABLE material_delivery_detail; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.material_delivery_detail TO inv;
GRANT SELECT ON TABLE inv.material_delivery_detail TO meeting;
GRANT SELECT ON TABLE inv.material_delivery_detail TO cmn;
GRANT SELECT ON TABLE inv.material_delivery_detail TO ast;
GRANT SELECT ON TABLE inv.material_delivery_detail TO prc;
GRANT SELECT ON TABLE inv.material_delivery_detail TO hrm;
GRANT SELECT ON TABLE inv.material_delivery_detail TO aud;
GRANT SELECT ON TABLE inv.material_delivery_detail TO bud;
GRANT SELECT ON TABLE inv.material_delivery_detail TO acc;
GRANT SELECT ON TABLE inv.material_delivery_detail TO sec;


--
-- Name: TABLE material_delivery_detail_track; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.material_delivery_detail_track TO inv;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO meeting;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO cmn;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO ast;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO prc;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO hrm;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO aud;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO bud;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO acc;
GRANT SELECT ON TABLE inv.material_delivery_detail_track TO sec;


--
-- Name: TABLE notifications; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.notifications TO inv;
GRANT SELECT ON TABLE inv.notifications TO meeting;
GRANT SELECT ON TABLE inv.notifications TO cmn;
GRANT SELECT ON TABLE inv.notifications TO ast;
GRANT SELECT ON TABLE inv.notifications TO prc;
GRANT SELECT ON TABLE inv.notifications TO hrm;
GRANT SELECT ON TABLE inv.notifications TO aud;
GRANT SELECT ON TABLE inv.notifications TO bud;
GRANT SELECT ON TABLE inv.notifications TO acc;
GRANT SELECT ON TABLE inv.notifications TO sec;


--
-- Name: TABLE office_type; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.office_type TO inv;
GRANT SELECT ON TABLE inv.office_type TO meeting;
GRANT SELECT ON TABLE inv.office_type TO cmn;
GRANT SELECT ON TABLE inv.office_type TO ast;
GRANT SELECT ON TABLE inv.office_type TO prc;
GRANT SELECT ON TABLE inv.office_type TO hrm;
GRANT SELECT ON TABLE inv.office_type TO aud;
GRANT SELECT ON TABLE inv.office_type TO bud;
GRANT SELECT ON TABLE inv.office_type TO acc;
GRANT SELECT ON TABLE inv.office_type TO sec;


--
-- Name: TABLE opening_stock; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.opening_stock TO inv;
GRANT SELECT ON TABLE inv.opening_stock TO meeting;
GRANT SELECT ON TABLE inv.opening_stock TO cmn;
GRANT SELECT ON TABLE inv.opening_stock TO ast;
GRANT SELECT ON TABLE inv.opening_stock TO prc;
GRANT SELECT ON TABLE inv.opening_stock TO hrm;
GRANT SELECT ON TABLE inv.opening_stock TO aud;
GRANT SELECT ON TABLE inv.opening_stock TO bud;
GRANT SELECT ON TABLE inv.opening_stock TO acc;
GRANT SELECT ON TABLE inv.opening_stock TO sec;


--
-- Name: TABLE party; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party TO inv;
GRANT SELECT ON TABLE inv.party TO meeting;
GRANT SELECT ON TABLE inv.party TO cmn;
GRANT SELECT ON TABLE inv.party TO ast;
GRANT SELECT ON TABLE inv.party TO prc;
GRANT SELECT ON TABLE inv.party TO hrm;
GRANT SELECT ON TABLE inv.party TO aud;
GRANT SELECT ON TABLE inv.party TO bud;
GRANT SELECT ON TABLE inv.party TO acc;
GRANT SELECT ON TABLE inv.party TO sec;


--
-- Name: TABLE party_bank_detail; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_bank_detail TO inv;
GRANT SELECT ON TABLE inv.party_bank_detail TO meeting;
GRANT SELECT ON TABLE inv.party_bank_detail TO cmn;
GRANT SELECT ON TABLE inv.party_bank_detail TO ast;
GRANT SELECT ON TABLE inv.party_bank_detail TO prc;
GRANT SELECT ON TABLE inv.party_bank_detail TO hrm;
GRANT SELECT ON TABLE inv.party_bank_detail TO aud;
GRANT SELECT ON TABLE inv.party_bank_detail TO bud;
GRANT SELECT ON TABLE inv.party_bank_detail TO acc;
GRANT SELECT ON TABLE inv.party_bank_detail TO sec;


--
-- Name: TABLE party_business_type; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_business_type TO inv;
GRANT SELECT ON TABLE inv.party_business_type TO meeting;
GRANT SELECT ON TABLE inv.party_business_type TO cmn;
GRANT SELECT ON TABLE inv.party_business_type TO ast;
GRANT SELECT ON TABLE inv.party_business_type TO prc;
GRANT SELECT ON TABLE inv.party_business_type TO hrm;
GRANT SELECT ON TABLE inv.party_business_type TO aud;
GRANT SELECT ON TABLE inv.party_business_type TO bud;
GRANT SELECT ON TABLE inv.party_business_type TO acc;
GRANT SELECT ON TABLE inv.party_business_type TO sec;


--
-- Name: TABLE party_contact_information; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_contact_information TO inv;
GRANT SELECT ON TABLE inv.party_contact_information TO meeting;
GRANT SELECT ON TABLE inv.party_contact_information TO cmn;
GRANT SELECT ON TABLE inv.party_contact_information TO ast;
GRANT SELECT ON TABLE inv.party_contact_information TO prc;
GRANT SELECT ON TABLE inv.party_contact_information TO hrm;
GRANT SELECT ON TABLE inv.party_contact_information TO aud;
GRANT SELECT ON TABLE inv.party_contact_information TO bud;
GRANT SELECT ON TABLE inv.party_contact_information TO acc;
GRANT SELECT ON TABLE inv.party_contact_information TO sec;


--
-- Name: TABLE party_organization; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_organization TO inv;
GRANT SELECT ON TABLE inv.party_organization TO meeting;
GRANT SELECT ON TABLE inv.party_organization TO cmn;
GRANT SELECT ON TABLE inv.party_organization TO ast;
GRANT SELECT ON TABLE inv.party_organization TO prc;
GRANT SELECT ON TABLE inv.party_organization TO hrm;
GRANT SELECT ON TABLE inv.party_organization TO aud;
GRANT SELECT ON TABLE inv.party_organization TO bud;
GRANT SELECT ON TABLE inv.party_organization TO acc;
GRANT SELECT ON TABLE inv.party_organization TO sec;


--
-- Name: TABLE party_person; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_person TO inv;
GRANT SELECT ON TABLE inv.party_person TO meeting;
GRANT SELECT ON TABLE inv.party_person TO cmn;
GRANT SELECT ON TABLE inv.party_person TO ast;
GRANT SELECT ON TABLE inv.party_person TO prc;
GRANT SELECT ON TABLE inv.party_person TO hrm;
GRANT SELECT ON TABLE inv.party_person TO aud;
GRANT SELECT ON TABLE inv.party_person TO bud;
GRANT SELECT ON TABLE inv.party_person TO acc;
GRANT SELECT ON TABLE inv.party_person TO sec;


--
-- Name: TABLE party_role; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_role TO inv;
GRANT SELECT ON TABLE inv.party_role TO meeting;
GRANT SELECT ON TABLE inv.party_role TO cmn;
GRANT SELECT ON TABLE inv.party_role TO ast;
GRANT SELECT ON TABLE inv.party_role TO prc;
GRANT SELECT ON TABLE inv.party_role TO hrm;
GRANT SELECT ON TABLE inv.party_role TO aud;
GRANT SELECT ON TABLE inv.party_role TO bud;
GRANT SELECT ON TABLE inv.party_role TO acc;
GRANT SELECT ON TABLE inv.party_role TO sec;


--
-- Name: TABLE party_role_assignment; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_role_assignment TO inv;
GRANT SELECT ON TABLE inv.party_role_assignment TO meeting;
GRANT SELECT ON TABLE inv.party_role_assignment TO cmn;
GRANT SELECT ON TABLE inv.party_role_assignment TO ast;
GRANT SELECT ON TABLE inv.party_role_assignment TO prc;
GRANT SELECT ON TABLE inv.party_role_assignment TO hrm;
GRANT SELECT ON TABLE inv.party_role_assignment TO aud;
GRANT SELECT ON TABLE inv.party_role_assignment TO bud;
GRANT SELECT ON TABLE inv.party_role_assignment TO acc;
GRANT SELECT ON TABLE inv.party_role_assignment TO sec;


--
-- Name: TABLE party_skill; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_skill TO inv;
GRANT SELECT ON TABLE inv.party_skill TO meeting;
GRANT SELECT ON TABLE inv.party_skill TO cmn;
GRANT SELECT ON TABLE inv.party_skill TO ast;
GRANT SELECT ON TABLE inv.party_skill TO prc;
GRANT SELECT ON TABLE inv.party_skill TO hrm;
GRANT SELECT ON TABLE inv.party_skill TO aud;
GRANT SELECT ON TABLE inv.party_skill TO bud;
GRANT SELECT ON TABLE inv.party_skill TO acc;
GRANT SELECT ON TABLE inv.party_skill TO sec;


--
-- Name: TABLE party_type; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.party_type TO inv;
GRANT SELECT ON TABLE inv.party_type TO meeting;
GRANT SELECT ON TABLE inv.party_type TO cmn;
GRANT SELECT ON TABLE inv.party_type TO ast;
GRANT SELECT ON TABLE inv.party_type TO prc;
GRANT SELECT ON TABLE inv.party_type TO hrm;
GRANT SELECT ON TABLE inv.party_type TO aud;
GRANT SELECT ON TABLE inv.party_type TO bud;
GRANT SELECT ON TABLE inv.party_type TO acc;
GRANT SELECT ON TABLE inv.party_type TO sec;


--
-- Name: TABLE physical_inventory; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.physical_inventory TO inv;
GRANT SELECT ON TABLE inv.physical_inventory TO meeting;
GRANT SELECT ON TABLE inv.physical_inventory TO cmn;
GRANT SELECT ON TABLE inv.physical_inventory TO ast;
GRANT SELECT ON TABLE inv.physical_inventory TO prc;
GRANT SELECT ON TABLE inv.physical_inventory TO hrm;
GRANT SELECT ON TABLE inv.physical_inventory TO aud;
GRANT SELECT ON TABLE inv.physical_inventory TO bud;
GRANT SELECT ON TABLE inv.physical_inventory TO acc;
GRANT SELECT ON TABLE inv.physical_inventory TO sec;


--
-- Name: TABLE physical_inventory_details; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.physical_inventory_details TO inv;
GRANT SELECT ON TABLE inv.physical_inventory_details TO meeting;
GRANT SELECT ON TABLE inv.physical_inventory_details TO cmn;
GRANT SELECT ON TABLE inv.physical_inventory_details TO ast;
GRANT SELECT ON TABLE inv.physical_inventory_details TO prc;
GRANT SELECT ON TABLE inv.physical_inventory_details TO hrm;
GRANT SELECT ON TABLE inv.physical_inventory_details TO aud;
GRANT SELECT ON TABLE inv.physical_inventory_details TO bud;
GRANT SELECT ON TABLE inv.physical_inventory_details TO acc;
GRANT SELECT ON TABLE inv.physical_inventory_details TO sec;


--
-- Name: TABLE purchase_item_delivery_location; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_item_delivery_location TO inv;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO meeting;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO cmn;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO ast;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO prc;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO hrm;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO aud;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO bud;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO acc;
GRANT SELECT ON TABLE inv.purchase_item_delivery_location TO sec;


--
-- Name: TABLE purchase_item_return; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_item_return TO inv;
GRANT SELECT ON TABLE inv.purchase_item_return TO meeting;
GRANT SELECT ON TABLE inv.purchase_item_return TO cmn;
GRANT SELECT ON TABLE inv.purchase_item_return TO ast;
GRANT SELECT ON TABLE inv.purchase_item_return TO prc;
GRANT SELECT ON TABLE inv.purchase_item_return TO hrm;
GRANT SELECT ON TABLE inv.purchase_item_return TO aud;
GRANT SELECT ON TABLE inv.purchase_item_return TO bud;
GRANT SELECT ON TABLE inv.purchase_item_return TO acc;
GRANT SELECT ON TABLE inv.purchase_item_return TO sec;


--
-- Name: TABLE purchase_order; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_order TO inv;
GRANT SELECT ON TABLE inv.purchase_order TO meeting;
GRANT SELECT ON TABLE inv.purchase_order TO cmn;
GRANT SELECT ON TABLE inv.purchase_order TO ast;
GRANT SELECT ON TABLE inv.purchase_order TO prc;
GRANT SELECT ON TABLE inv.purchase_order TO hrm;
GRANT SELECT ON TABLE inv.purchase_order TO aud;
GRANT SELECT ON TABLE inv.purchase_order TO bud;
GRANT SELECT ON TABLE inv.purchase_order TO acc;
GRANT SELECT ON TABLE inv.purchase_order TO sec;


--
-- Name: TABLE purchase_order_detail; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_order_detail TO inv;
GRANT SELECT ON TABLE inv.purchase_order_detail TO meeting;
GRANT SELECT ON TABLE inv.purchase_order_detail TO cmn;
GRANT SELECT ON TABLE inv.purchase_order_detail TO ast;
GRANT SELECT ON TABLE inv.purchase_order_detail TO prc;
GRANT SELECT ON TABLE inv.purchase_order_detail TO hrm;
GRANT SELECT ON TABLE inv.purchase_order_detail TO aud;
GRANT SELECT ON TABLE inv.purchase_order_detail TO bud;
GRANT SELECT ON TABLE inv.purchase_order_detail TO acc;
GRANT SELECT ON TABLE inv.purchase_order_detail TO sec;


--
-- Name: TABLE purchase_order_detail_feature; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_order_detail_feature TO inv;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO meeting;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO cmn;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO ast;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO prc;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO hrm;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO aud;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO bud;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO acc;
GRANT SELECT ON TABLE inv.purchase_order_detail_feature TO sec;


--
-- Name: TABLE purchase_requisition; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_requisition TO inv;
GRANT SELECT ON TABLE inv.purchase_requisition TO meeting;
GRANT SELECT ON TABLE inv.purchase_requisition TO cmn;
GRANT SELECT ON TABLE inv.purchase_requisition TO ast;
GRANT SELECT ON TABLE inv.purchase_requisition TO prc;
GRANT SELECT ON TABLE inv.purchase_requisition TO hrm;
GRANT SELECT ON TABLE inv.purchase_requisition TO aud;
GRANT SELECT ON TABLE inv.purchase_requisition TO bud;
GRANT SELECT ON TABLE inv.purchase_requisition TO acc;
GRANT SELECT ON TABLE inv.purchase_requisition TO sec;


--
-- Name: TABLE purchase_requisition_detail_feature; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_requisition_detail_feature TO inv;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO meeting;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO cmn;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO ast;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO prc;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO hrm;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO aud;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO bud;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO acc;
GRANT SELECT ON TABLE inv.purchase_requisition_detail_feature TO sec;


--
-- Name: TABLE purchase_requisition_details; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.purchase_requisition_details TO inv;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO meeting;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO cmn;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO ast;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO prc;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO hrm;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO aud;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO bud;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO acc;
GRANT SELECT ON TABLE inv.purchase_requisition_details TO sec;


--
-- Name: TABLE push_notifications; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.push_notifications TO inv;
GRANT SELECT ON TABLE inv.push_notifications TO meeting;
GRANT SELECT ON TABLE inv.push_notifications TO cmn;
GRANT SELECT ON TABLE inv.push_notifications TO ast;
GRANT SELECT ON TABLE inv.push_notifications TO prc;
GRANT SELECT ON TABLE inv.push_notifications TO hrm;
GRANT SELECT ON TABLE inv.push_notifications TO aud;
GRANT SELECT ON TABLE inv.push_notifications TO bud;
GRANT SELECT ON TABLE inv.push_notifications TO acc;
GRANT SELECT ON TABLE inv.push_notifications TO sec;


--
-- Name: TABLE reorder_level; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.reorder_level TO inv;
GRANT SELECT ON TABLE inv.reorder_level TO meeting;
GRANT SELECT ON TABLE inv.reorder_level TO cmn;
GRANT SELECT ON TABLE inv.reorder_level TO ast;
GRANT SELECT ON TABLE inv.reorder_level TO prc;
GRANT SELECT ON TABLE inv.reorder_level TO hrm;
GRANT SELECT ON TABLE inv.reorder_level TO aud;
GRANT SELECT ON TABLE inv.reorder_level TO bud;
GRANT SELECT ON TABLE inv.reorder_level TO acc;
GRANT SELECT ON TABLE inv.reorder_level TO sec;


--
-- Name: TABLE requests; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.requests TO inv;
GRANT SELECT ON TABLE inv.requests TO meeting;
GRANT SELECT ON TABLE inv.requests TO cmn;
GRANT SELECT ON TABLE inv.requests TO ast;
GRANT SELECT ON TABLE inv.requests TO prc;
GRANT SELECT ON TABLE inv.requests TO hrm;
GRANT SELECT ON TABLE inv.requests TO aud;
GRANT SELECT ON TABLE inv.requests TO bud;
GRANT SELECT ON TABLE inv.requests TO acc;
GRANT SELECT ON TABLE inv.requests TO sec;


--
-- Name: TABLE review_action; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.review_action TO inv;
GRANT SELECT ON TABLE inv.review_action TO meeting;
GRANT SELECT ON TABLE inv.review_action TO cmn;
GRANT SELECT ON TABLE inv.review_action TO ast;
GRANT SELECT ON TABLE inv.review_action TO prc;
GRANT SELECT ON TABLE inv.review_action TO hrm;
GRANT SELECT ON TABLE inv.review_action TO aud;
GRANT SELECT ON TABLE inv.review_action TO bud;
GRANT SELECT ON TABLE inv.review_action TO acc;
GRANT SELECT ON TABLE inv.review_action TO sec;


--
-- Name: TABLE review_action_detail; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.review_action_detail TO inv;
GRANT SELECT ON TABLE inv.review_action_detail TO meeting;
GRANT SELECT ON TABLE inv.review_action_detail TO cmn;
GRANT SELECT ON TABLE inv.review_action_detail TO ast;
GRANT SELECT ON TABLE inv.review_action_detail TO prc;
GRANT SELECT ON TABLE inv.review_action_detail TO hrm;
GRANT SELECT ON TABLE inv.review_action_detail TO aud;
GRANT SELECT ON TABLE inv.review_action_detail TO bud;
GRANT SELECT ON TABLE inv.review_action_detail TO acc;
GRANT SELECT ON TABLE inv.review_action_detail TO sec;


--
-- Name: TABLE review_action_type; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.review_action_type TO inv;
GRANT SELECT ON TABLE inv.review_action_type TO meeting;
GRANT SELECT ON TABLE inv.review_action_type TO cmn;
GRANT SELECT ON TABLE inv.review_action_type TO ast;
GRANT SELECT ON TABLE inv.review_action_type TO prc;
GRANT SELECT ON TABLE inv.review_action_type TO hrm;
GRANT SELECT ON TABLE inv.review_action_type TO aud;
GRANT SELECT ON TABLE inv.review_action_type TO bud;
GRANT SELECT ON TABLE inv.review_action_type TO acc;
GRANT SELECT ON TABLE inv.review_action_type TO sec;


--
-- Name: TABLE review_job_type; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.review_job_type TO inv;
GRANT SELECT ON TABLE inv.review_job_type TO meeting;
GRANT SELECT ON TABLE inv.review_job_type TO cmn;
GRANT SELECT ON TABLE inv.review_job_type TO ast;
GRANT SELECT ON TABLE inv.review_job_type TO prc;
GRANT SELECT ON TABLE inv.review_job_type TO hrm;
GRANT SELECT ON TABLE inv.review_job_type TO aud;
GRANT SELECT ON TABLE inv.review_job_type TO bud;
GRANT SELECT ON TABLE inv.review_job_type TO acc;
GRANT SELECT ON TABLE inv.review_job_type TO sec;


--
-- Name: TABLE role_authority_mappings; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.role_authority_mappings TO inv;
GRANT SELECT ON TABLE inv.role_authority_mappings TO meeting;
GRANT SELECT ON TABLE inv.role_authority_mappings TO cmn;
GRANT SELECT ON TABLE inv.role_authority_mappings TO ast;
GRANT SELECT ON TABLE inv.role_authority_mappings TO prc;
GRANT SELECT ON TABLE inv.role_authority_mappings TO hrm;
GRANT SELECT ON TABLE inv.role_authority_mappings TO aud;
GRANT SELECT ON TABLE inv.role_authority_mappings TO bud;
GRANT SELECT ON TABLE inv.role_authority_mappings TO acc;
GRANT SELECT ON TABLE inv.role_authority_mappings TO sec;


--
-- Name: TABLE roles; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.roles TO inv;
GRANT SELECT ON TABLE inv.roles TO meeting;
GRANT SELECT ON TABLE inv.roles TO cmn;
GRANT SELECT ON TABLE inv.roles TO ast;
GRANT SELECT ON TABLE inv.roles TO prc;
GRANT SELECT ON TABLE inv.roles TO hrm;
GRANT SELECT ON TABLE inv.roles TO aud;
GRANT SELECT ON TABLE inv.roles TO bud;
GRANT SELECT ON TABLE inv.roles TO acc;
GRANT SELECT ON TABLE inv.roles TO sec;


--
-- Name: TABLE store; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.store TO inv;
GRANT SELECT ON TABLE inv.store TO meeting;
GRANT SELECT ON TABLE inv.store TO cmn;
GRANT SELECT ON TABLE inv.store TO ast;
GRANT SELECT ON TABLE inv.store TO prc;
GRANT SELECT ON TABLE inv.store TO hrm;
GRANT SELECT ON TABLE inv.store TO aud;
GRANT SELECT ON TABLE inv.store TO bud;
GRANT SELECT ON TABLE inv.store TO acc;
GRANT SELECT ON TABLE inv.store TO sec;


--
-- Name: TABLE store_designation; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.store_designation TO inv;
GRANT SELECT ON TABLE inv.store_designation TO meeting;
GRANT SELECT ON TABLE inv.store_designation TO cmn;
GRANT SELECT ON TABLE inv.store_designation TO ast;
GRANT SELECT ON TABLE inv.store_designation TO prc;
GRANT SELECT ON TABLE inv.store_designation TO hrm;
GRANT SELECT ON TABLE inv.store_designation TO aud;
GRANT SELECT ON TABLE inv.store_designation TO bud;
GRANT SELECT ON TABLE inv.store_designation TO acc;
GRANT SELECT ON TABLE inv.store_designation TO sec;


--
-- Name: TABLE store_employee; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.store_employee TO inv;
GRANT SELECT ON TABLE inv.store_employee TO meeting;
GRANT SELECT ON TABLE inv.store_employee TO cmn;
GRANT SELECT ON TABLE inv.store_employee TO ast;
GRANT SELECT ON TABLE inv.store_employee TO prc;
GRANT SELECT ON TABLE inv.store_employee TO hrm;
GRANT SELECT ON TABLE inv.store_employee TO aud;
GRANT SELECT ON TABLE inv.store_employee TO bud;
GRANT SELECT ON TABLE inv.store_employee TO acc;
GRANT SELECT ON TABLE inv.store_employee TO sec;


--
-- Name: TABLE store_item_requisition; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.store_item_requisition TO inv;
GRANT SELECT ON TABLE inv.store_item_requisition TO meeting;
GRANT SELECT ON TABLE inv.store_item_requisition TO cmn;
GRANT SELECT ON TABLE inv.store_item_requisition TO ast;
GRANT SELECT ON TABLE inv.store_item_requisition TO prc;
GRANT SELECT ON TABLE inv.store_item_requisition TO hrm;
GRANT SELECT ON TABLE inv.store_item_requisition TO aud;
GRANT SELECT ON TABLE inv.store_item_requisition TO bud;
GRANT SELECT ON TABLE inv.store_item_requisition TO acc;
GRANT SELECT ON TABLE inv.store_item_requisition TO sec;


--
-- Name: TABLE store_item_requisition_detail; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.store_item_requisition_detail TO inv;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO meeting;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO cmn;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO ast;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO prc;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO hrm;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO aud;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO bud;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO acc;
GRANT SELECT ON TABLE inv.store_item_requisition_detail TO sec;


--
-- Name: TABLE store_item_setup_mapping; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.store_item_setup_mapping TO inv;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO meeting;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO cmn;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO ast;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO prc;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO hrm;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO aud;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO bud;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO acc;
GRANT SELECT ON TABLE inv.store_item_setup_mapping TO sec;


--
-- Name: TABLE tbl_file; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.tbl_file TO inv;
GRANT SELECT ON TABLE inv.tbl_file TO meeting;
GRANT SELECT ON TABLE inv.tbl_file TO cmn;
GRANT SELECT ON TABLE inv.tbl_file TO ast;
GRANT SELECT ON TABLE inv.tbl_file TO prc;
GRANT SELECT ON TABLE inv.tbl_file TO hrm;
GRANT SELECT ON TABLE inv.tbl_file TO aud;
GRANT SELECT ON TABLE inv.tbl_file TO bud;
GRANT SELECT ON TABLE inv.tbl_file TO acc;
GRANT SELECT ON TABLE inv.tbl_file TO sec;


--
-- Name: TABLE tbl_sms; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.tbl_sms TO inv;
GRANT SELECT ON TABLE inv.tbl_sms TO meeting;
GRANT SELECT ON TABLE inv.tbl_sms TO cmn;
GRANT SELECT ON TABLE inv.tbl_sms TO ast;
GRANT SELECT ON TABLE inv.tbl_sms TO prc;
GRANT SELECT ON TABLE inv.tbl_sms TO hrm;
GRANT SELECT ON TABLE inv.tbl_sms TO aud;
GRANT SELECT ON TABLE inv.tbl_sms TO bud;
GRANT SELECT ON TABLE inv.tbl_sms TO acc;
GRANT SELECT ON TABLE inv.tbl_sms TO sec;


--
-- Name: TABLE unit; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.unit TO inv;
GRANT SELECT ON TABLE inv.unit TO meeting;
GRANT SELECT ON TABLE inv.unit TO cmn;
GRANT SELECT ON TABLE inv.unit TO ast;
GRANT SELECT ON TABLE inv.unit TO prc;
GRANT SELECT ON TABLE inv.unit TO hrm;
GRANT SELECT ON TABLE inv.unit TO aud;
GRANT SELECT ON TABLE inv.unit TO bud;
GRANT SELECT ON TABLE inv.unit TO acc;
GRANT SELECT ON TABLE inv.unit TO sec;


--
-- Name: TABLE uom; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.uom TO inv;
GRANT SELECT ON TABLE inv.uom TO meeting;
GRANT SELECT ON TABLE inv.uom TO cmn;
GRANT SELECT ON TABLE inv.uom TO ast;
GRANT SELECT ON TABLE inv.uom TO prc;
GRANT SELECT ON TABLE inv.uom TO hrm;
GRANT SELECT ON TABLE inv.uom TO aud;
GRANT SELECT ON TABLE inv.uom TO bud;
GRANT SELECT ON TABLE inv.uom TO acc;
GRANT SELECT ON TABLE inv.uom TO sec;


--
-- Name: TABLE uom_category; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.uom_category TO inv;
GRANT SELECT ON TABLE inv.uom_category TO meeting;
GRANT SELECT ON TABLE inv.uom_category TO cmn;
GRANT SELECT ON TABLE inv.uom_category TO ast;
GRANT SELECT ON TABLE inv.uom_category TO prc;
GRANT SELECT ON TABLE inv.uom_category TO hrm;
GRANT SELECT ON TABLE inv.uom_category TO aud;
GRANT SELECT ON TABLE inv.uom_category TO bud;
GRANT SELECT ON TABLE inv.uom_category TO acc;
GRANT SELECT ON TABLE inv.uom_category TO sec;


--
-- Name: TABLE uom_conversion; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.uom_conversion TO inv;
GRANT SELECT ON TABLE inv.uom_conversion TO meeting;
GRANT SELECT ON TABLE inv.uom_conversion TO cmn;
GRANT SELECT ON TABLE inv.uom_conversion TO ast;
GRANT SELECT ON TABLE inv.uom_conversion TO prc;
GRANT SELECT ON TABLE inv.uom_conversion TO hrm;
GRANT SELECT ON TABLE inv.uom_conversion TO aud;
GRANT SELECT ON TABLE inv.uom_conversion TO bud;
GRANT SELECT ON TABLE inv.uom_conversion TO acc;
GRANT SELECT ON TABLE inv.uom_conversion TO sec;


--
-- Name: TABLE user_role_mappings; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.user_role_mappings TO inv;
GRANT SELECT ON TABLE inv.user_role_mappings TO meeting;
GRANT SELECT ON TABLE inv.user_role_mappings TO cmn;
GRANT SELECT ON TABLE inv.user_role_mappings TO ast;
GRANT SELECT ON TABLE inv.user_role_mappings TO prc;
GRANT SELECT ON TABLE inv.user_role_mappings TO hrm;
GRANT SELECT ON TABLE inv.user_role_mappings TO aud;
GRANT SELECT ON TABLE inv.user_role_mappings TO bud;
GRANT SELECT ON TABLE inv.user_role_mappings TO acc;
GRANT SELECT ON TABLE inv.user_role_mappings TO sec;


--
-- Name: TABLE view_item_opening_stock; Type: ACL; Schema: inv; Owner: uatcommongrp1
--

GRANT ALL ON TABLE inv.view_item_opening_stock TO inv;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO meeting;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO cmn;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO ast;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO prc;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO hrm;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO aud;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO bud;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO acc;
GRANT SELECT ON TABLE inv.view_item_opening_stock TO sec;


--
-- PostgreSQL database dump complete
--

